script.on_init(function()
  local force = game.forces.player
  -- newores,newliquids,copper,iron,stone,oil,coal,water
  global.ores = {"copper-ore","iron-ore","stone","coal"}
  global.liquids = {"crude-oil"}
  global.lands = {"water-green","water","deepwater","deepwater-green"}
  global.resourcecoords = {}
  global.resourcelist = {"copper-ore","iron-ore","stone","crude-oil","coal","water"}

  local SandboxAutoplace = {}

  for k, item in pairs(game.entity_prototypes) do
      if item.type == "resource" then
        SandboxAutoplace[item.name] = { frequency = "none", size = "none", richness = "none" }
        if item.resource_category == "basic-solid" then
          if TableHasItem(global.ores,item.name) == false then
            table.insert(global.ores,item.name)
            table.insert(global.resourcelist,1,item.name)
          end
        else
          if TableHasItem(global.liquids,item.name) == false then
            table.insert(global.liquids,item.name)
            table.insert(global.resourcelist,1,item.name)
          end
        end
      end
  end
  resourcestart = ((math.floor(#global.resourcelist /2) * 64)-32) * -1
  for i=0,#global.resourcelist-1 do
    table.insert(global.resourcecoords,resourcestart + (i*64))
  end

  local nauvis = game.surfaces["nauvis"]

  SandboxAutoplace["enemy-base"] = nauvis.map_gen_settings.autoplace_controls["enemy-base"]

  local map_gen =
  {
    terrain_segmentation = "normal",
    water = "none",
    autoplace_controls = SandboxAutoplace,
    seed = nauvis and nauvis.map_gen_settings.seed or math.round(math.random() * const.max_uint),
    shift = nauvis and nauvis.map_gen_settings.shift or nil,
    width = nauvis and nauvis.map_gen_settings.width or 0,
    height = nauvis and nauvis.map_gen_settings.height or 0,
    starting_area = "very-big",
    peaceful_mode = nauvis and nauvis.map_gen_settings.peaceful_mode or 0
  }   
  game.create_surface( "Sandbox", map_gen )

  --reveal map and generate chunks for drawing
  local radius = 200
  force.chart(game.surfaces["Sandbox"],{{x = -radius , y = -radius }, {x = radius , y = radius }})

--[[
/silent-command game.player.teleport({0,0}, game.surfaces["Sandbox"])
/silent-command game.player.teleport({0,0}, game.surfaces["nauvis"])

/silent-command game.write_file("sandbox.txt", serpent.block(game.surfaces["Sandbox"].map_gen_settings))
/silent-command game.write_file("nauvis.txt", serpent.block(game.surfaces["nauvis"].map_gen_settings))
--]]

end) -- on_init

-- chunk generated ============================================================================
script.on_event(defines.events.on_chunk_generated, function(event)
-- event.area event.surface
  -- make sandbox
  if event.surface.name == "Sandbox" then
    ClearAreaSquare2(event.surface.name,event.area.left_top.x,event.area.left_top.y,event.area.right_bottom.x,event.area.right_bottom.y);
    DrawLndSquare(event.surface.name,"sand",event.area.left_top.x,event.area.left_top.y,32,32);
    -- draw logo
    if event.area.left_top.x == -192 and event.area.left_top.y == -128 then
        DrawFactorioGear(event.surface.name,0,0)
        local radius = 200
        game.forces.player.chart(event.surface,{{x = -radius , y = -radius }, {x = radius , y = radius }})
        event.surface.print({"map-ready"})
    end
    -- draw resources
    if event.area.left_top.y == -224 then
        DrawTreesSquare(event.surface.name,event.area.left_top.x,event.area.left_top.y,32,32,2)
    end
    if event.area.left_top.y >= 192 then -- past resource line
        for i=1,#global.resourcecoords do
          left = global.resourcecoords[i]
          if event.area.left_top.x == left then
            someresource = global.resourcelist[i]
            if TableHasItem(global.ores,someresource) == true then
              DrawOreSquare(event.surface.name,someresource,4000000,event.area.left_top.x,event.area.left_top.y,32,32)
            elseif TableHasItem(global.liquids,someresource) == true then
              DrawLiquidSquare(event.surface.name,someresource,15000*10*4,event.area.left_top.x+1,event.area.left_top.y+1,8,8)
            elseif TableHasItem(global.lands,someresource) == true then
              if someresource == "deepwater-green" or someresource == "water-green" or someresource == "deepwater" or someresource == "water" then
              DrawLndSquare(event.surface.name,"grass",event.area.left_top.x,event.area.left_top.y,10,34)
              end
              DrawLndSquare(event.surface.name,someresource,event.area.left_top.x+2,event.area.left_top.y+2,6,30)
            end
          end -- matching left
        end -- for
    end -- line

  end -- sandbox
end) -- on_chunk_generated

-- players created ================================================================================

script.on_event(defines.events.on_player_created, function(event)
  -- player first spawn setup
  local player = game.players[event.player_index]

  player.color={r=0.118,g=0.565,b=1.000,a=.9}
  player.teleport({0,0}, game.surfaces["Sandbox"])
  -- armor setup, order is importaint
  player.insert{name="power-armor-mk2", count=1}
  local armor = player.get_inventory(defines.inventory.player_armor)[1].grid
  armor.put{name = "fusion-reactor-equipment"}
  armor.put{name = "fusion-reactor-equipment"}
  armor.put{name = "battery-mk2-equipment"}
  armor.put{name = "battery-mk2-equipment"}
  armor.put{name = "energy-shield-mk2-equipment"}
  armor.put{name = "energy-shield-mk2-equipment"}
  armor.put{name = "energy-shield-mk2-equipment"}
  armor.put{name = "energy-shield-mk2-equipment"}
  armor.put{name = "energy-shield-mk2-equipment"}
  armor.put{name = "energy-shield-mk2-equipment"}
  armor.put{name = "exoskeleton-equipment"}
  armor.put{name = "exoskeleton-equipment"}
  armor.put{name = "exoskeleton-equipment"}
  armor.put{name = "personal-roboport-equipment"}
  armor.put{name = "personal-roboport-equipment"}
  armor.put{name = "personal-roboport-equipment"}
  armor.put{name = "personal-roboport-equipment"}
  -- weappons / tools
  player.insert{name="submachine-gun", count=1}
  player.insert{name="combat-shotgun", count=1}
  player.insert{name="flamethrower", count=1}
  player.insert{name="piercing-rounds-magazine", count=100}
  player.insert{name="piercing-shotgun-shell", count=100}
  player.insert{name="flamethrower-ammo", count=50}
  player.insert{name="steel-axe", count=10}
  player.insert{name="construction-robot", count=50}
-- game intro messages and setup ================================================================================
  if (#game.players <= 1) then
    player.force.research_all_technologies()
    player.cheat_mode = true
    player.surface.always_day = true

    for k, v in pairs(player.force.recipes) do
      player.force.recipes[v.name].enabled = true
    end

  end
  player.print({"msg-intro"})
  player.surface.print({"map-working"})
end) -- on_player_created

-- player death ================================================================================
script.on_event(defines.events.on_player_respawned, function(event)
  -- player respawn
  local player = game.players[event.player_index]
  player.teleport({0,0}, game.surfaces["Sandbox"])
  player.insert{name="stone-brick", count=2}
  player.insert{name="raw-fish", count=1}
end) -- on_player_respawned


-- game control ==========================================================================

script.on_event(defines.events.on_rocket_launched, function(event)
  local force = event.rocket.force
  if event.rocket.get_item_count("satellite") == 0 then
    for index, player in pairs(force.players) do
      player.print({"gui-rocket-silo.rocket-launched-without-satellite"})
    end
    return
  end -- no sat
  if not global.satellite_sent then
    global.satellite_sent = {}
  end
  if global.satellite_sent[force.name] then
    global.satellite_sent[force.name] = global.satellite_sent[force.name] + 1   
  else
    -- game.set_game_state{game_finished=true, player_won=true, can_continue=true}
    global.satellite_sent[force.name] = 1
  end
  for index, player in pairs(force.players) do
    if player.gui.left.rocket_score then
      player.gui.left.rocket_score.rocket_count.caption = tostring(global.satellite_sent[force.name])
    else
      local frame = player.gui.left.add{name = "rocket_score", type = "frame", direction = "horizontal", caption={"score"}}
      frame.add{name="rocket_count_label", type = "label", caption={"", {"rockets-sent"}, ":"}}
      frame.add{name="rocket_count", type = "label", caption=tostring(global.satellite_sent[force.name])}
    end
  end
end) -- on_rocket_launched

-- functions ==========================================================================

function TableConcat(t1,t2)
    for i=1,#t2 do
        t1[#t1+1] = t2[i]
    end
    return t1
end -- TableConcat, add t2 to the end of t1

function TableHasItem(tab, val)
  for index, value in ipairs (tab) do
    if value == val then
      return true
    end
  end
  return false
end -- TableHasItem

function DrawTreesSquare(surface,x,y,width,height,spaceing)
  listtrees = {
    "tree-04",
    "tree-05",
    "dry-tree"
  }
  px = 0
  while( px < width ) do
    py = 0
    while( py < height ) do
      game.surfaces[surface].create_entity{name = listtrees[math.random(#listtrees)], position={x + px, y + py}}
      py = py + spaceing
    end
    px = px + spaceing
  end
end -- DrawTreesSquare

function DrawOreSquare(surface,type,richness,x,y,width,length)
  for vl=0,length-1 do
      for vw=0,width-1 do
          game.surfaces[surface].create_entity{name=type,amount=richness,position={x+vw, y+vl}}
      end
  end
end -- DrawOreSquare

function DrawLiquidSquare(surface,type,richness,x,y,width,height)
  local spaceing = 4;
  for wellx=0,(width-1) do
    for welly=0,(height-1) do
      game.surfaces[surface].create_entity{name=type, position={x+(wellx*spaceing),y+(welly*spaceing)}, amount=richness};
    end
  end
end -- DrawLiquidSquare

function DrawLndCircle(surface,type,radius,x,y)
  local tiles={};
  for gx=-radius ,radius do 
      for gy=-radius ,radius do
          spotx = x+gx; spoty = y+gy;
          distance = math.sqrt((x - spotx) * (x - spotx) + (y - spoty) * (y - spoty));
          if distance <= radius then table.insert(tiles,{name=type,position={spotx,spoty}}) end
      end 
  end
  game.surfaces[surface].set_tiles(tiles);
end -- DrawLndCircle

function DrawLndRing(surface,type,x,y,radius,width) 
-- inner width
local tiles={};
for gx=-radius ,radius  do 
    for gy=-radius ,radius  do
        spotx = x+gx; spoty = y+gy;
        distance = math.sqrt((x - spotx) * (x - spotx) + (y - spoty) * (y - spoty));
        if distance <= radius and distance >= (radius - width) then table.insert(tiles,{name=type,position={spotx,spoty}}) end
    end 
end
game.surfaces[surface].set_tiles(tiles);
end -- DrawLndRing

function DrawLndSquare(surface,type,x,y,width,height)
  local tiles={};
  for gx=x ,x+width-1 do 
      for gy=y ,y+height-1 do
        table.insert(tiles,{name=type,position={gx,gy}})
      end 
  end
  game.surfaces[surface].set_tiles(tiles);
end -- DrawLndSquare

function DrawLndSquareRadius(surface,type,x,y,radius)
  local tiles={};
  for gx= x-radius , x+radius do 
      for gy= y-radius , y+radius do
        table.insert(tiles,{name=type,position={gx,gy}})
      end 
  end
  game.surfaces[surface].set_tiles(tiles);
end -- DrawLndSquareRadius

function DrawLndBox(surface,type,x,y,radius,width) 
-- inner width
local tiles={};
for gx=-radius ,radius  do 
    for gy=-radius ,radius  do
        spotx = x+gx; spoty = y+gy;
        if 
            (spotx >= (x-radius) and spotx <= (x-radius + width) or spotx <= (x+radius) and spotx >= (x+radius - width) )
            or
            (spoty >= (y-radius) and spoty <= (y-radius + width) or spoty <= (y+radius) and spoty >= (y+radius - width) )
        then table.insert(tiles,{name=type, position={spotx,spoty}}) end
    end 
end
game.surfaces[surface].set_tiles(tiles);
end -- DrawLndBox


function ClearAreaSquare2(surface,tx,ty,bx,by)
--note you cannont clear what has not been charted, 190 radius normally on start
  for _, entity in ipairs( game.surfaces[surface].find_entities{ {tx,ty},{bx,by} } ) do 
    if entity.force.name ~= "player" and entity.force.name ~= "enemy" then entity.destroy(); end
  end
end --ClearAreaSquare2

function ClearAreaSquare(surface,tx,ty,bx,by)
--note you cannont clear what has not been charted, 190 radius normally on start
  for _, entity in ipairs( game.surfaces[surface].find_entities{ {tx,ty},{bx,by} } ) do 
    if entity.force.name ~= "player" then entity.destroy(); end
  end
end --ClearAreaSquare

function ClearAreaSquareRadius(surface,x,y,radius)
--note you cannont clear what has not been charted, 190 radius normally on start
  for _, entity in ipairs( game.surfaces[surface].find_entities{ {x-radius,y-radius},{x+radius,y+radius} } ) do 
    if entity.force.name ~= "player" then entity.destroy(); end
  end
end -- ClearAreaSquareRadius

function ClearAreaCircle(surface,x,y,radius)
--note you cannont clear what has not been charted, 190 radius normally on start
  for _, entity in ipairs(game.surfaces[surface].find_entities{{x-radius,y-radius },{x+radius,y+radius }}) do 
      if entity.force.name ~= "player" then
          local distance = math.sqrt((x - entity.position.x) * (x - entity.position.x) + (y - entity.position.y) * (y - entity.position.y));
          if distance <= radius then entity.destroy() end 
      end
  end
end --ClearAreaCircle


function DrawFactorioGear(surface,posx,posy)
  tiles = {};
  xoffset = -200;
  yoffset = -200;
  listgrass = {196,25,197,25,216,25,207,26,201,27,218,27,222,28,197,29,206,30,210,30,197,31,195,32,212,32,221,32,206,33,207,33,224,33,215,34,196,35,215,35,224,35,200,36,203,36,219,36,193,37,200,37,203,37,207,37,219,37,220,37,194,38,205,38,207,38,224,38,193,39,194,39,195,39,214,39,224,39,193,40,194,40,195,40,199,40,208,40,221,40,224,40,200,41,208,41,212,41,213,41,200,42,210,42,212,42,213,42,194,43,199,43,204,43,209,43,210,43,215,43,216,43,218,43,193,44,199,44,202,44,221,44,225,44,185,45,198,45,199,45,202,45,203,45,205,45,212,45,218,45,219,45,225,45,199,46,200,46,207,46,212,46,213,46,215,46,216,46,219,46,192,47,208,47,213,47,214,47,221,47,223,47,224,47,225,47,131,48,201,48,204,48,213,48,214,48,215,48,225,48,206,49,210,49,215,49,220,49,128,50,187,50,188,50,189,50,190,50,193,50,198,50,201,50,204,50,205,50,206,50,210,50,211,50,215,50,218,50,220,50,225,50,135,51,177,51,181,51,189,51,190,51,192,51,193,51,194,51,195,51,196,51,200,51,201,51,202,51,203,51,204,51,205,51,206,51,207,51,208,51,209,51,210,51,211,51,212,51,213,51,214,51,215,51,216,51,217,51,218,51,219,51,220,51,221,51,224,51,190,52,191,52,192,52,193,52,205,52,211,52,212,52,213,52,214,52,215,52,216,52,217,52,218,52,219,52,220,52,221,52,222,52,224,52,123,53,132,53,178,53,192,53,217,53,218,53,219,53,220,53,221,53,222,53,223,53,224,53,225,53,139,54,174,54,222,54,223,54,224,54,127,55,128,55,139,55,173,55,174,55,198,55,225,55,226,55,227,55,228,55,236,55,118,56,135,56,173,56,189,56,197,56,198,56,211,56,228,56,229,56,230,56,231,56,232,56,294,56,135,57,136,57,137,57,138,57,142,57,143,57,167,57,168,57,191,57,192,57,201,57,208,57,216,57,229,57,230,57,231,57,232,57,137,58,192,58,193,58,212,58,213,58,230,58,232,58,234,58,235,58,236,58,304,58,115,59,127,59,145,59,192,59,193,59,202,59,221,59,230,59,237,59,239,59,130,60,141,60,144,60,147,60,158,60,173,60,193,60,194,60,212,60,223,60,227,60,228,60,235,60,237,60,238,60,294,60,123,61,132,61,135,61,139,61,140,61,141,61,142,61,143,61,144,61,153,61,168,61,173,61,182,61,226,61,231,61,238,61,240,61,241,61,142,62,153,62,167,62,168,62,173,62,185,62,194,62,195,62,201,62,208,62,209,62,210,62,222,62,235,62,238,62,240,62,241,62,243,62,128,63,135,63,136,63,184,63,194,63,222,63,243,63,244,63,245,63,280,63,288,63,291,63,292,63,298,63,130,64,135,64,136,64,137,64,138,64,145,64,216,64,228,64,233,64,243,64,245,64,246,64,277,64,278,64,279,64,117,65,122,65,123,65,129,65,130,65,136,65,143,65,182,65,192,65,204,65,221,65,228,65,231,65,232,65,242,65,247,65,248,65,276,65,277,65,294,65,118,66,119,66,126,66,129,66,130,66,137,66,182,66,187,66,192,66,201,66,202,66,203,66,212,66,213,66,231,66,232,66,247,66,248,66,249,66,125,67,136,67,137,67,148,67,186,67,187,67,191,67,199,67,203,67,236,67,237,67,240,67,241,67,245,67,249,67,266,67,273,67,286,67,296,67,128,68,159,68,179,68,187,68,196,68,198,68,200,68,211,68,216,68,217,68,218,68,229,68,237,68,238,68,242,68,245,68,253,68,267,68,272,68,273,68,274,68,275,68,296,68,297,68,113,69,125,69,126,69,131,69,132,69,203,69,210,69,217,69,231,69,243,69,244,69,252,69,253,69,254,69,255,69,256,69,269,69,270,69,279,69,294,69,113,70,131,70,176,70,177,70,185,70,195,70,200,70,201,70,204,70,227,70,248,70,252,70,255,70,256,70,259,70,278,70,279,70,282,70,126,71,127,71,131,71,155,71,164,71,192,71,204,71,227,71,232,71,233,71,234,71,235,71,257,71,258,71,259,71,263,71,264,71,278,71,281,71,282,71,283,71,294,71,126,72,127,72,134,72,155,72,170,72,176,72,177,72,183,72,184,72,194,72,205,72,216,72,218,72,233,72,241,72,242,72,245,72,246,72,247,72,249,72,250,72,251,72,256,72,259,72,260,72,264,72,265,72,266,72,274,72,299,72,122,73,167,73,170,73,173,73,178,73,183,73,189,73,190,73,198,73,205,73,213,73,220,73,244,73,255,73,259,73,260,73,261,73,263,73,264,73,265,73,266,73,267,73,269,73,270,73,271,73,272,73,273,73,288,73,113,74,116,74,121,74,132,74,145,74,154,74,171,74,243,74,263,74,264,74,265,74,266,74,267,74,268,74,269,74,277,74,278,74,115,75,116,75,119,75,120,75,121,75,122,75,140,75,149,75,193,75,194,75,263,75,264,75,265,75,266,75,267,75,268,75,269,75,277,75,284,75,288,75,119,76,120,76,124,76,128,76,145,76,177,76,181,76,186,76,194,76,227,76,246,76,250,76,262,76,263,76,264,76,265,76,266,76,267,76,268,76,269,76,270,76,271,76,272,76,273,76,277,76,282,76,283,76,287,76,288,76,295,76,303,76,120,77,151,77,168,77,181,77,184,77,212,77,217,77,250,77,264,77,265,77,266,77,267,77,268,77,269,77,270,77,271,77,272,77,276,77,277,77,304,77,125,78,165,78,173,78,174,78,186,78,196,78,210,78,212,78,217,78,239,78,246,78,247,78,258,78,259,78,264,78,267,78,268,78,269,78,270,78,271,78,272,78,273,78,278,78,280,78,281,78,288,78,291,78,125,79,143,79,217,79,238,79,244,79,254,79,260,79,268,79,269,79,270,79,271,79,272,79,273,79,274,79,279,79,280,79,282,79,283,79,120,80,137,80,138,80,143,80,159,80,160,80,172,80,177,80,178,80,188,80,207,80,217,80,232,80,237,80,243,80,247,80,262,80,267,80,268,80,269,80,270,80,271,80,272,80,273,80,274,80,275,80,276,80,282,80,283,80,121,81,122,81,137,81,143,81,144,81,158,81,170,81,188,81,189,81,190,81,200,81,211,81,231,81,236,81,252,81,256,81,257,81,260,81,261,81,267,81,270,81,271,81,272,81,273,81,274,81,275,81,276,81,277,81,278,81,286,81,287,81,122,82,142,82,143,82,144,82,151,82,156,82,157,82,169,82,177,82,178,82,187,82,189,82,190,82,194,82,202,82,235,82,245,82,249,82,255,82,270,82,271,82,272,82,273,82,274,82,275,82,276,82,277,82,278,82,279,82,280,82,111,83,133,83,140,83,144,83,157,83,164,83,170,83,198,83,212,83,215,83,242,83,245,83,253,83,254,83,255,83,263,83,264,83,265,83,271,83,272,83,273,83,274,83,275,83,276,83,277,83,281,83,285,83,111,84,134,84,169,84,170,84,179,84,180,84,192,84,216,84,259,84,263,84,264,84,268,84,271,84,272,84,273,84,274,84,275,84,276,84,277,84,282,84,283,84,134,85,135,85,170,85,171,85,172,85,179,85,183,85,186,85,205,85,207,85,217,85,225,85,226,85,235,85,239,85,258,85,259,85,260,85,262,85,268,85,270,85,273,85,274,85,275,85,276,85,279,85,283,85,291,85,134,86,139,86,160,86,187,86,205,86,206,86,211,86,224,86,234,86,239,86,244,86,261,86,267,86,274,86,275,86,276,86,279,86,280,86,283,86,286,86,134,87,160,87,180,87,186,87,200,87,203,87,208,87,209,87,210,87,216,87,217,87,224,87,228,87,233,87,234,87,242,87,244,87,245,87,246,87,267,87,272,87,274,87,275,87,276,87,277,87,278,87,279,87,280,87,285,87,140,88,141,88,155,88,164,88,165,88,172,88,173,88,186,88,190,88,199,88,200,88,201,88,202,88,207,88,208,88,221,88,241,88,258,88,259,88,262,88,276,88,277,88,278,88,279,88,280,88,281,88,284,88,288,88,289,88,290,88,291,88,295,88,127,89,134,89,145,89,148,89,149,89,173,89,174,89,175,89,184,89,185,89,190,89,194,89,197,89,198,89,202,89,207,89,208,89,221,89,243,89,262,89,272,89,277,89,278,89,279,89,280,89,281,89,286,89,287,89,289,89,290,89,291,89,116,90,125,90,126,90,134,90,145,90,149,90,158,90,190,90,198,90,201,90,202,90,207,90,208,90,221,90,224,90,236,90,237,90,238,90,243,90,244,90,262,90,267,90,276,90,277,90,278,90,279,90,280,90,281,90,282,90,284,90,285,90,286,90,292,90,293,90,294,90,124,91,145,91,164,91,177,91,178,91,179,91,183,91,189,91,190,91,206,91,208,91,209,91,210,91,211,91,214,91,217,91,230,91,253,91,260,91,267,91,268,91,278,91,279,91,280,91,281,91,283,91,284,91,288,91,124,92,138,92,162,92,163,92,164,92,171,92,172,92,182,92,183,92,189,92,190,92,193,92,201,92,202,92,205,92,206,92,209,92,210,92,213,92,214,92,216,92,217,92,229,92,230,92,238,92,245,92,267,92,270,92,271,92,279,92,280,92,281,92,283,92,284,92,285,92,287,92,288,92,124,93,127,93,139,93,146,93,147,93,161,93,165,93,169,93,185,93,190,93,192,93,193,93,194,93,195,93,200,93,201,93,203,93,204,93,205,93,206,93,209,93,210,93,212,93,213,93,217,93,219,93,220,93,222,93,223,93,227,93,235,93,238,93,252,93,255,93,256,93,262,93,267,93,272,93,273,93,279,93,280,93,281,93,282,93,283,93,284,93,285,93,286,93,291,93,124,94,141,94,145,94,160,94,161,94,167,94,172,94,177,94,183,94,184,94,185,94,186,94,187,94,192,94,203,94,204,94,206,94,207,94,209,94,210,94,211,94,212,94,213,94,214,94,215,94,218,94,227,94,232,94,233,94,238,94,250,94,257,94,276,94,278,94,279,94,280,94,281,94,282,94,283,94,284,94,285,94,290,94,130,95,145,95,146,95,159,95,160,95,161,95,166,95,175,95,183,95,184,95,186,95,187,95,190,95,194,95,209,95,212,95,213,95,215,95,218,95,224,95,226,95,238,95,276,95,280,95,281,95,282,95,283,95,284,95,285,95,286,95,290,95,123,96,129,96,130,96,153,96,161,96,165,96,179,96,180,96,181,96,182,96,183,96,194,96,204,96,205,96,208,96,216,96,217,96,218,96,219,96,220,96,229,96,239,96,244,96,247,96,250,96,270,96,276,96,277,96,280,96,281,96,282,96,283,96,284,96,285,96,286,96,287,96,144,97,154,97,155,97,170,97,175,97,176,97,179,97,180,97,181,97,182,97,185,97,187,97,190,97,191,97,195,97,200,97,202,97,207,97,208,97,211,97,212,97,213,97,215,97,216,97,217,97,221,97,222,97,234,97,240,97,269,97,273,97,276,97,283,97,286,97,287,97,119,98,122,98,150,98,162,98,167,98,168,98,169,98,170,98,174,98,175,98,176,98,178,98,179,98,180,98,181,98,184,98,187,98,188,98,190,98,193,98,196,98,200,98,202,98,203,98,204,98,205,98,206,98,207,98,208,98,211,98,212,98,213,98,214,98,215,98,216,98,219,98,220,98,221,98,222,98,223,98,224,98,234,98,237,98,240,98,264,98,265,98,280,98,283,98,285,98,286,98,287,98,125,99,129,99,131,99,132,99,140,99,147,99,155,99,161,99,166,99,167,99,168,99,174,99,175,99,176,99,178,99,179,99,180,99,184,99,188,99,191,99,192,99,193,99,194,99,195,99,196,99,198,99,199,99,200,99,201,99,202,99,203,99,204,99,206,99,207,99,208,99,210,99,211,99,213,99,214,99,215,99,216,99,217,99,218,99,219,99,220,99,221,99,222,99,223,99,224,99,227,99,229,99,235,99,274,99,282,99,283,99,284,99,285,99,286,99,287,99,130,100,164,100,165,100,166,100,167,100,168,100,174,100,175,100,177,100,178,100,182,100,183,100,186,100,188,100,189,100,192,100,193,100,195,100,196,100,197,100,198,100,199,100,200,100,202,100,203,100,204,100,206,100,209,100,210,100,211,100,212,100,213,100,214,100,216,100,217,100,218,100,219,100,221,100,223,100,224,100,225,100,226,100,227,100,228,100,229,100,230,100,231,100,237,100,242,100,243,100,274,100,283,100,286,100,287,100,130,101,139,101,150,101,151,101,168,101,169,101,173,101,174,101,175,101,177,101,178,101,182,101,183,101,186,101,187,101,188,101,191,101,192,101,193,101,195,101,196,101,197,101,199,101,200,101,201,101,202,101,203,101,204,101,205,101,206,101,208,101,210,101,211,101,212,101,213,101,216,101,217,101,218,101,219,101,221,101,225,101,227,101,230,101,231,101,242,101,243,101,279,101,283,101,285,101,286,101,287,101,122,102,124,102,139,102,146,102,147,102,151,102,160,102,161,102,162,102,163,102,168,102,169,102,170,102,172,102,173,102,177,102,178,102,181,102,182,102,183,102,184,102,185,102,189,102,190,102,191,102,203,102,204,102,206,102,208,102,209,102,210,102,211,102,214,102,215,102,216,102,217,102,219,102,220,102,221,102,223,102,224,102,225,102,226,102,227,102,230,102,231,102,237,102,242,102,263,102,264,102,273,102,274,102,283,102,286,102,287,102,124,103,134,103,157,103,162,103,165,103,166,103,168,103,169,103,171,103,172,103,176,103,177,103,178,103,181,103,183,103,184,103,185,103,211,103,212,103,213,103,214,103,216,103,217,103,218,103,219,103,222,103,224,103,225,103,226,103,228,103,229,103,230,103,231,103,232,103,233,103,234,103,237,103,275,103,284,103,286,103,287,103,149,104,155,104,162,104,168,104,169,104,170,104,171,104,175,104,176,104,178,104,179,104,214,104,215,104,216,104,217,104,218,104,219,104,220,104,221,104,223,104,224,104,225,104,227,104,228,104,229,104,230,104,234,104,235,104,236,104,237,104,253,104,254,104,261,104,262,104,271,104,280,104,283,104,118,105,129,105,160,105,162,105,163,105,164,105,167,105,168,105,169,105,171,105,172,105,174,105,175,105,178,105,179,105,216,105,217,105,218,105,219,105,220,105,221,105,222,105,223,105,224,105,225,105,226,105,227,105,228,105,229,105,231,105,233,105,234,105,235,105,236,105,241,105,254,105,267,105,279,105,112,106,119,106,142,106,143,106,160,106,162,106,163,106,168,106,169,106,171,106,173,106,174,106,218,106,219,106,220,106,221,106,222,106,223,106,224,106,225,106,226,106,227,106,228,106,229,106,230,106,233,106,234,106,235,106,236,106,237,106,253,106,286,106,287,106,119,107,141,107,156,107,160,107,161,107,162,107,163,107,167,107,169,107,170,107,171,107,173,107,221,107,222,107,223,107,224,107,226,107,227,107,230,107,231,107,232,107,233,107,234,107,237,107,238,107,244,107,245,107,246,107,253,107,267,107,273,107,287,107,288,107,118,108,124,108,125,108,129,108,150,108,160,108,161,108,162,108,163,108,167,108,170,108,174,108,223,108,224,108,225,108,226,108,227,108,229,108,230,108,231,108,232,108,233,108,234,108,237,108,238,108,239,108,241,108,242,108,247,108,252,108,257,108,263,108,282,108,283,108,284,108,287,108,107,109,109,109,154,109,155,109,158,109,159,109,162,109,164,109,170,109,171,109,172,109,224,109,225,109,226,109,227,109,228,109,229,109,230,109,231,109,232,109,233,109,234,109,235,109,236,109,237,109,238,109,239,109,240,109,241,109,242,109,246,109,250,109,251,109,272,109,274,109,275,109,276,109,283,109,284,109,287,109,288,109,126,110,153,110,158,110,159,110,160,110,162,110,170,110,171,110,226,110,227,110,228,110,229,110,230,110,231,110,232,110,233,110,234,110,235,110,236,110,237,110,238,110,240,110,241,110,251,110,256,110,275,110,278,110,287,110,288,110,109,111,113,111,114,111,118,111,125,111,135,111,136,111,147,111,152,111,156,111,157,111,158,111,159,111,160,111,164,111,167,111,170,111,228,111,229,111,230,111,231,111,232,111,233,111,234,111,235,111,236,111,237,111,238,111,239,111,240,111,241,111,242,111,256,111,260,111,262,111,278,111,279,111,287,111,289,111,117,112,118,112,124,112,155,112,156,112,157,112,160,112,163,112,164,112,166,112,167,112,230,112,231,112,232,112,233,112,234,112,235,112,236,112,237,112,238,112,239,112,240,112,241,112,242,112,248,112,253,112,105,113,106,113,115,113,116,113,117,113,147,113,148,113,155,113,156,113,157,113,160,113,165,113,166,113,231,113,232,113,234,113,235,113,236,113,237,113,238,113,239,113,240,113,241,113,242,113,243,113,252,113,253,113,254,113,272,113,280,113,281,113,282,113,283,113,106,114,116,114,123,114,124,114,140,114,141,114,147,114,151,114,154,114,155,114,156,114,157,114,160,114,232,114,233,114,234,114,235,114,236,114,237,114,238,114,240,114,242,114,243,114,244,114,258,114,262,114,264,114,270,114,275,114,127,115,139,115,150,115,154,115,155,115,156,115,159,115,160,115,161,115,164,115,165,115,233,115,234,115,235,115,236,115,237,115,238,115,239,115,240,115,241,115,242,115,243,115,244,115,245,115,258,115,267,115,291,115,139,116,152,116,155,116,156,116,159,116,160,116,161,116,234,116,235,116,236,116,237,116,238,116,239,116,240,116,241,116,242,116,243,116,244,116,245,116,246,116,255,116,259,116,267,116,291,116,102,117,118,117,119,117,134,117,139,117,149,117,152,117,155,117,158,117,160,117,161,117,235,117,236,117,237,117,238,117,239,117,240,117,241,117,242,117,243,117,244,117,245,117,246,117,250,117,259,117,263,117,272,117,282,117,290,117,121,118,126,118,130,118,137,118,139,118,150,118,152,118,153,118,154,118,160,118,161,118,162,118,236,118,237,118,238,118,239,118,240,118,241,118,243,118,244,118,245,118,246,118,250,118,251,118,252,118,253,118,254,118,256,118,259,118,260,118,263,118,271,118,272,118,277,118,282,118,288,118,292,118,113,119,132,119,147,119,150,119,152,119,153,119,154,119,156,119,159,119,237,119,238,119,239,119,240,119,241,119,242,119,243,119,244,119,245,119,246,119,247,119,251,119,254,119,259,119,260,119,264,119,270,119,271,119,276,119,292,119,104,120,111,120,113,120,114,120,115,120,120,120,121,120,152,120,154,120,156,120,157,120,159,120,238,120,239,120,240,120,241,120,242,120,243,120,245,120,246,120,247,120,248,120,263,120,264,120,276,120,277,120,289,120,292,120,293,120,101,121,124,121,125,121,140,121,151,121,152,121,158,121,160,121,238,121,239,121,240,121,241,121,242,121,243,121,244,121,245,121,246,121,247,121,248,121,249,121,258,121,263,121,281,121,286,121,292,121,293,121,101,122,124,122,129,122,150,122,151,122,152,122,156,122,158,122,239,122,240,122,241,122,242,122,243,122,244,122,245,122,246,122,247,122,249,122,258,122,281,122,286,122,292,122,108,123,109,123,113,123,116,123,134,123,135,123,138,123,147,123,148,123,149,123,150,123,151,123,152,123,155,123,240,123,241,123,242,123,243,123,244,123,245,123,246,123,247,123,248,123,254,123,255,123,256,123,257,123,258,123,266,123,280,123,281,123,289,123,292,123,293,123,294,123,128,124,129,124,145,124,149,124,150,124,151,124,152,124,156,124,241,124,242,124,243,124,244,124,245,124,248,124,250,124,266,124,281,124,292,124,98,125,110,125,126,125,127,125,145,125,148,125,150,125,151,125,152,125,153,125,154,125,242,125,243,125,244,125,245,125,247,125,248,125,261,125,262,125,275,125,276,125,282,125,287,125,292,125,293,125,294,125,94,126,95,126,96,126,110,126,111,126,112,126,126,126,148,126,150,126,153,126,154,126,243,126,244,126,245,126,247,126,249,126,250,126,251,126,258,126,265,126,270,126,271,126,281,126,287,126,292,126,293,126,95,127,96,127,113,127,119,127,147,127,148,127,149,127,150,127,242,127,243,127,244,127,245,127,246,127,247,127,249,127,251,127,257,127,287,127,288,127,293,127,81,128,88,128,89,128,112,128,113,128,119,128,122,128,147,128,148,128,149,128,243,128,244,128,245,128,246,128,256,128,257,128,278,128,288,128,289,128,293,128,294,128,295,128,81,129,82,129,98,129,99,129,115,129,120,129,124,129,125,129,131,129,134,129,144,129,146,129,147,129,148,129,149,129,150,129,151,129,154,129,244,129,245,129,246,129,247,129,249,129,253,129,289,129,293,129,86,130,93,130,99,130,134,130,141,130,145,130,146,130,147,130,148,130,149,130,150,130,151,130,153,130,154,130,155,130,244,130,245,130,246,130,253,130,293,130,294,130,295,130,85,131,88,131,89,131,93,131,94,131,107,131,109,131,112,131,124,131,133,131,145,131,146,131,151,131,153,131,246,131,247,131,251,131,252,131,253,131,254,131,274,131,288,131,294,131,92,132,93,132,94,132,111,132,119,132,124,132,146,132,246,132,247,132,248,132,251,132,265,132,273,132,274,132,292,132,293,132,294,132,86,133,87,133,96,133,97,133,111,133,119,133,143,133,146,133,147,133,150,133,245,133,246,133,247,133,248,133,273,133,280,133,292,133,293,133,296,133,76,134,82,134,88,134,95,134,124,134,128,134,131,134,141,134,144,134,146,134,147,134,149,134,150,134,151,134,153,134,246,134,247,134,259,134,261,134,280,134,287,134,289,134,295,134,296,134,92,135,94,135,95,135,134,135,135,135,144,135,145,135,146,135,147,135,149,135,150,135,152,135,153,135,246,135,247,135,253,135,265,135,266,135,284,135,288,135,294,135,295,135,296,135,297,135,89,136,90,136,91,136,92,136,107,136,147,136,149,136,150,136,247,136,252,136,278,136,285,136,291,136,294,136,296,136,297,136,77,137,90,137,98,137,107,137,108,137,133,137,145,137,149,137,150,137,247,137,248,137,295,137,296,137,297,137,83,138,84,138,93,138,97,138,111,138,144,138,145,138,150,138,151,138,247,138,248,138,249,138,261,138,263,138,264,138,296,138,301,138,81,139,84,139,85,139,86,139,92,139,113,139,114,139,116,139,117,139,125,139,127,139,144,139,145,139,148,139,151,139,248,139,260,139,263,139,281,139,290,139,291,139,292,139,293,139,301,139,302,139,306,139,307,139,317,139,76,140,82,140,83,140,92,140,96,140,102,140,116,140,117,140,118,140,143,140,144,140,149,140,151,140,248,140,254,140,256,140,259,140,289,140,291,140,296,140,297,140,300,140,301,140,302,140,303,140,318,140,319,140,323,140,76,141,83,141,95,141,96,141,122,141,130,141,131,141,142,141,143,141,144,141,146,141,147,141,148,141,149,141,248,141,266,141,296,141,297,141,298,141,301,141,315,141,317,141,322,141,323,141,327,141,77,142,78,142,79,142,90,142,96,142,109,142,110,142,112,142,123,142,142,142,144,142,147,142,248,142,249,142,266,142,289,142,294,142,295,142,296,142,302,142,306,142,307,142,316,142,317,142,318,142,78,143,87,143,94,143,100,143,110,143,116,143,123,143,142,143,144,143,145,143,146,143,150,143,151,143,248,143,249,143,276,143,290,143,296,143,297,143,302,143,303,143,306,143,310,143,88,144,97,144,109,144,125,144,143,144,144,144,146,144,147,144,148,144,151,144,248,144,259,144,260,144,261,144,266,144,286,144,290,144,293,144,296,144,297,144,311,144,312,144,313,144,314,144,84,145,97,145,114,145,125,145,126,145,143,145,144,145,147,145,262,145,263,145,269,145,275,145,280,145,281,145,285,145,286,145,287,145,288,145,296,145,297,145,298,145,310,145,311,145,313,145,314,145,326,145,87,146,97,146,101,146,109,146,110,146,114,146,127,146,143,146,144,146,147,146,148,146,149,146,248,146,249,146,251,146,262,146,263,146,272,146,288,146,295,146,296,146,297,146,298,146,305,146,306,146,307,146,308,146,317,146,319,146,320,146,321,146,325,146,326,146,83,147,88,147,93,147,94,147,95,147,96,147,97,147,142,147,143,147,144,147,147,147,148,147,149,147,150,147,248,147,249,147,263,147,295,147,296,147,297,147,302,147,305,147,307,147,308,147,313,147,320,147,321,147,83,148,92,148,93,148,109,148,142,148,143,148,144,148,149,148,263,148,272,148,277,148,283,148,296,148,297,148,302,148,305,148,313,148,314,148,320,148,83,149,84,149,87,149,125,149,141,149,142,149,144,149,145,149,248,149,249,149,260,149,261,149,262,149,263,149,271,149,289,149,290,149,293,149,297,149,298,149,302,149,303,149,315,149,316,149,75,150,78,150,79,150,80,150,82,150,95,150,110,150,111,150,112,150,120,150,125,150,128,150,142,150,143,150,144,150,145,150,146,150,147,150,148,150,149,150,150,150,248,150,267,150,269,150,270,150,275,150,284,150,296,150,297,150,301,150,302,150,303,150,309,150,316,150,82,151,104,151,105,151,123,151,124,151,125,151,128,151,132,151,142,151,143,151,144,151,145,151,146,151,147,151,248,151,249,151,255,151,258,151,266,151,267,151,295,151,296,151,297,151,298,151,301,151,302,151,303,151,308,151,309,151,315,151,320,151,326,151,75,152,84,152,114,152,139,152,142,152,143,152,144,152,145,152,146,152,248,152,249,152,266,152,279,152,285,152,288,152,297,152,298,152,302,152,303,152,307,152,308,152,309,152,315,152,326,152,75,153,76,153,84,153,85,153,86,153,92,153,106,153,107,153,122,153,139,153,142,153,143,153,146,153,248,153,266,153,278,153,294,153,296,153,297,153,323,153,76,154,87,154,88,154,105,154,111,154,114,154,119,154,120,154,121,154,132,154,139,154,143,154,145,154,248,154,266,154,278,154,290,154,291,154,294,154,295,154,296,154,297,154,307,154,312,154,323,154,81,155,83,155,88,155,92,155,98,155,138,155,139,155,143,155,147,155,149,155,150,155,248,155,249,155,264,155,268,155,311,155,312,155,320,155,324,155,326,155,327,155,77,156,80,156,83,156,87,156,126,156,127,156,129,156,142,156,143,156,144,156,145,156,151,156,264,156,271,156,297,156,308,156,311,156,312,156,313,156,327,156,87,157,106,157,107,157,110,157,116,157,126,157,133,157,143,157,144,157,148,157,149,157,248,157,263,157,264,157,274,157,285,157,296,157,297,157,298,157,305,157,308,157,313,157,314,157,106,158,107,158,108,158,117,158,133,158,134,158,143,158,145,158,148,158,149,158,248,158,259,158,262,158,274,158,295,158,296,158,297,158,302,158,304,158,305,158,308,158,315,158,326,158,116,159,123,159,143,159,146,159,149,159,152,159,248,159,259,159,260,159,262,159,268,159,269,159,283,159,290,159,291,159,292,159,295,159,296,159,302,159,305,159,326,159,108,160,114,160,122,160,129,160,133,160,136,160,143,160,144,160,151,160,248,160,259,160,264,160,280,160,289,160,290,160,295,160,296,160,302,160,303,160,309,160,319,160,320,160,321,160,105,161,116,161,121,161,122,161,125,161,126,161,129,161,135,161,142,161,143,161,144,161,145,161,146,161,147,161,148,161,150,161,151,161,248,161,258,161,259,161,263,161,264,161,302,161,308,161,312,161,326,161,114,162,116,162,124,162,128,162,141,162,143,162,144,162,147,162,148,162,149,162,151,162,247,162,263,162,264,162,269,162,288,162,295,162,297,162,301,162,302,162,303,162,304,162,308,162,312,162,313,162,314,162,326,162,114,163,127,163,144,163,149,163,150,163,151,163,265,163,269,163,295,163,296,163,302,163,303,163,304,163,313,163,314,163,326,163,102,164,110,164,114,164,124,164,138,164,141,164,144,164,145,164,146,164,147,164,148,164,150,164,151,164,153,164,261,164,262,164,263,164,264,164,274,164,283,164,293,164,294,164,295,164,296,164,297,164,302,164,304,164,305,164,315,164,326,164,105,165,110,165,112,165,114,165,133,165,141,165,144,165,145,165,146,165,147,165,258,165,264,165,292,165,293,165,295,165,296,165,301,165,302,165,306,165,307,165,325,165,326,165,114,166,123,166,133,166,145,166,146,166,147,166,153,166,289,166,290,166,295,166,296,166,301,166,302,166,314,166,318,166,325,166,101,167,102,167,103,167,114,167,117,167,118,167,130,167,139,167,145,167,146,167,148,167,264,167,289,167,294,167,295,167,296,167,297,167,301,167,326,167,107,168,113,168,129,168,140,168,144,168,145,168,146,168,147,168,148,168,149,168,154,168,155,168,293,168,294,168,295,168,296,168,306,168,316,168,326,168,107,169,108,169,111,169,119,169,146,169,147,169,148,169,149,169,152,169,154,169,155,169,156,169,284,169,292,169,294,169,299,169,305,169,313,169,320,169,321,169,322,169,325,169,111,170,112,170,122,170,126,170,133,170,145,170,146,170,147,170,151,170,152,170,153,170,154,170,155,170,156,170,244,170,247,170,260,170,268,170,283,170,284,170,287,170,292,170,294,170,295,170,299,170,300,170,305,170,306,170,324,170,325,170,110,171,116,171,120,171,121,171,131,171,135,171,145,171,146,171,147,171,153,171,154,171,258,171,259,171,260,171,262,171,263,171,266,171,267,171,269,171,284,171,290,171,291,171,294,171,295,171,300,171,305,171,306,171,311,171,312,171,325,171,107,172,116,172,121,172,131,172,135,172,138,172,139,172,147,172,150,172,151,172,152,172,155,172,243,172,259,172,280,172,285,172,289,172,290,172,293,172,294,172,306,172,307,172,308,172,309,172,325,172,107,173,131,173,134,173,141,173,147,173,148,173,150,173,154,173,156,173,157,173,259,173,280,173,290,173,293,173,302,173,303,173,304,173,307,173,311,173,318,173,325,173,111,174,119,174,134,174,146,174,147,174,148,174,149,174,150,174,154,174,155,174,156,174,256,174,259,174,293,174,313,174,316,174,317,174,322,174,323,174,113,175,119,175,125,175,133,175,143,175,144,175,145,175,149,175,151,175,152,175,153,175,154,175,155,175,156,175,159,175,283,175,292,175,293,175,108,176,117,176,119,176,122,176,129,176,142,176,152,176,153,176,154,176,155,176,158,176,258,176,290,176,292,176,119,177,134,177,150,177,152,177,153,177,154,177,155,177,158,177,159,177,290,177,292,177,110,178,119,178,134,178,135,178,138,178,148,178,149,178,150,178,151,178,152,178,153,178,154,178,156,178,157,178,160,178,161,178,253,178,254,178,289,178,290,178,291,178,292,178,134,179,143,179,151,179,152,179,153,179,154,179,155,179,156,179,159,179,160,179,255,179,281,179,288,179,112,180,131,180,141,180,142,180,145,180,151,180,153,180,154,180,155,180,156,180,157,180,159,180,160,180,161,180,162,180,238,180,254,180,263,180,283,180,116,181,136,181,152,181,153,181,154,181,155,181,156,181,159,181,160,181,161,181,238,181,245,181,286,181,112,182,113,182,116,182,124,182,145,182,152,182,155,182,159,182,160,182,163,182,236,182,281,182,285,182,286,182,124,183,145,183,150,183,152,183,153,183,155,183,158,183,159,183,160,183,162,183,163,183,164,183,165,183,236,183,252,183,253,183,254,183,112,184,117,184,123,184,124,184,125,184,133,184,146,184,154,184,155,184,157,184,158,184,159,184,160,184,161,184,162,184,163,184,164,184,253,184,259,184,283,184,122,185,123,185,124,185,125,185,132,185,152,185,155,185,157,185,158,185,159,185,160,185,161,185,162,185,163,185,165,185,166,185,167,185,249,185,253,185,257,185,263,185,113,186,116,186,123,186,135,186,149,186,155,186,156,186,157,186,158,186,159,186,161,186,165,186,168,186,248,186,268,186,271,186,274,186,97,187,116,187,129,187,130,187,139,187,140,187,141,187,148,187,149,187,155,187,156,187,157,187,158,187,159,187,161,187,164,187,165,187,166,187,167,187,168,187,247,187,268,187,274,187,275,187,149,188,150,188,154,188,156,188,157,188,158,188,161,188,162,188,163,188,164,188,166,188,167,188,168,188,169,188,170,188,171,188,230,188,247,188,273,188,119,189,122,189,134,189,144,189,150,189,156,189,157,189,160,189,161,189,162,189,163,189,166,189,167,189,168,189,169,189,170,189,171,189,172,189,229,189,247,189,248,189,255,189,273,189,284,189,287,189,114,190,122,190,133,190,134,190,138,190,159,190,160,190,164,190,165,190,166,190,167,190,169,190,170,190,171,190,172,190,173,190,248,190,249,190,254,190,255,190,276,190,281,190,284,190,286,190,114,191,120,191,121,191,144,191,151,191,158,191,159,191,160,191,162,191,163,191,164,191,167,191,168,191,169,191,170,191,171,191,172,191,173,191,174,191,175,191,226,191,227,191,276,191,286,191,118,192,138,192,143,192,147,192,151,192,160,192,161,192,162,192,163,192,165,192,166,192,167,192,168,192,169,192,170,192,171,192,172,192,174,192,176,192,246,192,265,192,269,192,275,192,276,192,280,192,281,192,282,192,285,192,118,193,137,193,148,193,150,193,151,193,158,193,162,193,163,193,165,193,166,193,167,193,168,193,170,193,171,193,172,193,173,193,174,193,176,193,177,193,179,193,180,193,222,193,223,193,243,193,246,193,280,193,281,193,282,193,285,193,141,194,148,194,149,194,150,194,158,194,165,194,166,194,167,194,168,194,169,194,170,194,171,194,172,194,173,194,174,194,175,194,176,194,177,194,178,194,179,194,180,194,181,194,220,194,221,194,243,194,246,194,273,194,280,194,283,194,113,195,117,195,158,195,164,195,165,195,166,195,167,195,169,195,171,195,172,195,173,195,174,195,178,195,179,195,181,195,182,195,183,195,217,195,218,195,219,195,220,195,242,195,246,195,269,195,270,195,116,196,117,196,121,196,128,196,130,196,135,196,139,196,143,196,158,196,163,196,165,196,166,196,167,196,170,196,171,196,172,196,173,196,174,196,175,196,176,196,178,196,179,196,180,196,181,196,182,196,183,196,184,196,185,196,186,196,214,196,215,196,216,196,217,196,231,196,242,196,244,196,245,196,246,196,249,196,268,196,275,196,276,196,280,196,283,196,113,197,118,197,139,197,154,197,159,197,162,197,166,197,167,197,169,197,170,197,173,197,174,197,175,197,176,197,178,197,180,197,181,197,182,197,184,197,185,197,186,197,187,197,188,197,189,197,190,197,193,197,209,197,210,197,211,197,212,197,213,197,214,197,215,197,244,197,245,197,246,197,274,197,275,197,278,197,279,197,280,197,282,197,283,197,113,198,120,198,121,198,132,198,133,198,138,198,145,198,146,198,151,198,154,198,156,198,158,198,168,198,169,198,170,198,172,198,173,198,174,198,175,198,177,198,178,198,179,198,180,198,181,198,182,198,183,198,184,198,185,198,186,198,187,198,188,198,189,198,190,198,191,198,192,198,193,198,194,198,195,198,196,198,197,198,199,198,200,198,201,198,202,198,203,198,204,198,207,198,208,198,209,198,210,198,211,198,212,198,213,198,240,198,246,198,129,199,132,199,133,199,142,199,151,199,165,199,170,199,171,199,172,199,173,199,174,199,175,199,176,199,177,199,178,199,179,199,180,199,181,199,182,199,183,199,184,199,185,199,186,199,187,199,188,199,189,199,190,199,191,199,192,199,193,199,194,199,195,199,196,199,197,199,198,199,199,199,200,199,201,199,202,199,203,199,204,199,205,199,206,199,207,199,208,199,209,199,210,199,211,199,240,199,114,200,115,200,116,200,129,200,133,200,151,200,152,200,160,200,171,200,172,200,173,200,174,200,176,200,177,200,178,200,179,200,180,200,182,200,183,200,184,200,185,200,188,200,189,200,190,200,191,200,192,200,193,200,194,200,195,200,197,200,198,200,199,200,201,200,203,200,204,200,205,200,210,200,211,200,240,200,114,201,160,201,174,201,176,201,177,201,178,201,179,201,180,201,181,201,182,201,183,201,184,201,185,201,186,201,188,201,189,201,190,201,193,201,194,201,196,201,197,201,208,201,209,201,220,201,232,201,236,201,244,201,245,201,250,201,251,201,257,201,270,201,275,201,279,201,280,201,121,202,125,202,130,202,131,202,159,202,160,202,161,202,162,202,163,202,175,202,177,202,178,202,179,202,180,202,181,202,182,202,184,202,185,202,193,202,194,202,195,202,196,202,199,202,215,202,231,202,272,202,279,202,280,202,105,203,109,203,116,203,118,203,126,203,151,203,155,203,167,203,168,203,169,203,174,203,178,203,180,203,181,203,184,203,185,203,192,203,194,203,195,203,200,203,204,203,215,203,237,203,238,203,248,203,273,203,280,203,105,204,116,204,117,204,118,204,126,204,140,204,144,204,165,204,168,204,179,204,180,204,183,204,184,204,185,204,193,204,194,204,195,204,201,204,208,204,273,204,280,204,116,205,117,205,125,205,126,205,136,205,140,205,165,205,167,205,183,205,184,205,185,205,187,205,191,205,193,205,225,205,226,205,232,205,270,205,277,205,122,206,123,206,125,206,126,206,135,206,153,206,171,206,176,206,191,206,196,206,197,206,225,206,228,206,229,206,232,206,238,206,253,206,268,206,276,206,277,206,278,206,118,207,120,207,121,207,122,207,130,207,134,207,135,207,147,207,170,207,171,207,175,207,176,207,195,207,221,207,229,207,232,207,233,207,236,207,268,207,275,207,278,207,279,207,118,208,121,208,125,208,129,208,134,208,150,208,157,208,168,208,171,208,176,208,179,208,183,208,184,208,194,208,195,208,213,208,224,208,229,208,233,208,274,208,275,208,276,208,277,208,278,208,118,209,119,209,121,209,122,209,125,209,132,209,150,209,172,209,176,209,195,209,206,209,213,209,215,209,224,209,227,209,228,209,233,209,250,209,266,209,269,209,270,209,273,209,274,209,275,209,276,209,277,209,278,209,119,210,120,210,121,210,122,210,129,210,132,210,158,210,163,210,172,210,176,210,180,210,190,210,195,210,206,210,221,210,233,210,267,210,275,210,276,210,277,210,108,211,120,211,121,211,128,211,129,211,135,211,149,211,155,211,156,211,157,211,158,211,159,211,175,211,178,211,179,211,180,211,181,211,189,211,200,211,217,211,221,211,232,211,274,211,275,211,276,211,113,212,115,212,124,212,134,212,137,212,138,212,157,212,162,212,163,212,167,212,178,212,179,212,183,212,184,212,189,212,191,212,200,212,201,212,209,212,221,212,222,212,253,212,263,212,264,212,265,212,273,212,274,212,275,212,110,213,115,213,124,213,131,213,134,213,136,213,137,213,168,213,171,213,185,213,188,213,189,213,194,213,213,213,226,213,227,213,228,213,234,213,247,213,265,213,273,213,274,213,124,214,131,214,164,214,187,214,189,214,199,214,266,214,274,214,110,215,117,215,124,215,136,215,149,215,150,215,175,215,181,215,189,215,224,215,225,215,266,215,271,215,272,215,273,215,110,216,111,216,115,216,118,216,124,216,127,216,128,216,136,216,142,216,161,216,178,216,181,216,182,216,187,216,219,216,231,216,241,216,247,216,266,216,270,216,271,216,272,216,105,217,115,217,127,217,129,217,135,217,140,217,158,217,166,217,167,217,168,217,177,217,178,217,206,217,212,217,213,217,227,217,241,217,262,217,263,217,266,217,267,217,269,217,270,217,127,218,130,218,131,218,141,218,145,218,146,218,165,218,174,218,180,218,187,218,193,218,194,218,204,218,205,218,206,218,213,218,216,218,217,218,229,218,258,218,262,218,263,218,266,218,267,218,268,218,269,218,270,218,108,219,119,219,127,219,130,219,132,219,144,219,145,219,165,219,184,219,185,219,187,219,194,219,208,219,216,219,238,219,257,219,262,219,267,219,268,219,269,219,108,220,112,220,119,220,121,220,128,220,130,220,132,220,145,220,184,220,194,220,211,220,215,220,216,220,255,220,256,220,257,220,262,220,266,220,267,220,268,220,269,220,107,221,111,221,112,221,115,221,128,221,130,221,135,221,140,221,141,221,145,221,176,221,183,221,184,221,191,221,192,221,193,221,203,221,257,221,261,221,265,221,266,221,267,221,268,221,269,221,274,221,281,221,282,221,102,222,115,222,123,222,130,222,133,222,135,222,137,222,166,222,199,222,209,222,219,222,240,222,262,222,266,222,268,222,281,222,112,223,123,223,133,223,135,223,137,223,138,223,145,223,170,223,198,223,214,223,255,223,262,223,266,223,267,223,106,224,123,224,128,224,132,224,133,224,134,224,135,224,138,224,143,224,145,224,152,224,156,224,157,224,164,224,170,224,202,224,206,224,214,224,244,224,254,224,261,224,262,224,266,224,272,224,123,225,128,225,132,225,134,225,135,225,138,225,144,225,145,225,148,225,152,225,156,225,169,225,191,225,197,225,206,225,210,225,217,225,243,225,244,225,248,225,253,225,260,225,261,225,265,225,273,225,274,225,104,226,109,226,112,226,114,226,120,226,123,226,134,226,137,226,138,226,139,226,145,226,146,226,147,226,152,226,161,226,172,226,177,226,188,226,221,226,243,226,244,226,247,226,257,226,261,226,262,226,263,226,273,226,282,226,106,227,114,227,126,227,134,227,140,227,141,227,142,227,145,227,146,227,152,227,160,227,161,227,169,227,178,227,184,227,188,227,191,227,207,227,228,227,229,227,236,227,237,227,246,227,247,227,248,227,254,227,255,227,256,227,257,227,258,227,259,227,260,227,263,227,285,227,286,227,288,227,103,228,119,228,135,228,143,228,145,228,146,228,149,228,152,228,154,228,161,228,176,228,178,228,222,228,237,228,251,228,253,228,256,228,257,228,258,228,259,228,260,228,270,228,271,228,285,228,288,228,103,229,124,229,143,229,144,229,151,229,157,229,165,229,166,229,182,229,190,229,201,229,237,229,249,229,250,229,251,229,252,229,253,229,255,229,256,229,257,229,258,229,259,229,260,229,273,229,279,229,117,230,145,230,154,230,163,230,189,230,217,230,226,230,239,230,240,230,245,230,248,230,251,230,252,230,253,230,254,230,255,230,256,230,258,230,259,230,270,230,271,230,278,230,128,231,146,231,147,231,148,231,149,231,154,231,167,231,170,231,175,231,177,231,224,231,225,231,240,231,247,231,248,231,252,231,253,231,254,231,255,231,256,231,270,231,271,231,149,232,153,232,154,232,158,232,159,232,170,232,175,232,184,232,191,232,197,232,200,232,218,232,246,232,247,232,251,232,252,232,253,232,254,232,282,232,287,232,128,233,149,233,150,233,161,233,175,233,176,233,181,233,182,233,199,233,205,233,218,233,236,233,246,233,247,233,248,233,249,233,250,233,251,233,252,233,253,233,276,233,283,233,284,233,291,233,292,233,106,234,108,234,118,234,120,234,121,234,126,234,127,234,128,234,151,234,152,234,155,234,156,234,171,234,172,234,173,234,181,234,182,234,183,234,205,234,209,234,210,234,241,234,242,234,244,234,245,234,246,234,247,234,248,234,249,234,250,234,251,234,259,234,268,234,280,234,283,234,290,234,291,234,292,234,293,234,123,235,152,235,153,235,154,235,155,235,156,235,164,235,168,235,174,235,210,235,216,235,226,235,227,235,231,235,232,235,240,235,241,235,244,235,245,235,246,235,271,235,272,235,273,235,293,235,113,236,114,236,123,236,155,236,156,236,157,236,158,236,159,236,160,236,163,236,164,236,168,236,171,236,210,236,220,236,221,236,226,236,232,236,237,236,238,236,241,236,242,236,243,236,244,236,245,236,261,236,262,236,267,236,270,236,273,236,283,236,293,236,113,237,123,237,157,237,158,237,159,237,160,237,162,237,173,237,174,237,182,237,195,237,218,237,221,237,226,237,232,237,237,237,238,237,241,237,242,237,243,237,273,237,274,237,275,237,278,237,292,237,116,238,117,238,123,238,165,238,170,238,175,238,178,238,183,238,194,238,195,238,213,238,218,238,219,238,220,238,224,238,225,238,228,238,229,238,231,238,232,238,235,238,236,238,291,238,121,239,170,239,173,239,182,239,187,239,188,239,194,239,202,239,213,239,218,239,219,239,220,239,229,239,232,239,233,239,234,239,235,239,236,239,258,239,259,239,260,239,287,239,290,239,116,240,120,240,174,240,187,240,188,240,193,240,194,240,198,240,205,240,214,240,218,240,225,240,232,240,258,240,270,240,282,240,289,240,170,241,174,241,187,241,188,241,209,241,215,241,218,241,223,241,224,241,225,241,227,241,228,241,229,241,230,241,231,241,258,241,265,241,278,241,283,241,284,241,288,241,113,242,173,242,174,242,176,242,178,242,179,242,180,242,201,242,202,242,209,242,214,242,215,242,216,242,217,242,218,242,223,242,227,242,228,242,264,242,278,242,285,242,287,242,176,243,177,243,184,243,186,243,190,243,200,243,203,243,209,243,214,243,216,243,217,243,224,243,285,243,286,243,183,244,184,244,190,244,193,244,196,244,199,244,203,244,206,244,208,244,209,244,210,244,270,244,285,244,183,245,184,245,188,245,189,245,190,245,191,245,193,245,196,245,200,245,202,245,203,245,206,245,207,245,210,245,211,245,263,245,269,245,271,245,284,245,187,246,188,246,189,246,190,246,191,246,192,246,193,246,195,246,196,246,197,246,200,246,201,246,202,246,203,246,204,246,206,246,207,246,208,246,273,246,283,246,190,247,191,247,192,247,193,247,194,247,195,247,196,247,197,247,198,247,199,247,200,247,201,247,202,247,203,247,204,247,205,247,264,247,266,247,267,247,279,247,278,248,279,248,280,248,278,249,271,250,272,250,278,250,276,251,277,251,275,252,185,253,273,253,204,254,272,254,182,255,198,255,199,255,186,256,188,256,190,256,180,257,193,257,196,257,197,257,180,258,193,258,180,259,186,259,187,259,191,259,195,259,200,259,180,260,185,260,187,260,192,260,195,260,200,260,201,260,202,260,192,261,195,261,197,261,181,262,184,262,198,262,199,262,176,263,177,263,188,263,198,263,199,263,203,263,204,263,205,263,208,263,185,264,189,264,203,264,204,264,196,265,197,265,208,265,185,266,189,266,208,266,188,267,195,267,201,268,205,268,191,269,192,269,195,269,179,270,207,271,183,272,202,272,207,272,184,273,199,273,203,273,204,274,182,275,183,275,193,275,186,276,187,276,191,276,192,276,193,276,198,276,199,276,202,276,203,276,205,276,206,276,174,282,48,325,58,325,150,325,202,325,48,326,57,326,58,326,149,326,150,326,201,326,202,326,48,327,56,327,57,327,58,327,148,327,149,327,150,327,200,327,201,327,202,327,48,328,55,328,56,328,57,328,58,328,147,328,148,328,149,328,150,328,199,328,200,328,201,328,202,328,48,329,54,329,55,329,56,329,57,329,58,329,146,329,147,329,148,329,149,329,150,329,198,329,199,329,200,329,201,329,202,329,365,329,366,329,367,329,48,330,54,330,55,330,56,330,57,330,58,330,146,330,147,330,148,330,149,330,150,330,198,330,199,330,200,330,201,330,202,330,255,330,294,330,48,331,54,331,55,331,56,331,57,331,58,331,110,331,146,331,147,331,148,331,149,331,150,331,198,331,199,331,200,331,201,331,202,331,254,331,255,331,294,331,347,331,48,332,54,332,55,332,56,332,57,332,58,332,109,332,110,332,146,332,147,332,148,332,149,332,150,332,198,332,199,332,200,332,201,332,202,332,253,332,254,332,255,332,294,332,335,332,345,332,346,332,48,333,54,333,55,333,56,333,57,333,58,333,108,333,109,333,110,333,146,333,147,333,148,333,149,333,150,333,198,333,199,333,200,333,201,333,202,333,253,333,254,333,255,333,293,333,294,333,334,333,335,333,336,333,343,333,344,333,48,334,54,334,55,334,56,334,57,334,58,334,107,334,108,334,109,334,110,334,146,334,147,334,148,334,149,334,150,334,198,334,199,334,200,334,201,334,202,334,252,334,253,334,254,334,255,334,293,334,294,334,334,334,335,334,336,334,337,334,341,334,342,334,48,335,54,335,55,335,56,335,57,335,58,335,107,335,108,335,109,335,110,335,146,335,147,335,148,335,149,335,150,335,198,335,199,335,200,335,201,335,202,335,251,335,252,335,253,335,254,335,255,335,292,335,293,335,294,335,333,335,334,335,335,335,336,335,337,335,340,335,341,335,48,336,54,336,55,336,56,336,57,336,58,336,106,336,107,336,108,336,109,336,110,336,146,336,147,336,148,336,149,336,150,336,198,336,199,336,200,336,201,336,202,336,251,336,252,336,253,336,254,336,255,336,292,336,293,336,294,336,333,336,334,336,335,336,336,336,337,336,338,336,359,336,360,336,361,336,362,336,363,336,48,337,54,337,55,337,56,337,57,337,58,337,106,337,107,337,108,337,109,337,110,337,146,337,147,337,148,337,149,337,150,337,198,337,199,337,200,337,201,337,202,337,251,337,252,337,253,337,254,337,255,337,292,337,293,337,294,337,332,337,333,337,334,337,335,337,336,337,337,337,354,337,355,337,356,337,357,337,358,337,359,337,360,337,361,337,362,337,363,337,364,337,365,337,366,337,367,337,27,338,28,338,29,338,30,338,31,338,32,338,33,338,34,338,35,338,36,338,37,338,38,338,39,338,40,338,41,338,42,338,43,338,44,338,45,338,46,338,47,338,54,338,55,338,56,338,57,338,58,338,59,338,60,338,61,338,62,338,63,338,64,338,65,338,66,338,67,338,68,338,69,338,70,338,71,338,72,338,73,338,74,338,75,338,76,338,77,338,78,338,79,338,80,338,81,338,82,338,83,338,84,338,106,338,107,338,108,338,109,338,110,338,126,338,127,338,128,338,129,338,130,338,131,338,132,338,133,338,134,338,135,338,136,338,137,338,138,338,139,338,146,338,147,338,148,338,149,338,150,338,151,338,152,338,153,338,154,338,155,338,156,338,157,338,158,338,159,338,160,338,161,338,162,338,163,338,164,338,165,338,166,338,167,338,168,338,169,338,170,338,171,338,172,338,173,338,174,338,175,338,176,338,177,338,178,338,179,338,180,338,181,338,182,338,183,338,184,338,185,338,186,338,187,338,188,338,189,338,190,338,191,338,192,338,198,338,199,338,200,338,201,338,202,338,203,338,204,338,205,338,206,338,207,338,208,338,209,338,210,338,211,338,212,338,213,338,214,338,215,338,216,338,217,338,218,338,219,338,220,338,221,338,222,338,223,338,224,338,225,338,226,338,227,338,228,338,229,338,251,338,252,338,253,338,254,338,255,338,270,338,271,338,272,338,273,338,274,338,275,338,276,338,277,338,278,338,279,338,280,338,281,338,282,338,283,338,284,338,285,338,286,338,292,338,293,338,294,338,295,338,296,338,297,338,298,338,299,338,300,338,301,338,302,338,303,338,304,338,305,338,306,338,307,338,308,338,309,338,310,338,311,338,312,338,313,338,314,338,315,338,333,338,334,338,335,338,336,338,352,338,353,338,354,338,355,338,356,338,357,338,358,338,359,338,360,338,361,338,362,338,363,338,364,338,365,338,366,338,367,338,54,339,55,339,56,339,57,339,106,339,107,339,108,339,109,339,110,339,146,339,147,339,148,339,149,339,198,339,199,339,200,339,201,339,202,339,251,339,252,339,253,339,254,339,255,339,292,339,293,339,334,339,335,339,350,339,351,339,352,339,353,339,354,339,355,339,356,339,357,339,358,339,359,339,360,339,361,339,362,339,363,339,364,339,365,339,366,339,5,340,54,340,55,340,56,340,57,340,106,340,107,340,108,340,109,340,110,340,146,340,147,340,148,340,198,340,199,340,200,340,201,340,251,340,252,340,253,340,254,340,255,340,292,340,293,340,335,340,349,340,350,340,351,340,352,340,353,340,354,340,355,340,356,340,365,340,366,340,386,340,5,341,54,341,55,341,56,341,106,341,107,341,108,341,109,341,110,341,146,341,147,341,148,341,198,341,199,341,200,341,251,341,252,341,253,341,254,341,255,341,292,341,293,341,348,341,349,341,350,341,351,341,352,341,353,341,367,341,4,342,5,342,54,342,55,342,106,342,107,342,108,342,109,342,110,342,146,342,147,342,198,342,199,342,200,342,251,342,252,342,253,342,254,342,255,342,292,342,293,342,347,342,348,342,349,342,350,342,351,342,352,342,367,342,368,342,369,342,387,342,3,343,4,343,5,343,54,343,55,343,106,343,107,343,108,343,109,343,110,343,146,343,147,343,198,343,199,343,251,343,252,343,253,343,254,343,255,343,292,343,347,343,348,343,349,343,350,343,367,343,368,343,369,343,370,343,387,343,3,344,4,344,5,344,54,344,106,344,107,344,108,344,109,344,110,344,146,344,198,344,199,344,251,344,252,344,253,344,254,344,255,344,292,344,346,344,347,344,348,344,349,344,367,344,368,344,369,344,370,344,371,344,2,345,3,345,4,345,5,345,41,345,54,345,106,345,107,345,108,345,109,345,110,345,198,345,251,345,252,345,253,345,254,345,255,345,292,345,326,345,346,345,347,345,348,345,367,345,368,345,369,345,370,345,371,345,372,345,388,345,2,346,3,346,4,346,5,346,41,346,106,346,107,346,108,346,109,346,110,346,251,346,252,346,253,346,254,346,255,346,294,346,325,346,346,346,347,346,348,346,367,346,368,346,369,346,370,346,371,346,372,346,388,346,1,347,2,347,3,347,4,347,5,347,41,347,58,347,106,347,107,347,108,347,109,347,110,347,202,347,251,347,252,347,253,347,254,347,255,347,294,347,325,347,326,347,346,347,347,347,348,347,367,347,368,347,369,347,370,347,371,347,372,347,373,347,388,347,1,348,2,348,3,348,4,348,5,348,41,348,57,348,58,348,106,348,107,348,108,348,109,348,110,348,202,348,251,348,252,348,253,348,254,348,255,348,294,348,324,348,325,348,326,348,346,348,347,348,369,348,370,348,371,348,372,348,373,348,388,348,1,349,2,349,3,349,4,349,5,349,41,349,57,349,58,349,106,349,107,349,108,349,109,349,110,349,160,349,201,349,202,349,251,349,252,349,253,349,254,349,255,349,294,349,323,349,324,349,325,349,328,349,346,349,347,349,371,349,372,349,373,349,388,349,1,350,2,350,3,350,4,350,5,350,41,350,56,350,57,350,58,350,106,350,107,350,108,350,109,350,110,350,160,350,201,350,202,350,251,350,252,350,253,350,254,350,255,350,293,350,294,350,323,350,324,350,325,350,346,350,347,350,348,350,372,350,373,350,1,351,2,351,3,351,4,351,5,351,41,351,56,351,57,351,58,351,106,351,107,351,108,351,109,351,110,351,160,351,200,351,201,351,202,351,251,351,252,351,253,351,254,351,255,351,293,351,294,351,322,351,323,351,324,351,333,351,347,351,348,351,373,351,387,351,395,351,1,352,2,352,3,352,4,352,5,352,41,352,55,352,56,352,57,352,58,352,106,352,107,352,108,352,109,352,110,352,160,352,200,352,201,352,202,352,251,352,252,352,253,352,254,352,255,352,293,352,294,352,322,352,323,352,324,352,333,352,347,352,348,352,387,352,1,353,2,353,3,353,4,353,5,353,41,353,55,353,56,353,57,353,58,353,106,353,107,353,108,353,109,353,110,353,159,353,160,353,199,353,200,353,201,353,202,353,251,353,252,353,253,353,254,353,255,353,293,353,294,353,322,353,323,353,332,353,333,353,334,353,348,353,349,353,372,353,373,353,387,353,1,354,2,354,3,354,4,354,5,354,27,354,54,354,55,354,56,354,57,354,58,354,106,354,107,354,108,354,109,354,110,354,159,354,160,354,199,354,200,354,201,354,202,354,251,354,252,354,253,354,254,354,255,354,293,354,294,354,322,354,323,354,332,354,333,354,334,354,349,354,350,354,372,354,373,354,386,354,1,355,2,355,3,355,4,355,5,355,27,355,54,355,55,355,56,355,57,355,58,355,106,355,107,355,108,355,109,355,110,355,159,355,160,355,198,355,199,355,200,355,201,355,202,355,251,355,252,355,253,355,254,355,255,355,292,355,293,355,294,355,322,355,332,355,333,355,334,355,335,355,350,355,351,355,370,355,371,355,386,355,1,356,2,356,3,356,4,356,5,356,27,356,54,356,55,356,56,356,57,356,58,356,106,356,107,356,108,356,109,356,110,356,159,356,160,356,198,356,199,356,200,356,201,356,202,356,251,356,252,356,253,356,254,356,255,356,292,356,293,356,294,356,331,356,332,356,333,356,334,356,335,356,352,356,353,356,368,356,369,356,385,356,1,357,2,357,3,357,4,357,5,357,27,357,54,357,55,357,56,357,57,357,58,357,106,357,107,357,108,357,109,357,110,357,159,357,160,357,198,357,199,357,200,357,201,357,202,357,251,357,252,357,253,357,254,357,255,357,292,357,293,357,294,357,331,357,332,357,333,357,334,357,335,357,336,357,354,357,355,357,356,357,365,357,366,357,367,357,384,357,1,358,2,358,3,358,4,358,5,358,27,358,54,358,55,358,56,358,57,358,58,358,106,358,107,358,108,358,109,358,110,358,159,358,160,358,198,358,199,358,200,358,201,358,202,358,251,358,252,358,253,358,254,358,255,358,292,358,293,358,294,358,330,358,331,358,332,358,333,358,334,358,335,358,359,358,360,358,361,358,362,358,383,358,384,358,1,359,2,359,3,359,4,359,5,359,27,359,54,359,55,359,56,359,57,359,58,359,106,359,107,359,108,359,109,359,110,359,159,359,160,359,198,359,199,359,200,359,201,359,202,359,251,359,252,359,253,359,254,359,255,359,292,359,293,359,294,359,330,359,331,359,332,359,333,359,334,359,382,359,383,359,1,360,2,360,3,360,4,360,5,360,27,360,54,360,55,360,56,360,57,360,58,360,106,360,107,360,108,360,109,360,110,360,159,360,160,360,198,360,199,360,200,360,201,360,202,360,251,360,252,360,253,360,254,360,255,360,292,360,293,360,294,360,331,360,332,360,333,360,381,360,382,360,1,361,2,361,3,361,4,361,5,361,6,361,27,361,54,361,55,361,56,361,57,361,58,361,106,361,107,361,108,361,109,361,110,361,111,361,159,361,160,361,198,361,199,361,200,361,201,361,202,361,203,361,251,361,252,361,253,361,254,361,255,361,292,361,293,361,294,361,331,361,332,361,379,361,380,361,1,362,2,362,3,362,4,362,5,362,6,362,7,362,27,362,54,362,55,362,56,362,57,362,58,362,59,362,106,362,107,362,108,362,109,362,110,362,111,362,159,362,160,362,198,362,199,362,200,362,201,362,202,362,203,362,204,362,251,362,252,362,253,362,254,362,255,362,292,362,293,362,294,362,295,362,331,362,332,362,377,362,378,362,379,362,1,363,2,363,3,363,4,363,5,363,6,363,7,363,8,363,27,363,54,363,55,363,56,363,57,363,58,363,59,363,60,363,106,363,107,363,108,363,109,363,110,363,111,363,112,363,159,363,160,363,198,363,199,363,200,363,201,363,202,363,203,363,204,363,205,363,251,363,252,363,253,363,254,363,255,363,256,363,292,363,293,363,294,363,295,363,296,363,332,363,333,363,375,363,376,363,377,363,1,364,2,364,3,364,4,364,5,364,6,364,7,364,8,364,9,364,27,364,54,364,55,364,56,364,57,364,58,364,59,364,60,364,61,364,106,364,107,364,108,364,109,364,110,364,111,364,112,364,113,364,159,364,160,364,198,364,199,364,200,364,201,364,202,364,203,364,204,364,205,364,206,364,251,364,252,364,253,364,254,364,255,364,256,364,257,364,292,364,293,364,294,364,295,364,296,364,297,364,332,364,333,364,334,364,344,364,345,364,375,364,1,365,2,365,3,365,4,365,5,365,6,365,7,365,8,365,9,365,10,365,27,365,54,365,55,365,56,365,57,365,58,365,59,365,60,365,61,365,62,365,106,365,107,365,108,365,109,365,110,365,111,365,112,365,113,365,159,365,160,365,198,365,199,365,200,365,201,365,202,365,203,365,204,365,205,365,206,365,207,365,251,365,252,365,253,365,254,365,255,365,256,365,257,365,292,365,293,365,294,365,295,365,296,365,297,365,298,365,331,365,332,365,333,365,334,365,335,365,336,365,339,365,344,365,345,365,346,365,347,365,348,365,375,365,1,366,2,366,3,366,4,366,5,366,6,366,7,366,8,366,9,366,10,366,11,366,54,366,55,366,56,366,57,366,58,366,59,366,60,366,61,366,62,366,63,366,106,366,107,366,108,366,109,366,110,366,111,366,112,366,113,366,114,366,159,366,160,366,198,366,199,366,200,366,201,366,202,366,203,366,204,366,205,366,206,366,207,366,251,366,252,366,253,366,254,366,255,366,256,366,257,366,258,366,292,366,293,366,294,366,295,366,296,366,297,366,298,366,299,366,331,366,332,366,333,366,334,366,335,366,336,366,337,366,344,366,345,366,346,366,347,366,348,366,349,366,350,366,351,366,375,366,376,366,377,366,1,367,2,367,3,367,4,367,5,367,6,367,7,367,8,367,9,367,10,367,54,367,55,367,56,367,57,367,58,367,59,367,60,367,61,367,62,367,63,367,106,367,107,367,108,367,109,367,110,367,111,367,112,367,113,367,114,367,159,367,160,367,198,367,199,367,200,367,201,367,202,367,203,367,204,367,205,367,206,367,207,367,251,367,252,367,253,367,254,367,255,367,256,367,257,367,258,367,292,367,293,367,294,367,295,367,296,367,297,367,298,367,299,367,330,367,331,367,332,367,333,367,334,367,335,367,336,367,343,367,344,367,345,367,346,367,347,367,348,367,349,367,350,367,351,367,352,367,353,367,360,367,361,367,362,367,363,367,375,367,376,367,377,367,378,367,1,368,2,368,3,368,4,368,5,368,6,368,7,368,8,368,9,368,10,368,54,368,55,368,56,368,57,368,58,368,59,368,60,368,61,368,62,368,63,368,106,368,107,368,108,368,109,368,110,368,111,368,112,368,113,368,114,368,159,368,160,368,198,368,199,368,200,368,201,368,202,368,203,368,204,368,205,368,206,368,207,368,251,368,252,368,253,368,254,368,255,368,256,368,257,368,292,368,293,368,294,368,295,368,296,368,297,368,298,368,299,368,330,368,331,368,332,368,333,368,334,368,335,368,336,368,343,368,344,368,345,368,346,368,347,368,348,368,349,368,350,368,351,368,352,368,353,368,376,368,377,368,378,368,379,368,380,368,1,369,2,369,3,369,4,369,5,369,6,369,7,369,8,369,9,369,10,369,54,369,55,369,56,369,57,369,58,369,59,369,60,369,61,369,62,369,106,369,107,369,108,369,109,369,110,369,111,369,112,369,113,369,114,369,159,369,160,369,198,369,199,369,200,369,201,369,202,369,203,369,204,369,205,369,206,369,207,369,251,369,252,369,253,369,254,369,255,369,256,369,257,369,292,369,293,369,294,369,295,369,296,369,297,369,298,369,299,369,330,369,331,369,332,369,333,369,334,369,335,369,336,369,343,369,344,369,345,369,346,369,347,369,348,369,349,369,350,369,351,369,352,369,353,369,376,369,377,369,378,369,379,369,380,369,1,370,2,370,3,370,4,370,5,370,6,370,7,370,8,370,9,370,10,370,54,370,55,370,56,370,57,370,58,370,59,370,60,370,61,370,62,370,106,370,107,370,108,370,109,370,110,370,111,370,112,370,113,370,159,370,160,370,198,370,199,370,200,370,201,370,202,370,203,370,204,370,205,370,206,370,251,370,252,370,253,370,254,370,255,370,256,370,257,370,292,370,293,370,294,370,295,370,296,370,297,370,298,370,299,370,329,370,330,370,331,370,332,370,333,370,334,370,335,370,336,370,343,370,344,370,345,370,346,370,347,370,348,370,349,370,350,370,351,370,352,370,353,370,376,370,377,370,378,370,379,370,380,370,1,371,2,371,3,371,4,371,5,371,6,371,7,371,8,371,9,371,54,371,55,371,56,371,57,371,58,371,59,371,60,371,61,371,62,371,106,371,107,371,108,371,109,371,110,371,111,371,112,371,113,371,159,371,198,371,199,371,200,371,201,371,202,371,203,371,204,371,205,371,206,371,251,371,252,371,253,371,254,371,255,371,256,371,257,371,292,371,293,371,294,371,295,371,296,371,297,371,298,371,329,371,330,371,331,371,332,371,333,371,334,371,335,371,342,371,343,371,344,371,345,371,346,371,347,371,348,371,349,371,350,371,351,371,352,371,353,371,354,371,376,371,377,371,378,371,379,371,380,371,381,371,1,372,2,372,3,372,4,372,5,372,6,372,7,372,8,372,9,372,54,372,55,372,56,372,57,372,58,372,59,372,60,372,61,372,62,372,106,372,107,372,108,372,109,372,110,372,111,372,112,372,113,372,159,372,198,372,199,372,200,372,201,372,202,372,203,372,204,372,205,372,206,372,251,372,252,372,253,372,254,372,255,372,256,372,257,372,292,372,293,372,294,372,295,372,296,372,297,372,298,372,330,372,331,372,332,372,333,372,334,372,335,372,342,372,343,372,344,372,345,372,346,372,347,372,348,372,349,372,350,372,351,372,352,372,353,372,354,372,358,372,359,372,360,372,361,372,362,372,376,372,377,372,378,372,379,372,380,372,381,372,1,373,2,373,3,373,4,373,5,373,6,373,7,373,8,373,9,373,54,373,55,373,56,373,57,373,58,373,59,373,60,373,61,373,106,373,107,373,108,373,109,373,110,373,111,373,112,373,113,373,159,373,198,373,199,373,200,373,201,373,202,373,203,373,204,373,205,373,206,373,251,373,252,373,253,373,254,373,255,373,256,373,257,373,292,373,293,373,294,373,295,373,296,373,297,373,298,373,331,373,332,373,333,373,334,373,335,373,343,373,344,373,345,373,346,373,347,373,348,373,349,373,350,373,351,373,352,373,353,373,354,373,376,373,377,373,378,373,379,373,380,373,381,373,1,374,2,374,3,374,4,374,5,374,6,374,7,374,8,374,9,374,54,374,55,374,56,374,57,374,58,374,59,374,60,374,61,374,106,374,107,374,108,374,109,374,110,374,111,374,112,374,113,374,159,374,198,374,199,374,200,374,201,374,202,374,203,374,204,374,205,374,251,374,252,374,253,374,254,374,255,374,256,374,257,374,292,374,293,374,294,374,295,374,296,374,297,374,298,374,332,374,333,374,334,374,345,374,346,374,347,374,348,374,349,374,350,374,351,374,352,374,353,374,377,374,378,374,379,374,380,374,381,374,1,375,2,375,3,375,4,375,5,375,6,375,7,375,8,375,54,375,55,375,56,375,57,375,58,375,59,375,60,375,61,375,106,375,107,375,108,375,109,375,110,375,111,375,112,375,113,375,159,375,198,375,199,375,200,375,201,375,202,375,203,375,204,375,205,375,251,375,252,375,253,375,254,375,255,375,256,375,257,375,292,375,293,375,294,375,295,375,296,375,297,375,298,375,334,375,347,375,348,375,349,375,350,375,351,375,352,375,353,375,378,375,379,375,380,375,381,375,382,375,2,376,3,376,4,376,5,376,6,376,7,376,8,376,55,376,56,376,57,376,58,376,59,376,60,376,61,376,107,376,108,376,109,376,110,376,111,376,112,376,159,376,199,376,200,376,201,376,202,376,203,376,204,376,205,376,252,376,253,376,254,376,255,376,256,376,257,376,293,376,294,376,295,376,296,376,297,376,298,376,351,376,352,376,353,376,379,376,380,376,381,376,382,376,3,377,4,377,5,377,6,377,7,377,8,377,56,377,57,377,58,377,59,377,60,377,108,377,109,377,110,377,111,377,112,377,200,377,201,377,202,377,203,377,204,377,205,377,253,377,254,377,255,377,256,377,257,377,294,377,295,377,296,377,297,377,298,377,353,377,381,377,382,377,4,378,5,378,6,378,7,378,8,378,57,378,58,378,59,378,60,378,109,378,110,378,111,378,112,378,201,378,202,378,203,378,204,378,254,378,255,378,256,378,295,378,296,378,297,378,298,378,353,378,5,379,6,379,7,379,58,379,59,379,60,379,110,379,111,379,112,379,202,379,203,379,204,379,255,379,256,379,296,379,297,379,298,379,353,379,6,380,7,380,59,380,60,380,111,380,112,380,203,380,204,380,256,380,297,380,298,380,7,381,112,381,204,381,298,381}
  listgrassmedium = {227,14,227,15,227,16,227,17,227,18,226,19,227,19,226,20,227,20,226,21,227,21,225,22,226,22,227,22,228,22,225,23,226,23,227,23,228,23,226,24,227,24,228,24,225,25,226,25,227,25,228,25,225,26,226,26,227,26,228,26,225,27,226,27,227,27,228,27,198,28,225,28,226,28,227,28,228,28,224,29,225,29,226,29,227,29,228,29,224,30,227,30,228,30,229,30,224,31,225,31,226,31,227,31,228,31,229,31,224,32,225,32,226,32,227,32,228,32,229,32,225,33,226,33,227,33,228,33,229,33,207,34,225,34,226,34,227,34,228,34,229,34,225,35,226,35,227,35,228,35,229,35,225,36,226,36,227,36,228,36,229,36,225,37,226,37,227,37,228,37,229,37,230,37,195,38,225,38,226,38,227,38,228,38,229,38,230,38,225,39,226,39,227,39,228,39,229,39,230,39,225,40,226,40,227,40,228,40,229,40,230,40,231,40,192,41,225,41,226,41,227,41,228,41,229,41,230,41,231,41,232,41,233,41,193,42,201,42,225,42,226,42,227,42,228,42,229,42,230,42,231,42,232,42,233,42,234,42,235,42,226,43,227,43,228,43,229,43,230,43,231,43,232,43,233,43,234,43,235,43,236,43,237,43,238,43,191,44,194,44,226,44,227,44,228,44,229,44,230,44,231,44,232,44,233,44,234,44,235,44,236,44,237,44,239,44,240,44,213,45,226,45,227,45,228,45,229,45,230,45,231,45,232,45,233,45,234,45,235,45,237,45,239,45,240,45,241,45,242,45,226,46,227,46,228,46,229,46,230,46,234,46,235,46,236,46,237,46,238,46,239,46,240,46,241,46,243,46,244,46,193,47,194,47,215,47,216,47,226,47,227,47,228,47,229,47,230,47,231,47,232,47,237,47,239,47,240,47,241,47,243,47,244,47,245,47,246,47,298,47,221,48,226,48,227,48,228,48,229,48,230,48,231,48,235,48,236,48,237,48,238,48,240,48,241,48,242,48,243,48,244,48,245,48,246,48,248,48,249,48,294,48,295,48,298,48,299,48,221,49,226,49,227,49,228,49,229,49,232,49,234,49,237,49,238,49,243,49,247,49,294,49,295,49,298,49,299,49,300,49,200,50,207,50,221,50,227,50,228,50,230,50,231,50,232,50,234,50,235,50,236,50,238,50,239,50,240,50,294,50,295,50,302,50,182,51,191,51,199,51,227,51,231,51,234,51,235,51,236,51,253,51,292,51,293,51,302,51,194,52,195,52,201,52,206,52,208,52,209,52,226,52,227,52,300,52,301,52,302,52,303,52,206,53,212,53,213,53,214,53,216,53,226,53,227,53,228,53,204,54,206,54,211,54,212,54,214,54,215,54,218,54,225,54,226,54,227,54,228,54,232,54,233,54,296,54,297,54,298,54,140,55,197,55,204,55,211,55,224,55,229,55,232,55,293,55,305,55,306,55,307,55,142,56,143,56,188,56,190,56,191,56,201,56,204,56,210,56,216,56,224,56,225,56,298,56,299,56,305,56,306,56,307,56,194,57,212,57,213,57,221,57,222,57,224,57,225,57,226,57,227,57,228,57,238,57,300,57,301,57,303,57,306,57,307,57,308,57,138,58,165,58,221,58,222,58,223,58,224,58,225,58,226,58,227,58,228,58,229,58,294,58,301,58,302,58,303,58,307,58,308,58,309,58,98,59,209,59,210,59,219,59,220,59,223,59,224,59,227,59,234,59,236,59,293,59,294,59,307,59,308,59,309,59,310,59,99,60,145,60,234,60,293,60,296,60,297,60,304,60,309,60,310,60,99,61,100,61,101,61,148,61,154,61,167,61,233,61,234,61,295,61,304,61,306,61,310,61,311,61,100,62,101,62,102,62,166,62,233,62,234,62,237,62,299,62,300,62,306,62,309,62,100,63,101,63,102,63,103,63,232,63,240,63,242,63,251,63,281,63,297,63,304,63,305,63,308,63,312,63,313,63,101,64,102,64,103,64,104,64,139,64,156,64,227,64,232,64,242,64,295,64,296,64,297,64,298,64,311,64,312,64,313,64,314,64,102,65,103,65,104,65,105,65,106,65,137,65,138,65,141,65,156,65,191,65,213,65,230,65,241,65,246,65,253,65,295,65,296,65,298,65,305,65,306,65,307,65,311,65,312,65,313,65,103,66,104,66,105,66,106,66,107,66,108,66,191,66,199,66,238,66,245,66,250,66,251,66,257,66,301,66,303,66,309,66,310,66,312,66,313,66,315,66,103,67,104,67,105,67,106,67,107,67,108,67,150,67,196,67,250,67,251,67,287,67,304,67,306,67,309,67,310,67,313,67,315,67,104,68,105,68,106,68,107,68,108,68,138,68,228,68,244,68,251,68,252,68,284,68,301,68,303,68,304,68,306,68,307,68,310,68,313,68,314,68,315,68,316,68,104,69,105,69,106,69,107,69,108,69,109,69,133,69,247,69,248,69,251,69,257,69,260,69,261,69,262,69,301,69,303,69,306,69,307,69,310,69,313,69,314,69,315,69,316,69,317,69,105,70,106,70,107,70,108,70,109,70,132,70,147,70,251,70,257,70,261,70,262,70,263,70,302,70,303,70,305,70,306,70,307,70,308,70,309,70,311,70,312,70,313,70,314,70,315,70,316,70,317,70,105,71,106,71,107,71,108,71,109,71,110,71,132,71,145,71,146,71,147,71,149,71,150,71,190,71,191,71,222,71,242,71,250,71,255,71,256,71,261,71,304,71,306,71,307,71,308,71,309,71,311,71,312,71,313,71,314,71,315,71,316,71,106,72,107,72,108,72,109,72,110,72,111,72,128,72,147,72,151,72,152,72,190,72,213,72,255,72,257,72,258,72,261,72,307,72,308,72,309,72,310,72,311,72,312,72,313,72,314,72,315,72,316,72,106,73,107,73,108,73,109,73,110,73,111,73,112,73,144,73,145,73,151,73,166,73,262,73,274,73,305,73,306,73,307,73,310,73,311,73,312,73,313,73,314,73,315,73,107,74,108,74,109,74,110,74,111,74,112,74,133,74,150,74,261,74,306,74,307,74,309,74,310,74,311,74,312,74,313,74,314,74,108,75,109,75,110,75,111,75,112,75,113,75,126,75,145,75,249,75,255,75,261,75,262,75,278,75,285,75,307,75,308,75,309,75,310,75,311,75,312,75,313,75,109,76,110,76,111,76,112,76,113,76,114,76,256,76,261,76,274,76,286,76,306,76,308,76,309,76,311,76,312,76,109,77,110,77,111,77,112,77,113,77,114,77,115,77,116,77,124,77,144,77,253,77,258,77,259,77,261,77,263,77,273,77,274,77,287,77,288,77,306,77,307,77,308,77,309,77,310,77,109,78,110,78,111,78,112,78,113,78,116,78,142,78,143,78,164,78,255,78,256,78,257,78,260,78,265,78,266,78,274,78,283,78,306,78,307,78,308,78,309,78,310,78,109,79,110,79,111,79,112,79,113,79,114,79,115,79,116,79,117,79,128,79,142,79,237,79,243,79,253,79,261,79,266,79,305,79,307,79,109,80,110,80,111,80,112,80,113,80,114,80,115,80,116,80,123,80,142,80,236,80,252,80,257,80,260,80,266,80,304,80,305,80,109,81,110,81,111,81,112,81,113,81,114,81,115,81,116,81,117,81,142,81,199,81,235,81,245,81,246,81,251,81,255,81,266,81,303,81,304,81,305,81,307,81,308,81,111,82,112,82,113,82,114,82,115,82,116,82,117,82,118,82,123,82,234,82,241,82,242,82,248,82,254,82,263,82,264,82,265,82,266,82,269,82,302,82,304,82,305,82,112,83,113,83,114,83,115,83,116,83,117,83,118,83,232,83,267,83,268,83,301,83,302,83,303,83,304,83,115,84,116,84,117,84,118,84,119,84,120,84,168,84,204,84,207,84,247,84,262,84,267,84,269,84,270,84,300,84,301,84,302,84,304,84,305,84,118,85,119,85,120,85,122,85,124,85,204,85,238,85,261,85,269,85,272,85,277,85,278,85,284,85,299,85,301,85,302,85,306,85,124,86,186,86,202,86,210,86,221,86,233,86,238,86,272,86,273,86,284,86,298,86,301,86,302,86,165,87,167,87,178,87,179,87,183,87,184,87,185,87,190,87,194,87,202,87,204,87,258,87,266,87,271,87,296,87,297,87,299,87,300,87,145,88,184,88,189,88,193,88,198,88,239,88,240,88,271,88,272,88,275,88,285,88,126,89,176,89,193,89,201,89,220,89,236,89,242,89,275,89,295,89,296,89,297,89,176,90,177,90,178,90,179,90,182,90,189,90,196,90,197,90,206,90,209,90,217,90,268,90,274,90,275,90,296,90,297,90,163,91,171,91,172,91,181,91,200,91,201,91,202,91,205,91,216,91,229,91,277,91,285,91,294,91,296,91,297,91,161,92,177,92,181,92,192,92,194,92,198,92,199,92,200,92,204,92,208,92,218,92,219,92,221,92,259,92,273,92,278,92,293,92,123,93,156,93,160,93,167,93,176,93,177,93,188,93,189,93,196,93,199,93,202,93,207,93,218,93,226,93,233,93,234,93,251,93,276,93,278,93,292,93,116,94,123,94,159,94,173,94,190,94,193,94,194,94,195,94,197,94,199,94,200,94,217,94,226,94,231,94,273,94,286,94,294,94,299,94,123,95,165,95,174,95,178,95,180,95,185,95,189,95,192,95,193,95,195,95,200,95,202,95,203,95,204,95,205,95,208,95,210,95,211,95,217,95,223,95,270,95,293,95,298,95,299,95,154,96,160,96,175,96,178,96,184,96,185,96,186,96,187,96,190,96,195,96,197,96,198,96,200,96,203,96,211,96,212,96,213,96,215,96,223,96,275,96,297,96,298,96,299,96,122,97,168,97,169,97,174,97,177,97,186,97,189,97,197,97,199,97,201,97,203,97,223,97,228,97,275,97,288,97,293,97,296,97,297,97,298,97,299,97,300,97,301,97,159,98,161,98,165,98,166,98,195,98,198,98,199,98,218,98,225,98,226,98,228,98,274,98,275,98,277,98,281,98,284,98,291,98,292,98,293,98,294,98,295,98,296,98,297,98,298,98,299,98,300,98,301,98,124,99,164,99,165,99,172,99,177,99,183,99,185,99,187,99,189,99,209,99,228,99,230,99,231,99,237,99,252,99,273,99,291,99,292,99,293,99,294,99,295,99,296,99,297,99,298,99,299,99,300,99,301,99,302,99,149,100,159,100,170,100,171,100,172,100,184,100,187,100,191,100,207,100,208,100,215,100,236,100,273,100,284,100,291,100,292,100,293,100,294,100,295,100,296,100,297,100,298,100,299,100,300,100,301,100,302,100,147,101,159,101,170,101,171,101,181,101,184,101,189,101,198,101,209,101,215,101,220,101,223,101,236,101,241,101,273,101,277,101,278,101,282,101,284,101,290,101,291,101,292,101,293,101,294,101,295,101,296,101,297,101,298,101,301,101,302,101,134,102,156,102,167,102,171,102,176,102,192,102,194,102,195,102,196,102,198,102,199,102,200,102,201,102,202,102,205,102,207,102,213,102,218,102,222,102,229,102,236,102,241,102,282,102,284,102,285,102,288,102,290,102,291,102,293,102,294,102,295,102,296,102,297,102,298,102,300,102,301,102,302,102,303,102,133,103,155,103,156,103,167,103,186,103,187,103,188,103,189,103,190,103,191,103,192,103,193,103,207,103,210,103,215,103,220,103,223,103,227,103,235,103,255,103,262,103,278,103,281,103,285,103,288,103,291,103,292,103,293,103,294,103,295,103,297,103,298,103,299,103,300,103,301,103,302,103,303,103,114,104,154,104,164,104,165,104,166,104,172,104,183,104,185,104,186,104,187,104,188,104,189,104,226,104,231,104,233,104,241,104,277,104,278,104,284,104,285,104,286,104,287,104,288,104,290,104,291,104,292,104,293,104,294,104,295,104,296,104,297,104,298,104,299,104,300,104,301,104,302,104,303,104,147,105,154,105,183,105,184,105,186,105,215,105,230,105,232,105,240,105,285,105,287,105,288,105,289,105,290,105,291,105,292,105,293,105,295,105,296,105,297,105,298,105,299,105,300,105,301,105,302,105,303,105,304,105,134,106,140,106,141,106,147,106,155,106,156,106,178,106,179,106,180,106,181,106,182,106,183,106,231,106,245,106,284,106,285,106,288,106,290,106,291,106,292,106,293,106,294,106,295,106,296,106,297,106,298,106,299,106,300,106,301,106,302,106,303,106,304,106,140,107,149,107,155,107,177,107,178,107,179,107,180,107,181,107,228,107,243,107,264,107,281,107,286,107,291,107,292,107,293,107,294,107,295,107,296,107,297,107,298,107,299,107,300,107,301,107,302,107,303,107,304,107,305,107,115,108,116,108,147,108,149,108,154,108,155,108,171,108,177,108,246,108,275,108,277,108,281,108,288,108,290,108,291,108,292,108,293,108,294,108,295,108,296,108,297,108,298,108,299,108,300,108,301,108,302,108,303,108,304,108,305,108,153,109,167,109,173,109,174,109,245,109,286,109,289,109,290,109,291,109,292,109,293,109,294,109,295,109,296,109,297,109,298,109,299,109,300,109,301,109,303,109,304,109,305,109,152,110,155,110,156,110,157,110,167,110,173,110,174,110,279,110,289,110,290,110,291,110,292,110,294,110,295,110,296,110,297,110,298,110,299,110,300,110,301,110,302,110,303,110,304,110,305,110,306,110,154,111,155,111,163,111,173,111,227,111,290,111,291,111,292,111,294,111,295,111,296,111,297,111,298,111,299,111,300,111,301,111,302,111,303,111,304,111,305,111,306,111,114,112,154,112,158,112,170,112,171,112,172,112,252,112,285,112,289,112,290,112,291,112,293,112,294,112,295,112,296,112,297,112,298,112,299,112,300,112,301,112,302,112,303,112,304,112,305,112,306,112,307,112,141,113,144,113,161,113,162,113,168,113,169,113,170,113,233,113,251,113,270,113,271,113,289,113,293,113,294,113,295,113,296,113,297,113,298,113,299,113,300,113,301,113,302,113,303,113,306,113,307,113,113,114,134,114,144,114,150,114,159,114,164,114,168,114,169,114,239,114,289,114,291,114,292,114,293,114,294,114,295,114,296,114,297,114,298,114,299,114,300,114,301,114,302,114,303,114,304,114,305,114,307,114,138,115,144,115,149,115,248,115,250,115,272,115,286,115,287,115,289,115,290,115,292,115,293,115,294,115,295,115,296,115,297,115,298,115,299,115,300,115,301,115,302,115,303,115,304,115,305,115,306,115,307,115,308,115,138,116,144,116,145,116,146,116,149,116,153,116,166,116,167,116,250,116,287,116,288,116,290,116,292,116,293,116,294,116,295,116,296,116,297,116,298,116,299,116,300,116,301,116,302,116,303,116,304,116,305,116,306,116,307,116,308,116,133,117,148,117,151,117,153,117,165,117,166,117,251,117,287,117,291,117,292,117,293,117,294,117,295,117,296,117,297,117,298,117,299,117,300,117,301,117,302,117,303,117,304,117,305,117,306,117,307,117,308,117,136,118,143,118,146,118,149,118,151,118,158,118,164,118,242,118,247,118,285,118,291,118,293,118,294,118,295,118,296,118,298,118,299,118,300,118,301,118,302,118,303,118,304,118,305,118,306,118,307,118,308,118,105,119,106,119,130,119,146,119,151,119,162,119,163,119,269,119,285,119,293,119,294,119,296,119,297,119,298,119,299,119,300,119,301,119,302,119,303,119,304,119,305,119,306,119,307,119,308,119,105,120,139,120,140,120,141,120,150,120,151,120,161,120,162,120,163,120,244,120,285,120,286,120,291,120,294,120,295,120,296,120,297,120,298,120,299,120,300,120,301,120,302,120,303,120,304,120,305,120,306,120,307,120,308,120,309,120,139,121,142,121,149,121,157,121,162,121,257,121,262,121,285,121,290,121,291,121,294,121,295,121,296,121,297,121,298,121,299,121,300,121,301,121,302,121,303,121,304,121,305,121,306,121,307,121,308,121,309,121,104,122,134,122,138,122,143,122,147,122,148,122,248,122,254,122,289,122,290,122,291,122,293,122,294,122,295,122,296,122,297,122,298,122,299,122,300,122,301,122,302,122,303,122,304,122,305,122,306,122,307,122,308,122,309,122,310,122,159,123,250,123,291,123,298,123,299,123,300,123,301,123,302,123,303,123,304,123,305,123,306,123,307,123,308,123,309,123,310,123,139,124,143,124,155,124,159,124,160,124,260,124,293,124,295,124,296,124,297,124,298,124,299,124,300,124,301,124,302,124,303,124,304,124,305,124,306,124,307,124,308,124,309,124,310,124,107,125,139,125,140,125,158,125,159,125,250,125,251,125,257,125,260,125,295,125,296,125,297,125,298,125,299,125,300,125,301,125,302,125,303,125,304,125,305,125,306,125,307,125,308,125,309,125,310,125,311,125,97,126,99,126,141,126,147,126,157,126,158,126,159,126,256,126,294,126,295,126,296,126,297,126,298,126,299,126,300,126,301,126,302,126,303,126,304,126,305,126,306,126,307,126,308,126,309,126,310,126,311,126,136,127,141,127,143,127,151,127,154,127,157,127,158,127,290,127,294,127,296,127,297,127,298,127,299,127,300,127,301,127,302,127,303,127,304,127,305,127,306,127,307,127,308,127,309,127,310,127,311,127,118,128,124,128,133,128,141,128,142,128,143,128,151,128,152,128,157,128,158,128,290,128,296,128,297,128,298,128,300,128,301,128,302,128,303,128,304,128,305,128,306,128,307,128,308,128,309,128,310,128,311,128,83,129,87,129,135,129,137,129,138,129,140,129,141,129,142,129,143,129,250,129,292,129,295,129,296,129,298,129,300,129,301,129,302,129,303,129,304,129,305,129,306,129,307,129,308,129,309,129,310,129,311,129,94,130,98,130,106,130,107,130,124,130,133,130,138,130,156,130,157,130,297,130,298,130,300,130,301,130,302,130,303,130,304,130,305,130,306,130,307,130,308,130,309,130,310,130,311,130,312,130,103,131,132,131,134,131,138,131,139,131,140,131,150,131,155,131,156,131,157,131,293,131,295,131,297,131,298,131,299,131,300,131,301,131,302,131,303,131,304,131,305,131,306,131,307,131,308,131,309,131,310,131,311,131,312,131,88,132,98,132,136,132,138,132,139,132,140,132,145,132,147,132,150,132,155,132,156,132,295,132,296,132,297,132,299,132,300,132,301,132,302,132,303,132,304,132,305,132,306,132,307,132,308,132,309,132,310,132,311,132,312,132,313,132,106,133,110,133,135,133,139,133,140,133,141,133,145,133,149,133,153,133,155,133,156,133,258,133,259,133,261,133,288,133,297,133,300,133,301,133,302,133,303,133,304,133,305,133,306,133,307,133,308,133,309,133,310,133,311,133,312,133,313,133,96,134,98,134,105,134,130,134,133,134,134,134,135,134,136,134,139,134,154,134,155,134,258,134,288,134,299,134,300,134,301,134,302,134,303,134,304,134,305,134,306,134,307,134,308,134,309,134,310,134,311,134,312,134,313,134,82,135,96,135,106,135,107,135,136,135,139,135,140,135,141,135,154,135,155,135,252,135,291,135,298,135,300,135,301,135,303,135,304,135,305,135,306,135,307,135,308,135,309,135,310,135,311,135,312,135,313,135,139,136,140,136,141,136,142,136,146,136,153,136,154,136,255,136,302,136,303,136,304,136,305,136,306,136,307,136,308,136,309,136,310,136,311,136,312,136,313,136,314,136,315,136,142,137,143,137,147,137,148,137,154,137,301,137,302,137,303,137,304,137,305,137,306,137,307,137,308,137,309,137,310,137,311,137,312,137,313,137,314,137,315,137,316,137,317,137,77,138,138,138,139,138,143,138,153,138,297,138,299,138,300,138,302,138,305,138,306,138,307,138,308,138,309,138,310,138,311,138,312,138,313,138,314,138,315,138,316,138,317,138,318,138,319,138,320,138,77,139,93,139,124,139,137,139,138,139,139,139,143,139,153,139,259,139,289,139,296,139,300,139,308,139,309,139,310,139,311,139,312,139,313,139,314,139,315,139,316,139,318,139,320,139,321,139,322,139,323,139,77,140,129,140,130,140,131,140,132,140,135,140,136,140,139,140,140,140,148,140,152,140,153,140,265,140,312,140,313,140,314,140,315,140,316,140,321,140,322,140,324,140,325,140,326,140,327,140,328,140,77,141,97,141,102,141,129,141,135,141,140,141,141,141,151,141,152,141,153,141,293,141,294,141,295,141,303,141,316,141,329,141,330,141,331,141,332,141,334,141,97,142,100,142,135,142,140,142,141,142,143,142,145,142,146,142,297,142,303,142,332,142,333,142,334,142,335,142,336,142,337,142,109,143,135,143,136,143,137,143,138,143,140,143,143,143,148,143,152,143,153,143,260,143,332,143,334,143,335,143,336,143,337,143,338,143,339,143,340,143,93,144,107,144,135,144,136,144,137,144,140,144,142,144,145,144,152,144,153,144,274,144,303,144,327,144,328,144,329,144,330,144,331,144,332,144,333,144,335,144,336,144,337,144,338,144,339,144,340,144,341,144,342,144,79,145,98,145,138,145,139,145,140,145,142,145,152,145,153,145,261,145,302,145,327,145,328,145,329,145,330,145,331,145,332,145,333,145,334,145,335,145,336,145,337,145,338,145,339,145,341,145,342,145,343,145,98,146,108,146,138,146,140,146,142,146,151,146,152,146,153,146,294,146,302,146,309,146,328,146,329,146,330,146,331,146,332,146,333,146,334,146,335,146,336,146,337,146,338,146,339,146,340,146,341,146,342,146,343,146,98,147,138,147,139,147,140,147,152,147,153,147,294,147,306,147,309,147,328,147,329,147,330,147,331,147,332,147,333,147,334,147,335,147,336,147,337,147,338,147,339,147,340,147,341,147,342,147,343,147,94,148,125,148,137,148,140,148,145,148,152,148,153,148,271,148,328,148,329,148,330,148,331,148,332,148,333,148,334,148,335,148,336,148,337,148,338,148,339,148,340,148,342,148,343,148,136,149,137,149,139,149,143,149,151,149,152,149,153,149,310,149,317,149,328,149,329,149,330,149,331,149,332,149,333,149,334,149,335,149,336,149,337,149,338,149,339,149,340,149,341,149,342,149,343,149,96,150,103,150,132,150,135,150,136,150,137,150,141,150,151,150,152,150,153,150,247,150,268,150,295,150,310,150,329,150,330,150,331,150,332,150,333,150,334,150,335,150,336,150,337,150,338,150,339,150,340,150,341,150,342,150,343,150,96,151,103,151,133,151,134,151,135,151,136,151,137,151,139,151,151,151,152,151,153,151,247,151,257,151,310,151,328,151,329,151,330,151,331,151,332,151,333,151,334,151,335,151,336,151,337,151,338,151,339,151,340,151,341,151,342,151,343,151,98,152,133,152,135,152,151,152,152,152,153,152,295,152,296,152,328,152,329,152,330,152,331,152,332,152,333,152,334,152,335,152,336,152,337,152,338,152,339,152,340,152,341,152,342,152,343,152,131,153,132,153,138,153,152,153,153,153,261,153,298,153,303,153,328,153,329,153,330,153,331,153,332,153,333,153,334,153,335,153,336,153,337,153,338,153,339,153,340,153,341,153,342,153,343,153,77,154,89,154,94,154,95,154,138,154,149,154,152,154,153,154,328,154,329,154,330,154,331,154,332,154,333,154,334,154,335,154,336,154,337,154,338,154,339,154,340,154,341,154,342,154,343,154,89,155,94,155,117,155,128,155,129,155,135,155,136,155,141,155,144,155,153,155,247,155,263,155,296,155,302,155,303,155,304,155,328,155,329,155,330,155,331,155,332,155,333,155,334,155,335,155,336,155,337,155,338,155,339,155,340,155,341,155,342,155,343,155,73,156,78,156,81,156,84,156,88,156,92,156,116,156,121,156,146,156,152,156,247,156,248,156,302,156,328,156,329,156,330,156,331,156,332,156,333,156,334,156,335,156,336,156,337,156,338,156,339,156,340,156,341,156,342,156,343,156,63,157,64,157,65,157,66,157,67,157,68,157,69,157,70,157,71,157,72,157,73,157,74,157,75,157,76,157,77,157,81,157,82,157,83,157,88,157,95,157,102,157,151,157,152,157,247,157,262,157,295,157,302,157,328,157,329,157,330,157,331,157,332,157,333,157,334,157,335,157,336,157,337,157,338,157,339,157,340,157,341,157,342,157,343,157,61,158,62,158,63,158,64,158,65,158,75,158,76,158,77,158,78,158,79,158,84,158,85,158,86,158,87,158,88,158,89,158,91,158,95,158,116,158,144,158,153,158,247,158,261,158,328,158,329,158,330,158,331,158,332,158,333,158,334,158,335,158,336,158,337,158,338,158,339,158,340,158,342,158,343,158,70,159,71,159,72,159,73,159,76,159,77,159,78,159,79,159,83,159,87,159,89,159,90,159,91,159,92,159,93,159,94,159,95,159,96,159,136,159,142,159,147,159,150,159,153,159,247,159,297,159,328,159,329,159,330,159,331,159,332,159,333,159,334,159,335,159,336,159,337,159,338,159,339,159,340,159,341,159,342,159,343,159,76,160,77,160,81,160,82,160,83,160,84,160,96,160,97,160,98,160,99,160,100,160,101,160,102,160,104,160,121,160,124,160,125,160,134,160,135,160,139,160,142,160,148,160,150,160,152,160,153,160,247,160,310,160,327,160,328,160,329,160,330,160,331,160,332,160,333,160,334,160,335,160,336,160,337,160,338,160,339,160,340,160,341,160,342,160,343,160,74,161,88,161,91,161,92,161,102,161,103,161,104,161,141,161,152,161,153,161,247,161,257,161,288,161,296,161,297,161,309,161,327,161,328,161,329,161,330,161,332,161,333,161,334,161,335,161,336,161,337,161,338,161,339,161,340,161,341,161,342,161,343,161,93,162,100,162,101,162,102,162,127,162,133,162,134,162,140,162,146,162,150,162,152,162,296,162,309,162,328,162,329,162,330,162,331,162,332,162,333,162,334,162,335,162,336,162,337,162,338,162,339,162,340,162,341,162,342,162,343,162,81,163,95,163,97,163,99,163,100,163,133,163,140,163,146,163,148,163,154,163,297,163,305,163,309,163,328,163,329,163,330,163,331,163,332,163,333,163,334,163,335,163,336,163,337,163,338,163,339,163,340,163,341,163,342,163,343,163,93,164,94,164,95,164,96,164,105,164,109,164,140,164,152,164,154,164,303,164,306,164,329,164,331,164,332,164,333,164,334,164,335,164,336,164,337,164,338,164,339,164,340,164,341,164,342,164,91,165,92,165,93,165,95,165,123,165,132,165,140,165,148,165,149,165,154,165,155,165,303,165,327,165,328,165,329,165,330,165,331,165,332,165,333,165,334,165,335,165,336,165,337,165,338,165,339,165,340,165,341,165,342,165,87,166,88,166,89,166,90,166,91,166,93,166,132,166,139,166,152,166,154,166,155,166,303,166,326,166,327,166,328,166,329,166,330,166,331,166,332,166,333,166,334,166,335,166,336,166,337,166,338,166,339,166,340,166,341,166,88,167,89,167,90,167,93,167,129,167,137,167,138,167,147,167,153,167,155,167,293,167,328,167,329,167,330,167,331,167,332,167,333,167,334,167,335,167,336,167,337,167,338,167,339,167,340,167,342,167,128,168,137,168,143,168,156,168,301,168,302,168,309,168,327,168,328,168,329,168,330,168,331,168,332,168,333,168,334,168,335,168,336,168,337,168,338,168,339,168,340,168,341,168,342,168,104,169,112,169,143,169,144,169,145,169,150,169,153,169,283,169,295,169,302,169,306,169,326,169,327,169,328,169,329,169,330,169,331,169,332,169,333,169,334,169,335,169,336,169,337,169,338,169,339,169,340,169,341,169,342,169,103,170,110,170,125,170,144,170,157,170,293,170,307,170,327,170,328,170,330,170,331,170,332,170,333,170,334,170,335,170,337,170,338,170,339,170,341,170,342,170,104,171,109,171,138,171,144,171,148,171,156,171,157,171,293,171,301,171,307,171,326,171,327,171,328,171,329,171,330,171,331,171,332,171,333,171,334,171,335,171,336,171,337,171,339,171,340,171,341,171,102,172,103,172,106,172,120,172,130,172,134,172,137,172,141,172,146,172,154,172,157,172,158,172,295,172,301,172,310,172,328,172,329,172,330,172,332,172,333,172,334,172,335,172,336,172,337,172,338,172,339,172,340,172,341,172,106,173,119,173,145,173,146,173,149,173,155,173,158,173,255,173,292,173,294,173,301,173,308,173,309,173,310,173,319,173,326,173,327,173,328,173,329,173,330,173,331,173,333,173,334,173,335,173,336,173,337,173,338,173,339,173,340,173,105,174,118,174,133,174,158,174,255,174,291,174,292,174,300,174,308,174,319,174,324,174,326,174,327,174,329,174,330,174,331,174,332,174,333,174,334,174,335,174,336,174,337,174,338,174,339,174,340,174,341,174,104,175,118,175,129,175,142,175,148,175,157,175,158,175,255,175,291,175,300,175,303,175,306,175,307,175,308,175,309,175,310,175,311,175,312,175,330,175,332,175,333,175,334,175,335,175,337,175,338,175,339,175,340,175,149,176,150,176,159,176,293,176,337,176,338,176,339,176,340,176,105,177,147,177,149,177,157,177,160,177,161,177,253,177,254,177,287,177,293,177,105,178,106,178,137,178,158,178,162,178,287,178,288,178,293,178,105,179,142,179,150,179,157,179,158,179,161,179,162,179,280,179,287,179,289,179,292,179,293,179,299,179,105,180,140,180,150,180,158,180,163,180,285,180,286,180,289,180,291,180,107,181,124,181,163,181,285,181,289,181,291,181,303,181,106,182,123,182,144,182,153,182,162,182,164,182,284,182,289,182,290,182,297,182,117,183,123,183,133,183,149,183,251,183,285,183,289,183,296,183,297,183,116,184,132,184,156,184,165,184,166,184,167,184,249,184,287,184,288,184,289,184,290,184,108,185,115,185,145,185,164,185,286,185,287,185,288,185,289,185,297,185,108,186,115,186,141,186,147,186,160,186,166,186,167,186,239,186,287,186,288,186,295,186,106,187,153,187,169,187,282,187,283,187,287,187,288,187,289,187,292,187,106,188,121,188,148,188,153,188,159,188,160,188,165,188,282,188,286,188,287,188,288,188,289,188,292,188,293,188,158,189,159,189,164,189,283,189,286,189,288,189,293,189,111,190,157,190,161,190,168,190,273,190,287,190,288,190,290,190,291,190,111,191,113,191,119,191,161,191,274,191,275,191,281,191,284,191,285,191,287,191,290,191,291,191,301,191,109,192,110,192,111,192,142,192,150,192,152,192,154,192,155,192,158,192,274,192,279,192,284,192,286,192,287,192,301,192,111,193,136,193,149,193,157,193,164,193,169,193,175,193,178,193,286,193,292,193,113,194,117,194,157,194,162,194,163,194,164,194,242,194,285,194,292,194,112,195,128,195,162,195,177,195,180,195,162,196,169,196,177,196,241,196,277,196,279,196,284,196,294,196,110,197,111,197,133,197,138,197,145,197,158,197,168,197,179,197,192,197,240,197,241,197,277,197,288,197,289,197,111,198,112,198,114,198,155,198,165,198,176,198,283,198,287,198,288,198,112,199,113,199,164,199,239,199,282,199,283,199,287,199,289,199,112,200,113,200,175,200,181,200,186,200,187,200,196,200,200,200,231,200,232,200,235,200,236,200,279,200,280,200,281,200,282,200,283,200,287,200,294,200,112,201,113,201,116,201,163,201,187,201,191,201,192,201,201,201,202,201,213,201,278,201,281,201,294,201,115,202,116,202,117,202,169,202,174,202,183,202,187,202,188,202,189,202,192,202,197,202,198,202,236,202,237,202,278,202,285,202,292,202,112,203,113,203,114,203,115,203,117,203,125,203,164,203,165,203,166,203,179,203,182,203,183,203,186,203,187,203,188,203,189,203,190,203,191,203,193,203,196,203,197,203,198,203,199,203,203,203,236,203,272,203,285,203,286,203,112,204,115,204,125,204,167,204,182,204,186,204,187,204,188,204,189,204,190,204,191,204,192,204,196,204,197,204,198,204,199,204,202,204,203,204,215,204,285,204,286,204,115,205,119,205,166,205,188,205,189,205,190,205,192,205,196,205,197,205,201,205,202,205,205,205,206,205,207,205,208,205,113,206,114,206,115,206,116,206,117,206,119,206,149,206,152,206,190,206,202,206,203,206,204,206,205,206,206,206,207,206,275,206,279,206,285,206,115,207,116,207,119,207,179,207,194,207,204,207,206,207,224,207,228,207,284,207,285,207,286,207,289,207,111,208,114,208,115,208,117,208,119,208,120,208,148,208,178,208,182,208,189,208,206,208,228,208,284,208,286,208,292,208,114,209,120,209,158,209,189,209,194,209,282,209,288,209,289,209,291,209,292,209,110,210,114,210,149,210,171,210,175,210,178,210,179,210,189,210,212,210,274,210,288,210,109,211,113,211,122,211,123,211,154,211,174,211,183,211,209,211,212,211,273,211,283,211,284,211,114,212,116,212,117,212,118,212,121,212,122,212,123,212,177,212,199,212,226,212,269,212,271,212,293,212,113,213,116,213,118,213,122,213,123,213,125,213,187,213,199,213,282,213,290,213,293,213,118,214,123,214,126,214,175,214,269,214,272,214,273,214,282,214,118,215,122,215,123,215,125,215,126,215,128,215,247,215,280,215,281,215,282,215,103,216,112,216,123,216,269,216,280,216,281,216,282,216,106,217,114,217,122,217,123,217,124,217,126,217,128,217,176,217,271,217,278,217,279,217,280,217,282,217,283,217,122,218,123,218,124,218,125,218,126,218,128,218,129,218,277,218,281,218,282,218,283,218,116,219,125,219,126,219,128,219,129,219,131,219,266,219,276,219,284,219,99,220,125,220,126,220,127,220,129,220,131,220,183,220,265,220,276,220,285,220,99,221,108,221,125,221,132,221,133,221,264,221,276,221,277,221,283,221,285,221,125,222,128,222,129,222,134,222,170,222,208,222,261,222,263,222,265,222,273,222,274,222,275,222,277,222,280,222,283,222,286,222,113,223,129,223,130,223,132,223,134,223,153,223,164,223,180,223,253,223,254,223,261,223,263,223,272,223,274,223,275,223,276,223,277,223,278,223,280,223,281,223,283,223,287,223,95,224,96,224,102,224,129,224,131,224,136,224,137,224,144,224,155,224,169,224,217,224,253,224,271,224,273,224,274,224,277,224,281,224,282,224,283,224,284,224,286,224,287,224,288,224,94,225,95,225,96,225,97,225,124,225,129,225,131,225,136,225,137,225,160,225,205,225,256,225,257,225,262,225,264,225,270,225,275,225,276,225,277,225,278,225,279,225,280,225,281,225,282,225,283,225,284,225,287,225,288,225,289,225,92,226,93,226,94,226,95,226,96,226,97,226,98,226,110,226,128,226,129,226,130,226,131,226,133,226,144,226,176,226,255,226,256,226,259,226,264,226,269,226,274,226,283,226,284,226,285,226,286,226,287,226,288,226,289,226,290,226,90,227,91,227,92,227,93,227,94,227,95,227,96,227,97,227,98,227,107,227,109,227,110,227,127,227,128,227,131,227,132,227,136,227,137,227,175,227,187,227,269,227,287,227,290,227,291,227,88,228,89,228,90,228,91,228,92,228,93,228,94,228,95,228,96,228,97,228,98,228,99,228,131,228,132,228,133,228,136,228,137,228,142,228,201,228,250,228,267,228,268,228,269,228,272,228,286,228,287,228,290,228,291,228,292,228,88,229,89,229,90,229,91,229,92,229,93,229,94,229,95,229,96,229,97,229,98,229,99,229,100,229,129,229,130,229,133,229,134,229,135,229,154,229,248,229,267,229,271,229,272,229,280,229,290,229,291,229,292,229,293,229,85,230,86,230,87,230,88,230,89,230,90,230,91,230,93,230,94,230,95,230,96,230,97,230,98,230,99,230,100,230,101,230,133,230,135,230,144,230,265,230,266,230,267,230,272,230,279,230,291,230,292,230,293,230,83,231,84,231,85,231,86,231,87,231,88,231,89,231,90,231,91,231,92,231,93,231,94,231,95,231,96,231,97,231,98,231,99,231,100,231,102,231,117,231,133,231,134,231,145,231,200,231,264,231,267,231,272,231,278,231,288,231,292,231,293,231,294,231,84,232,85,232,86,232,87,232,88,232,89,232,90,232,91,232,92,232,93,232,94,232,95,232,96,232,97,232,98,232,99,232,100,232,101,232,102,232,103,232,104,232,131,232,139,232,141,232,145,232,146,232,152,232,255,232,256,232,261,232,262,232,263,232,264,232,265,232,266,232,267,232,280,232,283,232,292,232,293,232,294,232,295,232,84,233,85,233,86,233,87,233,88,233,89,233,90,233,91,233,92,233,93,233,94,233,95,233,96,233,97,233,98,233,99,233,100,233,101,233,102,233,103,233,105,233,129,233,130,233,131,233,141,233,142,233,144,233,148,233,151,233,152,233,196,233,254,233,261,233,265,233,293,233,294,233,295,233,296,233,85,234,86,234,87,234,88,234,89,234,90,234,91,234,92,234,93,234,94,234,95,234,96,234,97,234,98,234,99,234,100,234,101,234,102,234,103,234,104,234,105,234,129,234,130,234,145,234,146,234,147,234,148,234,149,234,150,234,164,234,180,234,231,234,240,234,258,234,260,234,261,234,262,234,294,234,295,234,296,234,85,235,86,235,87,235,88,235,89,235,90,235,91,235,92,235,93,235,94,235,95,235,96,235,97,235,98,235,99,235,100,235,101,235,102,235,103,235,104,235,105,235,106,235,127,235,128,235,148,235,149,235,150,235,151,235,239,235,247,235,261,235,262,235,263,235,264,235,268,235,290,235,294,235,295,235,296,235,297,235,87,236,88,236,89,236,90,236,91,236,92,236,93,236,94,236,95,236,96,236,97,236,98,236,99,236,100,236,101,236,102,236,103,236,104,236,105,236,106,236,107,236,126,236,127,236,144,236,149,236,152,236,153,236,162,236,268,236,271,236,274,236,285,236,290,236,295,236,296,236,297,236,298,236,87,237,88,237,89,237,90,237,91,237,92,237,93,237,94,237,95,237,97,237,99,237,100,237,101,237,102,237,103,237,104,237,105,237,106,237,107,237,108,237,124,237,125,237,144,237,151,237,153,237,154,237,155,237,156,237,220,237,225,237,255,237,256,237,257,237,262,237,263,237,265,237,270,237,271,237,295,237,296,237,297,237,298,237,299,237,88,238,90,238,91,238,92,238,93,238,94,238,95,238,96,238,97,238,98,238,99,238,100,238,101,238,102,238,103,238,104,238,105,238,106,238,107,238,108,238,109,238,152,238,155,238,156,238,162,238,182,238,217,238,238,238,239,238,254,238,262,238,263,238,264,238,265,238,266,238,267,238,268,238,269,238,270,238,273,238,279,238,294,238,297,238,298,238,299,238,300,238,89,239,90,239,91,239,92,239,93,239,94,239,95,239,96,239,97,239,98,239,99,239,100,239,101,239,102,239,103,239,104,239,105,239,106,239,107,239,108,239,109,239,110,239,122,239,144,239,153,239,164,239,165,239,166,239,167,239,231,239,237,239,261,239,267,239,268,239,270,239,271,239,272,239,273,239,291,239,292,239,295,239,296,239,297,239,298,239,299,239,300,239,301,239,89,240,90,240,91,240,92,240,93,240,94,240,95,240,96,240,97,240,98,240,99,240,100,240,101,240,102,240,103,240,104,240,105,240,106,240,107,240,108,240,109,240,110,240,111,240,121,240,157,240,158,240,168,240,231,240,233,240,235,240,245,240,254,240,260,240,263,240,264,240,266,240,271,240,272,240,290,240,295,240,296,240,299,240,300,240,301,240,90,241,91,241,92,241,93,241,94,241,95,241,96,241,97,241,98,241,99,241,100,241,101,241,102,241,103,241,104,241,105,241,106,241,107,241,109,241,110,241,112,241,119,241,120,241,157,241,158,241,159,241,160,241,168,241,169,241,214,241,216,241,217,241,232,241,255,241,256,241,259,241,264,241,266,241,269,241,270,241,289,241,290,241,295,241,296,241,297,241,298,241,299,241,300,241,301,241,302,241,91,242,92,242,93,242,94,242,95,242,96,242,97,242,99,242,100,242,101,242,102,242,103,242,104,242,105,242,106,242,107,242,108,242,109,242,110,242,111,242,112,242,118,242,149,242,154,242,159,242,160,242,163,242,164,242,170,242,171,242,172,242,208,242,222,242,229,242,230,242,237,242,257,242,263,242,265,242,266,242,267,242,268,242,269,242,290,242,291,242,292,242,293,242,296,242,297,242,298,242,299,242,300,242,301,242,302,242,303,242,93,243,94,243,95,243,96,243,97,243,98,243,99,243,100,243,101,243,102,243,103,243,104,243,105,243,106,243,107,243,108,243,109,243,111,243,112,243,113,243,114,243,115,243,116,243,150,243,152,243,153,243,156,243,163,243,164,243,175,243,193,243,208,243,221,243,225,243,226,243,258,243,259,243,269,243,293,243,296,243,301,243,302,243,303,243,93,244,94,244,95,244,96,244,97,244,98,244,99,244,100,244,101,244,102,244,103,244,104,244,105,244,106,244,107,244,108,244,109,244,110,244,111,244,112,244,113,244,114,244,151,244,153,244,165,244,178,244,179,244,180,244,181,244,182,244,192,244,216,244,220,244,231,244,232,244,260,244,269,244,271,244,272,244,286,244,288,244,289,244,301,244,302,244,303,244,94,245,95,245,96,245,97,245,98,245,99,245,100,245,101,245,102,245,103,245,104,245,105,245,106,245,107,245,108,245,109,245,110,245,111,245,113,245,159,245,165,245,169,245,187,245,192,245,213,245,214,245,215,245,218,245,229,245,230,245,231,245,261,245,264,245,270,245,274,245,285,245,286,245,287,245,288,245,289,245,292,245,294,245,298,245,94,246,95,246,96,246,97,246,98,246,99,246,100,246,101,246,102,246,103,246,104,246,105,246,106,246,107,246,108,246,109,246,110,246,111,246,155,246,163,246,165,246,185,246,186,246,199,246,209,246,210,246,262,246,284,246,286,246,292,246,298,246,95,247,96,247,97,247,98,247,99,247,100,247,101,247,102,247,103,247,104,247,105,247,106,247,107,247,108,247,109,247,110,247,111,247,112,247,167,247,170,247,171,247,189,247,223,247,265,247,268,247,278,247,281,247,282,247,283,247,289,247,290,247,292,247,299,247,303,247,96,248,98,248,99,248,101,248,102,248,103,248,104,248,105,248,106,248,107,248,108,248,109,248,110,248,160,248,165,248,166,248,167,248,222,248,263,248,264,248,265,248,268,248,274,248,287,248,292,248,302,248,303,248,99,249,100,249,101,249,102,249,103,249,104,249,105,249,106,249,107,249,108,249,109,249,264,249,265,249,279,249,285,249,288,249,289,249,292,249,296,249,98,250,99,250,100,250,101,250,102,250,103,250,104,250,105,250,106,250,107,250,108,250,109,250,168,250,267,250,283,250,284,250,289,250,292,250,99,251,100,251,101,251,102,251,103,251,104,251,105,251,106,251,107,251,108,251,159,251,175,251,176,251,278,251,279,251,284,251,296,251,300,251,101,252,102,252,104,252,105,252,106,252,174,252,178,252,180,252,183,252,184,252,185,252,269,252,276,252,277,252,284,252,285,252,296,252,300,252,102,253,103,253,104,253,105,253,174,253,181,253,182,253,186,253,187,253,188,253,190,253,193,253,194,253,195,253,196,253,199,253,200,253,207,253,208,253,209,253,270,253,274,253,275,253,287,253,290,253,295,253,296,253,103,254,104,254,105,254,174,254,182,254,183,254,185,254,191,254,198,254,199,254,200,254,201,254,202,254,203,254,205,254,210,254,211,254,271,254,273,254,274,254,275,254,276,254,277,254,278,254,279,254,104,255,105,255,174,255,179,255,183,255,195,255,200,255,208,255,209,255,210,255,272,255,273,255,274,255,276,255,277,255,282,255,284,255,176,256,179,256,184,256,187,256,189,256,199,256,208,256,209,256,210,256,272,256,273,256,284,256,287,256,177,257,187,257,198,257,208,257,209,257,210,257,272,257,274,257,275,257,278,257,284,257,175,258,177,258,181,258,194,258,195,258,201,258,204,258,205,258,207,258,209,258,210,258,273,258,274,258,275,258,175,259,176,259,181,259,201,259,204,259,205,259,210,259,273,259,274,259,275,259,276,259,285,259,175,260,181,260,203,260,210,260,274,260,275,260,276,260,175,261,196,261,200,261,209,261,274,261,275,261,276,261,278,261,280,261,175,262,177,262,195,262,209,262,275,262,276,262,277,262,175,263,200,263,209,263,276,263,277,263,174,264,175,264,186,264,198,264,205,264,209,264,277,264,278,264,279,264,174,265,175,265,198,265,209,265,277,265,278,265,279,265,174,266,175,266,198,266,174,267,175,267,191,267,208,267,174,268,175,268,176,268,196,268,208,268,175,269,196,269,208,269,174,270,175,270,176,270,208,270,174,271,175,271,176,271,208,271,174,272,175,272,176,272,203,272,172,273,174,273,175,273,176,273,207,273,174,274,175,274,176,274,189,274,205,274,207,274,172,275,174,275,175,275,207,275,172,276,174,276,175,276,180,276,181,276,182,276,183,276,184,276,185,276,189,276,200,276,172,277,173,277,174,277,175,277,179,277,183,277,188,277,189,277,190,277,195,277,197,277,204,277,205,277,206,277,172,278,173,278,174,278,175,278,178,278,182,278,185,278,186,278,187,278,188,278,189,278,190,278,191,278,199,278,200,278,201,278,204,278,205,278,173,279,174,279,177,279,180,279,181,279,182,279,185,279,190,279,192,279,193,279,197,279,198,279,199,279,173,280,174,280,177,280,182,280,183,280,184,280,188,280,193,280,198,280,199,280,202,280,203,280,204,280,173,281,174,281,177,281,182,281,183,281,187,281,188,281,196,281,197,281,198,281,199,281,173,282,177,282,182,282,183,282,186,282,187,282,191,282,192,282,196,282,198,282,205,282,173,283,176,283,186,283,192,283,198,283,183,284,186,284,195,284,178,285,182,285,183,285,195,285,196,285,197,285,203,285,204,285,181,286,186,286,187,286,200,286,175,287,176,287,181,287,186,287,187,287,175,288,177,288,187,288,189,288,191,288,174,289,175,289,192,289,197,289,203,289,174,290,183,290,184,290,195,290,175,291,176,291,180,291,183,291,195,291,180,292,181,292,182,292,183,292,184,292,188,292,189,292,201,292,202,292,189,293,190,293,199,293,200,293,201,293,202,293,140,325,193,325,49,326,140,326,141,326,193,326,194,326,316,326,49,327,50,327,140,327,141,327,142,327,193,327,194,327,195,327,316,327,49,328,50,328,51,328,140,328,141,328,142,328,143,328,193,328,194,328,195,328,196,328,316,328,317,328,49,329,50,329,51,329,52,329,140,329,141,329,142,329,143,329,144,329,193,329,194,329,195,329,196,329,197,329,316,329,317,329,49,330,50,330,51,330,52,330,53,330,101,330,140,330,141,330,142,330,143,330,144,330,145,330,193,330,194,330,195,330,196,330,197,330,245,330,287,330,316,330,317,330,49,331,50,331,51,331,52,331,53,331,101,331,140,331,141,331,142,331,143,331,144,331,145,331,193,331,194,331,195,331,196,331,197,331,245,331,246,331,287,331,316,331,317,331,49,332,50,332,51,332,52,332,53,332,101,332,102,332,140,332,141,332,142,332,143,332,144,332,145,332,193,332,194,332,195,332,196,332,197,332,245,332,246,332,287,332,288,332,316,332,317,332,49,333,50,333,51,333,52,333,53,333,101,333,102,333,103,333,140,333,141,333,142,333,143,333,144,333,145,333,193,333,194,333,195,333,196,333,197,333,245,333,246,333,247,333,287,333,288,333,289,333,316,333,317,333,49,334,50,334,51,334,52,334,53,334,101,334,102,334,103,334,104,334,140,334,141,334,142,334,143,334,144,334,145,334,193,334,194,334,195,334,196,334,197,334,245,334,246,334,247,334,248,334,287,334,288,334,289,334,290,334,316,334,317,334,49,335,50,335,51,335,52,335,53,335,101,335,102,335,103,335,104,335,105,335,140,335,141,335,142,335,143,335,144,335,145,335,193,335,194,335,195,335,196,335,197,335,245,335,246,335,247,335,248,335,249,335,287,335,288,335,289,335,290,335,291,335,316,335,317,335,49,336,50,336,51,336,52,336,53,336,101,336,102,336,103,336,104,336,105,336,140,336,141,336,142,336,143,336,144,336,145,336,193,336,194,336,195,336,196,336,197,336,245,336,246,336,247,336,248,336,249,336,250,336,287,336,288,336,289,336,290,336,291,336,316,336,317,336,387,336,49,337,50,337,51,337,52,337,53,337,101,337,102,337,103,337,104,337,105,337,140,337,141,337,142,337,143,337,144,337,145,337,193,337,194,337,195,337,196,337,197,337,245,337,246,337,247,337,248,337,249,337,250,337,287,337,288,337,289,337,290,337,291,337,316,337,317,337,48,338,49,338,50,338,51,338,52,338,53,338,101,338,102,338,103,338,104,338,105,338,140,338,141,338,142,338,143,338,144,338,145,338,193,338,194,338,195,338,196,338,197,338,245,338,246,338,247,338,248,338,249,338,250,338,287,338,288,338,289,338,290,338,291,338,316,338,317,338,385,338,27,339,28,339,29,339,30,339,31,339,32,339,33,339,34,339,35,339,36,339,37,339,38,339,39,339,40,339,41,339,42,339,43,339,44,339,45,339,46,339,47,339,48,339,49,339,50,339,51,339,52,339,53,339,58,339,59,339,60,339,61,339,62,339,63,339,64,339,65,339,66,339,67,339,68,339,69,339,70,339,71,339,72,339,73,339,74,339,75,339,76,339,77,339,78,339,79,339,80,339,81,339,82,339,83,339,84,339,101,339,102,339,103,339,104,339,105,339,126,339,127,339,128,339,129,339,130,339,131,339,132,339,133,339,134,339,135,339,136,339,137,339,138,339,139,339,140,339,141,339,142,339,143,339,144,339,145,339,150,339,151,339,152,339,153,339,154,339,155,339,156,339,157,339,158,339,159,339,160,339,161,339,162,339,163,339,164,339,165,339,166,339,167,339,168,339,169,339,170,339,171,339,172,339,173,339,174,339,175,339,176,339,177,339,178,339,179,339,180,339,181,339,182,339,183,339,184,339,185,339,186,339,187,339,188,339,189,339,190,339,191,339,192,339,193,339,194,339,195,339,196,339,197,339,203,339,204,339,205,339,206,339,207,339,208,339,209,339,210,339,211,339,212,339,213,339,214,339,215,339,216,339,217,339,218,339,219,339,220,339,221,339,222,339,223,339,224,339,225,339,226,339,227,339,228,339,229,339,245,339,246,339,247,339,248,339,249,339,250,339,270,339,271,339,272,339,273,339,274,339,275,339,276,339,277,339,278,339,279,339,280,339,281,339,282,339,283,339,284,339,285,339,286,339,287,339,288,339,289,339,290,339,291,339,294,339,295,339,296,339,297,339,298,339,299,339,300,339,301,339,302,339,303,339,304,339,305,339,306,339,307,339,308,339,309,339,310,339,311,339,312,339,313,339,314,339,315,339,316,339,317,339,27,340,28,340,29,340,30,340,31,340,32,340,33,340,34,340,35,340,36,340,37,340,38,340,39,340,40,340,41,340,42,340,43,340,44,340,45,340,46,340,47,340,48,340,49,340,50,340,51,340,52,340,53,340,58,340,59,340,60,340,61,340,62,340,63,340,64,340,65,340,66,340,67,340,68,340,69,340,70,340,71,340,72,340,73,340,74,340,75,340,76,340,77,340,78,340,79,340,80,340,81,340,82,340,83,340,84,340,101,340,102,340,103,340,104,340,105,340,126,340,127,340,128,340,129,340,130,340,131,340,132,340,133,340,134,340,135,340,136,340,137,340,138,340,139,340,140,340,141,340,142,340,143,340,144,340,145,340,150,340,151,340,152,340,153,340,154,340,155,340,156,340,157,340,158,340,159,340,160,340,161,340,162,340,163,340,164,340,165,340,166,340,167,340,168,340,169,340,170,340,171,340,172,340,173,340,174,340,175,340,176,340,177,340,178,340,179,340,180,340,181,340,182,340,183,340,184,340,185,340,186,340,187,340,188,340,189,340,190,340,191,340,192,340,193,340,194,340,195,340,196,340,197,340,202,340,203,340,204,340,205,340,206,340,207,340,208,340,209,340,210,340,211,340,212,340,213,340,214,340,215,340,216,340,217,340,218,340,219,340,220,340,221,340,222,340,223,340,224,340,225,340,226,340,227,340,228,340,229,340,245,340,246,340,247,340,248,340,249,340,250,340,270,340,271,340,272,340,273,340,274,340,275,340,276,340,277,340,278,340,279,340,280,340,281,340,282,340,283,340,284,340,285,340,286,340,287,340,288,340,289,340,290,340,291,340,294,340,295,340,296,340,297,340,298,340,299,340,300,340,301,340,302,340,303,340,304,340,305,340,306,340,307,340,308,340,309,340,310,340,311,340,312,340,313,340,314,340,315,340,316,340,317,340,358,340,359,340,360,340,361,340,362,340,363,340,364,340,27,341,28,341,29,341,30,341,31,341,32,341,33,341,34,341,35,341,36,341,37,341,38,341,39,341,40,341,41,341,42,341,43,341,44,341,45,341,46,341,47,341,48,341,49,341,50,341,51,341,52,341,53,341,57,341,58,341,59,341,60,341,61,341,62,341,63,341,64,341,65,341,66,341,67,341,68,341,69,341,70,341,71,341,72,341,73,341,74,341,75,341,76,341,77,341,78,341,79,341,80,341,81,341,82,341,83,341,84,341,101,341,102,341,103,341,104,341,105,341,126,341,127,341,128,341,129,341,130,341,131,341,132,341,133,341,134,341,135,341,136,341,137,341,138,341,139,341,140,341,141,341,142,341,143,341,144,341,145,341,149,341,150,341,151,341,152,341,153,341,154,341,155,341,156,341,157,341,158,341,159,341,160,341,161,341,162,341,163,341,164,341,165,341,166,341,167,341,168,341,169,341,170,341,171,341,172,341,173,341,174,341,175,341,176,341,177,341,178,341,179,341,180,341,181,341,182,341,183,341,184,341,185,341,186,341,187,341,188,341,189,341,190,341,191,341,192,341,193,341,194,341,195,341,196,341,197,341,201,341,202,341,203,341,204,341,205,341,206,341,207,341,208,341,209,341,210,341,211,341,212,341,213,341,214,341,215,341,216,341,217,341,218,341,219,341,220,341,221,341,222,341,223,341,224,341,225,341,226,341,227,341,228,341,229,341,245,341,246,341,247,341,248,341,249,341,250,341,270,341,271,341,272,341,273,341,274,341,275,341,276,341,277,341,278,341,279,341,280,341,281,341,282,341,283,341,284,341,285,341,286,341,287,341,288,341,289,341,290,341,291,341,294,341,295,341,296,341,297,341,298,341,299,341,300,341,301,341,302,341,303,341,304,341,305,341,306,341,307,341,308,341,309,341,310,341,311,341,312,341,313,341,314,341,315,341,316,341,317,341,355,341,356,341,357,341,358,341,359,341,360,341,361,341,362,341,363,341,364,341,365,341,366,341,27,342,28,342,29,342,30,342,31,342,32,342,33,342,34,342,35,342,36,342,37,342,38,342,39,342,40,342,41,342,42,342,43,342,44,342,45,342,46,342,47,342,48,342,49,342,50,342,51,342,52,342,53,342,56,342,57,342,58,342,59,342,60,342,61,342,62,342,63,342,64,342,65,342,66,342,67,342,68,342,69,342,70,342,71,342,72,342,73,342,74,342,75,342,76,342,77,342,78,342,79,342,80,342,81,342,82,342,83,342,84,342,101,342,102,342,103,342,104,342,105,342,126,342,127,342,128,342,129,342,130,342,131,342,132,342,133,342,134,342,135,342,136,342,137,342,138,342,139,342,140,342,141,342,142,342,143,342,144,342,145,342,148,342,149,342,150,342,151,342,152,342,153,342,154,342,155,342,156,342,157,342,158,342,159,342,160,342,161,342,162,342,163,342,164,342,165,342,166,342,167,342,168,342,169,342,170,342,171,342,172,342,173,342,174,342,175,342,176,342,177,342,178,342,179,342,180,342,181,342,182,342,183,342,184,342,185,342,186,342,187,342,188,342,189,342,190,342,191,342,192,342,193,342,194,342,195,342,196,342,197,342,201,342,202,342,203,342,204,342,205,342,206,342,207,342,208,342,209,342,210,342,211,342,212,342,213,342,214,342,215,342,216,342,217,342,218,342,219,342,220,342,221,342,222,342,223,342,224,342,225,342,226,342,227,342,228,342,229,342,245,342,246,342,247,342,248,342,249,342,250,342,270,342,271,342,272,342,273,342,274,342,275,342,276,342,277,342,278,342,279,342,280,342,281,342,282,342,283,342,284,342,285,342,286,342,287,342,288,342,289,342,290,342,291,342,294,342,295,342,296,342,297,342,298,342,299,342,300,342,301,342,302,342,303,342,304,342,305,342,306,342,307,342,308,342,309,342,310,342,311,342,312,342,313,342,314,342,315,342,316,342,317,342,353,342,354,342,355,342,356,342,357,342,358,342,359,342,360,342,361,342,362,342,363,342,364,342,365,342,366,342,27,343,28,343,29,343,30,343,31,343,32,343,33,343,34,343,35,343,36,343,37,343,38,343,39,343,40,343,41,343,42,343,43,343,44,343,45,343,46,343,47,343,48,343,49,343,50,343,51,343,52,343,53,343,56,343,57,343,58,343,59,343,60,343,61,343,62,343,63,343,64,343,65,343,66,343,67,343,68,343,69,343,70,343,71,343,72,343,73,343,74,343,75,343,76,343,77,343,78,343,79,343,80,343,81,343,82,343,83,343,84,343,101,343,102,343,103,343,104,343,105,343,126,343,127,343,128,343,129,343,130,343,131,343,132,343,133,343,134,343,135,343,136,343,137,343,138,343,139,343,140,343,141,343,142,343,143,343,144,343,145,343,148,343,149,343,150,343,151,343,152,343,153,343,154,343,155,343,156,343,157,343,158,343,159,343,160,343,161,343,162,343,163,343,164,343,165,343,166,343,167,343,168,343,169,343,170,343,171,343,172,343,173,343,174,343,175,343,176,343,177,343,178,343,179,343,180,343,181,343,182,343,183,343,184,343,185,343,186,343,187,343,188,343,189,343,190,343,191,343,192,343,193,343,194,343,195,343,196,343,197,343,200,343,201,343,202,343,203,343,204,343,205,343,206,343,207,343,208,343,209,343,210,343,211,343,212,343,213,343,214,343,215,343,216,343,217,343,218,343,219,343,220,343,221,343,222,343,223,343,224,343,225,343,226,343,227,343,228,343,229,343,245,343,246,343,247,343,248,343,249,343,250,343,270,343,271,343,272,343,273,343,274,343,275,343,276,343,277,343,278,343,279,343,280,343,281,343,282,343,283,343,284,343,285,343,286,343,287,343,288,343,289,343,290,343,291,343,293,343,294,343,295,343,296,343,297,343,298,343,299,343,300,343,301,343,302,343,303,343,304,343,305,343,306,343,307,343,308,343,309,343,310,343,311,343,312,343,313,343,314,343,315,343,316,343,317,343,351,343,352,343,353,343,354,343,355,343,356,343,357,343,358,343,359,343,360,343,361,343,362,343,363,343,364,343,365,343,366,343,27,344,28,344,29,344,30,344,31,344,32,344,33,344,34,344,35,344,36,344,37,344,38,344,39,344,40,344,41,344,42,344,43,344,44,344,45,344,46,344,47,344,48,344,49,344,50,344,51,344,52,344,53,344,55,344,56,344,57,344,58,344,59,344,60,344,61,344,62,344,63,344,64,344,65,344,66,344,67,344,68,344,69,344,70,344,71,344,72,344,73,344,74,344,75,344,76,344,77,344,78,344,79,344,80,344,81,344,82,344,83,344,84,344,101,344,102,344,103,344,104,344,105,344,126,344,127,344,128,344,129,344,130,344,131,344,132,344,133,344,134,344,135,344,136,344,137,344,138,344,139,344,140,344,141,344,142,344,143,344,144,344,145,344,147,344,148,344,149,344,150,344,151,344,152,344,153,344,154,344,155,344,156,344,157,344,158,344,159,344,160,344,161,344,162,344,163,344,164,344,165,344,166,344,167,344,168,344,169,344,170,344,171,344,172,344,173,344,174,344,175,344,176,344,177,344,178,344,179,344,180,344,181,344,182,344,183,344,184,344,185,344,186,344,187,344,188,344,189,344,190,344,191,344,192,344,193,344,194,344,195,344,196,344,197,344,200,344,201,344,202,344,203,344,204,344,205,344,206,344,207,344,208,344,209,344,210,344,211,344,212,344,213,344,214,344,215,344,216,344,217,344,218,344,219,344,220,344,221,344,222,344,223,344,224,344,225,344,226,344,227,344,228,344,229,344,245,344,246,344,247,344,248,344,249,344,250,344,270,344,271,344,272,344,273,344,274,344,275,344,276,344,277,344,278,344,279,344,280,344,281,344,282,344,283,344,284,344,285,344,286,344,287,344,288,344,289,344,290,344,291,344,293,344,294,344,295,344,296,344,297,344,298,344,299,344,300,344,301,344,302,344,303,344,304,344,305,344,306,344,307,344,308,344,309,344,310,344,311,344,312,344,313,344,314,344,315,344,316,344,317,344,351,344,352,344,353,344,354,344,355,344,356,344,357,344,358,344,359,344,360,344,361,344,362,344,363,344,364,344,365,344,366,344,42,345,43,345,44,345,45,345,46,345,47,345,48,345,49,345,50,345,51,345,52,345,53,345,55,345,56,345,57,345,58,345,101,345,102,345,103,345,104,345,105,345,126,345,127,345,128,345,129,345,130,345,131,345,132,345,133,345,134,345,135,345,136,345,137,345,138,345,139,345,140,345,141,345,142,345,143,345,144,345,145,345,146,345,147,345,148,345,149,345,150,345,151,345,152,345,153,345,154,345,155,345,156,345,157,345,158,345,159,345,160,345,182,345,183,345,184,345,185,345,186,345,187,345,188,345,189,345,190,345,191,345,192,345,193,345,194,345,195,345,196,345,197,345,199,345,200,345,201,345,202,345,219,345,220,345,221,345,222,345,223,345,224,345,225,345,226,345,227,345,228,345,229,345,245,345,246,345,247,345,248,345,249,345,250,345,270,345,271,345,272,345,273,345,274,345,275,345,276,345,277,345,278,345,279,345,280,345,281,345,282,345,283,345,284,345,285,345,286,345,287,345,288,345,289,345,290,345,291,345,293,345,294,345,316,345,317,345,349,345,351,345,352,345,353,345,354,345,355,345,356,345,357,345,358,345,359,345,360,345,361,345,362,345,363,345,364,345,365,345,366,345,42,346,43,346,44,346,45,346,46,346,47,346,48,346,49,346,50,346,51,346,52,346,53,346,54,346,55,346,56,346,57,346,58,346,101,346,102,346,103,346,104,346,105,346,126,346,127,346,128,346,129,346,130,346,131,346,132,346,133,346,134,346,135,346,136,346,137,346,138,346,139,346,140,346,141,346,142,346,143,346,144,346,145,346,146,346,147,346,148,346,149,346,150,346,151,346,152,346,153,346,154,346,155,346,156,346,157,346,158,346,159,346,160,346,182,346,183,346,184,346,185,346,186,346,187,346,188,346,189,346,190,346,191,346,192,346,193,346,194,346,195,346,196,346,197,346,198,346,199,346,200,346,201,346,202,346,219,346,220,346,221,346,222,346,223,346,224,346,225,346,226,346,227,346,228,346,229,346,245,346,246,346,247,346,248,346,249,346,250,346,270,346,271,346,272,346,273,346,274,346,275,346,276,346,277,346,278,346,279,346,280,346,281,346,282,346,283,346,284,346,285,346,286,346,287,346,288,346,289,346,290,346,291,346,292,346,293,346,316,346,317,346,351,346,352,346,353,346,354,346,355,346,356,346,357,346,358,346,359,346,360,346,361,346,362,346,363,346,364,346,365,346,366,346,101,347,102,347,103,347,104,347,105,347,182,347,245,347,246,347,247,347,248,347,249,347,250,347,351,347,352,347,353,347,354,347,355,347,101,348,102,348,103,348,104,348,105,348,182,348,245,348,246,348,247,348,248,348,249,348,250,348,351,348,352,348,353,348,396,348,42,349,101,349,102,349,103,349,104,349,105,349,182,349,245,349,246,349,247,349,248,349,249,349,250,349,316,349,326,349,327,349,348,349,351,349,396,349,42,350,101,350,102,350,103,350,104,350,105,350,182,350,183,350,245,350,246,350,247,350,248,350,249,350,250,350,316,350,326,350,327,350,328,350,329,350,330,350,331,350,332,350,333,350,396,350,397,350,42,351,43,351,101,351,102,351,103,351,104,351,105,351,182,351,183,351,245,351,246,351,247,351,248,351,249,351,250,351,316,351,325,351,326,351,327,351,328,351,329,351,330,351,331,351,332,351,396,351,397,351,398,351,42,352,43,352,101,352,102,352,103,352,104,352,105,352,182,352,183,352,245,352,246,352,247,352,248,352,249,352,250,352,316,352,325,352,326,352,327,352,328,352,329,352,330,352,331,352,332,352,395,352,396,352,397,352,398,352,42,353,43,353,101,353,102,353,103,353,104,353,105,353,182,353,183,353,245,353,246,353,247,353,248,353,249,353,250,353,316,353,317,353,324,353,325,353,326,353,327,353,328,353,329,353,330,353,331,353,388,353,389,353,390,353,391,353,392,353,393,353,394,353,395,353,396,353,397,353,398,353,399,353,28,354,29,354,30,354,31,354,32,354,33,354,34,354,35,354,36,354,37,354,38,354,39,354,40,354,41,354,42,354,43,354,75,354,76,354,77,354,78,354,79,354,80,354,81,354,82,354,83,354,84,354,101,354,102,354,103,354,104,354,105,354,141,354,182,354,183,354,245,354,246,354,247,354,248,354,249,354,250,354,316,354,317,354,324,354,325,354,326,354,327,354,328,354,329,354,330,354,331,354,388,354,389,354,390,354,391,354,392,354,393,354,394,354,395,354,396,354,397,354,398,354,399,354,28,355,29,355,30,355,31,355,32,355,33,355,34,355,35,355,36,355,37,355,38,355,39,355,40,355,41,355,42,355,43,355,44,355,75,355,76,355,77,355,78,355,79,355,80,355,81,355,82,355,83,355,84,355,101,355,102,355,103,355,104,355,105,355,141,355,182,355,183,355,184,355,245,355,246,355,247,355,248,355,249,355,250,355,316,355,317,355,323,355,324,355,325,355,326,355,327,355,328,355,329,355,330,355,331,355,389,355,390,355,391,355,392,355,393,355,394,355,395,355,396,355,397,355,398,355,399,355,28,356,29,356,30,356,31,356,32,356,33,356,34,356,35,356,36,356,37,356,38,356,39,356,40,356,41,356,42,356,43,356,44,356,75,356,76,356,77,356,78,356,79,356,80,356,81,356,82,356,83,356,84,356,101,356,102,356,103,356,104,356,105,356,141,356,182,356,183,356,184,356,245,356,246,356,247,356,248,356,249,356,250,356,316,356,317,356,322,356,323,356,324,356,325,356,326,356,327,356,328,356,329,356,330,356,389,356,390,356,391,356,392,356,393,356,394,356,395,356,396,356,397,356,398,356,399,356,28,357,29,357,30,357,31,357,32,357,33,357,34,357,35,357,36,357,37,357,38,357,39,357,40,357,41,357,42,357,43,357,44,357,75,357,76,357,77,357,78,357,79,357,80,357,81,357,82,357,83,357,84,357,101,357,102,357,103,357,104,357,105,357,141,357,142,357,182,357,183,357,184,357,245,357,246,357,247,357,248,357,249,357,250,357,316,357,317,357,324,357,325,357,326,357,327,357,328,357,329,357,330,357,385,357,390,357,391,357,392,357,393,357,394,357,395,357,396,357,397,357,398,357,399,357,28,358,29,358,30,358,31,358,32,358,33,358,34,358,35,358,36,358,37,358,38,358,39,358,40,358,41,358,42,358,43,358,44,358,75,358,76,358,77,358,78,358,79,358,80,358,81,358,82,358,83,358,84,358,101,358,102,358,103,358,104,358,105,358,141,358,142,358,182,358,183,358,184,358,245,358,246,358,247,358,248,358,249,358,250,358,316,358,317,358,329,358,390,358,391,358,392,358,393,358,394,358,395,358,396,358,397,358,398,358,399,358,28,359,29,359,30,359,31,359,32,359,33,359,34,359,35,359,36,359,37,359,38,359,39,359,40,359,41,359,42,359,43,359,44,359,75,359,76,359,77,359,78,359,79,359,80,359,81,359,82,359,83,359,84,359,101,359,102,359,103,359,104,359,105,359,141,359,142,359,182,359,183,359,184,359,245,359,246,359,247,359,248,359,249,359,250,359,316,359,317,359,390,359,391,359,392,359,393,359,394,359,395,359,396,359,397,359,398,359,399,359,28,360,29,360,30,360,31,360,32,360,33,360,34,360,35,360,36,360,37,360,38,360,39,360,40,360,41,360,42,360,43,360,44,360,75,360,76,360,77,360,78,360,79,360,80,360,81,360,82,360,83,360,84,360,101,360,102,360,103,360,104,360,105,360,141,360,142,360,143,360,182,360,183,360,184,360,245,360,246,360,247,360,248,360,249,360,250,360,316,360,317,360,391,360,392,360,393,360,394,360,395,360,396,360,397,360,398,360,399,360,28,361,29,361,30,361,31,361,32,361,33,361,34,361,35,361,36,361,37,361,38,361,39,361,40,361,41,361,42,361,43,361,44,361,75,361,76,361,77,361,78,361,79,361,80,361,81,361,82,361,83,361,84,361,101,361,102,361,103,361,104,361,105,361,141,361,142,361,143,361,182,361,183,361,184,361,245,361,246,361,247,361,248,361,249,361,250,361,315,361,316,361,317,361,384,361,391,361,392,361,28,362,29,362,30,362,31,362,32,362,33,362,34,362,35,362,36,362,37,362,38,362,39,362,40,362,41,362,42,362,43,362,44,362,75,362,76,362,77,362,78,362,79,362,80,362,81,362,82,362,83,362,84,362,101,362,102,362,103,362,104,362,105,362,141,362,142,362,143,362,182,362,183,362,184,362,246,362,247,362,248,362,249,362,250,362,314,362,316,362,317,362,28,363,29,363,30,363,31,363,32,363,33,363,34,363,35,363,36,363,37,363,38,363,39,363,40,363,41,363,42,363,43,363,44,363,75,363,76,363,77,363,78,363,79,363,80,363,81,363,82,363,83,363,84,363,102,363,103,363,104,363,105,363,141,363,142,363,143,363,144,363,182,363,183,363,184,363,246,363,247,363,248,363,249,363,250,363,313,363,316,363,317,363,28,364,29,364,30,364,31,364,32,364,33,364,34,364,35,364,36,364,37,364,38,364,39,364,40,364,41,364,42,364,43,364,44,364,75,364,76,364,77,364,78,364,79,364,80,364,81,364,82,364,83,364,84,364,102,364,103,364,104,364,105,364,141,364,142,364,143,364,144,364,182,364,183,364,184,364,246,364,247,364,248,364,249,364,250,364,312,364,316,364,317,364,373,364,374,364,28,365,29,365,30,365,31,365,32,365,33,365,34,365,35,365,36,365,37,365,38,365,39,365,40,365,41,365,42,365,43,365,44,365,75,365,76,365,77,365,78,365,79,365,80,365,81,365,82,365,83,365,84,365,102,365,103,365,104,365,105,365,141,365,142,365,143,365,144,365,182,365,183,365,184,365,247,365,248,365,249,365,250,365,311,365,316,365,317,365,369,365,370,365,371,365,372,365,373,365,374,365,12,366,13,366,14,366,15,366,16,366,17,366,18,366,19,366,20,366,21,366,22,366,23,366,24,366,25,366,26,366,64,366,65,366,66,366,67,366,68,366,69,366,70,366,71,366,72,366,73,366,74,366,85,366,86,366,87,366,88,366,89,366,90,366,91,366,92,366,93,366,94,366,95,366,103,366,104,366,105,366,115,366,116,366,117,366,118,366,119,366,120,366,121,366,122,366,123,366,124,366,125,366,126,366,127,366,128,366,129,366,130,366,131,366,132,366,133,366,134,366,135,366,136,366,137,366,138,366,139,366,140,366,141,366,142,366,143,366,144,366,161,366,162,366,163,366,164,366,165,366,166,366,167,366,168,366,169,366,170,366,171,366,172,366,173,366,174,366,175,366,176,366,177,366,178,366,179,366,180,366,181,366,182,366,183,366,184,366,208,366,209,366,210,366,211,366,212,366,213,366,214,366,215,366,216,366,217,366,218,366,219,366,220,366,221,366,222,366,223,366,224,366,225,366,226,366,227,366,228,366,229,366,230,366,231,366,232,366,233,366,234,366,235,366,236,366,237,366,238,366,239,366,247,366,248,366,249,366,250,366,259,366,260,366,261,366,262,366,263,366,264,366,265,366,266,366,267,366,268,366,269,366,300,366,301,366,302,366,303,366,304,366,305,366,306,366,307,366,308,366,309,366,310,366,317,366,354,366,355,366,356,366,357,366,358,366,359,366,360,366,361,366,362,366,363,366,364,366,365,366,366,366,367,366,368,366,369,366,370,366,371,366,372,366,373,366,374,366,11,367,12,367,13,367,14,367,15,367,16,367,17,367,18,367,19,367,20,367,21,367,22,367,23,367,24,367,25,367,26,367,64,367,65,367,66,367,67,367,68,367,69,367,70,367,71,367,72,367,73,367,74,367,85,367,86,367,87,367,88,367,89,367,90,367,91,367,92,367,93,367,94,367,95,367,103,367,104,367,105,367,115,367,116,367,117,367,118,367,119,367,120,367,121,367,122,367,123,367,124,367,125,367,126,367,127,367,128,367,129,367,130,367,131,367,132,367,133,367,134,367,135,367,136,367,137,367,138,367,139,367,140,367,141,367,142,367,143,367,144,367,161,367,162,367,163,367,164,367,165,367,166,367,167,367,168,367,169,367,170,367,171,367,172,367,173,367,174,367,175,367,176,367,177,367,178,367,179,367,180,367,181,367,182,367,183,367,184,367,208,367,209,367,210,367,211,367,212,367,213,367,214,367,215,367,216,367,217,367,218,367,219,367,220,367,221,367,222,367,223,367,224,367,225,367,226,367,227,367,228,367,229,367,230,367,231,367,232,367,233,367,234,367,235,367,236,367,237,367,238,367,239,367,247,367,248,367,249,367,250,367,259,367,260,367,261,367,262,367,263,367,264,367,265,367,266,367,267,367,268,367,269,367,300,367,301,367,302,367,303,367,304,367,305,367,306,367,307,367,308,367,309,367,310,367,317,367,337,367,359,367,365,367,366,367,367,367,368,367,369,367,370,367,371,367,372,367,373,367,374,367,11,368,12,368,13,368,14,368,15,368,16,368,17,368,18,368,19,368,20,368,21,368,22,368,23,368,24,368,25,368,26,368,64,368,65,368,66,368,67,368,68,368,69,368,70,368,71,368,72,368,73,368,74,368,85,368,86,368,87,368,88,368,89,368,90,368,91,368,92,368,93,368,94,368,95,368,104,368,105,368,115,368,116,368,117,368,118,368,119,368,120,368,121,368,122,368,123,368,124,368,125,368,126,368,127,368,128,368,129,368,130,368,131,368,132,368,133,368,134,368,135,368,136,368,137,368,138,368,139,368,140,368,141,368,142,368,143,368,144,368,161,368,162,368,163,368,164,368,165,368,166,368,167,368,168,368,169,368,170,368,171,368,172,368,173,368,174,368,175,368,176,368,177,368,178,368,179,368,180,368,181,368,182,368,183,368,184,368,208,368,209,368,210,368,211,368,212,368,213,368,214,368,215,368,216,368,217,368,218,368,219,368,220,368,221,368,222,368,223,368,224,368,225,368,226,368,227,368,228,368,229,368,230,368,231,368,232,368,233,368,234,368,235,368,236,368,237,368,238,368,239,368,240,368,248,368,249,368,250,368,258,368,259,368,260,368,261,368,262,368,263,368,264,368,265,368,266,368,267,368,268,368,269,368,300,368,301,368,302,368,303,368,304,368,305,368,306,368,307,368,308,368,309,368,310,368,317,368,364,368,365,368,366,368,367,368,368,368,369,368,370,368,371,368,372,368,373,368,374,368,375,368,11,369,12,369,13,369,14,369,15,369,16,369,17,369,18,369,19,369,20,369,21,369,22,369,23,369,24,369,25,369,26,369,63,369,64,369,65,369,66,369,67,369,68,369,69,369,70,369,71,369,72,369,73,369,74,369,85,369,86,369,87,369,88,369,89,369,90,369,91,369,92,369,93,369,94,369,95,369,96,369,104,369,105,369,115,369,116,369,117,369,118,369,119,369,120,369,121,369,122,369,123,369,124,369,125,369,126,369,127,369,128,369,129,369,130,369,131,369,132,369,133,369,134,369,135,369,136,369,137,369,138,369,139,369,140,369,141,369,142,369,143,369,144,369,161,369,162,369,163,369,164,369,165,369,166,369,167,369,168,369,169,369,170,369,171,369,172,369,173,369,174,369,175,369,176,369,177,369,178,369,179,369,180,369,181,369,182,369,183,369,184,369,208,369,209,369,210,369,211,369,212,369,213,369,214,369,215,369,216,369,217,369,218,369,219,369,220,369,221,369,222,369,223,369,224,369,225,369,226,369,227,369,228,369,229,369,230,369,231,369,232,369,233,369,234,369,235,369,236,369,237,369,238,369,239,369,240,369,248,369,249,369,250,369,258,369,259,369,260,369,261,369,262,369,263,369,264,369,265,369,266,369,267,369,268,369,269,369,300,369,301,369,302,369,303,369,304,369,305,369,306,369,307,369,308,369,309,369,310,369,317,369,364,369,365,369,366,369,367,369,368,369,369,369,370,369,371,369,372,369,373,369,374,369,375,369,11,370,12,370,13,370,14,370,15,370,16,370,17,370,18,370,19,370,20,370,21,370,22,370,23,370,24,370,25,370,26,370,63,370,64,370,65,370,66,370,67,370,68,370,69,370,70,370,71,370,72,370,73,370,74,370,85,370,86,370,87,370,88,370,89,370,90,370,91,370,92,370,93,370,94,370,95,370,96,370,104,370,105,370,114,370,115,370,116,370,117,370,118,370,119,370,120,370,121,370,122,370,123,370,124,370,125,370,126,370,127,370,128,370,129,370,130,370,131,370,132,370,133,370,134,370,135,370,136,370,137,370,138,370,139,370,140,370,141,370,142,370,143,370,144,370,161,370,162,370,163,370,164,370,165,370,166,370,167,370,168,370,169,370,170,370,171,370,172,370,173,370,174,370,175,370,176,370,177,370,178,370,179,370,180,370,181,370,182,370,183,370,184,370,207,370,208,370,209,370,210,370,211,370,212,370,213,370,214,370,215,370,216,370,217,370,218,370,219,370,220,370,221,370,222,370,223,370,224,370,225,370,226,370,227,370,228,370,229,370,230,370,231,370,232,370,233,370,234,370,235,370,236,370,237,370,238,370,239,370,240,370,249,370,250,370,258,370,259,370,260,370,261,370,262,370,263,370,264,370,265,370,266,370,267,370,268,370,269,370,300,370,301,370,302,370,303,370,304,370,305,370,306,370,307,370,308,370,309,370,310,370,317,370,342,370,364,370,365,370,366,370,367,370,368,370,369,370,370,370,371,370,372,370,373,370,374,370,375,370,10,371,11,371,12,371,13,371,14,371,15,371,16,371,17,371,18,371,19,371,20,371,21,371,22,371,23,371,24,371,25,371,26,371,63,371,64,371,65,371,66,371,67,371,68,371,69,371,70,371,71,371,72,371,73,371,74,371,85,371,86,371,87,371,88,371,89,371,90,371,91,371,92,371,93,371,94,371,95,371,96,371,105,371,114,371,115,371,116,371,117,371,118,371,119,371,120,371,121,371,122,371,123,371,124,371,125,371,126,371,127,371,128,371,129,371,130,371,131,371,132,371,133,371,134,371,135,371,136,371,137,371,138,371,139,371,140,371,141,371,142,371,143,371,144,371,160,371,161,371,162,371,163,371,164,371,165,371,166,371,167,371,168,371,169,371,170,371,171,371,172,371,173,371,174,371,175,371,176,371,177,371,178,371,179,371,180,371,181,371,182,371,183,371,184,371,207,371,208,371,209,371,210,371,211,371,212,371,213,371,214,371,215,371,216,371,217,371,218,371,219,371,220,371,221,371,222,371,223,371,224,371,225,371,226,371,227,371,228,371,229,371,230,371,231,371,232,371,233,371,234,371,235,371,236,371,237,371,238,371,239,371,240,371,249,371,250,371,258,371,259,371,260,371,261,371,262,371,263,371,264,371,265,371,266,371,267,371,268,371,269,371,299,371,300,371,301,371,302,371,303,371,304,371,305,371,306,371,307,371,308,371,309,371,310,371,363,371,364,371,365,371,366,371,367,371,368,371,369,371,370,371,371,371,372,371,373,371,374,371,375,371,10,372,11,372,12,372,13,372,14,372,15,372,16,372,17,372,18,372,19,372,20,372,21,372,22,372,23,372,24,372,25,372,26,372,63,372,64,372,65,372,66,372,67,372,68,372,69,372,70,372,71,372,72,372,73,372,74,372,85,372,86,372,87,372,88,372,89,372,90,372,91,372,92,372,93,372,94,372,95,372,96,372,105,372,114,372,115,372,116,372,117,372,118,372,119,372,120,372,121,372,122,372,123,372,124,372,125,372,126,372,127,372,128,372,129,372,130,372,131,372,132,372,133,372,134,372,135,372,136,372,137,372,138,372,139,372,140,372,141,372,142,372,143,372,144,372,160,372,161,372,162,372,163,372,164,372,165,372,166,372,167,372,168,372,169,372,170,372,171,372,172,372,173,372,174,372,175,372,176,372,177,372,178,372,179,372,180,372,181,372,182,372,183,372,184,372,207,372,208,372,209,372,210,372,211,372,212,372,213,372,214,372,215,372,216,372,217,372,218,372,219,372,220,372,221,372,222,372,223,372,224,372,225,372,226,372,227,372,228,372,229,372,230,372,231,372,232,372,233,372,234,372,235,372,236,372,237,372,238,372,239,372,240,372,241,372,249,372,250,372,258,372,259,372,260,372,261,372,262,372,263,372,264,372,265,372,266,372,267,372,268,372,269,372,299,372,300,372,301,372,302,372,303,372,304,372,305,372,306,372,307,372,308,372,309,372,310,372,355,372,356,372,357,372,363,372,364,372,365,372,366,372,367,372,368,372,369,372,370,372,371,372,372,372,373,372,374,372,375,372,10,373,11,373,12,373,13,373,14,373,15,373,16,373,17,373,18,373,19,373,20,373,21,373,22,373,23,373,24,373,25,373,26,373,62,373,63,373,64,373,65,373,66,373,67,373,68,373,69,373,70,373,71,373,72,373,73,373,74,373,85,373,86,373,87,373,88,373,89,373,90,373,91,373,92,373,93,373,94,373,95,373,96,373,97,373,105,373,114,373,115,373,116,373,117,373,118,373,119,373,120,373,121,373,122,373,123,373,124,373,125,373,126,373,127,373,128,373,129,373,130,373,131,373,132,373,133,373,134,373,135,373,136,373,137,373,138,373,139,373,140,373,141,373,142,373,143,373,144,373,160,373,161,373,162,373,163,373,164,373,165,373,166,373,167,373,168,373,169,373,170,373,171,373,172,373,173,373,174,373,175,373,176,373,177,373,178,373,179,373,180,373,181,373,182,373,183,373,184,373,207,373,208,373,209,373,210,373,211,373,212,373,213,373,214,373,215,373,216,373,217,373,218,373,219,373,220,373,221,373,222,373,223,373,224,373,225,373,226,373,227,373,228,373,229,373,230,373,231,373,232,373,233,373,234,373,235,373,236,373,237,373,238,373,239,373,240,373,241,373,250,373,258,373,259,373,260,373,261,373,262,373,263,373,264,373,265,373,266,373,267,373,268,373,269,373,299,373,300,373,301,373,302,373,303,373,304,373,305,373,306,373,307,373,308,373,309,373,310,373,355,373,356,373,357,373,358,373,359,373,360,373,361,373,362,373,363,373,364,373,365,373,366,373,367,373,368,373,369,373,370,373,371,373,372,373,373,373,374,373,375,373,10,374,11,374,12,374,13,374,14,374,15,374,16,374,17,374,18,374,19,374,20,374,21,374,22,374,23,374,24,374,25,374,26,374,62,374,63,374,64,374,65,374,66,374,67,374,68,374,69,374,70,374,71,374,72,374,73,374,74,374,85,374,86,374,87,374,88,374,89,374,90,374,91,374,92,374,93,374,94,374,95,374,96,374,97,374,114,374,115,374,116,374,117,374,118,374,119,374,120,374,121,374,122,374,123,374,124,374,125,374,126,374,127,374,128,374,129,374,130,374,131,374,132,374,133,374,134,374,135,374,136,374,137,374,138,374,139,374,140,374,141,374,142,374,143,374,144,374,160,374,161,374,162,374,163,374,164,374,165,374,166,374,167,374,168,374,169,374,170,374,171,374,172,374,173,374,174,374,175,374,176,374,177,374,178,374,179,374,180,374,181,374,182,374,183,374,184,374,206,374,207,374,208,374,209,374,210,374,211,374,212,374,213,374,214,374,215,374,216,374,217,374,218,374,219,374,220,374,221,374,222,374,223,374,224,374,225,374,226,374,227,374,228,374,229,374,230,374,231,374,232,374,233,374,234,374,235,374,236,374,237,374,238,374,239,374,240,374,241,374,250,374,258,374,259,374,260,374,261,374,262,374,263,374,264,374,265,374,266,374,267,374,268,374,269,374,299,374,300,374,301,374,302,374,303,374,304,374,305,374,306,374,307,374,308,374,309,374,310,374,335,374,354,374,355,374,356,374,357,374,358,374,359,374,360,374,361,374,362,374,363,374,364,374,365,374,366,374,367,374,368,374,369,374,370,374,371,374,372,374,373,374,374,374,375,374,376,374,9,375,10,375,11,375,12,375,13,375,14,375,15,375,16,375,17,375,18,375,19,375,20,375,21,375,22,375,23,375,24,375,25,375,26,375,62,375,63,375,64,375,65,375,66,375,67,375,68,375,69,375,70,375,71,375,72,375,73,375,74,375,85,375,86,375,87,375,88,375,89,375,90,375,91,375,92,375,93,375,94,375,95,375,96,375,97,375,114,375,115,375,116,375,117,375,118,375,119,375,120,375,121,375,122,375,123,375,124,375,125,375,126,375,127,375,128,375,129,375,130,375,131,375,132,375,133,375,134,375,135,375,136,375,137,375,138,375,139,375,140,375,141,375,142,375,143,375,144,375,160,375,161,375,162,375,163,375,164,375,165,375,166,375,167,375,168,375,169,375,170,375,171,375,172,375,173,375,174,375,175,375,176,375,177,375,178,375,179,375,180,375,181,375,182,375,183,375,184,375,206,375,207,375,208,375,209,375,210,375,211,375,212,375,213,375,214,375,215,375,216,375,217,375,218,375,219,375,220,375,221,375,222,375,223,375,224,375,225,375,226,375,227,375,228,375,229,375,230,375,231,375,232,375,233,375,234,375,235,375,236,375,237,375,238,375,239,375,240,375,241,375,258,375,259,375,260,375,261,375,262,375,263,375,264,375,265,375,266,375,267,375,268,375,269,375,299,375,300,375,301,375,302,375,303,375,304,375,305,375,306,375,307,375,308,375,309,375,310,375,354,375,355,375,356,375,357,375,358,375,359,375,360,375,361,375,362,375,363,375,364,375,365,375,366,375,367,375,368,375,369,375,370,375,371,375,372,375,373,375,374,375,9,376,10,376,11,376,12,376,13,376,14,376,15,376,16,376,17,376,18,376,19,376,20,376,21,376,22,376,23,376,24,376,25,376,26,376,62,376,63,376,64,376,65,376,66,376,67,376,68,376,69,376,70,376,71,376,72,376,73,376,74,376,85,376,86,376,87,376,88,376,89,376,90,376,91,376,92,376,93,376,94,376,95,376,96,376,97,376,113,376,114,376,115,376,116,376,117,376,118,376,119,376,120,376,121,376,122,376,123,376,124,376,125,376,126,376,127,376,128,376,129,376,130,376,131,376,132,376,133,376,134,376,135,376,136,376,137,376,138,376,139,376,140,376,141,376,142,376,143,376,144,376,160,376,161,376,162,376,163,376,164,376,165,376,166,376,167,376,168,376,169,376,170,376,171,376,172,376,173,376,174,376,175,376,176,376,177,376,178,376,179,376,180,376,181,376,182,376,183,376,184,376,206,376,207,376,208,376,209,376,210,376,211,376,212,376,213,376,214,376,215,376,216,376,217,376,218,376,219,376,220,376,221,376,222,376,223,376,224,376,225,376,226,376,227,376,228,376,229,376,230,376,231,376,232,376,233,376,234,376,235,376,236,376,237,376,238,376,239,376,240,376,241,376,242,376,258,376,259,376,260,376,261,376,262,376,263,376,264,376,265,376,266,376,267,376,268,376,269,376,299,376,300,376,301,376,302,376,303,376,304,376,305,376,306,376,307,376,308,376,309,376,310,376,354,376,355,376,356,376,357,376,358,376,359,376,360,376,361,376,362,376,363,376,364,376,365,376,366,376,367,376,368,376,369,376,370,376,371,376,9,377,10,377,11,377,12,377,13,377,14,377,15,377,16,377,17,377,18,377,19,377,20,377,21,377,22,377,23,377,24,377,25,377,26,377,61,377,62,377,63,377,64,377,65,377,66,377,67,377,68,377,69,377,70,377,71,377,72,377,73,377,74,377,85,377,86,377,87,377,88,377,89,377,90,377,91,377,92,377,93,377,94,377,95,377,96,377,97,377,98,377,113,377,114,377,115,377,116,377,117,377,118,377,119,377,120,377,121,377,122,377,123,377,124,377,125,377,126,377,127,377,128,377,129,377,130,377,131,377,132,377,133,377,134,377,135,377,136,377,137,377,138,377,139,377,140,377,141,377,142,377,143,377,144,377,159,377,160,377,161,377,162,377,163,377,164,377,165,377,166,377,167,377,168,377,169,377,170,377,171,377,172,377,173,377,174,377,175,377,176,377,177,377,178,377,179,377,180,377,181,377,182,377,183,377,184,377,206,377,207,377,208,377,209,377,210,377,211,377,212,377,213,377,214,377,215,377,216,377,217,377,218,377,219,377,220,377,221,377,222,377,223,377,224,377,225,377,226,377,227,377,228,377,229,377,230,377,231,377,232,377,233,377,234,377,235,377,236,377,237,377,238,377,239,377,240,377,241,377,242,377,258,377,259,377,260,377,261,377,262,377,263,377,264,377,265,377,266,377,267,377,268,377,269,377,299,377,300,377,301,377,302,377,303,377,304,377,305,377,306,377,307,377,308,377,309,377,310,377,354,377,355,377,356,377,357,377,358,377,359,377,360,377,361,377,362,377,363,377,364,377,365,377,9,378,10,378,11,378,12,378,13,378,14,378,15,378,16,378,17,378,18,378,19,378,20,378,21,378,22,378,23,378,24,378,25,378,26,378,61,378,62,378,63,378,64,378,65,378,66,378,67,378,68,378,69,378,70,378,71,378,72,378,73,378,74,378,85,378,86,378,87,378,88,378,89,378,90,378,91,378,92,378,93,378,94,378,95,378,96,378,97,378,98,378,113,378,114,378,115,378,116,378,117,378,118,378,119,378,120,378,121,378,122,378,123,378,124,378,125,378,126,378,127,378,128,378,129,378,130,378,131,378,132,378,133,378,134,378,135,378,136,378,137,378,138,378,139,378,140,378,141,378,142,378,143,378,144,378,159,378,160,378,161,378,162,378,163,378,164,378,165,378,166,378,167,378,168,378,169,378,170,378,171,378,172,378,173,378,174,378,175,378,176,378,177,378,178,378,179,378,180,378,181,378,182,378,183,378,184,378,205,378,206,378,207,378,208,378,209,378,210,378,211,378,212,378,213,378,214,378,215,378,216,378,217,378,218,378,219,378,220,378,221,378,222,378,223,378,224,378,225,378,226,378,227,378,228,378,229,378,230,378,231,378,232,378,233,378,234,378,235,378,236,378,237,378,238,378,239,378,240,378,241,378,242,378,257,378,258,378,259,378,260,378,261,378,262,378,263,378,264,378,265,378,266,378,267,378,268,378,269,378,299,378,300,378,301,378,302,378,303,378,304,378,305,378,306,378,307,378,308,378,309,378,310,378,311,378,354,378,355,378,356,378,357,378,358,378,359,378,360,378,361,378,362,378,363,378,364,378,8,379,9,379,10,379,11,379,12,379,13,379,14,379,15,379,16,379,17,379,18,379,19,379,20,379,21,379,22,379,23,379,24,379,25,379,26,379,61,379,62,379,63,379,64,379,65,379,66,379,67,379,68,379,69,379,70,379,71,379,72,379,73,379,74,379,85,379,86,379,87,379,88,379,89,379,90,379,91,379,92,379,93,379,94,379,95,379,96,379,97,379,98,379,113,379,114,379,115,379,116,379,117,379,118,379,119,379,120,379,121,379,122,379,123,379,124,379,125,379,126,379,127,379,128,379,129,379,130,379,131,379,132,379,133,379,134,379,135,379,136,379,137,379,138,379,139,379,140,379,141,379,142,379,143,379,144,379,159,379,160,379,161,379,162,379,163,379,164,379,165,379,166,379,167,379,168,379,169,379,170,379,171,379,172,379,173,379,174,379,175,379,176,379,177,379,178,379,179,379,180,379,181,379,182,379,183,379,184,379,205,379,206,379,207,379,208,379,209,379,210,379,211,379,212,379,213,379,214,379,215,379,216,379,217,379,218,379,219,379,220,379,221,379,222,379,223,379,224,379,225,379,226,379,227,379,228,379,229,379,230,379,231,379,232,379,233,379,234,379,235,379,236,379,237,379,238,379,239,379,240,379,241,379,242,379,257,379,258,379,259,379,260,379,261,379,262,379,263,379,264,379,265,379,266,379,267,379,268,379,269,379,299,379,300,379,301,379,302,379,303,379,304,379,305,379,306,379,307,379,308,379,309,379,310,379,311,379,354,379,355,379,356,379,357,379,358,379,359,379,360,379,361,379,362,379,363,379,364,379,8,380,9,380,10,380,11,380,12,380,13,380,14,380,15,380,16,380,17,380,18,380,19,380,20,380,21,380,22,380,23,380,24,380,25,380,26,380,61,380,62,380,63,380,64,380,65,380,66,380,67,380,68,380,69,380,70,380,71,380,72,380,73,380,74,380,85,380,86,380,87,380,88,380,89,380,90,380,91,380,92,380,93,380,94,380,95,380,96,380,97,380,98,380,113,380,114,380,115,380,116,380,117,380,118,380,119,380,120,380,121,380,122,380,123,380,124,380,125,380,126,380,127,380,128,380,129,380,130,380,131,380,132,380,133,380,134,380,135,380,136,380,137,380,138,380,139,380,140,380,141,380,142,380,143,380,144,380,159,380,160,380,161,380,162,380,163,380,164,380,165,380,166,380,167,380,168,380,169,380,170,380,171,380,172,380,173,380,174,380,175,380,176,380,177,380,178,380,179,380,180,380,181,380,182,380,183,380,184,380,205,380,206,380,207,380,208,380,209,380,210,380,211,380,212,380,213,380,214,380,215,380,216,380,217,380,218,380,219,380,220,380,221,380,222,380,223,380,224,380,225,380,226,380,227,380,228,380,229,380,230,380,231,380,232,380,233,380,234,380,235,380,236,380,237,380,238,380,239,380,240,380,241,380,242,380,243,380,257,380,258,380,259,380,260,380,261,380,262,380,263,380,264,380,265,380,266,380,267,380,268,380,269,380,299,380,300,380,301,380,302,380,303,380,304,380,305,380,306,380,307,380,308,380,309,380,310,380,311,380,354,380,355,380,356,380,357,380,358,380,359,380,360,380,361,380,362,380,363,380,8,381,9,381,10,381,11,381,12,381,13,381,14,381,15,381,16,381,17,381,18,381,19,381,20,381,21,381,22,381,23,381,24,381,25,381,26,381,60,381,61,381,62,381,63,381,64,381,65,381,66,381,67,381,68,381,69,381,70,381,71,381,72,381,73,381,74,381,85,381,86,381,87,381,88,381,89,381,90,381,91,381,92,381,93,381,94,381,95,381,96,381,97,381,98,381,99,381,113,381,114,381,115,381,116,381,117,381,118,381,119,381,120,381,121,381,122,381,123,381,124,381,125,381,126,381,127,381,128,381,129,381,130,381,131,381,132,381,133,381,134,381,135,381,136,381,137,381,138,381,139,381,140,381,141,381,142,381,143,381,144,381,159,381,160,381,161,381,162,381,163,381,164,381,165,381,166,381,167,381,168,381,169,381,170,381,171,381,172,381,173,381,174,381,175,381,176,381,177,381,178,381,179,381,180,381,181,381,182,381,183,381,184,381,205,381,206,381,207,381,208,381,209,381,210,381,211,381,212,381,213,381,214,381,215,381,216,381,217,381,218,381,219,381,220,381,221,381,222,381,223,381,224,381,225,381,226,381,227,381,228,381,229,381,230,381,231,381,232,381,233,381,234,381,235,381,236,381,237,381,238,381,239,381,240,381,241,381,242,381,243,381,257,381,258,381,259,381,260,381,261,381,262,381,263,381,264,381,265,381,266,381,267,381,268,381,269,381,299,381,300,381,301,381,302,381,303,381,304,381,305,381,306,381,307,381,308,381,309,381,310,381,311,381,354,381,355,381,356,381,357,381,358,381,359,381,360,381,361,381,362,381,363,381,354,382,355,382,356,382,357,382,358,382,359,382,360,382,361,382,362,382}
  listgrassdry = {225,43,199,50,226,50,197,51,198,51,225,51,226,51,225,52,215,53,235,59,147,61,233,63,249,65,138,67,252,67,268,68,269,68,260,70,141,71,260,71,262,71,262,72,263,72,262,74,129,76,255,76,310,76,255,77,256,77,311,77,312,77,114,78,115,78,253,78,254,78,311,78,267,79,306,79,308,79,309,79,310,79,261,80,306,80,307,80,308,80,309,80,269,81,306,81,303,82,306,82,307,82,119,83,120,83,305,83,306,83,307,83,217,84,303,84,306,84,123,85,300,85,303,85,304,85,305,85,123,86,277,86,278,86,299,86,300,86,303,86,304,86,130,87,298,87,301,87,302,87,303,87,185,88,194,88,296,88,297,88,298,88,299,88,300,88,301,88,302,88,303,88,276,89,298,89,299,89,300,89,301,89,302,89,295,90,298,90,299,90,300,90,301,90,182,91,282,91,295,91,298,91,299,91,300,91,301,91,195,92,282,92,294,92,295,92,296,92,297,92,298,92,299,92,300,92,191,93,197,93,198,93,208,93,250,93,293,93,294,93,295,93,296,93,297,93,298,93,299,93,300,93,188,94,189,94,191,94,196,94,198,94,201,94,202,94,205,94,208,94,291,94,292,94,293,94,295,94,296,94,297,94,298,94,300,94,181,95,182,95,188,95,191,95,196,95,197,95,198,95,199,95,201,95,206,95,207,95,214,95,216,95,291,95,292,95,294,95,295,95,296,95,297,95,300,95,174,96,188,96,189,96,191,96,192,96,193,96,196,96,199,96,201,96,202,96,206,96,207,96,209,96,210,96,214,96,290,96,291,96,292,96,293,96,294,96,295,96,296,96,300,96,301,96,178,97,183,97,184,97,188,97,192,97,193,97,194,97,196,97,198,97,204,97,205,97,206,97,209,97,210,97,214,97,218,97,219,97,220,97,280,97,281,97,282,97,284,97,285,97,290,97,291,97,292,97,294,97,295,97,160,98,177,98,182,98,183,98,185,98,186,98,189,98,191,98,192,98,194,98,197,98,201,98,209,98,210,98,217,98,282,98,288,98,289,98,290,98,173,99,181,99,182,99,186,99,190,99,197,99,205,99,212,99,225,99,226,99,288,99,289,99,290,99,173,100,176,100,179,100,180,100,181,100,185,100,190,100,194,100,201,100,205,100,220,100,222,100,285,100,288,100,289,100,290,100,172,101,176,101,179,101,180,101,185,101,190,101,194,101,207,101,214,101,222,101,224,101,226,101,228,101,229,101,288,101,289,101,299,101,300,101,174,102,175,102,179,102,180,102,186,102,187,102,188,102,197,102,212,102,228,102,289,102,292,102,299,102,170,103,173,103,174,103,175,103,179,103,180,103,182,103,221,103,236,103,282,103,283,103,289,103,290,103,296,103,167,104,173,104,174,104,177,104,180,104,181,104,182,104,184,104,222,104,232,104,240,104,279,104,289,104,165,105,166,105,170,105,173,105,176,105,177,105,180,105,181,105,182,105,185,105,286,105,294,105,164,106,165,106,166,106,167,106,170,106,172,106,175,106,176,106,177,106,232,106,289,106,164,107,165,107,166,107,168,107,172,107,174,107,175,107,176,107,225,107,229,107,235,107,236,107,289,107,290,107,164,108,165,108,166,108,168,108,169,108,172,108,173,108,175,108,176,108,228,108,235,108,236,108,289,108,160,109,161,109,163,109,165,109,166,109,168,109,169,109,175,109,302,109,161,110,163,110,164,110,165,110,166,110,168,110,169,110,172,110,239,110,293,110,161,111,162,111,165,111,166,111,168,111,169,111,171,111,172,111,293,111,159,112,161,112,162,112,165,112,168,112,169,112,292,112,158,113,159,113,163,113,164,113,167,113,250,113,290,113,291,113,292,113,304,113,305,113,158,114,161,114,162,114,163,114,165,114,166,114,167,114,241,114,250,114,290,114,306,114,157,115,158,115,162,115,163,115,166,115,167,115,168,115,154,116,157,116,158,116,162,116,163,116,164,116,165,116,289,116,154,117,156,117,157,117,159,117,162,117,163,117,164,117,288,117,289,117,155,118,156,118,157,118,159,118,163,118,297,118,155,119,157,119,158,119,160,119,161,119,295,119,153,120,155,120,158,120,160,120,104,121,150,121,153,121,154,121,155,121,156,121,159,121,161,121,149,122,153,122,154,122,155,122,157,122,159,122,160,122,161,122,143,123,153,123,154,123,156,123,157,123,158,123,160,123,295,123,296,123,297,123,144,124,153,124,154,124,157,124,158,124,294,124,99,125,144,125,149,125,155,125,156,125,157,125,140,126,144,126,149,126,151,126,152,126,155,126,156,126,257,126,140,127,152,127,153,127,155,127,156,127,295,127,140,128,150,128,153,128,154,128,155,128,156,128,299,128,152,129,153,129,155,129,156,129,157,129,297,129,299,129,312,129,140,130,152,130,296,130,299,130,147,131,148,131,149,131,152,131,154,131,296,131,148,132,149,132,151,132,152,132,153,132,154,132,298,132,98,133,136,133,148,133,151,133,152,133,154,133,295,133,298,133,299,133,140,134,145,134,148,134,152,134,297,134,298,134,148,135,151,135,299,135,302,135,144,136,145,136,148,136,151,136,152,136,298,136,299,136,300,136,301,136,144,137,146,137,151,137,152,137,153,137,298,137,299,137,300,137,98,138,146,138,147,138,148,138,149,138,152,138,298,138,136,139,146,139,147,139,149,139,150,139,152,139,297,139,298,139,299,139,145,140,146,140,147,140,150,140,298,140,299,140,145,141,150,141,299,141,300,141,302,141,148,142,149,142,150,142,151,142,152,142,153,142,298,142,299,142,300,142,301,142,147,143,149,143,298,143,299,143,300,143,301,143,149,144,150,144,298,144,299,144,300,144,301,144,302,144,145,145,146,145,148,145,149,145,150,145,151,145,299,145,300,145,301,145,340,145,139,146,145,146,146,146,150,146,299,146,300,146,301,146,145,147,146,147,151,147,298,147,299,147,300,147,301,147,138,148,139,148,146,148,147,148,148,148,150,148,151,148,298,148,299,148,300,148,301,148,341,148,146,149,147,149,148,149,149,149,150,149,299,149,300,149,301,149,298,150,299,150,300,150,148,151,149,151,150,151,256,151,299,151,300,151,147,152,148,152,149,152,150,152,299,152,300,152,301,152,144,153,145,153,147,153,148,153,149,153,150,153,151,153,295,153,299,153,300,153,301,153,302,153,142,154,144,154,146,154,147,154,148,154,150,154,151,154,298,154,299,154,300,154,301,154,302,154,303,154,93,155,142,155,145,155,146,155,148,155,151,155,152,155,297,155,298,155,299,155,300,155,301,155,147,156,148,156,149,156,150,156,153,156,263,156,296,156,298,156,299,156,300,156,301,156,78,157,79,157,80,157,145,157,146,157,147,157,150,157,153,157,299,157,300,157,301,157,66,158,67,158,68,158,69,158,70,158,71,158,72,158,73,158,74,158,80,158,81,158,82,158,83,158,102,158,146,158,147,158,150,158,151,158,152,158,298,158,299,158,300,158,301,158,341,158,67,159,68,159,69,159,74,159,75,159,80,159,81,159,82,159,84,159,85,159,86,159,88,159,144,159,145,159,148,159,151,159,298,159,299,159,300,159,301,159,71,160,72,160,73,160,74,160,75,160,78,160,79,160,80,160,85,160,86,160,87,160,88,160,89,160,90,160,91,160,92,160,93,160,94,160,95,160,103,160,145,160,146,160,147,160,149,160,297,160,298,160,299,160,300,160,301,160,75,161,76,161,77,161,78,161,79,161,80,161,81,161,82,161,83,161,84,161,85,161,86,161,87,161,89,161,90,161,93,161,94,161,95,161,96,161,97,161,98,161,99,161,100,161,101,161,149,161,298,161,299,161,300,161,301,161,331,161,78,162,79,162,80,162,81,162,82,162,83,162,84,162,85,162,86,162,87,162,88,162,89,162,90,162,91,162,92,162,94,162,95,162,96,162,97,162,98,162,99,162,145,162,153,162,154,162,298,162,299,162,300,162,82,163,83,163,84,163,85,163,86,163,87,163,88,163,89,163,90,163,91,163,92,163,93,163,94,163,96,163,102,163,145,163,147,163,152,163,153,163,298,163,299,163,300,163,301,163,86,164,87,164,88,164,89,164,90,164,91,164,92,164,149,164,298,164,299,164,300,164,301,164,330,164,87,165,88,165,89,165,90,165,150,165,151,165,152,165,153,165,297,165,298,165,299,165,300,165,148,166,149,166,150,166,151,166,297,166,298,166,299,166,300,166,342,166,149,167,150,167,151,167,152,167,154,167,298,167,299,167,300,167,341,167,150,168,151,168,152,168,153,168,297,168,298,168,299,168,300,168,151,169,296,169,297,169,298,169,300,169,301,169,148,170,149,170,150,170,296,170,297,170,298,170,301,170,302,170,329,170,336,170,340,170,103,171,149,171,150,171,151,171,152,171,155,171,289,171,296,171,297,171,298,171,299,171,338,171,148,172,149,172,153,172,156,172,296,172,297,172,298,172,299,172,300,172,331,172,151,173,152,173,153,173,295,173,296,173,297,173,298,173,299,173,300,173,332,173,341,173,145,174,151,174,152,174,153,174,157,174,294,174,295,174,296,174,297,174,298,174,299,174,318,174,325,174,328,174,150,175,294,175,295,175,296,175,297,175,298,175,299,175,313,175,314,175,315,175,316,175,317,175,318,175,319,175,320,175,321,175,322,175,323,175,324,175,325,175,326,175,327,175,328,175,329,175,331,175,336,175,148,176,151,176,156,176,157,176,289,176,294,176,295,176,296,176,297,176,298,176,299,176,300,176,301,176,302,176,303,176,304,176,305,176,306,176,307,176,308,176,309,176,310,176,311,176,312,176,313,176,314,176,315,176,316,176,317,176,318,176,319,176,320,176,321,176,322,176,323,176,324,176,325,176,326,176,327,176,328,176,329,176,330,176,331,176,332,176,333,176,334,176,335,176,336,176,148,177,151,177,156,177,289,177,294,177,295,177,296,177,297,177,298,177,299,177,300,177,301,177,302,177,303,177,304,177,305,177,306,177,307,177,308,177,309,177,310,177,311,177,312,177,313,177,314,177,315,177,316,177,317,177,318,177,319,177,320,177,321,177,322,177,323,177,324,177,325,177,326,177,327,177,328,177,329,177,330,177,331,177,332,177,333,177,334,177,335,177,336,177,337,177,338,177,155,178,159,178,294,178,295,178,296,178,297,178,298,178,299,178,300,178,301,178,302,178,303,178,304,178,305,178,306,178,307,178,308,178,309,178,310,178,311,178,312,178,313,178,314,178,315,178,316,178,317,178,318,178,319,178,320,178,321,178,322,178,323,178,324,178,325,178,326,178,327,178,328,178,329,178,330,178,331,178,294,179,295,179,296,179,297,179,298,179,300,179,301,179,302,179,303,179,304,179,305,179,306,179,307,179,308,179,309,179,310,179,311,179,312,179,313,179,314,179,315,179,316,179,317,179,318,179,319,179,320,179,152,180,292,180,293,180,294,180,295,180,296,180,297,180,298,180,299,180,300,180,301,180,302,180,303,180,304,180,305,180,306,180,307,180,308,180,309,180,310,180,311,180,157,181,158,181,162,181,292,181,293,181,294,181,295,181,296,181,297,181,298,181,299,181,300,181,301,181,302,181,304,181,305,181,306,181,307,181,308,181,309,181,310,181,154,182,156,182,157,182,158,182,161,182,291,182,292,182,293,182,294,182,295,182,296,182,298,182,299,182,300,182,301,182,302,182,303,182,304,182,305,182,306,182,307,182,308,182,309,182,310,182,154,183,156,183,157,183,161,183,290,183,291,183,292,183,293,183,294,183,295,183,298,183,299,183,300,183,301,183,302,183,303,183,304,183,305,183,306,183,307,183,308,183,309,183,291,184,292,184,293,184,294,184,295,184,296,184,297,184,298,184,299,184,300,184,301,184,302,184,303,184,304,184,305,184,306,184,307,184,308,184,156,185,248,185,290,185,291,185,292,185,293,185,294,185,295,185,296,185,298,185,299,185,300,185,301,185,302,185,303,185,304,185,305,185,306,185,307,185,308,185,148,186,154,186,162,186,163,186,164,186,289,186,290,186,291,186,292,186,293,186,294,186,296,186,297,186,298,186,299,186,300,186,301,186,302,186,303,186,304,186,305,186,306,186,307,186,308,186,154,187,160,187,162,187,163,187,290,187,291,187,293,187,294,187,295,187,296,187,297,187,298,187,299,187,300,187,301,187,302,187,303,187,304,187,305,187,306,187,307,187,283,188,290,188,291,188,294,188,295,188,296,188,297,188,298,188,299,188,300,188,301,188,302,188,303,188,304,188,305,188,306,188,307,188,165,189,289,189,290,189,291,189,292,189,294,189,295,189,296,189,297,189,298,189,299,189,300,189,301,189,302,189,303,189,304,189,305,189,306,189,307,189,158,190,162,190,163,190,289,190,292,190,293,190,294,190,295,190,296,190,297,190,298,190,299,190,300,190,301,190,302,190,303,190,304,190,305,190,306,190,165,191,166,191,288,191,289,191,292,191,293,191,294,191,295,191,296,191,297,191,298,191,299,191,300,191,302,191,303,191,304,191,305,191,306,191,164,192,173,192,175,192,288,192,289,192,290,192,291,192,292,192,293,192,294,192,295,192,296,192,297,192,298,192,299,192,300,192,302,192,303,192,304,192,305,192,287,193,288,193,289,193,290,193,291,193,293,193,294,193,295,193,296,193,297,193,298,193,299,193,300,193,301,193,302,193,303,193,304,193,305,193,286,194,287,194,288,194,289,194,290,194,291,194,293,194,294,194,295,194,296,194,297,194,298,194,299,194,300,194,301,194,302,194,303,194,304,194,163,195,168,195,170,195,175,195,176,195,285,195,286,195,287,195,288,195,289,195,290,195,291,195,292,195,293,195,294,195,295,195,296,195,297,195,298,195,299,195,300,195,301,195,302,195,303,195,168,196,285,196,286,196,287,196,288,196,289,196,290,196,291,196,292,196,293,196,295,196,296,196,297,196,298,196,299,196,300,196,301,196,302,196,303,196,171,197,172,197,177,197,183,197,284,197,285,197,286,197,287,197,290,197,291,197,292,197,293,197,294,197,295,197,296,197,297,197,298,197,299,197,300,197,301,197,302,197,303,197,171,198,284,198,285,198,286,198,289,198,290,198,291,198,292,198,293,198,294,198,295,198,296,198,297,198,298,198,299,198,300,198,301,198,302,198,303,198,284,199,285,199,286,199,288,199,290,199,291,199,292,199,293,199,294,199,295,199,296,199,297,199,298,199,299,199,300,199,301,199,302,199,202,200,284,200,285,200,286,200,288,200,289,200,290,200,291,200,292,200,293,200,295,200,296,200,297,200,298,200,299,200,300,200,301,200,302,200,115,201,175,201,231,201,282,201,283,201,284,201,285,201,286,201,287,201,288,201,289,201,290,201,291,201,292,201,293,201,295,201,296,201,297,201,298,201,299,201,300,201,301,201,114,202,186,202,281,202,282,202,283,202,284,202,286,202,287,202,288,202,289,202,290,202,291,202,293,202,294,202,295,202,296,202,297,202,298,202,299,202,300,202,301,202,281,203,282,203,283,203,284,203,287,203,288,203,289,203,290,203,291,203,292,203,293,203,294,203,295,203,296,203,297,203,298,203,299,203,300,203,281,204,282,204,283,204,284,204,287,204,288,204,289,204,290,204,291,204,292,204,293,204,294,204,295,204,296,204,297,204,298,204,299,204,118,205,186,205,280,205,281,205,282,205,283,205,284,205,285,205,286,205,287,205,288,205,289,205,290,205,291,205,292,205,293,205,294,205,295,205,296,205,297,205,298,205,299,205,118,206,280,206,281,206,282,206,283,206,284,206,286,206,287,206,288,206,289,206,290,206,291,206,292,206,293,206,294,206,295,206,296,206,297,206,298,206,114,207,117,207,280,207,281,207,282,207,283,207,287,207,288,207,290,207,291,207,292,207,293,207,294,207,295,207,296,207,297,207,298,207,190,208,279,208,280,208,281,208,282,208,283,208,285,208,287,208,288,208,289,208,290,208,291,208,293,208,294,208,295,208,296,208,297,208,298,208,190,209,279,209,280,209,281,209,283,209,284,209,285,209,286,209,287,209,290,209,293,209,294,209,295,209,296,209,297,209,278,210,279,210,280,210,281,210,282,210,283,210,284,210,285,210,286,210,287,210,289,210,290,210,291,210,292,210,293,210,294,210,295,210,296,210,277,211,278,211,279,211,280,211,281,211,282,211,285,211,286,211,287,211,288,211,289,211,290,211,291,211,292,211,293,211,294,211,295,211,296,211,272,212,276,212,277,212,278,212,279,212,280,212,281,212,282,212,283,212,284,212,285,212,286,212,287,212,288,212,289,212,290,212,291,212,292,212,294,212,295,212,269,213,270,213,271,213,272,213,275,213,276,213,277,213,278,213,279,213,280,213,281,213,283,213,284,213,285,213,286,213,287,213,288,213,289,213,291,213,292,213,294,213,122,214,125,214,270,214,271,214,275,214,276,214,277,214,278,214,279,214,280,214,281,214,283,214,284,214,285,214,286,214,287,214,288,214,289,214,290,214,291,214,292,214,293,214,294,214,269,215,270,215,274,215,275,215,276,215,277,215,278,215,279,215,283,215,284,215,285,215,286,215,287,215,288,215,289,215,290,215,291,215,292,215,293,215,125,216,126,216,273,216,274,216,275,216,276,216,277,216,278,216,279,216,283,216,284,216,285,216,286,216,287,216,288,216,289,216,290,216,291,216,292,216,125,217,272,217,273,217,274,217,275,217,276,217,277,217,281,217,284,217,285,217,286,217,287,217,288,217,289,217,290,217,291,217,292,217,271,218,272,218,273,218,274,218,275,218,276,218,284,218,285,218,286,218,287,218,288,218,289,218,290,218,291,218,292,218,270,219,271,219,272,219,273,219,274,219,275,219,285,219,286,219,287,219,288,219,289,219,290,219,291,219,270,220,271,220,272,220,273,220,274,220,275,220,286,220,287,220,288,220,289,220,290,220,291,220,129,221,131,221,182,221,270,221,271,221,272,221,273,221,275,221,286,221,287,221,288,221,289,221,290,221,291,221,131,222,132,222,264,222,267,222,269,222,270,222,271,222,272,222,276,222,282,222,287,222,288,222,289,222,290,222,291,222,131,223,264,223,265,223,268,223,269,223,270,223,271,223,279,223,282,223,288,223,289,223,290,223,291,223,263,224,264,224,265,224,267,224,268,224,269,224,270,224,278,224,279,224,280,224,289,224,290,224,291,224,292,224,133,225,263,225,266,225,267,225,268,225,269,225,285,225,286,225,290,225,291,225,292,225,135,226,136,226,160,226,260,226,265,226,266,226,267,226,268,226,291,226,292,226,293,226,135,227,138,227,139,227,261,227,262,227,264,227,265,227,266,227,267,227,268,227,289,227,292,227,293,227,138,228,139,228,140,228,141,228,261,228,262,228,263,228,264,228,265,228,266,228,289,228,293,228,294,228,136,229,137,229,138,229,139,229,140,229,141,229,142,229,261,229,262,229,263,229,264,229,265,229,266,229,294,229,295,229,92,230,136,230,137,230,138,230,139,230,140,230,141,230,142,230,143,230,257,230,260,230,261,230,262,230,263,230,264,230,294,230,295,230,296,230,101,231,135,231,136,231,137,231,138,231,139,231,140,231,141,231,142,231,143,231,144,231,257,231,258,231,259,231,260,231,261,231,262,231,263,231,295,231,296,231,132,232,133,232,134,232,135,232,136,232,137,232,138,232,140,232,142,232,143,232,144,232,147,232,148,232,257,232,258,232,259,232,260,232,296,232,297,232,104,233,132,233,133,233,134,233,135,233,136,233,137,233,138,233,139,233,140,233,143,233,145,233,146,233,147,233,255,233,256,233,257,233,258,233,259,233,260,233,297,233,131,234,132,234,133,234,134,234,135,234,136,234,137,234,138,234,139,234,140,234,141,234,142,234,143,234,144,234,252,234,253,234,254,234,255,234,256,234,257,234,297,234,298,234,129,235,130,235,131,235,132,235,133,235,134,235,135,235,136,235,137,235,138,235,139,235,140,235,141,235,142,235,143,235,144,235,145,235,146,235,147,235,248,235,249,235,250,235,251,235,252,235,253,235,254,235,255,235,256,235,257,235,298,235,128,236,129,236,130,236,131,236,132,236,133,236,134,236,135,236,136,236,137,236,138,236,139,236,140,236,141,236,142,236,143,236,145,236,146,236,147,236,148,236,150,236,151,236,154,236,246,236,247,236,248,236,249,236,250,236,251,236,252,236,253,236,254,236,255,236,256,236,257,236,263,236,264,236,294,236,299,236,96,237,98,237,126,237,127,237,128,237,129,237,130,237,131,237,132,237,133,237,134,237,135,237,136,237,137,237,138,237,139,237,140,237,141,237,142,237,143,237,145,237,146,237,147,237,148,237,149,237,150,237,152,237,161,237,244,237,245,237,246,237,247,237,248,237,249,237,250,237,251,237,252,237,253,237,254,237,264,237,293,237,294,237,89,238,124,238,125,238,126,238,127,238,128,238,129,238,130,238,131,238,132,238,133,238,134,238,135,238,136,238,137,238,138,238,139,238,140,238,141,238,142,238,143,238,144,238,145,238,146,238,147,238,148,238,149,238,150,238,151,238,153,238,154,238,157,238,158,238,159,238,160,238,161,238,240,238,241,238,242,238,243,238,244,238,245,238,246,238,247,238,248,238,249,238,250,238,251,238,252,238,253,238,292,238,293,238,295,238,296,238,123,239,124,239,125,239,126,239,127,239,128,239,129,239,130,239,131,239,132,239,133,239,134,239,135,239,136,239,137,239,138,239,139,239,140,239,141,239,142,239,143,239,145,239,146,239,147,239,148,239,149,239,150,239,151,239,152,239,154,239,155,239,156,239,157,239,158,239,159,239,160,239,161,239,162,239,163,239,238,239,239,239,240,239,241,239,242,239,243,239,244,239,245,239,246,239,247,239,248,239,249,239,250,239,251,239,252,239,253,239,293,239,294,239,122,240,123,240,124,240,125,240,126,240,127,240,128,240,129,240,130,240,131,240,132,240,133,240,134,240,135,240,136,240,137,240,138,240,139,240,140,240,141,240,142,240,143,240,144,240,145,240,146,240,147,240,148,240,149,240,150,240,151,240,152,240,153,240,154,240,155,240,156,240,159,240,160,240,161,240,162,240,163,240,164,240,165,240,166,240,167,240,234,240,236,240,237,240,238,240,239,240,240,240,241,240,242,240,243,240,244,240,246,240,247,240,248,240,249,240,250,240,251,240,252,240,253,240,259,240,291,240,292,240,293,240,294,240,297,240,298,240,108,241,111,241,121,241,122,241,123,241,124,241,125,241,126,241,127,241,128,241,129,241,130,241,131,241,132,241,133,241,134,241,135,241,136,241,137,241,138,241,139,241,140,241,141,241,142,241,143,241,144,241,145,241,146,241,147,241,148,241,149,241,150,241,151,241,152,241,153,241,154,241,155,241,156,241,161,241,162,241,163,241,164,241,165,241,166,241,167,241,233,241,234,241,235,241,236,241,237,241,238,241,239,241,240,241,241,241,242,241,243,241,244,241,245,241,246,241,247,241,248,241,249,241,250,241,251,241,252,241,253,241,254,241,263,241,291,241,292,241,293,241,294,241,98,242,119,242,120,242,121,242,122,242,123,242,124,242,125,242,126,242,133,242,134,242,135,242,136,242,137,242,138,242,139,242,140,242,141,242,142,242,143,242,144,242,145,242,146,242,147,242,148,242,150,242,151,242,152,242,153,242,155,242,156,242,157,242,158,242,161,242,162,242,165,242,166,242,167,242,168,242,169,242,231,242,232,242,233,242,234,242,235,242,236,242,238,242,239,242,240,242,241,242,242,242,243,242,244,242,245,242,246,242,247,242,248,242,249,242,250,242,251,242,252,242,253,242,254,242,255,242,256,242,288,242,289,242,294,242,295,242,92,243,110,243,117,243,118,243,119,243,120,243,121,243,122,243,123,243,124,243,125,243,135,243,136,243,137,243,138,243,139,243,140,243,141,243,142,243,143,243,144,243,145,243,146,243,147,243,148,243,149,243,151,243,154,243,155,243,157,243,158,243,159,243,160,243,161,243,162,243,165,243,166,243,167,243,168,243,169,243,170,243,171,243,172,243,173,243,174,243,183,243,222,243,223,243,227,243,228,243,229,243,230,243,231,243,232,243,233,243,234,243,235,243,236,243,237,243,238,243,239,243,240,243,241,243,242,243,243,243,244,243,245,243,246,243,247,243,248,243,249,243,250,243,251,243,252,243,253,243,254,243,255,243,256,243,257,243,287,243,288,243,289,243,290,243,291,243,292,243,294,243,295,243,297,243,298,243,299,243,300,243,115,244,116,244,117,244,118,244,119,244,120,244,121,244,122,244,123,244,136,244,137,244,138,244,139,244,140,244,141,244,142,244,143,244,144,244,145,244,146,244,147,244,148,244,149,244,150,244,152,244,154,244,155,244,156,244,157,244,158,244,159,244,160,244,161,244,162,244,163,244,164,244,166,244,167,244,168,244,169,244,170,244,171,244,172,244,173,244,174,244,175,244,176,244,177,244,217,244,221,244,222,244,223,244,224,244,225,244,226,244,227,244,228,244,229,244,230,244,233,244,234,244,235,244,236,244,237,244,238,244,239,244,240,244,241,244,242,244,243,244,244,244,245,244,246,244,247,244,248,244,249,244,250,244,251,244,252,244,253,244,254,244,255,244,256,244,257,244,258,244,259,244,287,244,290,244,291,244,292,244,293,244,294,244,295,244,296,244,297,244,298,244,299,244,300,244,112,245,114,245,115,245,116,245,117,245,118,245,119,245,120,245,121,245,122,245,137,245,138,245,139,245,140,245,141,245,142,245,143,245,144,245,145,245,146,245,147,245,148,245,149,245,150,245,151,245,152,245,153,245,154,245,155,245,156,245,157,245,158,245,160,245,161,245,162,245,163,245,164,245,166,245,167,245,168,245,170,245,171,245,172,245,173,245,174,245,175,245,176,245,177,245,178,245,179,245,180,245,181,245,182,245,216,245,217,245,219,245,220,245,221,245,222,245,223,245,224,245,225,245,226,245,227,245,228,245,232,245,233,245,234,245,235,245,236,245,237,245,238,245,239,245,240,245,241,245,242,245,243,245,244,245,245,245,246,245,247,245,248,245,249,245,250,245,251,245,252,245,253,245,254,245,255,245,256,245,257,245,258,245,259,245,260,245,290,245,291,245,293,245,295,245,296,245,297,245,299,245,300,245,301,245,302,245,303,245,304,245,112,246,113,246,114,246,115,246,116,246,117,246,118,246,119,246,120,246,139,246,140,246,141,246,142,246,143,246,144,246,145,246,146,246,147,246,148,246,149,246,150,246,151,246,152,246,153,246,154,246,156,246,157,246,158,246,159,246,160,246,161,246,162,246,164,246,166,246,167,246,168,246,169,246,170,246,171,246,172,246,173,246,174,246,175,246,176,246,177,246,178,246,179,246,180,246,181,246,182,246,183,246,184,246,211,246,212,246,213,246,214,246,215,246,216,246,217,246,218,246,219,246,220,246,221,246,222,246,223,246,224,246,225,246,226,246,227,246,228,246,229,246,230,246,231,246,232,246,233,246,234,246,235,246,236,246,237,246,238,246,239,246,240,246,241,246,242,246,243,246,244,246,245,246,246,246,247,246,248,246,249,246,250,246,251,246,252,246,253,246,254,246,255,246,256,246,257,246,258,246,259,246,260,246,261,246,285,246,287,246,288,246,289,246,290,246,291,246,293,246,294,246,295,246,296,246,297,246,299,246,300,246,301,246,302,246,303,246,304,246,113,247,114,247,115,247,116,247,117,247,118,247,142,247,143,247,144,247,145,247,146,247,147,247,148,247,149,247,150,247,151,247,152,247,153,247,154,247,155,247,156,247,157,247,158,247,159,247,160,247,161,247,162,247,163,247,164,247,165,247,166,247,168,247,169,247,172,247,173,247,174,247,175,247,176,247,177,247,178,247,179,247,180,247,181,247,182,247,183,247,184,247,185,247,186,247,187,247,188,247,206,247,207,247,208,247,209,247,210,247,211,247,212,247,213,247,214,247,215,247,216,247,217,247,218,247,219,247,220,247,221,247,222,247,224,247,225,247,226,247,227,247,228,247,229,247,230,247,231,247,232,247,233,247,234,247,235,247,236,247,237,247,238,247,239,247,240,247,241,247,242,247,243,247,244,247,245,247,246,247,247,247,248,247,249,247,250,247,251,247,252,247,253,247,254,247,255,247,256,247,257,247,258,247,259,247,260,247,261,247,262,247,284,247,285,247,286,247,287,247,288,247,291,247,293,247,294,247,295,247,296,247,297,247,298,247,300,247,301,247,302,247,304,247,97,248,100,248,111,248,112,248,113,248,114,248,115,248,116,248,143,248,144,248,145,248,146,248,147,248,148,248,149,248,150,248,151,248,152,248,153,248,154,248,155,248,156,248,157,248,158,248,159,248,161,248,162,248,163,248,164,248,168,248,169,248,170,248,171,248,172,248,173,248,174,248,175,248,176,248,177,248,178,248,179,248,180,248,181,248,182,248,183,248,184,248,185,248,186,248,187,248,188,248,189,248,190,248,191,248,192,248,193,248,194,248,195,248,196,248,197,248,198,248,199,248,200,248,201,248,202,248,203,248,204,248,205,248,206,248,207,248,208,248,209,248,210,248,211,248,212,248,213,248,214,248,215,248,216,248,217,248,218,248,219,248,220,248,221,248,223,248,224,248,225,248,226,248,227,248,228,248,229,248,230,248,231,248,232,248,233,248,234,248,235,248,236,248,237,248,238,248,239,248,240,248,241,248,242,248,243,248,244,248,245,248,246,248,247,248,248,248,249,248,250,248,251,248,252,248,253,248,254,248,255,248,256,248,257,248,258,248,259,248,260,248,261,248,262,248,281,248,282,248,283,248,284,248,285,248,286,248,288,248,289,248,290,248,291,248,293,248,294,248,295,248,296,248,297,248,298,248,299,248,300,248,301,248,304,248,97,249,98,249,110,249,111,249,112,249,113,249,114,249,115,249,145,249,146,249,147,249,148,249,149,249,150,249,151,249,152,249,153,249,154,249,155,249,156,249,157,249,158,249,159,249,160,249,161,249,162,249,163,249,164,249,165,249,166,249,167,249,168,249,169,249,170,249,171,249,172,249,173,249,174,249,175,249,176,249,177,249,178,249,179,249,180,249,181,249,182,249,183,249,184,249,185,249,186,249,187,249,188,249,189,249,190,249,191,249,192,249,193,249,194,249,195,249,196,249,197,249,198,249,199,249,200,249,201,249,202,249,203,249,204,249,205,249,206,249,207,249,208,249,209,249,210,249,211,249,212,249,213,249,214,249,215,249,216,249,217,249,218,249,219,249,220,249,221,249,222,249,223,249,224,249,225,249,226,249,227,249,228,249,229,249,230,249,231,249,232,249,233,249,234,249,235,249,236,249,237,249,238,249,239,249,240,249,241,249,242,249,243,249,244,249,245,249,246,249,247,249,248,249,249,249,250,249,251,249,252,249,253,249,254,249,255,249,256,249,257,249,258,249,259,249,260,249,261,249,262,249,263,249,280,249,281,249,282,249,283,249,284,249,286,249,287,249,290,249,291,249,293,249,294,249,295,249,297,249,298,249,299,249,300,249,301,249,302,249,303,249,110,250,111,250,112,250,113,250,147,250,148,250,149,250,150,250,151,250,152,250,153,250,154,250,155,250,156,250,157,250,158,250,159,250,160,250,161,250,162,250,163,250,164,250,165,250,166,250,167,250,169,250,170,250,171,250,172,250,173,250,174,250,175,250,176,250,177,250,178,250,179,250,180,250,181,250,182,250,183,250,184,250,185,250,186,250,187,250,188,250,189,250,190,250,191,250,192,250,193,250,194,250,195,250,196,250,197,250,198,250,199,250,200,250,201,250,202,250,203,250,204,250,205,250,206,250,207,250,208,250,209,250,210,250,211,250,212,250,213,250,214,250,215,250,216,250,217,250,218,250,219,250,220,250,221,250,222,250,223,250,224,250,225,250,226,250,227,250,228,250,229,250,230,250,231,250,232,250,233,250,234,250,235,250,236,250,237,250,238,250,239,250,240,250,241,250,242,250,243,250,244,250,245,250,246,250,247,250,248,250,249,250,250,250,251,250,252,250,253,250,254,250,255,250,256,250,257,250,258,250,259,250,260,250,261,250,262,250,263,250,264,250,265,250,266,250,279,250,280,250,281,250,282,250,285,250,286,250,287,250,288,250,290,250,291,250,293,250,294,250,295,250,296,250,297,250,298,250,299,250,300,250,301,250,302,250,109,251,110,251,111,251,112,251,148,251,149,251,150,251,151,251,152,251,153,251,154,251,155,251,156,251,157,251,158,251,160,251,161,251,162,251,163,251,164,251,165,251,166,251,167,251,168,251,169,251,170,251,171,251,172,251,173,251,174,251,177,251,178,251,179,251,180,251,181,251,182,251,183,251,184,251,185,251,186,251,187,251,188,251,189,251,190,251,191,251,192,251,193,251,194,251,195,251,196,251,197,251,198,251,199,251,200,251,201,251,202,251,203,251,204,251,205,251,206,251,207,251,208,251,209,251,210,251,211,251,212,251,213,251,214,251,215,251,216,251,217,251,218,251,219,251,220,251,221,251,222,251,223,251,224,251,225,251,226,251,227,251,228,251,229,251,230,251,231,251,232,251,233,251,234,251,235,251,236,251,237,251,238,251,239,251,240,251,241,251,242,251,243,251,244,251,245,251,246,251,247,251,248,251,249,251,250,251,251,251,252,251,253,251,254,251,260,251,261,251,262,251,263,251,264,251,265,251,266,251,267,251,280,251,281,251,282,251,283,251,285,251,286,251,287,251,288,251,289,251,290,251,291,251,292,251,293,251,294,251,295,251,297,251,298,251,299,251,301,251,103,252,107,252,108,252,109,252,110,252,151,252,152,252,153,252,154,252,155,252,156,252,157,252,158,252,159,252,160,252,161,252,162,252,163,252,164,252,165,252,166,252,167,252,168,252,169,252,170,252,171,252,172,252,173,252,177,252,181,252,182,252,186,252,187,252,188,252,189,252,190,252,191,252,192,252,193,252,194,252,195,252,196,252,197,252,198,252,199,252,200,252,201,252,202,252,203,252,204,252,205,252,206,252,207,252,208,252,209,252,210,252,211,252,212,252,213,252,214,252,215,252,216,252,217,252,218,252,219,252,220,252,221,252,222,252,223,252,224,252,225,252,226,252,227,252,228,252,229,252,230,252,231,252,232,252,233,252,234,252,235,252,236,252,237,252,238,252,239,252,240,252,241,252,242,252,243,252,244,252,245,252,246,252,247,252,248,252,249,252,250,252,261,252,262,252,263,252,264,252,265,252,266,252,267,252,268,252,278,252,279,252,280,252,281,252,282,252,283,252,286,252,287,252,288,252,289,252,290,252,291,252,292,252,293,252,294,252,295,252,297,252,298,252,299,252,106,253,107,253,108,253,153,253,154,253,155,253,156,253,157,253,158,253,159,253,160,253,161,253,162,253,163,253,164,253,165,253,166,253,167,253,168,253,169,253,170,253,171,253,172,253,173,253,191,253,192,253,197,253,198,253,201,253,202,253,203,253,204,253,205,253,206,253,210,253,211,253,212,253,213,253,214,253,215,253,216,253,217,253,218,253,219,253,220,253,221,253,222,253,223,253,224,253,225,253,226,253,227,253,228,253,229,253,230,253,231,253,232,253,233,253,234,253,235,253,236,253,237,253,238,253,239,253,240,253,241,253,242,253,243,253,244,253,245,253,246,253,247,253,248,253,263,253,264,253,265,253,266,253,267,253,268,253,269,253,276,253,277,253,278,253,279,253,280,253,281,253,282,253,283,253,284,253,285,253,286,253,288,253,289,253,291,253,292,253,293,253,294,253,297,253,298,253,299,253,106,254,155,254,156,254,157,254,158,254,159,254,160,254,161,254,162,254,163,254,164,254,165,254,166,254,167,254,168,254,169,254,170,254,171,254,172,254,173,254,212,254,213,254,214,254,215,254,216,254,217,254,218,254,219,254,220,254,221,254,222,254,223,254,224,254,225,254,226,254,227,254,228,254,229,254,230,254,231,254,232,254,233,254,234,254,235,254,236,254,237,254,238,254,239,254,240,254,241,254,242,254,243,254,244,254,245,254,246,254,264,254,265,254,266,254,267,254,268,254,269,254,270,254,280,254,281,254,282,254,283,254,284,254,285,254,286,254,287,254,288,254,289,254,290,254,291,254,292,254,293,254,294,254,295,254,296,254,297,254,298,254,157,255,158,255,159,255,160,255,161,255,162,255,163,255,164,255,165,255,166,255,167,255,168,255,169,255,170,255,171,255,172,255,173,255,211,255,212,255,213,255,214,255,215,255,216,255,217,255,218,255,219,255,220,255,221,255,222,255,223,255,224,255,225,255,226,255,227,255,228,255,229,255,230,255,231,255,232,255,233,255,234,255,235,255,236,255,237,255,238,255,239,255,240,255,241,255,242,255,243,255,244,255,265,255,266,255,267,255,268,255,269,255,270,255,271,255,275,255,278,255,279,255,280,255,281,255,283,255,285,255,286,255,287,255,288,255,289,255,290,255,291,255,292,255,293,255,294,255,295,255,296,255,297,255,159,256,160,256,161,256,162,256,163,256,164,256,165,256,166,256,167,256,168,256,169,256,170,256,171,256,172,256,173,256,174,256,211,256,212,256,213,256,214,256,215,256,216,256,217,256,218,256,219,256,220,256,221,256,222,256,223,256,224,256,225,256,226,256,227,256,228,256,229,256,230,256,231,256,232,256,233,256,234,256,235,256,236,256,237,256,238,256,239,256,240,256,241,256,266,256,267,256,268,256,269,256,270,256,271,256,274,256,275,256,276,256,277,256,278,256,279,256,280,256,281,256,282,256,283,256,285,256,286,256,288,256,289,256,290,256,291,256,292,256,293,256,294,256,295,256,296,256,162,257,163,257,164,257,165,257,166,257,167,257,168,257,169,257,170,257,171,257,172,257,173,257,174,257,175,257,176,257,211,257,212,257,213,257,214,257,215,257,216,257,217,257,218,257,219,257,220,257,221,257,222,257,223,257,224,257,225,257,226,257,227,257,228,257,229,257,230,257,231,257,232,257,233,257,234,257,235,257,236,257,237,257,268,257,269,257,270,257,271,257,276,257,277,257,279,257,280,257,281,257,282,257,283,257,285,257,286,257,287,257,288,257,289,257,290,257,291,257,292,257,293,257,294,257,295,257,165,258,166,258,167,258,168,258,169,258,170,258,171,258,172,258,173,258,174,258,176,258,211,258,212,258,213,258,214,258,215,258,216,258,217,258,218,258,219,258,220,258,221,258,222,258,223,258,224,258,225,258,226,258,227,258,228,258,229,258,230,258,231,258,232,258,233,258,234,258,269,258,270,258,271,258,272,258,276,258,277,258,278,258,279,258,280,258,281,258,282,258,283,258,284,258,285,258,286,258,287,258,288,258,289,258,290,258,291,258,292,258,293,258,167,259,168,259,169,259,170,259,171,259,172,259,173,259,174,259,211,259,212,259,213,259,214,259,215,259,216,259,217,259,218,259,219,259,220,259,221,259,222,259,223,259,224,259,225,259,226,259,227,259,228,259,229,259,230,259,231,259,270,259,271,259,272,259,277,259,278,259,279,259,280,259,281,259,282,259,283,259,284,259,286,259,287,259,288,259,289,259,290,259,291,259,292,259,168,260,169,260,170,260,171,260,172,260,173,260,174,260,211,260,212,260,213,260,214,260,215,260,216,260,217,260,218,260,219,260,220,260,221,260,222,260,223,260,224,260,225,260,226,260,227,260,228,260,229,260,271,260,272,260,273,260,277,260,278,260,279,260,280,260,281,260,282,260,283,260,284,260,285,260,286,260,287,260,288,260,289,260,290,260,291,260,170,261,171,261,172,261,173,261,174,261,210,261,211,261,212,261,213,261,214,261,215,261,216,261,217,261,218,261,219,261,220,261,221,261,222,261,223,261,224,261,225,261,226,261,272,261,273,261,277,261,279,261,281,261,282,261,283,261,284,261,285,261,286,261,287,261,288,261,289,261,290,261,171,262,172,262,173,262,174,262,210,262,211,262,212,262,213,262,214,262,215,262,216,262,217,262,218,262,219,262,220,262,274,262,278,262,279,262,280,262,281,262,282,262,283,262,284,262,285,262,286,262,287,262,288,262,289,262,171,263,172,263,173,263,174,263,210,263,211,263,212,263,213,263,214,263,215,263,216,263,217,263,275,263,278,263,279,263,280,263,281,263,282,263,283,263,284,263,285,263,286,263,287,263,171,264,172,264,173,264,210,264,211,264,212,264,213,264,214,264,215,264,276,264,280,264,281,264,282,264,283,264,284,264,285,264,286,264,171,265,172,265,173,265,210,265,211,265,212,265,213,265,214,265,280,265,281,265,282,265,283,265,284,265,285,265,171,266,172,266,173,266,209,266,210,266,211,266,212,266,213,266,214,266,279,266,280,266,281,266,282,266,283,266,284,266,171,267,172,267,173,267,209,267,210,267,211,267,212,267,213,267,280,267,281,267,282,267,171,268,172,268,173,268,209,268,210,268,211,268,212,268,213,268,172,269,173,269,174,269,209,269,210,269,211,269,212,269,172,270,173,270,209,270,210,270,211,270,212,270,172,271,173,271,209,271,210,271,211,271,212,271,172,272,173,272,208,272,209,272,210,272,211,272,173,273,208,273,209,273,210,273,211,273,172,274,173,274,208,274,209,274,210,274,211,274,173,275,208,275,209,275,210,275,211,275,173,276,188,276,207,276,208,276,209,276,210,276,180,277,181,277,182,277,184,277,185,277,186,277,187,277,191,277,192,277,193,277,194,277,196,277,198,277,199,277,200,277,201,277,202,277,203,277,207,277,208,277,209,277,210,277,179,278,180,278,181,278,183,278,184,278,192,278,193,278,194,278,195,278,196,278,197,278,198,278,202,278,203,278,206,278,207,278,208,278,209,278,210,278,178,279,179,279,183,279,184,279,186,279,187,279,188,279,189,279,191,279,194,279,195,279,196,279,200,279,201,279,202,279,203,279,204,279,205,279,206,279,207,279,208,279,209,279,210,279,178,280,179,280,180,280,181,280,185,280,186,280,187,280,189,280,190,280,191,280,192,280,194,280,195,280,196,280,197,280,200,280,201,280,205,280,206,280,207,280,208,280,209,280,210,280,178,281,179,281,180,281,181,281,184,281,185,281,186,281,189,281,190,281,191,281,192,281,193,281,194,281,195,281,200,281,201,281,202,281,203,281,204,281,205,281,206,281,207,281,208,281,209,281,210,281,178,282,179,282,180,282,181,282,184,282,185,282,188,282,189,282,190,282,193,282,194,282,195,282,197,282,199,282,200,282,201,282,202,282,203,282,204,282,206,282,207,282,208,282,209,282,177,283,178,283,179,283,180,283,181,283,182,283,183,283,184,283,185,283,187,283,188,283,189,283,190,283,191,283,193,283,194,283,195,283,196,283,197,283,199,283,200,283,201,283,202,283,203,283,204,283,205,283,206,283,207,283,208,283,209,283,176,284,177,284,178,284,179,284,180,284,181,284,182,284,184,284,185,284,187,284,188,284,189,284,190,284,191,284,192,284,193,284,194,284,196,284,197,284,198,284,199,284,200,284,201,284,202,284,203,284,204,284,205,284,206,284,207,284,208,284,209,284,176,285,177,285,179,285,180,285,181,285,184,285,185,285,186,285,187,285,188,285,189,285,190,285,191,285,192,285,193,285,194,285,198,285,199,285,200,285,201,285,202,285,205,285,206,285,207,285,208,285,209,285,176,286,177,286,178,286,179,286,180,286,182,286,183,286,184,286,185,286,188,286,189,286,190,286,191,286,192,286,193,286,194,286,195,286,196,286,197,286,198,286,199,286,201,286,202,286,203,286,204,286,205,286,206,286,207,286,208,286,177,287,178,287,179,287,180,287,182,287,183,287,184,287,185,287,188,287,189,287,190,287,191,287,192,287,193,287,194,287,195,287,196,287,197,287,198,287,199,287,200,287,201,287,202,287,203,287,204,287,205,287,206,287,207,287,208,287,176,288,178,288,179,288,180,288,181,288,182,288,183,288,184,288,185,288,186,288,188,288,190,288,192,288,193,288,194,288,195,288,196,288,197,288,198,288,199,288,200,288,201,288,202,288,203,288,204,288,205,288,206,288,207,288,208,288,176,289,177,289,178,289,179,289,180,289,181,289,182,289,183,289,184,289,185,289,186,289,187,289,188,289,189,289,190,289,191,289,193,289,194,289,195,289,196,289,198,289,199,289,200,289,201,289,202,289,204,289,205,289,206,289,207,289,175,290,176,290,177,290,178,290,179,290,180,290,181,290,182,290,185,290,186,290,187,290,188,290,189,290,190,290,191,290,192,290,193,290,194,290,196,290,197,290,198,290,199,290,200,290,201,290,202,290,203,290,204,290,205,290,206,290,207,290,177,291,178,291,179,291,181,291,182,291,184,291,185,291,186,291,187,291,188,291,189,291,190,291,191,291,192,291,193,291,194,291,196,291,197,291,198,291,199,291,200,291,201,291,202,291,203,291,204,291,205,291,206,291,207,291,185,292,186,292,187,292,190,292,191,292,192,292,193,292,194,292,195,292,196,292,197,292,198,292,199,292,200,292,203,292,204,292,205,292,206,292,187,293,188,293,191,293,192,293,193,293,194,293,195,293,196,293,197,293,198,293,203,293,204,293,205,293,206,293,247,332,389,335,390,335,388,336,389,336,390,336,386,337,387,337,388,337,389,337,390,337,391,337,386,338,387,338,388,338,389,338,390,338,391,338,386,339,387,339,388,339,389,339,390,339,391,339,392,339,149,340,357,340,387,340,388,340,389,340,390,340,391,340,392,340,354,341,387,341,388,341,389,341,390,341,391,341,388,342,389,342,390,342,388,343,389,343,350,344,388,344,350,345,349,346,350,346,349,347,350,347,366,347,42,348,348,348,349,348,350,348,349,349,350,349,349,350,350,350,349,351,44,354,184,354,387,354,387,355,388,355,386,356,387,356,388,356,323,357,386,357,387,357,388,357,389,357,385,358,386,358,387,358,388,358,389,358,384,359,385,359,386,359,387,359,388,359,389,359,384,360,385,360,386,360,387,360,388,360,389,360,390,360,385,361,386,361,387,361,388,361,389,361,390,361,100,362,244,362,245,362,315,362,385,362,386,362,387,362,388,362,389,362,390,362,99,363,100,363,101,363,243,363,244,363,245,363,314,363,315,363,386,363,387,363,388,363,389,363,98,364,99,364,100,364,101,364,242,364,243,364,244,364,245,364,313,364,314,364,315,364,342,364,343,364,387,364,388,364,389,364,97,365,98,365,99,365,100,365,101,365,241,365,242,365,243,365,244,365,245,365,246,365,312,365,313,365,314,365,315,365,340,365,341,365,342,365,343,365,386,365,387,365,388,365,96,366,97,366,98,366,99,366,100,366,101,366,102,366,145,366,240,366,241,366,242,366,243,366,244,366,245,366,246,366,311,366,312,366,313,366,314,366,315,366,316,366,338,366,339,366,340,366,341,366,342,366,343,366,384,366,385,366,386,366,387,366,388,366,96,367,97,367,98,367,99,367,100,367,101,367,102,367,145,367,240,367,241,367,242,367,243,367,244,367,245,367,246,367,311,367,312,367,313,367,314,367,315,367,316,367,338,367,339,367,340,367,341,367,342,367,382,367,383,367,384,367,385,367,386,367,387,367,96,368,97,368,98,368,99,368,100,368,101,368,102,368,103,368,145,368,241,368,242,368,243,368,244,368,245,368,246,368,247,368,311,368,312,368,313,368,314,368,315,368,316,368,337,368,338,368,339,368,340,368,341,368,342,368,381,368,382,368,383,368,384,368,385,368,386,368,387,368,97,369,98,369,99,369,100,369,101,369,102,369,103,369,145,369,241,369,242,369,243,369,244,369,245,369,246,369,247,369,311,369,312,369,313,369,314,369,315,369,316,369,337,369,338,369,339,369,340,369,341,369,342,369,381,369,382,369,383,369,384,369,385,369,386,369,387,369,388,369,97,370,98,370,99,370,100,370,101,370,102,370,103,370,145,370,241,370,242,370,243,370,244,370,245,370,246,370,247,370,248,370,311,370,312,370,313,370,314,370,315,370,316,370,337,370,338,370,339,370,340,370,341,370,381,370,382,370,383,370,384,370,385,370,386,370,387,370,388,370,97,371,98,371,99,371,100,371,101,371,102,371,103,371,104,371,145,371,241,371,242,371,243,371,244,371,245,371,246,371,247,371,248,371,311,371,312,371,313,371,314,371,315,371,316,371,317,371,336,371,337,371,338,371,339,371,340,371,341,371,382,371,383,371,384,371,385,371,386,371,387,371,388,371,97,372,98,372,99,372,100,372,101,372,102,372,103,372,104,372,145,372,242,372,243,372,244,372,245,372,246,372,247,372,248,372,311,372,312,372,313,372,314,372,315,372,316,372,317,372,336,372,337,372,338,372,339,372,340,372,341,372,382,372,383,372,384,372,385,372,386,372,387,372,388,372,389,372,98,373,99,373,100,373,101,373,102,373,103,373,104,373,145,373,242,373,243,373,244,373,245,373,246,373,247,373,248,373,249,373,311,373,312,373,313,373,314,373,315,373,316,373,317,373,336,373,337,373,338,373,339,373,340,373,382,373,383,373,384,373,385,373,386,373,387,373,388,373,389,373,98,374,99,374,100,374,101,374,102,374,103,374,104,374,105,374,145,374,242,374,243,374,244,374,245,374,246,374,247,374,248,374,249,374,311,374,312,374,313,374,314,374,315,374,316,374,317,374,336,374,337,374,338,374,382,374,383,374,384,374,385,374,386,374,387,374,388,374,389,374,98,375,99,375,100,375,101,375,102,375,103,375,104,375,105,375,145,375,242,375,243,375,244,375,245,375,246,375,247,375,248,375,249,375,311,375,312,375,313,375,314,375,315,375,316,375,317,375,335,375,336,375,383,375,384,375,385,375,386,375,387,375,388,375,98,376,99,376,100,376,101,376,102,376,103,376,104,376,145,376,243,376,244,376,245,376,246,376,247,376,248,376,311,376,312,376,313,376,314,376,315,376,316,376,383,376,384,376,385,376,386,376,99,377,100,377,101,377,102,377,103,377,145,377,243,377,244,377,245,377,246,377,247,377,311,377,312,377,313,377,314,377,315,377,383,377,384,377,99,378,100,378,101,378,102,378,145,378,243,378,244,378,245,378,246,378,312,378,313,378,314,378,99,379,100,379,101,379,145,379,243,379,244,379,245,379,312,379,313,379,99,380,100,380,145,380,244,380,312,380,363,382}
  listdirt = {361,328,362,328,363,328,358,329,359,329,364,329,379,333,343,334,380,334,382,335,388,335,358,336,364,336,383,336,384,337,385,339,346,343,27,345,28,345,29,345,30,345,31,345,32,345,33,345,34,345,35,345,36,345,37,345,38,345,39,345,40,345,60,345,61,345,62,345,63,345,64,345,65,345,66,345,67,345,68,345,69,345,70,345,71,345,72,345,73,345,74,345,75,345,76,345,77,345,78,345,79,345,80,345,81,345,82,345,83,345,84,345,162,345,163,345,164,345,165,345,166,345,167,345,168,345,169,345,170,345,171,345,172,345,173,345,174,345,175,345,176,345,177,345,178,345,179,345,180,345,181,345,204,345,205,345,206,345,207,345,208,345,209,345,210,345,211,345,212,345,345,346,345,347,388,350,386,353,385,355,370,356,358,358,363,358,380,360,383,360,372,364,368,365,385,365,358,367,364,367,379,367,354,370}
  listdirtdark = {202,7,204,8,205,8,212,8,196,9,217,9,220,9,221,9,202,10,224,10,225,10,226,13,226,14,226,15,226,16,226,17,226,18,225,19,225,20,223,21,225,21,211,22,224,22,207,23,220,23,224,23,196,24,197,24,198,24,203,24,224,24,225,24,198,25,205,25,206,25,217,25,222,25,224,25,199,26,203,26,204,26,208,26,211,26,216,26,218,26,222,26,224,26,198,27,202,27,203,27,204,27,207,27,210,27,219,27,221,27,224,27,199,28,201,28,204,28,211,28,223,28,224,28,195,29,198,29,204,29,207,29,211,29,217,29,223,29,195,30,197,30,198,30,200,30,201,30,203,30,207,30,211,30,217,30,225,30,226,30,195,31,196,31,198,31,199,31,202,31,206,31,209,31,210,31,196,32,197,32,199,32,200,32,202,32,206,32,208,32,214,32,215,32,216,32,220,32,222,32,195,33,196,33,199,33,200,33,201,33,202,33,204,33,208,33,214,33,215,33,216,33,222,33,195,34,196,34,199,34,200,34,201,34,202,34,204,34,208,34,213,34,214,34,216,34,219,34,222,34,224,34,197,35,201,35,205,35,207,35,209,35,210,35,211,35,213,35,214,35,216,35,219,35,196,36,197,36,198,36,201,36,204,36,207,36,208,36,210,36,213,36,216,36,217,36,221,36,222,36,223,36,224,36,124,37,125,37,194,37,195,37,196,37,198,37,199,37,201,37,204,37,208,37,210,37,214,37,216,37,221,37,224,37,126,38,193,38,196,38,198,38,199,38,201,38,203,38,206,38,208,38,210,38,214,38,215,38,219,38,220,38,221,38,223,38,126,39,127,39,184,39,185,39,196,39,198,39,199,39,200,39,202,39,205,39,208,39,209,39,210,39,215,39,221,39,223,39,126,40,127,40,128,40,184,40,192,40,196,40,197,40,198,40,200,40,201,40,202,40,205,40,209,40,210,40,214,40,219,40,127,41,128,41,129,41,186,41,193,41,194,41,195,41,196,41,197,41,201,41,202,41,207,41,209,41,210,41,214,41,216,41,218,41,219,41,221,41,224,41,129,42,185,42,186,42,192,42,194,42,195,42,196,42,197,42,199,42,202,42,204,42,205,42,211,42,214,42,215,42,216,42,224,42,128,43,129,43,130,43,132,43,191,43,192,43,193,43,195,43,196,43,197,43,198,43,200,43,201,43,202,43,205,43,207,43,211,43,213,43,214,43,217,43,219,43,222,43,224,43,129,44,130,44,132,44,133,44,134,44,186,44,187,44,190,44,192,44,195,44,196,44,197,44,198,44,200,44,201,44,203,44,204,44,205,44,206,44,207,44,208,44,209,44,210,44,211,44,213,44,214,44,215,44,216,44,217,44,218,44,219,44,222,44,224,44,238,44,131,45,132,45,133,45,134,45,135,45,186,45,190,45,193,45,194,45,195,45,196,45,197,45,200,45,201,45,204,45,206,45,207,45,208,45,210,45,211,45,214,45,216,45,217,45,220,45,221,45,222,45,236,45,238,45,130,46,131,46,132,46,134,46,135,46,136,46,185,46,188,46,189,46,190,46,191,46,192,46,193,46,194,46,195,46,196,46,198,46,201,46,204,46,205,46,206,46,208,46,211,46,214,46,217,46,218,46,220,46,225,46,231,46,232,46,233,46,242,46,297,46,129,47,131,47,132,47,133,47,134,47,135,47,136,47,137,47,187,47,191,47,195,47,196,47,197,47,198,47,200,47,201,47,202,47,209,47,211,47,212,47,217,47,218,47,219,47,220,47,222,47,233,47,234,47,235,47,236,47,238,47,242,47,295,47,296,47,297,47,132,48,133,48,134,48,136,48,137,48,138,48,139,48,182,48,183,48,184,48,185,48,186,48,190,48,193,48,194,48,195,48,196,48,202,48,203,48,205,48,210,48,212,48,216,48,220,48,222,48,224,48,232,48,233,48,234,48,239,48,247,48,296,48,297,48,300,48,128,49,130,49,131,49,132,49,134,49,135,49,136,49,137,49,138,49,139,49,140,49,180,49,185,49,186,49,189,49,190,49,200,49,201,49,202,49,204,49,205,49,207,49,213,49,214,49,216,49,218,49,219,49,222,49,225,49,230,49,231,49,233,49,235,49,236,49,239,49,240,49,241,49,242,49,244,49,245,49,246,49,248,49,249,49,250,49,251,49,293,49,296,49,297,49,301,49,129,50,130,50,135,50,136,50,137,50,138,50,140,50,141,50,142,50,143,50,144,50,145,50,180,50,181,50,184,50,191,50,192,50,194,50,195,50,196,50,197,50,202,50,203,50,208,50,209,50,212,50,213,50,214,50,216,50,217,50,219,50,224,50,229,50,233,50,237,50,241,50,242,50,243,50,244,50,245,50,246,50,247,50,248,50,249,50,250,50,251,50,252,50,253,50,292,50,293,50,296,50,297,50,298,50,299,50,300,50,301,50,128,51,129,51,132,51,136,51,137,51,138,51,140,51,141,51,142,51,143,51,144,51,145,51,146,51,180,51,183,51,184,51,185,51,222,51,228,51,229,51,230,51,232,51,233,51,237,51,238,51,239,51,240,51,241,51,242,51,243,51,244,51,245,51,246,51,247,51,248,51,251,51,252,51,254,51,294,51,295,51,296,51,297,51,298,51,299,51,300,51,301,51,129,52,132,52,133,52,138,52,139,52,140,52,141,52,142,52,143,52,181,52,182,52,183,52,184,52,185,52,196,52,197,52,198,52,200,52,202,52,204,52,207,52,210,52,223,52,228,52,229,52,231,52,232,52,233,52,234,52,237,52,238,52,239,52,240,52,242,52,246,52,250,52,253,52,254,52,256,52,290,52,291,52,292,52,293,52,294,52,295,52,296,52,297,52,298,52,299,52,121,53,127,53,128,53,129,53,133,53,137,53,138,53,139,53,140,53,141,53,142,53,143,53,144,53,174,53,179,53,181,53,182,53,185,53,186,53,190,53,191,53,193,53,194,53,195,53,200,53,201,53,202,53,203,53,204,53,205,53,207,53,209,53,210,53,211,53,229,53,230,53,231,53,232,53,233,53,234,53,235,53,237,53,250,53,256,53,257,53,258,53,259,53,290,53,291,53,292,53,293,53,294,53,295,53,296,53,297,53,298,53,299,53,300,53,301,53,302,53,303,53,304,53,305,53,120,54,123,54,127,54,129,54,131,54,132,54,140,54,141,54,142,54,143,54,144,54,147,54,148,54,173,54,184,54,185,54,186,54,189,54,190,54,195,54,196,54,197,54,198,54,199,54,200,54,201,54,203,54,205,54,207,54,210,54,213,54,216,54,217,54,219,54,220,54,221,54,229,54,230,54,234,54,235,54,236,54,237,54,239,54,240,54,242,54,245,54,289,54,290,54,291,54,292,54,293,54,294,54,295,54,299,54,300,54,301,54,302,54,303,54,304,54,305,54,306,54,121,55,124,55,129,55,131,55,141,55,142,55,143,55,144,55,145,55,146,55,147,55,148,55,170,55,175,55,179,55,183,55,184,55,185,55,186,55,187,55,188,55,189,55,190,55,195,55,196,55,199,55,201,55,205,55,206,55,207,55,210,55,212,55,214,55,215,55,216,55,217,55,218,55,219,55,223,55,230,55,233,55,234,55,235,55,237,55,254,55,261,55,289,55,290,55,291,55,292,55,294,55,295,55,296,55,297,55,298,55,299,55,300,55,301,55,302,55,303,55,304,55,121,56,122,56,124,56,127,56,128,56,129,56,133,56,136,56,139,56,140,56,141,56,144,56,145,56,146,56,168,56,169,56,174,56,175,56,176,56,177,56,178,56,179,56,180,56,183,56,184,56,185,56,186,56,187,56,192,56,193,56,194,56,195,56,196,56,199,56,200,56,202,56,205,56,207,56,208,56,209,56,215,56,218,56,219,56,221,56,223,56,226,56,227,56,233,56,234,56,236,56,237,56,251,56,253,56,287,56,289,56,290,56,291,56,292,56,293,56,295,56,296,56,297,56,300,56,301,56,302,56,303,56,304,56,121,57,127,57,131,57,132,57,134,57,139,57,141,57,144,57,145,57,146,57,147,57,166,57,169,57,175,57,176,57,179,57,181,57,182,57,183,57,184,57,185,57,186,57,187,57,188,57,189,57,190,57,193,57,195,57,196,57,197,57,198,57,199,57,200,57,202,57,204,57,205,57,207,57,209,57,210,57,211,57,214,57,215,57,218,57,219,57,220,57,223,57,233,57,234,57,239,57,243,57,252,57,287,57,289,57,290,57,291,57,292,57,293,57,294,57,295,57,296,57,297,57,298,57,299,57,302,57,304,57,305,57,98,58,115,58,116,58,118,58,127,58,128,58,134,58,136,58,139,58,140,58,141,58,142,58,143,58,144,58,145,58,146,58,147,58,153,58,154,58,156,58,157,58,159,58,160,58,161,58,162,58,163,58,166,58,167,58,175,58,179,58,180,58,181,58,182,58,183,58,184,58,185,58,187,58,188,58,189,58,190,58,191,58,194,58,195,58,196,58,197,58,198,58,199,58,200,58,201,58,202,58,203,58,204,58,205,58,206,58,207,58,208,58,209,58,210,58,211,58,215,58,216,58,218,58,219,58,220,58,231,58,233,58,237,58,242,58,243,58,266,58,289,58,290,58,291,58,292,58,293,58,295,58,296,58,297,58,298,58,299,58,300,58,305,58,306,58,99,59,116,59,117,59,128,59,133,59,134,59,137,59,138,59,139,59,140,59,141,59,142,59,143,59,146,59,147,59,156,59,157,59,161,59,162,59,163,59,170,59,171,59,172,59,174,59,175,59,176,59,177,59,178,59,179,59,180,59,181,59,182,59,183,59,184,59,185,59,189,59,190,59,191,59,194,59,195,59,196,59,197,59,199,59,200,59,201,59,203,59,207,59,208,59,211,59,212,59,215,59,216,59,218,59,222,59,225,59,226,59,228,59,229,59,231,59,233,59,238,59,240,59,243,59,265,59,283,59,284,59,288,59,289,59,290,59,291,59,292,59,295,59,296,59,297,59,298,59,299,59,300,59,301,59,302,59,303,59,304,59,305,59,306,59,100,60,114,60,116,60,123,60,125,60,128,60,131,60,135,60,136,60,137,60,138,60,139,60,140,60,142,60,146,60,148,60,153,60,154,60,159,60,160,60,161,60,162,60,165,60,166,60,167,60,168,60,170,60,171,60,172,60,174,60,175,60,176,60,177,60,178,60,179,60,180,60,181,60,182,60,183,60,184,60,185,60,191,60,192,60,195,60,196,60,197,60,198,60,199,60,201,60,202,60,206,60,207,60,208,60,209,60,211,60,213,60,214,60,215,60,217,60,218,60,219,60,220,60,221,60,222,60,224,60,225,60,226,60,229,60,230,60,231,60,233,60,236,60,239,60,240,60,241,60,244,60,245,60,246,60,247,60,283,60,284,60,288,60,290,60,292,60,295,60,298,60,299,60,300,60,301,60,302,60,303,60,305,60,306,60,307,60,308,60,311,60,113,61,117,61,128,61,129,61,131,61,133,61,134,61,136,61,137,61,138,61,145,61,146,61,149,61,150,61,152,61,160,61,161,61,162,61,165,61,166,61,169,61,170,61,171,61,172,61,174,61,175,61,176,61,177,61,178,61,179,61,180,61,181,61,183,61,184,61,185,61,189,61,190,61,191,61,193,61,194,61,195,61,196,61,197,61,198,61,201,61,206,61,208,61,209,61,210,61,216,61,217,61,221,61,222,61,223,61,224,61,225,61,227,61,228,61,230,61,232,61,235,61,237,61,239,61,246,61,247,61,249,61,252,61,265,61,266,61,280,61,281,61,282,61,283,61,288,61,289,61,290,61,292,61,293,61,294,61,296,61,297,61,298,61,299,61,300,61,301,61,302,61,303,61,305,61,307,61,308,61,309,61,312,61,103,62,114,62,121,62,122,62,126,62,128,62,132,62,133,62,135,62,136,62,137,62,138,62,139,62,140,62,141,62,143,62,145,62,146,62,147,62,152,62,154,62,157,62,165,62,169,62,170,62,172,62,174,62,175,62,178,62,179,62,181,62,182,62,183,62,184,62,187,62,189,62,192,62,193,62,196,62,200,62,207,62,215,62,218,62,219,62,223,62,224,62,225,62,232,62,236,62,239,62,242,62,244,62,248,62,249,62,252,62,280,62,281,62,282,62,287,62,288,62,289,62,291,62,292,62,293,62,294,62,295,62,296,62,297,62,298,62,301,62,302,62,303,62,304,62,305,62,307,62,308,62,310,62,311,62,312,62,104,63,126,63,127,63,131,63,137,63,138,63,139,63,140,63,142,63,145,63,146,63,156,63,163,63,164,63,165,63,166,63,168,63,170,63,171,63,172,63,173,63,174,63,176,63,177,63,178,63,179,63,180,63,181,63,183,63,189,63,191,63,192,63,193,63,197,63,199,63,200,63,204,63,205,63,216,63,218,63,220,63,221,63,227,63,228,63,229,63,230,63,234,63,236,63,237,63,239,63,241,63,246,63,250,63,256,63,257,63,258,63,261,63,262,63,263,63,278,63,279,63,282,63,285,63,286,63,287,63,289,63,294,63,295,63,296,63,299,63,300,63,301,63,302,63,303,63,306,63,307,63,309,63,310,63,311,63,105,64,106,64,111,64,114,64,117,64,122,64,123,64,125,64,126,64,128,64,131,64,132,64,133,64,134,64,140,64,141,64,142,64,143,64,146,64,157,64,158,64,159,64,160,64,161,64,162,64,165,64,166,64,168,64,169,64,170,64,171,64,176,64,178,64,179,64,180,64,186,64,188,64,192,64,193,64,204,64,213,64,214,64,215,64,217,64,218,64,219,64,220,64,221,64,230,64,231,64,239,64,240,64,241,64,244,64,247,64,248,64,249,64,250,64,251,64,252,64,253,64,254,64,255,64,256,64,257,64,258,64,264,64,280,64,281,64,288,64,291,64,292,64,294,64,299,64,300,64,301,64,302,64,303,64,304,64,305,64,306,64,307,64,308,64,309,64,310,64,107,65,124,65,125,65,126,65,131,65,132,65,133,65,134,65,135,65,139,65,140,65,142,65,146,65,153,65,157,65,158,65,159,65,160,65,161,65,162,65,163,65,164,65,165,65,166,65,167,65,168,65,169,65,170,65,176,65,177,65,181,65,185,65,188,65,199,65,200,65,201,65,202,65,203,65,207,65,212,65,218,65,220,65,227,65,229,65,233,65,236,65,237,65,238,65,239,65,240,65,243,65,244,65,245,65,250,65,254,65,256,65,257,65,263,65,264,65,265,65,267,65,278,65,279,65,284,65,297,65,299,65,300,65,301,65,302,65,303,65,304,65,308,65,309,65,310,65,314,65,109,66,116,66,120,66,123,66,127,66,131,66,132,66,133,66,134,66,135,66,136,66,138,66,140,66,141,66,153,66,156,66,157,66,158,66,159,66,160,66,161,66,162,66,163,66,165,66,166,66,167,66,169,66,170,66,173,66,174,66,180,66,181,66,184,66,186,66,198,66,216,66,218,66,219,66,230,66,236,66,237,66,239,66,240,66,241,66,244,66,246,66,252,66,256,66,258,66,260,66,261,66,264,66,266,66,281,66,284,66,288,66,293,66,295,66,296,66,297,66,298,66,299,66,300,66,302,66,304,66,305,66,306,66,307,66,308,66,311,66,314,66,109,67,110,67,113,67,117,67,120,67,126,67,127,67,129,67,130,67,131,67,132,67,135,67,149,67,151,67,152,67,153,67,154,67,155,67,156,67,157,67,158,67,159,67,160,67,161,67,162,67,167,67,168,67,174,67,175,67,176,67,179,67,184,67,189,67,190,67,195,67,197,67,198,67,200,67,204,67,206,67,209,67,211,67,212,67,215,67,216,67,217,67,218,67,225,67,226,67,233,67,234,67,235,67,238,67,239,67,242,67,243,67,244,67,246,67,248,67,253,67,254,67,255,67,259,67,261,67,262,67,265,67,271,67,274,67,280,67,284,67,295,67,297,67,298,67,299,67,300,67,301,67,302,67,303,67,305,67,307,67,308,67,311,67,312,67,314,67,316,67,109,68,110,68,111,68,117,68,122,68,126,68,127,68,129,68,130,68,131,68,132,68,133,68,134,68,135,68,136,68,137,68,149,68,151,68,152,68,153,68,154,68,155,68,156,68,157,68,158,68,160,68,162,68,164,68,165,68,170,68,176,68,177,68,178,68,183,68,185,68,186,68,194,68,195,68,197,68,199,68,203,68,209,68,210,68,215,68,230,68,232,68,234,68,235,68,236,68,239,68,241,68,243,68,247,68,248,68,249,68,250,68,254,68,255,68,256,68,260,68,261,68,262,68,270,68,271,68,276,68,280,68,285,68,286,68,287,68,289,68,291,68,294,68,298,68,299,68,300,68,302,68,305,68,308,68,309,68,311,68,312,68,317,68,110,69,111,69,112,69,114,69,115,69,116,69,117,69,119,69,122,69,127,69,128,69,129,69,130,69,134,69,135,69,136,69,151,69,152,69,153,69,154,69,155,69,156,69,157,69,158,69,159,69,160,69,161,69,162,69,163,69,164,69,165,69,174,69,175,69,176,69,177,69,194,69,200,69,202,69,208,69,209,69,213,69,214,69,226,69,227,69,228,69,230,69,232,69,234,69,235,69,242,69,245,69,246,69,249,69,250,69,258,69,259,69,263,69,267,69,268,69,271,69,272,69,273,69,274,69,275,69,276,69,277,69,278,69,280,69,283,69,284,69,286,69,291,69,292,69,299,69,300,69,302,69,304,69,305,69,308,69,309,69,311,69,312,69,110,70,111,70,112,70,114,70,115,70,116,70,117,70,120,70,122,70,123,70,125,70,126,70,127,70,128,70,129,70,130,70,133,70,134,70,145,70,146,70,149,70,150,70,151,70,152,70,153,70,154,70,155,70,156,70,157,70,158,70,163,70,170,70,174,70,175,70,184,70,191,70,192,70,193,70,194,70,196,70,199,70,203,70,215,70,222,70,224,70,226,70,228,70,230,70,232,70,233,70,234,70,235,70,242,70,243,70,244,70,246,70,247,70,249,70,250,70,253,70,254,70,258,70,267,70,268,70,269,70,270,70,271,70,273,70,274,70,275,70,276,70,277,70,280,70,283,70,284,70,285,70,286,70,288,70,290,70,291,70,292,70,294,70,298,70,299,70,300,70,301,70,304,70,310,70,111,71,113,71,114,71,115,71,116,71,121,71,123,71,128,71,130,71,134,71,140,71,142,71,151,71,152,71,153,71,154,71,156,71,159,71,162,71,163,71,169,71,170,71,172,71,173,71,181,71,182,71,188,71,189,71,194,71,201,71,213,71,214,71,221,71,226,71,230,71,231,71,239,71,240,71,241,71,243,71,244,71,245,71,246,71,247,71,248,71,249,71,251,71,252,71,253,71,254,71,265,71,266,71,267,71,268,71,269,71,270,71,271,71,273,71,274,71,275,71,276,71,277,71,279,71,280,71,284,71,285,71,287,71,288,71,292,71,295,71,300,71,301,71,302,71,303,71,305,71,310,71,112,72,113,72,114,72,115,72,117,72,120,72,121,72,122,72,124,72,130,72,131,72,132,72,140,72,141,72,146,72,148,72,150,72,153,72,154,72,158,72,159,72,166,72,167,72,173,72,178,72,179,72,180,72,188,72,189,72,193,72,198,72,199,72,200,72,212,72,214,72,215,72,221,72,225,72,228,72,237,72,238,72,239,72,243,72,244,72,248,72,252,72,254,72,267,72,268,72,270,72,271,72,272,72,273,72,275,72,276,72,277,72,278,72,279,72,280,72,281,72,282,72,283,72,284,72,285,72,286,72,287,72,288,72,289,72,290,72,293,72,295,72,300,72,301,72,302,72,303,72,304,72,305,72,306,72,113,73,114,73,119,73,120,73,121,73,123,73,125,73,126,73,127,73,128,73,129,73,132,73,133,73,136,73,143,73,146,73,147,73,148,73,150,73,152,73,153,73,154,73,155,73,158,73,159,73,162,73,163,73,164,73,165,73,169,73,171,73,172,73,175,73,177,73,180,73,181,73,182,73,186,73,192,73,193,73,197,73,203,73,204,73,209,73,212,73,219,73,243,73,247,73,248,73,251,73,252,73,254,73,256,73,257,73,258,73,268,73,275,73,276,73,277,73,279,73,280,73,281,73,282,73,283,73,284,73,285,73,286,73,287,73,289,73,292,73,293,73,295,73,300,73,302,73,303,73,304,73,308,73,309,73,114,74,115,74,117,74,119,74,120,74,122,74,123,74,124,74,125,74,126,74,127,74,128,74,129,74,144,74,148,74,149,74,151,74,153,74,157,74,158,74,160,74,161,74,170,74,174,74,175,74,176,74,177,74,180,74,188,74,190,74,202,74,211,74,230,74,234,74,235,74,236,74,238,74,240,74,242,74,246,74,247,74,248,74,249,74,250,74,251,74,252,74,253,74,254,74,255,74,259,74,260,74,270,74,271,74,272,74,273,74,274,74,275,74,276,74,279,74,280,74,281,74,282,74,283,74,284,74,285,74,286,74,288,74,290,74,291,74,302,74,303,74,304,74,305,74,308,74,114,75,117,75,118,75,123,75,124,75,125,75,127,75,128,75,129,75,146,75,147,75,148,75,150,75,155,75,156,75,157,75,158,75,162,75,170,75,176,75,177,75,180,75,181,75,182,75,183,75,185,75,186,75,187,75,188,75,192,75,202,75,204,75,213,75,225,75,226,75,233,75,236,75,238,75,239,75,242,75,245,75,246,75,247,75,248,75,250,75,251,75,252,75,253,75,254,75,256,75,259,75,260,75,270,75,271,75,272,75,273,75,274,75,275,75,276,75,279,75,281,75,282,75,283,75,286,75,289,75,290,75,291,75,294,75,295,75,296,75,302,75,303,75,304,75,305,75,306,75,115,76,116,76,117,76,118,76,121,76,122,76,123,76,125,76,126,76,127,76,130,76,142,76,144,76,148,76,151,76,152,76,153,76,156,76,157,76,163,76,167,76,168,76,170,76,171,76,176,76,178,76,179,76,180,76,182,76,183,76,184,76,189,76,190,76,191,76,192,76,193,76,208,76,209,76,210,76,211,76,212,76,213,76,217,76,225,76,229,76,236,76,239,76,240,76,241,76,242,76,244,76,245,76,247,76,248,76,249,76,251,76,252,76,253,76,254,76,257,76,258,76,259,76,260,76,275,76,276,76,278,76,279,76,280,76,281,76,284,76,285,76,289,76,290,76,294,76,296,76,297,76,304,76,305,76,307,76,117,77,118,77,119,77,121,77,122,77,123,77,125,77,126,77,143,77,145,77,148,77,150,77,165,77,167,77,169,77,172,77,173,77,175,77,176,77,179,77,180,77,183,77,196,77,197,77,198,77,202,77,206,77,207,77,210,77,223,77,226,77,235,77,239,77,242,77,245,77,246,77,247,77,249,77,252,77,254,77,257,77,260,77,262,77,275,77,278,77,279,77,280,77,281,77,282,77,283,77,285,77,286,77,289,77,290,77,293,77,294,77,297,77,301,77,305,77,117,78,118,78,119,78,120,78,121,78,122,78,123,78,124,78,126,78,141,78,144,78,150,78,154,78,163,78,170,78,172,78,176,78,177,78,185,78,193,78,194,78,195,78,209,78,211,78,214,78,216,78,222,78,234,78,237,78,238,78,241,78,244,78,245,78,249,78,250,78,251,78,252,78,261,78,262,78,263,78,275,78,276,78,277,78,279,78,282,78,284,78,286,78,287,78,289,78,292,78,293,78,297,78,305,78,118,79,119,79,120,79,121,79,122,79,123,79,124,79,126,79,127,79,137,79,138,79,141,79,145,79,150,79,153,79,154,79,158,79,160,79,163,79,168,79,169,79,170,79,172,79,173,79,176,79,177,79,178,79,179,79,185,79,187,79,188,79,189,79,190,79,200,79,202,79,203,79,204,79,207,79,208,79,210,79,211,79,212,79,216,79,219,79,222,79,232,79,233,79,234,79,236,79,245,79,246,79,247,79,250,79,251,79,252,79,255,79,256,79,257,79,258,79,259,79,262,79,263,79,264,79,265,79,275,79,276,79,277,79,278,79,281,79,284,79,286,79,288,79,290,79,291,79,292,79,293,79,304,79,117,80,118,80,119,80,121,80,122,80,124,80,125,80,128,80,136,80,140,80,141,80,144,80,145,80,147,80,151,80,152,80,153,80,158,80,168,80,170,80,171,80,176,80,179,80,180,80,184,80,187,80,189,80,199,80,200,80,202,80,203,80,206,80,211,80,212,80,214,80,215,80,219,80,222,80,231,80,235,80,242,80,244,80,245,80,246,80,250,80,251,80,253,80,254,80,255,80,256,80,258,80,259,80,263,80,264,80,265,80,277,80,278,80,279,80,280,80,281,80,284,80,286,80,288,80,289,80,290,80,291,80,292,80,293,80,294,80,118,81,119,81,120,81,123,81,136,81,141,81,146,81,151,81,154,81,156,81,157,81,167,81,168,81,169,81,171,81,175,81,176,81,177,81,178,81,179,81,180,81,183,81,187,81,194,81,195,81,202,81,206,81,207,81,210,81,214,81,219,81,234,81,242,81,243,81,244,81,247,81,248,81,249,81,250,81,254,81,258,81,259,81,263,81,264,81,265,81,268,81,279,81,280,81,281,81,282,81,283,81,284,81,288,81,290,81,291,81,292,81,294,81,296,81,297,81,298,81,302,81,110,82,119,82,120,82,121,82,132,82,133,82,136,82,140,82,141,82,145,82,150,82,152,82,153,82,158,82,163,82,164,82,165,82,167,82,168,82,170,82,172,82,173,82,184,82,185,82,186,82,188,82,192,82,193,82,198,82,201,82,204,82,205,82,208,82,212,82,213,82,217,82,224,82,233,82,237,82,240,82,243,82,244,82,250,82,251,82,252,82,253,82,256,82,259,82,260,82,267,82,268,82,281,82,282,82,283,82,284,82,285,82,286,82,287,82,288,82,289,82,290,82,291,82,292,82,295,82,296,82,298,82,121,83,132,83,134,83,139,83,141,83,142,83,143,83,156,83,168,83,169,83,176,83,177,83,178,83,179,83,180,83,182,83,183,83,185,83,197,83,199,83,200,83,201,83,203,83,207,83,208,83,210,83,211,83,214,83,233,83,234,83,236,83,237,83,239,83,240,83,241,83,243,83,244,83,246,83,247,83,248,83,256,83,258,83,259,83,260,83,262,83,266,83,269,83,270,83,278,83,279,83,280,83,282,83,283,83,284,83,286,83,289,83,291,83,292,83,296,83,297,83,298,83,114,84,121,84,126,84,127,84,131,84,132,84,133,84,139,84,142,84,144,84,149,84,151,84,154,84,156,84,157,84,160,84,167,84,171,84,172,84,178,84,183,84,185,84,186,84,187,84,188,84,191,84,194,84,195,84,196,84,197,84,203,84,205,84,208,84,209,84,210,84,214,84,215,84,225,84,232,84,235,84,236,84,238,84,239,84,240,84,241,84,244,84,245,84,246,84,250,84,251,84,252,84,254,84,256,84,257,84,258,84,260,84,261,84,265,84,266,84,278,84,279,84,280,84,281,84,284,84,285,84,286,84,287,84,288,84,289,84,291,84,299,84,116,85,117,85,121,85,125,85,126,85,131,85,133,85,138,85,139,85,141,85,142,85,160,85,163,85,167,85,168,85,175,85,178,85,182,85,185,85,187,85,188,85,189,85,190,85,193,85,194,85,198,85,201,85,202,85,203,85,206,85,209,85,211,85,212,85,213,85,214,85,216,85,221,85,224,85,230,85,232,85,233,85,234,85,240,85,241,85,242,85,243,85,244,85,245,85,246,85,247,85,250,85,251,85,253,85,254,85,255,85,256,85,257,85,263,85,264,85,265,85,266,85,267,85,271,85,280,85,281,85,282,85,285,85,286,85,287,85,289,85,296,85,298,85,119,86,120,86,122,86,130,86,131,86,133,86,138,86,142,86,149,86,150,86,163,86,165,86,166,86,167,86,168,86,169,86,170,86,177,86,178,86,183,86,184,86,185,86,190,86,193,86,194,86,198,86,199,86,200,86,201,86,203,86,204,86,207,86,208,86,209,86,215,86,216,86,217,86,220,86,223,86,228,86,232,86,235,86,236,86,237,86,240,86,241,86,242,86,243,86,245,86,246,86,247,86,248,86,250,86,255,86,256,86,257,86,258,86,259,86,260,86,262,86,263,86,264,86,265,86,266,86,268,86,269,86,270,86,271,86,281,86,282,86,285,86,287,86,288,86,289,86,291,86,295,86,296,86,119,87,122,87,123,87,129,87,131,87,133,87,139,87,154,87,157,87,158,87,159,87,162,87,163,87,164,87,166,87,169,87,170,87,171,87,172,87,173,87,174,87,177,87,187,87,188,87,189,87,191,87,193,87,195,87,196,87,198,87,199,87,201,87,205,87,206,87,207,87,213,87,214,87,215,87,218,87,220,87,230,87,232,87,237,87,238,87,239,87,241,87,243,87,249,87,252,87,254,87,255,87,256,87,257,87,259,87,260,87,261,87,262,87,263,87,264,87,265,87,268,87,270,87,273,87,281,87,282,87,283,87,284,87,286,87,287,87,288,87,295,87,127,88,133,88,134,88,136,88,137,88,146,88,148,88,149,88,150,88,151,88,157,88,158,88,161,88,162,88,163,88,168,88,169,88,171,88,174,88,175,88,176,88,177,88,178,88,182,88,183,88,188,88,195,88,196,88,197,88,203,88,204,88,206,88,212,88,213,88,220,88,238,88,242,88,243,88,244,88,249,88,253,88,256,88,257,88,260,88,261,88,263,88,266,88,270,88,273,88,274,88,282,88,283,88,286,88,287,88,133,89,137,89,143,89,144,89,147,89,153,89,156,89,158,89,159,89,161,89,164,89,165,89,166,89,167,89,168,89,171,89,172,89,177,89,178,89,179,89,180,89,182,89,183,89,187,89,188,89,189,89,192,89,195,89,196,89,199,89,200,89,203,89,204,89,206,89,211,89,213,89,214,89,215,89,217,89,218,89,223,89,224,89,226,89,227,89,232,89,233,89,235,89,237,89,238,89,239,89,240,89,241,89,244,89,245,89,251,89,252,89,255,89,256,89,259,89,260,89,261,89,266,89,267,89,268,89,269,89,270,89,271,89,273,89,274,89,282,89,283,89,284,89,285,89,288,89,292,89,294,89,117,90,124,90,127,90,128,90,129,90,130,90,143,90,144,90,146,90,147,90,152,90,155,90,156,90,157,90,161,90,162,90,163,90,164,90,165,90,166,90,168,90,169,90,170,90,172,90,173,90,174,90,175,90,180,90,181,90,183,90,184,90,187,90,188,90,194,90,195,90,200,90,203,90,205,90,210,90,211,90,213,90,214,90,215,90,216,90,218,90,219,90,220,90,223,90,225,90,226,90,228,90,229,90,230,90,231,90,233,90,234,90,235,90,239,90,240,90,241,90,242,90,245,90,246,90,251,90,259,90,260,90,261,90,263,90,264,90,266,90,269,90,271,90,272,90,273,90,283,90,287,90,288,90,289,90,290,90,291,90,117,91,118,91,125,91,126,91,127,91,133,91,137,91,143,91,146,91,147,91,155,91,160,91,161,91,162,91,165,91,168,91,169,91,170,91,173,91,174,91,175,91,176,91,180,91,188,91,192,91,193,91,194,91,195,91,196,91,197,91,198,91,199,91,203,91,204,91,207,91,213,91,215,91,218,91,219,91,223,91,224,91,225,91,227,91,228,91,232,91,233,91,234,91,235,91,236,91,237,91,238,91,239,91,240,91,241,91,242,91,243,91,244,91,245,91,246,91,252,91,256,91,257,91,259,91,261,91,263,91,264,91,265,91,266,91,269,91,270,91,271,91,272,91,273,91,274,91,275,91,276,91,286,91,287,91,289,91,291,91,292,91,293,91,117,92,118,92,126,92,127,92,128,92,129,92,130,92,132,92,137,92,142,92,143,92,145,92,146,92,147,92,150,92,152,92,153,92,157,92,160,92,165,92,168,92,169,92,170,92,173,92,174,92,175,92,176,92,178,92,179,92,184,92,188,92,191,92,196,92,197,92,203,92,207,92,211,92,212,92,215,92,220,92,222,92,223,92,224,92,226,92,227,92,228,92,232,92,234,92,235,92,236,92,237,92,239,92,240,92,241,92,242,92,244,92,251,92,252,92,255,92,256,92,258,92,262,92,263,92,264,92,266,92,268,92,269,92,272,92,274,92,275,92,276,92,277,92,286,92,289,92,292,92,115,93,116,93,117,93,118,93,119,93,125,93,126,93,128,93,134,93,142,93,145,93,151,93,155,93,159,93,162,93,163,93,164,93,166,93,168,93,170,93,171,93,172,93,173,93,174,93,175,93,178,93,179,93,180,93,181,93,182,93,183,93,184,93,186,93,187,93,211,93,224,93,225,93,231,93,232,93,237,93,241,93,242,93,243,93,244,93,245,93,249,93,254,93,257,93,261,93,268,93,269,93,270,93,271,93,274,93,275,93,277,93,287,93,288,93,115,94,117,94,126,94,127,94,130,94,133,94,142,94,144,94,150,94,155,94,158,94,162,94,163,94,164,94,165,94,166,94,169,94,170,94,171,94,174,94,175,94,176,94,178,94,179,94,180,94,181,94,182,94,216,94,222,94,223,94,224,94,225,94,230,94,234,94,235,94,237,94,242,94,246,94,247,94,248,94,249,94,260,94,261,94,265,94,266,94,267,94,270,94,271,94,272,94,274,94,275,94,277,94,287,94,116,95,117,95,122,95,124,95,128,95,129,95,140,95,141,95,144,95,147,95,149,95,150,95,153,95,154,95,157,95,158,95,162,95,163,95,164,95,167,95,170,95,171,95,172,95,173,95,176,95,177,95,179,95,219,95,220,95,221,95,222,95,225,95,227,95,228,95,229,95,230,95,231,95,232,95,233,95,234,95,235,95,236,95,237,95,239,95,240,95,242,95,243,95,244,95,246,95,247,95,248,95,249,95,256,95,258,95,259,95,260,95,263,95,264,95,265,95,266,95,269,95,271,95,273,95,274,95,275,95,277,95,278,95,279,95,287,95,116,96,118,96,122,96,126,96,127,96,128,96,132,96,133,96,139,96,140,96,142,96,143,96,144,96,147,96,152,96,155,96,157,96,158,96,159,96,162,96,163,96,164,96,166,96,168,96,169,96,170,96,173,96,176,96,177,96,222,96,224,96,226,96,227,96,228,96,230,96,231,96,232,96,233,96,234,96,235,96,236,96,237,96,238,96,240,96,241,96,242,96,243,96,246,96,249,96,258,96,263,96,268,96,269,96,272,96,273,96,274,96,278,96,279,96,288,96,289,96,123,97,124,97,125,97,126,97,127,97,128,97,129,97,141,97,142,97,143,97,150,97,153,97,157,97,158,97,159,97,160,97,161,97,162,97,163,97,165,97,166,97,167,97,172,97,173,97,224,97,227,97,229,97,232,97,233,97,235,97,236,97,237,97,238,97,239,97,241,97,242,97,243,97,244,97,246,97,262,97,264,97,265,97,266,97,272,97,274,97,277,97,278,97,279,97,289,97,116,98,121,98,124,98,129,98,130,98,131,98,132,98,139,98,140,98,141,98,143,98,146,98,147,98,149,98,151,98,152,98,153,98,154,98,155,98,156,98,157,98,158,98,163,98,172,98,173,98,227,98,229,98,230,98,231,98,232,98,235,98,236,98,239,98,241,98,242,98,243,98,244,98,248,98,253,98,261,98,262,98,263,98,269,98,270,98,271,98,272,98,273,98,276,98,278,98,279,98,114,99,118,99,146,99,149,99,153,99,159,99,160,99,163,99,169,99,171,99,232,99,234,99,236,99,239,99,240,99,241,99,242,99,243,99,244,99,245,99,251,99,255,99,256,99,258,99,259,99,261,99,267,99,268,99,270,99,271,99,272,99,275,99,276,99,277,99,278,99,279,99,281,99,120,100,124,100,137,100,139,100,144,100,147,100,148,100,150,100,151,100,152,100,153,100,154,100,155,100,157,100,158,100,160,100,161,100,163,100,169,100,232,100,233,100,234,100,235,100,241,100,244,100,262,100,263,100,264,100,267,100,268,100,269,100,270,100,271,100,272,100,275,100,276,100,277,100,278,100,279,100,280,100,281,100,282,100,112,101,113,101,120,101,121,101,122,101,123,101,124,101,134,101,135,101,136,101,138,101,143,101,146,101,148,101,149,101,155,101,156,101,157,101,160,101,161,101,162,101,163,101,164,101,167,101,232,101,233,101,234,101,237,101,239,101,240,101,244,101,245,101,261,101,263,101,264,101,268,101,269,101,270,101,271,101,272,101,274,101,275,101,276,101,280,101,281,101,117,102,119,102,120,102,121,102,126,102,127,102,128,102,135,102,138,102,143,102,145,102,149,102,150,102,155,102,157,102,159,102,164,102,166,102,193,102,232,102,233,102,234,102,235,102,238,102,239,102,240,102,243,102,245,102,249,102,251,102,254,102,256,102,257,102,268,102,269,102,270,102,271,102,272,102,275,102,276,102,277,102,278,102,279,102,280,102,281,102,113,103,117,103,130,103,132,103,137,103,145,103,146,103,148,103,149,103,152,103,153,103,154,103,161,103,208,103,209,103,239,103,240,103,247,103,248,103,251,103,254,103,260,103,261,103,265,103,267,103,268,103,269,103,271,103,272,103,274,103,276,103,277,103,279,103,280,103,113,104,117,104,118,104,120,104,121,104,127,104,128,104,129,104,130,104,136,104,142,104,144,104,147,104,148,104,151,104,152,104,157,104,160,104,161,104,163,104,213,104,239,104,242,104,250,104,251,104,257,104,258,104,260,104,267,104,268,104,269,104,270,104,272,104,273,104,274,104,275,104,276,104,281,104,282,104,115,105,117,105,119,105,120,105,121,105,124,105,127,105,128,105,134,105,141,105,142,105,143,105,144,105,145,105,146,105,148,105,151,105,152,105,153,105,155,105,156,105,157,105,159,105,161,105,237,105,239,105,242,105,245,105,252,105,253,105,258,105,259,105,260,105,263,105,264,105,266,105,268,105,269,105,270,105,271,105,272,105,273,105,275,105,276,105,277,105,278,105,280,105,281,105,282,105,283,105,284,105,118,106,122,106,123,106,127,106,132,106,133,106,135,106,136,106,137,106,145,106,146,106,148,106,149,106,150,106,151,106,152,106,153,106,154,106,157,106,159,106,161,106,238,106,239,106,240,106,241,106,243,106,244,106,246,106,248,106,249,106,251,106,252,106,257,106,258,106,259,106,260,106,266,106,267,106,268,106,269,106,270,106,272,106,273,106,275,106,276,106,277,106,278,106,279,106,280,106,281,106,282,106,118,107,124,107,126,107,127,107,128,107,134,107,139,107,145,107,146,107,147,107,148,107,150,107,151,107,152,107,153,107,159,107,220,107,239,107,240,107,241,107,242,107,247,107,248,107,249,107,251,107,252,107,254,107,255,107,256,107,257,107,258,107,259,107,262,107,263,107,265,107,266,107,268,107,269,107,270,107,271,107,272,107,274,107,275,107,276,107,277,107,278,107,279,107,280,107,282,107,283,107,284,107,285,107,110,108,117,108,122,108,123,108,128,108,135,108,139,108,140,108,142,108,143,108,145,108,146,108,148,108,151,108,152,108,153,108,156,108,158,108,159,108,240,108,243,108,245,108,250,108,251,108,254,108,255,108,256,108,258,108,260,108,261,108,262,108,267,108,268,108,270,108,271,108,272,108,273,108,274,108,276,108,278,108,280,108,285,108,286,108,110,109,115,109,116,109,120,109,121,109,126,109,130,109,132,109,133,109,134,109,135,109,138,109,139,109,140,109,144,109,145,109,146,109,147,109,148,109,149,109,152,109,157,109,243,109,244,109,247,109,249,109,252,109,253,109,254,109,256,109,257,109,258,109,259,109,260,109,261,109,263,109,265,109,266,109,267,109,271,109,273,109,277,109,278,109,280,109,281,109,282,109,285,109,107,110,109,110,110,110,113,110,115,110,116,110,117,110,123,110,125,110,127,110,130,110,133,110,135,110,136,110,139,110,140,110,141,110,142,110,143,110,144,110,145,110,146,110,147,110,148,110,149,110,150,110,151,110,154,110,244,110,245,110,246,110,249,110,250,110,253,110,255,110,257,110,258,110,259,110,260,110,261,110,262,110,263,110,267,110,268,110,274,110,276,110,277,110,280,110,281,110,282,110,285,110,286,110,110,111,112,111,115,111,117,111,121,111,122,111,123,111,124,111,128,111,129,111,130,111,133,111,134,111,138,111,139,111,140,111,141,111,143,111,144,111,145,111,146,111,148,111,149,111,150,111,151,111,153,111,246,111,247,111,248,111,251,111,252,111,253,111,254,111,255,111,257,111,258,111,259,111,265,111,268,111,269,111,273,111,274,111,276,111,277,111,280,111,281,111,282,111,285,111,286,111,288,111,106,112,107,112,111,112,112,112,115,112,116,112,121,112,123,112,128,112,129,112,132,112,135,112,139,112,140,112,144,112,145,112,146,112,147,112,148,112,150,112,151,112,152,112,153,112,229,112,243,112,244,112,245,112,246,112,247,112,250,112,251,112,254,112,255,112,256,112,257,112,258,112,264,112,265,112,266,112,267,112,270,112,271,112,272,112,275,112,276,112,277,112,279,112,280,112,281,112,282,112,283,112,284,112,286,112,287,112,288,112,107,113,108,113,114,113,118,113,120,113,121,113,122,113,123,113,125,113,126,113,129,113,135,113,138,113,139,113,140,113,142,113,143,113,145,113,146,113,150,113,151,113,152,113,153,113,154,113,244,113,249,113,255,113,258,113,262,113,264,113,269,113,275,113,279,113,285,113,286,113,287,113,288,113,105,114,107,114,109,114,114,114,115,114,117,114,122,114,125,114,127,114,132,114,133,114,135,114,138,114,139,114,142,114,143,114,145,114,146,114,148,114,149,114,152,114,153,114,245,114,248,114,249,114,251,114,257,114,261,114,266,114,267,114,268,114,276,114,277,114,279,114,281,114,282,114,283,114,284,114,285,114,286,114,287,114,288,114,106,115,116,115,120,115,122,115,123,115,126,115,130,115,131,115,132,115,133,115,134,115,140,115,141,115,143,115,145,115,146,115,147,115,148,115,151,115,152,115,153,115,246,115,247,115,249,115,251,115,255,115,256,115,257,115,259,115,261,115,268,115,270,115,271,115,273,115,279,115,282,115,283,115,285,115,288,115,113,116,119,116,125,116,126,116,127,116,128,116,130,116,131,116,133,116,134,116,135,116,136,116,137,116,140,116,143,116,147,116,148,116,150,116,151,116,247,116,248,116,249,116,251,116,253,116,254,116,256,116,257,116,258,116,263,116,266,116,269,116,270,116,271,116,272,116,277,116,281,116,282,116,283,116,285,116,286,116,111,117,112,117,120,117,121,117,125,117,126,117,127,117,130,117,131,117,132,117,135,117,136,117,137,117,138,117,140,117,141,117,142,117,143,117,144,117,145,117,146,117,147,117,150,117,247,117,248,117,249,117,252,117,253,117,254,117,255,117,256,117,258,117,260,117,262,117,269,117,270,117,271,117,276,117,277,117,280,117,281,117,285,117,286,117,106,118,107,118,117,118,119,118,120,118,123,118,124,118,125,118,127,118,131,118,132,118,133,118,135,118,138,118,140,118,141,118,142,118,144,118,145,118,147,118,148,118,248,118,249,118,255,118,258,118,262,118,270,118,275,118,276,118,280,118,281,118,284,118,286,118,287,118,289,118,290,118,104,119,107,119,112,119,114,119,115,119,120,119,123,119,125,119,126,119,129,119,131,119,134,119,135,119,136,119,137,119,139,119,140,119,141,119,142,119,143,119,144,119,145,119,148,119,149,119,248,119,249,119,250,119,253,119,255,119,256,119,257,119,258,119,263,119,265,119,274,119,275,119,278,119,280,119,284,119,286,119,288,119,289,119,290,119,291,119,102,120,106,120,110,120,119,120,122,120,124,120,125,120,126,120,129,120,130,120,131,120,132,120,134,120,135,120,136,120,137,120,138,120,142,120,143,120,147,120,148,120,149,120,249,120,251,120,253,120,254,120,257,120,258,120,259,120,262,120,275,120,280,120,281,120,284,120,287,120,288,120,290,120,105,121,113,121,114,121,115,121,121,121,122,121,123,121,127,121,129,121,130,121,131,121,132,121,134,121,135,121,137,121,138,121,141,121,143,121,147,121,148,121,250,121,251,121,254,121,268,121,273,121,280,121,284,121,287,121,288,121,289,121,100,122,103,122,105,122,113,122,115,122,116,122,121,122,123,122,125,122,126,122,128,122,132,122,133,122,135,122,136,122,137,122,139,122,140,122,141,122,142,122,144,122,146,122,250,122,253,122,255,122,256,122,257,122,262,122,266,122,268,122,270,122,271,122,277,122,280,122,285,122,288,122,112,123,120,123,121,123,123,123,126,123,128,123,129,123,130,123,133,123,136,123,137,123,139,123,140,123,141,123,142,123,144,123,145,123,146,123,249,123,260,123,265,123,271,123,274,123,279,123,288,123,290,123,94,124,95,124,96,124,107,124,109,124,110,124,111,124,112,124,123,124,124,124,125,124,126,124,127,124,130,124,132,124,135,124,137,124,138,124,140,124,142,124,148,124,246,124,247,124,249,124,251,124,254,124,256,124,257,124,258,124,259,124,261,124,262,124,265,124,268,124,269,124,270,124,274,124,275,124,276,124,277,124,278,124,279,124,282,124,283,124,284,124,287,124,288,124,289,124,290,124,291,124,89,125,90,125,96,125,97,125,106,125,108,125,109,125,111,125,112,125,118,125,119,125,121,125,122,125,123,125,125,125,128,125,130,125,131,125,132,125,137,125,138,125,141,125,143,125,147,125,246,125,249,125,252,125,255,125,256,125,258,125,259,125,265,125,270,125,271,125,272,125,273,125,274,125,281,125,283,125,284,125,285,125,286,125,290,125,291,125,85,126,89,126,90,126,93,126,98,126,102,126,107,126,108,126,109,126,113,126,115,126,116,126,120,126,121,126,122,126,125,126,127,126,128,126,129,126,130,126,131,126,133,126,136,126,137,126,138,126,139,126,142,126,143,126,145,126,146,126,246,126,248,126,252,126,254,126,255,126,259,126,260,126,263,126,264,126,269,126,280,126,282,126,286,126,288,126,289,126,290,126,291,126,81,127,82,127,85,127,89,127,90,127,91,127,92,127,93,127,94,127,97,127,98,127,99,127,109,127,112,127,116,127,118,127,121,127,123,127,124,127,125,127,126,127,128,127,131,127,133,127,134,127,135,127,137,127,138,127,139,127,142,127,144,127,146,127,248,127,250,127,252,127,256,127,258,127,267,127,268,127,270,127,273,127,276,127,278,127,279,127,280,127,282,127,285,127,286,127,289,127,291,127,292,127,82,128,83,128,90,128,91,128,92,128,95,128,96,128,97,128,98,128,99,128,103,128,107,128,109,128,111,128,116,128,117,128,121,128,123,128,125,128,126,128,127,128,128,128,131,128,132,128,134,128,135,128,136,128,137,128,138,128,139,128,144,128,145,128,146,128,247,128,249,128,250,128,252,128,253,128,261,128,262,128,263,128,267,128,270,128,273,128,277,128,285,128,287,128,291,128,292,128,84,129,88,129,89,129,90,129,93,129,95,129,96,129,97,129,100,129,101,129,102,129,107,129,108,129,113,129,114,129,119,129,121,129,126,129,127,129,128,129,129,129,130,129,132,129,133,129,136,129,139,129,145,129,248,129,251,129,252,129,261,129,263,129,275,129,288,129,290,129,291,129,294,129,78,130,81,130,84,130,87,130,95,130,96,130,97,130,102,130,103,130,108,130,109,130,110,130,111,130,112,130,115,130,116,130,117,130,119,130,120,130,121,130,123,130,125,130,127,130,128,130,129,130,130,130,132,130,135,130,136,130,137,130,139,130,142,130,143,130,144,130,247,130,249,130,250,130,251,130,252,130,254,130,256,130,257,130,258,130,262,130,274,130,287,130,288,130,289,130,290,130,291,130,292,130,78,131,86,131,90,131,92,131,95,131,96,131,97,131,98,131,99,131,102,131,106,131,108,131,110,131,111,131,117,131,118,131,119,131,120,131,121,131,122,131,123,131,126,131,127,131,131,131,135,131,136,131,137,131,141,131,144,131,248,131,249,131,250,131,258,131,259,131,260,131,261,131,265,131,272,131,273,131,277,131,282,131,285,131,286,131,287,131,289,131,290,131,291,131,292,131,77,132,78,132,82,132,86,132,87,132,89,132,90,132,95,132,96,132,97,132,99,132,103,132,105,132,106,132,107,132,109,132,110,132,112,132,115,132,118,132,120,132,121,132,122,132,123,132,127,132,128,132,129,132,130,132,131,132,132,132,133,132,134,132,135,132,137,132,141,132,142,132,143,132,144,132,249,132,252,132,253,132,258,132,259,132,260,132,261,132,264,132,278,132,280,132,281,132,284,132,285,132,286,132,287,132,288,132,289,132,290,132,291,132,78,133,88,133,91,133,93,133,94,133,95,133,107,133,114,133,115,133,116,133,118,133,120,133,121,133,122,133,123,133,124,133,127,133,131,133,132,133,133,133,134,133,137,133,138,133,142,133,144,133,244,133,249,133,250,133,251,133,252,133,253,133,260,133,262,133,268,133,270,133,272,133,277,133,283,133,284,133,287,133,289,133,290,133,291,133,294,133,77,134,87,134,89,134,90,134,91,134,94,134,97,134,103,134,104,134,106,134,107,134,108,134,109,134,110,134,115,134,116,134,117,134,120,134,123,134,127,134,129,134,132,134,137,134,143,134,248,134,249,134,250,134,253,134,254,134,260,134,265,134,266,134,268,134,270,134,272,134,279,134,290,134,293,134,294,134,73,135,76,135,77,135,79,135,80,135,87,135,89,135,93,135,97,135,103,135,105,135,108,135,109,135,110,135,115,135,117,135,118,135,119,135,120,135,121,135,123,135,124,135,126,135,127,135,131,135,132,135,133,135,137,135,138,135,142,135,143,135,248,135,250,135,251,135,254,135,264,135,267,135,270,135,271,135,272,135,278,135,283,135,287,135,290,135,292,135,293,135,76,136,78,136,79,136,85,136,93,136,95,136,96,136,101,136,106,136,108,136,116,136,117,136,118,136,122,136,123,136,125,136,126,136,127,136,128,136,131,136,132,136,133,136,134,136,135,136,136,136,137,136,138,136,143,136,248,136,249,136,250,136,251,136,253,136,254,136,258,136,259,136,264,136,265,136,266,136,267,136,271,136,275,136,283,136,290,136,292,136,293,136,295,136,78,137,82,137,84,137,85,137,91,137,92,137,93,137,96,137,97,137,99,137,100,137,106,137,111,137,115,137,116,137,117,137,118,137,119,137,120,137,121,137,122,137,126,137,127,137,128,137,130,137,131,137,132,137,134,137,135,137,137,137,138,137,139,137,140,137,141,137,249,137,250,137,254,137,255,137,259,137,260,137,261,137,263,137,264,137,270,137,271,137,276,137,277,137,281,137,290,137,291,137,294,137,76,138,81,138,82,138,85,138,86,138,91,138,94,138,96,138,105,138,106,138,110,138,113,138,114,138,115,138,116,138,117,138,118,138,119,138,121,138,122,138,125,138,126,138,127,138,128,138,129,138,130,138,131,138,132,138,133,138,134,138,135,138,136,138,137,138,140,138,142,138,250,138,253,138,254,138,259,138,260,138,262,138,267,138,268,138,270,138,271,138,272,138,276,138,280,138,281,138,287,138,288,138,289,138,290,138,291,138,292,138,293,138,295,138,303,138,304,138,76,139,79,139,82,139,94,139,96,139,97,139,104,139,105,139,108,139,110,139,112,139,115,139,119,139,120,139,126,139,129,139,130,139,131,139,132,139,133,139,134,139,135,139,140,139,141,139,142,139,254,139,255,139,256,139,264,139,265,139,266,139,267,139,269,139,270,139,276,139,278,139,283,139,286,139,287,139,288,139,295,139,303,139,304,139,305,139,319,139,84,140,85,140,86,140,93,140,95,140,97,140,107,140,108,140,111,140,113,140,115,140,119,140,121,140,122,140,123,140,124,140,126,140,127,140,128,140,133,140,134,140,137,140,138,140,141,140,142,140,246,140,249,140,250,140,255,140,266,140,274,140,275,140,280,140,285,140,286,140,287,140,288,140,290,140,292,140,293,140,294,140,295,140,304,140,305,140,306,140,307,140,308,140,309,140,310,140,311,140,317,140,320,140,78,141,79,141,84,141,85,141,92,141,94,141,106,141,108,141,109,141,110,141,111,141,112,141,113,141,114,141,115,141,116,141,117,141,119,141,120,141,121,141,123,141,124,141,128,141,132,141,133,141,134,141,136,141,137,141,138,141,139,141,247,141,249,141,250,141,251,141,253,141,254,141,255,141,256,141,257,141,261,141,262,141,265,141,267,141,277,141,278,141,279,141,280,141,281,141,287,141,288,141,289,141,292,141,304,141,305,141,307,141,308,141,310,141,311,141,312,141,313,141,314,141,318,141,319,141,320,141,321,141,324,141,325,141,326,141,328,141,333,141,75,142,76,142,80,142,83,142,87,142,91,142,92,142,93,142,94,142,95,142,98,142,99,142,101,142,102,142,103,142,105,142,107,142,111,142,113,142,115,142,116,142,117,142,119,142,120,142,121,142,122,142,124,142,125,142,127,142,128,142,129,142,130,142,134,142,136,142,137,142,138,142,247,142,250,142,251,142,254,142,255,142,261,142,262,142,263,142,265,142,269,142,275,142,276,142,277,142,280,142,286,142,287,142,288,142,290,142,291,142,292,142,293,142,304,142,305,142,308,142,309,142,310,142,311,142,312,142,314,142,315,142,319,142,320,142,321,142,322,142,323,142,324,142,325,142,326,142,327,142,328,142,329,142,330,142,331,142,75,143,76,143,79,143,81,143,88,143,90,143,91,143,92,143,93,143,95,143,96,143,97,143,99,143,103,143,104,143,105,143,107,143,112,143,114,143,117,143,121,143,122,143,124,143,125,143,127,143,128,143,129,143,132,143,133,143,134,143,139,143,141,143,251,143,254,143,255,143,256,143,259,143,261,143,262,143,263,143,265,143,266,143,275,143,280,143,285,143,286,143,287,143,288,143,289,143,291,143,292,143,293,143,294,143,295,143,304,143,305,143,307,143,308,143,309,143,311,143,312,143,313,143,314,143,317,143,318,143,319,143,324,143,325,143,326,143,327,143,328,143,329,143,330,143,331,143,333,143,79,144,89,144,90,144,92,144,94,144,95,144,96,144,98,144,104,144,105,144,106,144,108,144,112,144,117,144,119,144,120,144,123,144,124,144,126,144,127,144,128,144,129,144,130,144,131,144,133,144,134,144,138,144,139,144,141,144,247,144,249,144,251,144,262,144,263,144,264,144,265,144,267,144,268,144,269,144,270,144,275,144,276,144,278,144,279,144,282,144,285,144,287,144,288,144,289,144,292,144,294,144,295,144,304,144,305,144,306,144,307,144,308,144,309,144,310,144,315,144,319,144,334,144,80,145,82,145,85,145,88,145,89,145,92,145,93,145,96,145,101,145,102,145,107,145,108,145,109,145,110,145,111,145,113,145,115,145,116,145,117,145,118,145,123,145,124,145,127,145,128,145,129,145,130,145,131,145,133,145,134,145,135,145,137,145,141,145,251,145,252,145,256,145,257,145,259,145,260,145,264,145,265,145,271,145,272,145,279,145,284,145,289,145,293,145,294,145,295,145,303,145,304,145,305,145,306,145,307,145,308,145,309,145,312,145,315,145,320,145,321,145,81,146,84,146,88,146,89,146,92,146,94,146,95,146,96,146,102,146,111,146,113,146,117,146,118,146,119,146,121,146,122,146,123,146,124,146,125,146,126,146,129,146,130,146,133,146,137,146,141,146,252,146,257,146,259,146,261,146,264,146,265,146,274,146,275,146,283,146,284,146,285,146,286,146,287,146,291,146,292,146,293,146,303,146,304,146,310,146,311,146,312,146,313,146,314,146,315,146,318,146,322,146,327,146,78,147,84,147,87,147,89,147,90,147,92,147,101,147,108,147,109,147,110,147,111,147,112,147,116,147,117,147,119,147,120,147,121,147,122,147,123,147,124,147,125,147,126,147,127,147,129,147,130,147,133,147,137,147,141,147,247,147,250,147,251,147,260,147,261,147,262,147,264,147,265,147,266,147,267,147,271,147,272,147,273,147,278,147,279,147,281,147,283,147,285,147,286,147,287,147,289,147,290,147,291,147,293,147,303,147,304,147,310,147,311,147,312,147,314,147,316,147,317,147,318,147,319,147,322,147,325,147,326,147,327,147,76,148,78,148,79,148,81,148,85,148,88,148,89,148,90,148,95,148,96,148,97,148,98,148,103,148,108,148,111,148,114,148,115,148,116,148,118,148,119,148,120,148,121,148,122,148,123,148,124,148,126,148,127,148,129,148,131,148,132,148,133,148,136,148,141,148,247,148,249,148,260,148,261,148,262,148,265,148,266,148,269,148,270,148,273,148,274,148,282,148,285,148,286,148,287,148,288,148,289,148,290,148,291,148,292,148,293,148,294,148,295,148,303,148,304,148,306,148,307,148,308,148,309,148,310,148,311,148,312,148,315,148,316,148,317,148,321,148,322,148,323,148,327,148,75,149,76,149,79,149,80,149,81,149,85,149,88,149,91,149,92,149,93,149,94,149,98,149,102,149,103,149,106,149,108,149,109,149,112,149,119,149,120,149,121,149,122,149,123,149,124,149,126,149,127,149,129,149,133,149,134,149,135,149,138,149,140,149,247,149,259,149,268,149,269,149,270,149,274,149,276,149,279,149,280,149,281,149,282,149,283,149,285,149,286,149,292,149,295,149,296,149,304,149,305,149,306,149,307,149,308,149,309,149,311,149,313,149,314,149,318,149,320,149,327,149,76,150,81,150,83,150,85,150,86,150,90,150,91,150,94,150,97,150,100,150,102,150,104,150,105,150,107,150,108,150,115,150,116,150,118,150,119,150,121,150,122,150,123,150,124,150,126,150,127,150,129,150,130,150,131,150,133,150,134,150,138,150,139,150,140,150,251,150,255,150,256,150,263,150,265,150,266,150,271,150,272,150,273,150,274,150,276,150,277,150,278,150,281,150,289,150,290,150,294,150,304,150,305,150,306,150,307,150,308,150,311,150,312,150,313,150,314,150,315,150,317,150,318,150,321,150,322,150,327,150,328,150,75,151,76,151,79,151,80,151,83,151,85,151,86,151,89,151,90,151,91,151,94,151,95,151,99,151,100,151,101,151,108,151,109,151,110,151,114,151,117,151,118,151,122,151,126,151,127,151,131,151,138,151,140,151,141,151,250,151,261,151,263,151,264,151,265,151,268,151,271,151,272,151,273,151,279,151,280,151,281,151,286,151,287,151,288,151,293,151,294,151,304,151,306,151,307,151,311,151,312,151,313,151,314,151,316,151,317,151,318,151,321,151,322,151,327,151,76,152,80,152,82,152,83,152,85,152,86,152,90,152,91,152,93,152,94,152,95,152,96,152,97,152,101,152,103,152,104,152,105,152,106,152,107,152,108,152,109,152,112,152,113,152,119,152,120,152,121,152,122,152,123,152,124,152,126,152,130,152,131,152,132,152,134,152,136,152,137,152,138,152,141,152,247,152,250,152,251,152,256,152,258,152,261,152,264,152,265,152,267,152,268,152,269,152,270,152,271,152,274,152,277,152,278,152,280,152,281,152,287,152,289,152,291,152,292,152,293,152,294,152,304,152,306,152,310,152,311,152,312,152,313,152,316,152,317,152,320,152,322,152,323,152,327,152,71,153,77,153,79,153,80,153,87,153,88,153,89,153,90,153,91,153,93,153,94,153,95,153,96,153,97,153,105,153,108,153,111,153,114,153,118,153,119,153,120,153,121,153,123,153,126,153,129,153,130,153,133,153,134,153,135,153,136,153,137,153,140,153,141,153,247,153,260,153,262,153,263,153,264,153,265,153,267,153,274,153,276,153,277,153,284,153,289,153,290,153,291,153,293,153,304,153,305,153,306,153,307,153,308,153,309,153,310,153,311,153,312,153,313,153,315,153,317,153,325,153,326,153,327,153,71,154,79,154,83,154,84,154,85,154,86,154,90,154,91,154,92,154,93,154,96,154,97,154,104,154,106,154,107,154,110,154,113,154,115,154,117,154,118,154,122,154,124,154,129,154,130,154,131,154,135,154,137,154,140,154,141,154,247,154,249,154,260,154,261,154,263,154,264,154,265,154,267,154,268,154,269,154,274,154,276,154,277,154,280,154,284,154,285,154,292,154,293,154,304,154,305,154,308,154,309,154,310,154,311,154,313,154,314,154,315,154,318,154,326,154,327,154,74,155,75,155,82,155,84,155,87,155,90,155,95,155,96,155,97,155,99,155,107,155,110,155,111,155,116,155,118,155,119,155,120,155,121,155,122,155,123,155,126,155,127,155,132,155,133,155,137,155,140,155,254,155,262,155,265,155,267,155,270,155,271,155,274,155,275,155,282,155,284,155,287,155,290,155,295,155,305,155,306,155,307,155,308,155,309,155,313,155,314,155,315,155,316,155,321,155,325,155,60,156,65,156,70,156,72,156,74,156,75,156,76,156,79,156,82,156,85,156,86,156,89,156,90,156,91,156,93,156,94,156,95,156,96,156,97,156,98,156,99,156,101,156,102,156,106,156,107,156,108,156,110,156,111,156,114,156,115,156,117,156,120,156,122,156,123,156,124,156,125,156,128,156,130,156,132,156,133,156,135,156,136,156,137,156,138,156,139,156,140,156,141,156,251,156,260,156,261,156,262,156,265,156,267,156,270,156,273,156,274,156,275,156,276,156,277,156,280,156,284,156,285,156,290,156,292,156,293,156,294,156,295,156,303,156,304,156,305,156,306,156,307,156,309,156,314,156,315,156,316,156,320,156,59,157,60,157,61,157,62,157,84,157,85,157,86,157,89,157,90,157,91,157,92,157,94,157,96,157,97,157,99,157,100,157,101,157,105,157,108,157,109,157,111,157,112,157,114,157,115,157,117,157,118,157,119,157,120,157,121,157,123,157,125,157,127,157,129,157,130,157,132,157,134,157,135,157,137,157,140,157,141,157,142,157,259,157,260,157,261,157,265,157,266,157,267,157,268,157,269,157,270,157,271,157,273,157,275,157,276,157,277,157,291,157,292,157,293,157,294,157,303,157,304,157,306,157,307,157,309,157,311,157,312,157,315,157,316,157,319,157,322,157,327,157,90,158,92,158,94,158,96,158,97,158,100,158,101,158,109,158,110,158,112,158,113,158,114,158,115,158,118,158,119,158,120,158,121,158,123,158,125,158,126,158,129,158,130,158,131,158,132,158,135,158,136,158,137,158,140,158,141,158,142,158,246,158,249,158,251,158,258,158,260,158,263,158,266,158,267,158,268,158,269,158,270,158,271,158,273,158,283,158,290,158,291,158,292,158,294,158,303,158,306,158,307,158,309,158,311,158,312,158,313,158,314,158,317,158,318,158,319,158,321,158,327,158,100,159,101,159,102,159,106,159,107,159,108,159,109,159,110,159,111,159,112,159,113,159,114,159,115,159,117,159,118,159,119,159,120,159,122,159,125,159,128,159,129,159,132,159,133,159,134,159,135,159,137,159,139,159,140,159,141,159,246,159,249,159,254,159,258,159,261,159,263,159,264,159,265,159,271,159,272,159,274,159,275,159,276,159,280,159,281,159,282,159,287,159,289,159,293,159,294,159,303,159,304,159,306,159,307,159,308,159,309,159,310,159,311,159,314,159,321,159,327,159,105,160,107,160,109,160,110,160,111,160,113,160,115,160,116,160,117,160,118,160,119,160,120,160,123,160,126,160,128,160,131,160,132,160,141,160,246,160,258,160,260,160,262,160,263,160,265,160,267,160,268,160,270,160,271,160,274,160,287,160,288,160,294,160,304,160,305,160,306,160,307,160,308,160,311,160,312,160,314,160,322,160,323,160,324,160,326,160,108,161,109,161,111,161,113,161,114,161,115,161,117,161,118,161,119,161,120,161,123,161,124,161,127,161,128,161,130,161,132,161,133,161,134,161,136,161,137,161,138,161,139,161,140,161,246,161,254,161,260,161,262,161,265,161,266,161,267,161,269,161,270,161,271,161,273,161,279,161,282,161,284,161,285,161,287,161,289,161,292,161,293,161,294,161,295,161,303,161,304,161,305,161,306,161,307,161,310,161,311,161,313,161,314,161,317,161,318,161,320,161,321,161,322,161,323,161,104,162,106,162,108,162,113,162,115,162,117,162,118,162,120,162,121,162,122,162,123,162,125,162,126,162,130,162,142,162,246,162,257,162,259,162,260,162,261,162,262,162,265,162,266,162,271,162,273,162,281,162,286,162,287,162,291,162,292,162,294,162,305,162,306,162,307,162,310,162,311,162,315,162,316,162,317,162,318,162,320,162,327,162,98,163,101,163,106,163,109,163,110,163,112,163,113,163,115,163,116,163,120,163,121,163,123,163,124,163,125,163,126,163,129,163,132,163,134,163,137,163,138,163,141,163,143,163,245,163,260,163,261,163,262,163,263,163,264,163,266,163,268,163,273,163,274,163,281,163,288,163,292,163,293,163,294,163,306,163,307,163,308,163,310,163,311,163,315,163,316,163,318,163,327,163,97,164,98,164,100,164,101,164,104,164,106,164,108,164,111,164,112,164,113,164,115,164,116,164,119,164,123,164,129,164,132,164,133,164,134,164,135,164,136,164,137,164,139,164,143,164,245,164,258,164,259,164,260,164,265,164,273,164,280,164,281,164,287,164,288,164,290,164,291,164,292,164,307,164,308,164,309,164,311,164,313,164,316,164,317,164,318,164,321,164,327,164,328,164,94,165,96,165,97,165,100,165,101,165,102,165,104,165,106,165,109,165,111,165,113,165,118,165,122,165,126,165,127,165,128,165,129,165,131,165,135,165,137,165,143,165,259,165,260,165,261,165,263,165,272,165,274,165,285,165,287,165,290,165,291,165,294,165,304,165,305,165,308,165,309,165,310,165,311,165,313,165,315,165,317,165,318,165,92,166,94,166,95,166,96,166,97,166,100,166,101,166,102,166,103,166,104,166,106,166,107,166,110,166,111,166,112,166,113,166,115,166,116,166,117,166,118,166,120,166,121,166,122,166,124,166,125,166,126,166,127,166,130,166,131,166,135,166,136,166,137,166,138,166,140,166,144,166,244,166,250,166,251,166,253,166,259,166,260,166,261,166,264,166,283,166,288,166,291,166,293,166,294,166,304,166,306,166,307,166,308,166,309,166,310,166,311,166,312,166,313,166,315,166,323,166,91,167,92,167,94,167,95,167,96,167,97,167,98,167,99,167,100,167,106,167,107,167,108,167,109,167,110,167,111,167,112,167,113,167,116,167,119,167,120,167,122,167,123,167,124,167,125,167,126,167,127,167,128,167,132,167,133,167,134,167,135,167,136,167,140,167,142,167,143,167,144,167,259,167,261,167,285,167,288,167,291,167,292,167,302,167,303,167,304,167,305,167,306,167,307,167,308,167,309,167,310,167,311,167,312,167,314,167,316,167,317,167,318,167,319,167,321,167,323,167,324,167,327,167,88,168,89,168,90,168,91,168,92,168,93,168,94,168,95,168,97,168,98,168,99,168,100,168,101,168,102,168,103,168,104,168,106,168,108,168,109,168,110,168,111,168,112,168,114,168,118,168,119,168,120,168,121,168,122,168,123,168,124,168,127,168,130,168,132,168,135,168,136,168,138,168,139,168,141,168,142,168,257,168,258,168,259,168,260,168,261,168,262,168,267,168,273,168,283,168,284,168,288,168,291,168,292,168,303,168,304,168,305,168,307,168,308,168,310,168,313,168,314,168,317,168,318,168,321,168,324,168,89,169,90,169,91,169,92,169,93,169,94,169,98,169,99,169,100,169,101,169,103,169,105,169,106,169,109,169,110,169,113,169,114,169,115,169,116,169,117,169,118,169,120,169,121,169,122,169,123,169,124,169,125,169,126,169,127,169,128,169,130,169,135,169,136,169,137,169,140,169,141,169,142,169,257,169,259,169,260,169,261,169,276,169,277,169,282,169,286,169,287,169,291,169,293,169,303,169,304,169,307,169,308,169,309,169,310,169,311,169,312,169,314,169,316,169,317,169,318,169,323,169,324,169,89,170,90,170,91,170,92,170,93,170,94,170,99,170,100,170,101,170,104,170,108,170,109,170,113,170,114,170,115,170,116,170,119,170,120,170,121,170,123,170,124,170,128,170,129,170,130,170,131,170,132,170,134,170,135,170,136,170,137,170,141,170,142,170,143,170,248,170,257,170,259,170,261,170,262,170,263,170,265,170,266,170,269,170,271,170,279,170,280,170,281,170,282,170,286,170,289,170,290,170,291,170,303,170,304,170,308,170,311,170,312,170,314,170,318,170,319,170,321,170,322,170,323,170,326,170,89,171,90,171,91,171,94,171,99,171,100,171,101,171,102,171,105,171,106,171,107,171,108,171,111,171,112,171,114,171,115,171,118,171,119,171,122,171,124,171,125,171,127,171,128,171,130,171,133,171,134,171,136,171,137,171,139,171,141,171,142,171,143,171,250,171,256,171,257,171,261,171,265,171,276,171,280,171,283,171,285,171,286,171,288,171,292,171,302,171,304,171,308,171,309,171,310,171,313,171,314,171,316,171,317,171,319,171,321,171,323,171,324,171,90,172,92,172,94,172,96,172,99,172,100,172,101,172,104,172,105,172,108,172,109,172,110,172,111,172,112,172,113,172,114,172,115,172,117,172,118,172,119,172,122,172,123,172,124,172,125,172,126,172,127,172,128,172,132,172,133,172,136,172,140,172,142,172,144,172,145,172,255,172,258,172,278,172,281,172,282,172,288,172,291,172,292,172,302,172,303,172,304,172,305,172,311,172,312,172,313,172,315,172,316,172,317,172,319,172,320,172,321,172,322,172,326,172,327,172,89,173,93,173,99,173,100,173,101,173,102,173,103,173,105,173,108,173,109,173,110,173,111,173,112,173,113,173,114,173,115,173,116,173,118,173,120,173,121,173,122,173,123,173,124,173,125,173,126,173,127,173,128,173,130,173,132,173,133,173,137,173,138,173,140,173,254,173,256,173,258,173,278,173,288,173,289,173,291,173,305,173,306,173,312,173,313,173,314,173,317,173,321,173,322,173,99,174,100,174,101,174,103,174,104,174,107,174,110,174,112,174,113,174,114,174,115,174,116,174,117,174,120,174,121,174,122,174,123,174,124,174,125,174,126,174,127,174,128,174,129,174,130,174,131,174,132,174,137,174,138,174,140,174,142,174,143,174,144,174,254,174,257,174,258,174,280,174,285,174,287,174,288,174,289,174,290,174,301,174,302,174,303,174,304,174,305,174,306,174,307,174,309,174,310,174,311,174,312,174,314,174,315,174,320,174,321,174,94,175,101,175,102,175,103,175,105,175,108,175,109,175,110,175,111,175,112,175,114,175,115,175,116,175,117,175,120,175,121,175,122,175,123,175,124,175,126,175,128,175,130,175,132,175,137,175,141,175,147,175,248,175,254,175,256,175,257,175,259,175,285,175,289,175,290,175,301,175,302,175,304,175,305,175,91,176,101,176,102,176,103,176,104,176,105,176,106,176,107,176,113,176,114,176,115,176,116,176,118,176,120,176,121,176,123,176,124,176,125,176,126,176,127,176,128,176,132,176,133,176,136,176,137,176,139,176,141,176,147,176,254,176,255,176,256,176,257,176,280,176,287,176,288,176,291,176,102,177,103,177,104,177,106,177,107,177,108,177,110,177,111,177,112,177,113,177,114,177,116,177,117,177,118,177,120,177,121,177,122,177,123,177,124,177,125,177,126,177,127,177,128,177,129,177,130,177,131,177,132,177,133,177,135,177,136,177,138,177,139,177,141,177,142,177,146,177,247,177,248,177,255,177,256,177,275,177,281,177,282,177,285,177,286,177,288,177,291,177,103,178,104,178,107,178,108,178,109,178,111,178,112,178,113,178,114,178,115,178,117,178,118,178,120,178,121,178,122,178,123,178,124,178,125,178,126,178,127,178,128,178,129,178,130,178,131,178,133,178,136,178,140,178,142,178,143,178,145,178,146,178,147,178,252,178,255,178,256,178,280,178,285,178,286,178,102,179,103,179,104,179,106,179,107,179,108,179,109,179,110,179,111,179,112,179,113,179,114,179,116,179,117,179,119,179,120,179,121,179,122,179,123,179,124,179,126,179,127,179,128,179,130,179,131,179,133,179,137,179,138,179,140,179,141,179,145,179,149,179,253,179,254,179,256,179,279,179,283,179,284,179,285,179,286,179,290,179,291,179,103,180,104,180,106,180,107,180,108,180,109,180,110,180,111,180,113,180,115,180,116,180,117,180,118,180,119,180,120,180,121,180,123,180,124,180,126,180,127,180,128,180,129,180,130,180,137,180,138,180,139,180,149,180,241,180,253,180,255,180,259,180,279,180,282,180,284,180,287,180,288,180,290,180,102,181,103,181,104,181,105,181,106,181,108,181,111,181,112,181,113,181,114,181,115,181,117,181,119,181,120,181,121,181,122,181,123,181,126,181,127,181,129,181,130,181,135,181,137,181,144,181,151,181,239,181,252,181,253,181,254,181,259,181,262,181,278,181,280,181,281,181,282,181,283,181,284,181,287,181,288,181,290,181,102,182,103,182,104,182,105,182,107,182,108,182,109,182,110,182,111,182,114,182,115,182,117,182,118,182,119,182,120,182,121,182,122,182,125,182,126,182,129,182,134,182,135,182,136,182,137,182,138,182,139,182,143,182,149,182,150,182,151,182,245,182,246,182,251,182,252,182,253,182,254,182,258,182,259,182,272,182,273,182,280,182,282,182,283,182,287,182,288,182,103,183,104,183,105,183,106,183,107,183,108,183,109,183,110,183,111,183,112,183,113,183,114,183,115,183,116,183,118,183,119,183,120,183,121,183,122,183,125,183,132,183,136,183,141,183,143,183,144,183,146,183,148,183,151,183,234,183,250,183,255,183,258,183,259,183,261,183,270,183,272,183,280,183,281,183,282,183,283,183,284,183,286,183,287,183,288,183,104,184,105,184,106,184,107,184,108,184,109,184,111,184,114,184,115,184,118,184,119,184,120,184,121,184,122,184,127,184,128,184,130,184,131,184,136,184,138,184,139,184,141,184,143,184,145,184,151,184,152,184,153,184,248,184,250,184,251,184,252,184,254,184,258,184,263,184,264,184,272,184,274,184,280,184,281,184,282,184,284,184,285,184,286,184,96,185,104,185,105,185,106,185,107,185,109,185,111,185,112,185,113,185,114,185,116,185,118,185,119,185,120,185,121,185,127,185,130,185,131,185,136,185,137,185,141,185,142,185,144,185,146,185,148,185,150,185,151,185,154,185,252,185,254,185,256,185,261,185,262,185,268,185,274,185,277,185,279,185,281,185,282,185,283,185,284,185,285,185,105,186,106,186,107,186,109,186,110,186,112,186,114,186,117,186,118,186,119,186,120,186,121,186,122,186,124,186,129,186,130,186,131,186,133,186,136,186,139,186,140,186,142,186,143,186,144,186,153,186,247,186,249,186,252,186,258,186,270,186,272,186,273,186,275,186,276,186,278,186,279,186,282,186,283,186,284,186,285,186,286,186,107,187,108,187,109,187,110,187,112,187,113,187,114,187,115,187,117,187,118,187,120,187,121,187,122,187,123,187,127,187,128,187,132,187,133,187,138,187,142,187,143,187,145,187,147,187,150,187,246,187,248,187,252,187,255,187,257,187,258,187,272,187,273,187,276,187,277,187,278,187,279,187,280,187,281,187,284,187,285,187,286,187,105,188,107,188,108,188,109,188,110,188,113,188,114,188,115,188,116,188,117,188,118,188,119,188,120,188,122,188,124,188,125,188,126,188,131,188,132,188,133,188,134,188,135,188,136,188,138,188,139,188,141,188,142,188,143,188,144,188,145,188,147,188,151,188,152,188,155,188,239,188,248,188,251,188,252,188,255,188,256,188,257,188,271,188,272,188,274,188,275,188,276,188,277,188,278,188,279,188,280,188,281,188,284,188,285,188,105,189,106,189,107,189,108,189,109,189,110,189,111,189,113,189,114,189,115,189,116,189,117,189,118,189,120,189,121,189,123,189,124,189,127,189,130,189,131,189,132,189,133,189,137,189,138,189,142,189,143,189,147,189,148,189,149,189,153,189,154,189,155,189,246,189,249,189,250,189,251,189,253,189,254,189,262,189,264,189,269,189,274,189,275,189,276,189,278,189,279,189,280,189,281,189,282,189,285,189,98,190,105,190,106,190,107,190,108,190,109,190,110,190,115,190,116,190,117,190,118,190,119,190,120,190,121,190,123,190,124,190,125,190,126,190,127,190,137,190,142,190,144,190,146,190,147,190,150,190,155,190,156,190,236,190,237,190,244,190,245,190,246,190,247,190,250,190,251,190,252,190,253,190,258,190,261,190,262,190,264,190,269,190,274,190,275,190,277,190,278,190,279,190,280,190,282,190,283,190,285,190,98,191,99,191,106,191,108,191,109,191,110,191,112,191,115,191,116,191,117,191,118,191,122,191,124,191,130,191,131,191,132,191,135,191,136,191,137,191,138,191,142,191,143,191,147,191,150,191,155,191,157,191,244,191,245,191,246,191,252,191,260,191,263,191,264,191,265,191,266,191,268,191,269,191,271,191,272,191,273,191,277,191,278,191,279,191,280,191,282,191,283,191,106,192,107,192,108,192,112,192,113,192,114,192,115,192,116,192,117,192,119,192,120,192,121,192,123,192,124,192,127,192,134,192,135,192,136,192,137,192,141,192,146,192,148,192,149,192,153,192,157,192,159,192,177,192,231,192,243,192,245,192,249,192,250,192,251,192,252,192,259,192,263,192,273,192,277,192,278,192,283,192,102,193,103,193,105,193,106,193,107,193,108,193,109,193,110,193,112,193,113,193,114,193,117,193,120,193,121,193,122,193,126,193,133,193,134,193,135,193,139,193,140,193,141,193,142,193,143,193,147,193,152,193,154,193,155,193,156,193,241,193,242,193,245,193,251,193,253,193,254,193,258,193,259,193,260,193,269,193,272,193,273,193,274,193,275,193,276,193,278,193,279,193,283,193,284,193,102,194,103,194,104,194,106,194,107,194,108,194,109,194,110,194,111,194,112,194,114,194,116,194,118,194,120,194,121,194,122,194,129,194,130,194,131,194,132,194,136,194,140,194,143,194,146,194,147,194,156,194,161,194,182,194,227,194,241,194,245,194,251,194,257,194,264,194,270,194,271,194,272,194,276,194,277,194,278,194,279,194,281,194,282,194,284,194,104,195,105,195,106,195,107,195,108,195,109,195,110,195,111,195,116,195,118,195,119,195,120,195,121,195,122,195,127,195,129,195,130,195,131,195,134,195,135,195,138,195,140,195,141,195,143,195,144,195,145,195,146,195,147,195,149,195,150,195,156,195,157,195,161,195,184,195,221,195,222,195,223,195,241,195,243,195,244,195,245,195,247,195,267,195,268,195,274,195,275,195,276,195,277,195,278,195,279,195,280,195,281,195,282,195,283,195,284,195,103,196,104,196,105,196,106,196,107,196,108,196,109,196,110,196,111,196,112,196,113,196,118,196,120,196,124,196,126,196,127,196,129,196,133,196,134,196,138,196,142,196,145,196,154,196,155,196,156,196,157,196,159,196,161,196,221,196,226,196,240,196,243,196,254,196,255,196,258,196,262,196,272,196,274,196,278,196,281,196,282,196,103,197,104,197,105,197,106,197,107,197,108,197,109,197,112,197,114,197,117,197,119,197,120,197,121,197,125,197,127,197,130,197,131,197,132,197,134,197,137,197,143,197,144,197,146,197,150,197,151,197,152,197,153,197,155,197,156,197,157,197,161,197,165,197,195,197,196,197,207,197,208,197,222,197,236,197,237,197,239,197,242,197,243,197,247,197,258,197,260,197,261,197,265,197,266,197,267,197,273,197,276,197,281,197,104,198,105,198,106,198,107,198,108,198,109,198,110,198,115,198,118,198,119,198,124,198,125,198,127,198,129,198,130,198,131,198,137,198,139,198,140,198,142,198,143,198,150,198,152,198,153,198,157,198,164,198,166,198,167,198,205,198,214,198,215,198,216,198,218,198,223,198,225,198,239,198,241,198,242,198,243,198,244,198,245,198,260,198,264,198,265,198,273,198,274,198,275,198,276,198,277,198,278,198,279,198,280,198,281,198,282,198,105,199,106,199,107,199,108,199,111,199,114,199,115,199,116,199,119,199,120,199,121,199,124,199,125,199,126,199,127,199,128,199,131,199,137,199,138,199,141,199,145,199,149,199,150,199,153,199,157,199,158,199,160,199,163,199,167,199,169,199,217,199,224,199,225,199,236,199,237,199,238,199,243,199,258,199,259,199,268,199,273,199,276,199,277,199,278,199,279,199,280,199,281,199,102,200,103,200,105,200,106,200,119,200,120,200,122,200,123,200,124,200,125,200,128,200,131,200,132,200,135,200,136,200,148,200,149,200,153,200,163,200,164,200,206,200,208,200,209,200,212,200,233,200,237,200,238,200,239,200,241,200,243,200,244,200,245,200,248,200,257,200,260,200,262,200,263,200,264,200,267,200,270,200,271,200,272,200,273,200,274,200,275,200,276,200,278,200,105,201,106,201,117,201,119,201,120,201,121,201,122,201,123,201,124,201,125,201,126,201,127,201,128,201,136,201,137,201,144,201,146,201,151,201,154,201,156,201,157,201,158,201,159,201,161,201,162,201,164,201,169,201,170,201,195,201,198,201,199,201,200,201,203,201,204,201,205,201,206,201,207,201,210,201,211,201,212,201,214,201,215,201,219,201,230,201,235,201,237,201,239,201,240,201,241,201,242,201,259,201,260,201,262,201,269,201,272,201,273,201,274,201,276,201,105,202,106,202,109,202,112,202,113,202,118,202,120,202,123,202,124,202,126,202,129,202,134,202,135,202,136,202,147,202,151,202,152,202,153,202,154,202,158,202,165,202,166,202,167,202,168,202,173,202,176,202,190,202,191,202,200,202,201,202,202,202,203,202,204,202,205,202,206,202,209,202,213,202,214,202,219,202,220,202,230,202,235,202,238,202,239,202,240,202,248,202,249,202,254,202,255,202,259,202,260,202,271,202,273,202,274,202,275,202,106,203,107,203,108,203,111,203,119,203,120,203,121,203,122,203,123,203,124,203,127,203,128,203,129,203,134,203,140,203,149,203,150,203,152,203,154,203,156,203,157,203,158,203,159,203,160,203,161,203,172,203,173,203,177,203,201,203,202,203,205,203,206,203,207,203,212,203,213,203,214,203,216,203,219,203,220,203,229,203,230,203,231,203,239,203,240,203,247,203,257,203,258,203,259,203,268,203,269,203,270,203,271,203,277,203,278,203,279,203,106,204,107,204,108,204,111,204,113,204,114,204,119,204,120,204,121,204,122,204,123,204,124,204,127,204,128,204,129,204,135,204,136,204,148,204,149,204,150,204,151,204,153,204,154,204,155,204,156,204,157,204,158,204,160,204,161,204,164,204,166,204,174,204,178,204,181,204,200,204,204,204,205,204,206,204,207,204,211,204,214,204,216,204,226,204,228,204,229,204,231,204,236,204,237,204,238,204,239,204,247,204,261,204,270,204,272,204,274,204,276,204,277,204,278,204,279,204,103,205,105,205,106,205,107,205,111,205,112,205,113,205,114,205,122,205,123,205,124,205,127,205,128,205,129,205,134,205,135,205,139,205,146,205,149,205,151,205,152,205,153,205,154,205,155,205,157,205,160,205,164,205,170,205,171,205,182,205,194,205,195,205,198,205,199,205,200,205,203,205,204,205,215,205,218,205,224,205,227,205,228,205,229,205,238,205,246,205,260,205,267,205,268,205,269,205,271,205,273,205,275,205,276,205,278,205,279,205,103,206,110,206,111,206,112,206,120,206,121,206,124,206,129,206,130,206,131,206,132,206,133,206,134,206,136,206,145,206,146,206,147,206,148,206,150,206,151,206,154,206,157,206,159,206,160,206,161,206,164,206,165,206,170,206,172,206,175,206,183,206,185,206,186,206,187,206,188,206,189,206,192,206,193,206,194,206,195,206,198,206,199,206,200,206,201,206,208,206,210,206,211,206,212,206,217,206,218,206,220,206,221,206,222,206,224,206,227,206,231,206,235,206,258,206,259,206,267,206,270,206,273,206,100,207,101,207,102,207,109,207,110,207,111,207,112,207,113,207,123,207,125,207,126,207,127,207,128,207,129,207,132,207,133,207,144,207,146,207,148,207,149,207,150,207,151,207,152,207,153,207,156,207,157,207,158,207,161,207,162,207,167,207,168,207,169,207,172,207,173,207,174,207,177,207,178,207,182,207,183,207,185,207,189,207,190,207,191,207,193,207,196,207,197,207,198,207,199,207,200,207,201,207,202,207,203,207,205,207,207,207,210,207,220,207,223,207,225,207,227,207,230,207,231,207,235,207,241,207,244,207,267,207,270,207,274,207,276,207,277,207,100,208,108,208,109,208,110,208,112,208,113,208,116,208,122,208,123,208,124,208,126,208,127,208,128,208,130,208,131,208,132,208,133,208,139,208,147,208,149,208,151,208,152,208,153,208,155,208,156,208,158,208,159,208,160,208,161,208,163,208,167,208,169,208,170,208,172,208,173,208,174,208,175,208,177,208,181,208,191,208,198,208,215,208,223,208,227,208,231,208,232,208,243,208,247,208,250,208,254,208,256,208,260,208,265,208,266,208,267,208,268,208,269,208,270,208,272,208,273,208,107,209,108,209,109,209,110,209,111,209,112,209,113,209,115,209,117,209,123,209,124,209,126,209,127,209,128,209,129,209,130,209,131,209,133,209,139,209,146,209,147,209,149,209,152,209,153,209,154,209,155,209,156,209,157,209,159,209,160,209,161,209,162,209,163,209,169,209,170,209,171,209,173,209,175,209,178,209,179,209,180,209,183,209,188,209,191,209,197,209,201,209,203,209,205,209,211,209,212,209,214,209,218,209,220,209,221,209,223,209,226,209,229,209,232,209,234,209,249,209,254,209,255,209,256,209,260,209,264,209,265,209,267,209,268,209,272,209,107,210,108,210,109,210,111,210,112,210,113,210,115,210,116,210,117,210,118,210,123,210,124,210,125,210,127,210,128,210,130,210,131,210,134,210,135,210,146,210,147,210,150,210,154,210,155,210,156,210,157,210,159,210,160,210,162,210,174,210,181,210,188,210,194,210,197,210,200,210,201,210,202,210,205,210,209,210,210,210,213,210,217,210,220,210,232,210,252,210,265,210,272,210,273,210,106,211,107,211,110,211,111,211,112,211,114,211,115,211,116,211,117,211,118,211,119,211,124,211,127,211,130,211,131,211,132,211,133,211,134,211,137,211,138,211,145,211,146,211,148,211,152,211,160,211,161,211,162,211,163,211,166,211,167,211,168,211,170,211,171,211,172,211,173,211,177,211,182,211,184,211,188,211,190,211,191,211,199,211,205,211,208,211,210,211,213,211,219,211,220,211,235,211,244,211,245,211,250,211,254,211,255,211,263,211,264,211,265,211,266,211,267,211,271,211,272,211,105,212,106,212,107,212,108,212,109,212,110,212,111,212,112,212,119,212,120,212,125,212,126,212,128,212,129,212,130,212,131,212,132,212,133,212,135,212,136,212,143,212,145,212,146,212,148,212,151,212,154,212,156,212,158,212,161,212,166,212,168,212,169,212,170,212,171,212,173,212,174,212,176,212,182,212,187,212,188,212,192,212,193,212,194,212,196,212,203,212,208,212,211,212,212,212,213,212,219,212,220,212,227,212,234,212,242,212,247,212,248,212,259,212,260,212,262,212,268,212,270,212,105,213,106,213,107,213,108,213,109,213,111,213,112,213,114,213,117,213,119,213,120,213,121,213,126,213,129,213,130,213,132,213,133,213,135,213,144,213,145,213,146,213,147,213,148,213,150,213,151,213,152,213,153,213,154,213,155,213,156,213,160,213,161,213,162,213,163,213,164,213,165,213,166,213,167,213,169,213,170,213,172,213,173,213,175,213,176,213,179,213,180,213,184,213,193,213,198,213,212,213,219,213,231,213,233,213,260,213,261,213,262,213,263,213,264,213,266,213,268,213,104,214,105,214,106,214,107,214,108,214,110,214,111,214,112,214,113,214,114,214,115,214,116,214,117,214,119,214,120,214,121,214,127,214,129,214,130,214,132,214,133,214,134,214,135,214,136,214,139,214,141,214,142,214,143,214,144,214,145,214,146,214,147,214,148,214,149,214,150,214,151,214,152,214,153,214,154,214,156,214,157,214,160,214,161,214,162,214,163,214,165,214,170,214,171,214,172,214,173,214,174,214,179,214,180,214,184,214,186,214,188,214,197,214,198,214,207,214,225,214,232,214,243,214,265,214,268,214,103,215,104,215,105,215,106,215,107,215,108,215,109,215,111,215,112,215,113,215,114,215,115,215,116,215,119,215,120,215,121,215,127,215,129,215,131,215,132,215,133,215,137,215,141,215,142,215,143,215,146,215,147,215,148,215,151,215,153,215,154,215,155,215,156,215,157,215,159,215,160,215,161,215,162,215,163,215,164,215,165,215,166,215,167,215,170,215,174,215,176,215,177,215,178,215,179,215,180,215,182,215,183,215,186,215,187,215,188,215,192,215,197,215,246,215,259,215,265,215,268,215,102,216,104,216,105,216,106,216,107,216,108,216,109,216,113,216,114,216,116,216,117,216,119,216,120,216,121,216,122,216,129,216,132,216,134,216,135,216,141,216,144,216,146,216,147,216,149,216,151,216,153,216,154,216,155,216,156,216,157,216,158,216,159,216,166,216,167,216,174,216,175,216,176,216,177,216,179,216,186,216,188,216,191,216,206,216,218,216,227,216,230,216,240,216,245,216,246,216,261,216,262,216,263,216,265,216,267,216,268,216,101,217,102,217,103,217,104,217,107,217,108,217,109,217,110,217,111,217,112,217,113,217,116,217,117,217,118,217,119,217,120,217,121,217,130,217,132,217,133,217,134,217,138,217,139,217,141,217,142,217,144,217,145,217,146,217,147,217,149,217,150,217,151,217,152,217,153,217,154,217,156,217,157,217,160,217,161,217,162,217,163,217,164,217,165,217,173,217,174,217,180,217,185,217,186,217,187,217,189,217,190,217,191,217,192,217,193,217,194,217,196,217,197,217,205,217,214,217,216,217,217,217,229,217,254,217,257,217,258,217,260,217,261,217,265,217,268,217,104,218,105,218,106,218,108,218,109,218,112,218,114,218,115,218,116,218,117,218,118,218,119,218,120,218,121,218,132,218,133,218,135,218,136,218,137,218,138,218,139,218,140,218,142,218,143,218,144,218,148,218,149,218,151,218,152,218,153,218,156,218,160,218,164,218,166,218,167,218,168,218,171,218,172,218,173,218,176,218,177,218,183,218,184,218,185,218,186,218,188,218,189,218,191,218,192,218,208,218,212,218,221,218,226,218,238,218,249,218,253,218,256,218,257,218,261,218,265,218,278,218,280,218,99,219,100,219,101,219,102,219,104,219,105,219,106,219,109,219,110,219,112,219,113,219,115,219,117,219,118,219,120,219,121,219,122,219,123,219,124,219,133,219,134,219,135,219,136,219,137,219,138,219,139,219,140,219,141,219,142,219,143,219,146,219,147,219,148,219,150,219,151,219,152,219,153,219,155,219,156,219,159,219,160,219,162,219,164,219,167,219,170,219,173,219,176,219,178,219,179,219,183,219,186,219,189,219,192,219,193,219,195,219,197,219,200,219,204,219,211,219,213,219,214,219,215,219,252,219,255,219,256,219,258,219,260,219,261,219,265,219,277,219,278,219,279,219,280,219,281,219,282,219,283,219,98,220,100,220,101,220,102,220,104,220,109,220,110,220,111,220,113,220,114,220,115,220,116,220,117,220,118,220,120,220,122,220,123,220,124,220,133,220,134,220,135,220,136,220,137,220,138,220,139,220,140,220,141,220,142,220,143,220,144,220,146,220,148,220,150,220,152,220,153,220,154,220,158,220,159,220,161,220,162,220,164,220,165,220,172,220,175,220,176,220,181,220,182,220,185,220,189,220,191,220,192,220,193,220,203,220,204,220,207,220,210,220,213,220,214,220,224,220,243,220,247,220,254,220,261,220,264,220,277,220,278,220,279,220,280,220,281,220,282,220,283,220,284,220,97,221,98,221,100,221,101,221,102,221,103,221,104,221,105,221,106,221,109,221,110,221,113,221,114,221,116,221,117,221,118,221,119,221,120,221,121,221,122,221,123,221,124,221,126,221,127,221,134,221,136,221,137,221,138,221,139,221,142,221,143,221,144,221,146,221,147,221,148,221,151,221,152,221,153,221,155,221,158,221,159,221,163,221,164,221,165,221,166,221,167,221,175,221,178,221,179,221,180,221,181,221,186,221,189,221,190,221,194,221,198,221,199,221,202,221,209,221,214,221,218,221,219,221,222,221,223,221,237,221,240,221,241,221,242,221,246,221,254,221,260,221,262,221,263,221,278,221,280,221,284,221,97,222,99,222,100,222,101,222,103,222,104,222,105,222,108,222,110,222,111,222,112,222,113,222,116,222,117,222,118,222,120,222,121,222,122,222,124,222,126,222,127,222,136,222,138,222,139,222,140,222,141,222,142,222,143,222,144,222,145,222,146,222,147,222,148,222,149,222,150,222,151,222,152,222,153,222,154,222,155,222,161,222,164,222,165,222,167,222,169,222,171,222,178,222,179,222,181,222,182,222,183,222,186,222,188,222,198,222,205,222,210,222,211,222,213,222,214,222,229,222,242,222,246,222,253,222,254,222,255,222,257,222,260,222,278,222,279,222,284,222,285,222,95,223,96,223,97,223,98,223,99,223,100,223,101,223,102,223,103,223,104,223,107,223,109,223,111,223,115,223,117,223,118,223,119,223,120,223,121,223,122,223,124,223,125,223,126,223,127,223,128,223,136,223,141,223,142,223,143,223,144,223,146,223,147,223,148,223,149,223,150,223,151,223,152,223,154,223,155,223,156,223,157,223,158,223,159,223,160,223,161,223,162,223,163,223,165,223,166,223,169,223,173,223,174,223,175,223,179,223,182,223,183,223,192,223,202,223,203,223,204,223,205,223,207,223,208,223,213,223,218,223,219,223,224,223,229,223,235,223,244,223,249,223,259,223,260,223,273,223,284,223,285,223,286,223,94,224,97,224,98,224,99,224,100,224,101,224,103,224,104,224,107,224,109,224,111,224,112,224,113,224,115,224,116,224,117,224,118,224,119,224,121,224,122,224,124,224,125,224,126,224,127,224,130,224,141,224,142,224,146,224,147,224,148,224,149,224,151,224,153,224,154,224,158,224,159,224,160,224,161,224,162,224,163,224,165,224,166,224,168,224,172,224,173,224,174,224,177,224,178,224,179,224,181,224,189,224,191,224,197,224,200,224,201,224,205,224,207,224,210,224,211,224,213,224,242,224,243,224,248,224,249,224,252,224,255,224,256,224,257,224,258,224,259,224,260,224,275,224,276,224,285,224,92,225,93,225,98,225,100,225,101,225,102,225,104,225,105,225,106,225,108,225,109,225,110,225,111,225,112,225,113,225,115,225,116,225,117,225,118,225,119,225,120,225,121,225,122,225,125,225,127,225,130,225,141,225,142,225,143,225,146,225,147,225,149,225,150,225,151,225,153,225,154,225,155,225,159,225,161,225,162,225,163,225,164,225,165,225,167,225,168,225,172,225,173,225,175,225,176,225,177,225,178,225,187,225,188,225,196,225,204,225,207,225,209,225,212,225,216,225,220,225,221,225,237,225,242,225,247,225,251,225,254,225,255,225,259,225,271,225,272,225,91,226,99,226,100,226,101,226,102,226,105,226,107,226,108,226,113,226,115,226,117,226,118,226,121,226,122,226,124,226,125,226,126,226,127,226,132,226,140,226,141,226,142,226,143,226,148,226,149,226,150,226,151,226,154,226,155,226,159,226,164,226,168,226,169,226,171,226,173,226,175,226,178,226,183,226,184,226,187,226,189,226,191,226,193,226,194,226,196,226,203,226,206,226,207,226,208,226,212,226,220,226,224,226,237,226,245,226,246,226,252,226,253,226,254,226,258,226,270,226,271,226,272,226,275,226,276,226,277,226,278,226,279,226,280,226,281,226,89,227,99,227,100,227,101,227,102,227,103,227,104,227,108,227,111,227,115,227,117,227,120,227,121,227,122,227,123,227,125,227,129,227,130,227,133,227,143,227,144,227,147,227,148,227,149,227,150,227,151,227,153,227,154,227,156,227,158,227,159,227,162,227,165,227,167,227,168,227,170,227,171,227,172,227,176,227,177,227,190,227,193,227,201,227,202,227,206,227,220,227,226,227,234,227,235,227,241,227,242,227,250,227,251,227,253,227,270,227,271,227,272,227,273,227,274,227,275,227,276,227,278,227,280,227,281,227,282,227,283,227,284,227,100,228,101,228,104,228,105,228,106,228,107,228,108,228,109,228,110,228,111,228,113,228,114,228,116,228,117,228,120,228,121,228,122,228,123,228,124,228,125,228,126,228,127,228,128,228,129,228,130,228,134,228,144,228,147,228,148,228,150,228,151,228,153,228,156,228,157,228,158,228,160,228,162,228,163,228,165,228,167,228,168,228,169,228,170,228,171,228,172,228,173,228,174,228,175,228,177,228,181,228,182,228,183,228,195,228,205,228,212,228,236,228,241,228,245,228,246,228,248,228,249,228,252,228,255,228,273,228,274,228,275,228,276,228,277,228,278,228,280,228,281,228,282,228,283,228,86,229,87,229,101,229,102,229,104,229,105,229,106,229,107,229,108,229,109,229,110,229,118,229,119,229,120,229,121,229,122,229,123,229,125,229,126,229,127,229,128,229,131,229,132,229,145,229,146,229,147,229,148,229,149,229,150,229,152,229,153,229,155,229,156,229,158,229,159,229,160,229,161,229,162,229,163,229,164,229,167,229,168,229,170,229,173,229,174,229,175,229,177,229,178,229,179,229,189,229,193,229,194,229,200,229,214,229,217,229,219,229,225,229,226,229,239,229,240,229,241,229,244,229,245,229,247,229,254,229,268,229,269,229,270,229,274,229,275,229,276,229,277,229,281,229,282,229,283,229,284,229,285,229,286,229,287,229,288,229,289,229,84,230,102,230,103,230,105,230,106,230,108,230,110,230,112,230,113,230,118,230,121,230,122,230,123,230,124,230,125,230,126,230,127,230,128,230,129,230,130,230,131,230,132,230,134,230,146,230,147,230,148,230,149,230,150,230,151,230,152,230,153,230,155,230,156,230,157,230,158,230,159,230,160,230,161,230,162,230,164,230,165,230,166,230,167,230,169,230,170,230,172,230,173,230,174,230,175,230,176,230,177,230,181,230,185,230,188,230,200,230,211,230,216,230,221,230,224,230,225,230,235,230,236,230,244,230,246,230,247,230,249,230,250,230,268,230,269,230,273,230,274,230,275,230,276,230,277,230,280,230,281,230,282,230,283,230,284,230,286,230,287,230,288,230,289,230,290,230,103,231,106,231,108,231,110,231,111,231,112,231,113,231,120,231,121,231,122,231,123,231,124,231,126,231,127,231,129,231,130,231,131,231,132,231,150,231,151,231,152,231,153,231,155,231,156,231,157,231,158,231,159,231,161,231,162,231,166,231,168,231,169,231,171,231,172,231,173,231,174,231,176,231,180,231,181,231,183,231,184,231,185,231,195,231,199,231,213,231,219,231,220,231,223,231,232,231,235,231,239,231,245,231,246,231,250,231,251,231,265,231,266,231,268,231,269,231,273,231,274,231,275,231,276,231,277,231,279,231,280,231,281,231,282,231,283,231,284,231,287,231,289,231,291,231,105,232,106,232,108,232,109,232,110,232,111,232,112,232,113,232,115,232,116,232,117,232,118,232,119,232,120,232,121,232,122,232,123,232,124,232,125,232,126,232,127,232,128,232,129,232,130,232,150,232,151,232,155,232,157,232,160,232,161,232,162,232,164,232,165,232,166,232,168,232,169,232,171,232,172,232,173,232,174,232,176,232,183,232,190,232,193,232,194,232,199,232,202,232,205,232,219,232,222,232,230,232,235,232,238,232,239,232,240,232,245,232,248,232,249,232,250,232,268,232,270,232,271,232,272,232,273,232,274,232,275,232,276,232,277,232,278,232,279,232,281,232,284,232,285,232,288,232,289,232,291,232,106,233,107,233,108,233,110,233,111,233,113,233,115,233,116,233,118,233,120,233,121,233,122,233,123,233,124,233,125,233,126,233,127,233,153,233,154,233,155,233,156,233,157,233,158,233,160,233,164,233,166,233,167,233,168,233,169,233,170,233,171,233,172,233,173,233,174,233,183,233,186,233,198,233,204,233,210,233,215,233,217,233,221,233,222,233,224,233,228,233,232,233,235,233,237,233,240,233,241,233,242,233,243,233,244,233,245,233,262,233,263,233,264,233,266,233,267,233,268,233,269,233,270,233,271,233,272,233,273,233,274,233,275,233,277,233,278,233,279,233,280,233,281,233,282,233,285,233,286,233,289,233,290,233,110,234,111,234,112,234,113,234,114,234,116,234,119,234,122,234,123,234,124,234,125,234,153,234,154,234,157,234,159,234,160,234,161,234,163,234,166,234,167,234,168,234,169,234,170,234,174,234,177,234,178,234,179,234,196,234,204,234,208,234,215,234,216,234,217,234,221,234,223,234,226,234,227,234,228,234,232,234,235,234,239,234,243,234,263,234,264,234,265,234,266,234,267,234,269,234,270,234,271,234,272,234,273,234,274,234,275,234,276,234,277,234,278,234,279,234,281,234,282,234,284,234,285,234,286,234,107,235,108,235,110,235,111,235,112,235,113,235,114,235,115,235,119,235,120,235,121,235,122,235,124,235,125,235,126,235,157,235,158,235,159,235,160,235,162,235,163,235,165,235,166,235,167,235,170,235,171,235,172,235,173,235,175,235,176,235,177,235,185,235,186,235,190,235,195,235,196,235,204,235,207,235,208,235,215,235,219,235,220,235,221,235,237,235,238,235,242,235,243,235,258,235,259,235,260,235,265,235,266,235,267,235,269,235,270,235,274,235,275,235,276,235,277,235,279,235,280,235,281,235,283,235,284,235,285,235,288,235,291,235,292,235,108,236,109,236,110,236,115,236,116,236,117,236,119,236,124,236,125,236,161,236,165,236,166,236,167,236,169,236,170,236,172,236,173,236,174,236,176,236,178,236,181,236,185,236,189,236,195,236,196,236,200,236,207,236,209,236,214,236,215,236,218,236,219,236,225,236,230,236,231,236,236,236,239,236,240,236,258,236,259,236,260,236,265,236,266,236,269,236,272,236,275,236,276,236,280,236,284,236,287,236,288,236,289,236,291,236,292,236,109,237,110,237,111,237,114,237,115,237,116,237,117,237,119,237,122,237,163,237,164,237,165,237,166,237,168,237,169,237,170,237,172,237,175,237,176,237,178,237,181,237,183,237,184,237,185,237,187,237,188,237,189,237,194,237,213,237,214,237,217,237,219,237,224,237,228,237,229,237,230,237,231,237,233,237,234,237,235,237,236,237,239,237,240,237,258,237,259,237,260,237,261,237,266,237,267,237,268,237,269,237,272,237,276,237,279,237,280,237,282,237,283,237,284,237,285,237,289,237,290,237,291,237,110,238,112,238,113,238,114,238,115,238,118,238,119,238,121,238,163,238,164,238,166,238,167,238,168,238,169,238,171,238,172,238,173,238,174,238,177,238,179,238,181,238,185,238,187,238,199,238,200,238,202,238,205,238,208,238,209,238,210,238,212,238,223,238,230,238,233,238,234,238,237,238,255,238,256,238,257,238,258,238,259,238,260,238,261,238,271,238,272,238,274,238,275,238,276,238,277,238,278,238,280,238,281,238,282,238,284,238,286,238,287,238,288,238,289,238,290,238,111,239,112,239,114,239,115,239,116,239,117,239,118,239,119,239,168,239,169,239,171,239,172,239,174,239,175,239,177,239,178,239,179,239,180,239,181,239,184,239,186,239,192,239,193,239,197,239,198,239,199,239,201,239,204,239,205,239,211,239,212,239,214,239,216,239,217,239,224,239,225,239,227,239,228,239,230,239,254,239,256,239,257,239,262,239,263,239,264,239,265,239,266,239,269,239,274,239,277,239,278,239,279,239,281,239,282,239,284,239,288,239,289,239,112,240,114,240,115,240,117,240,118,240,119,240,169,240,170,240,173,240,175,240,176,240,177,240,179,240,182,240,186,240,192,240,197,240,201,240,203,240,204,240,206,240,207,240,209,240,211,240,212,240,213,240,215,240,216,240,217,240,219,240,223,240,224,240,226,240,227,240,228,240,229,240,230,240,255,240,256,240,257,240,261,240,262,240,265,240,267,240,268,240,269,240,273,240,275,240,276,240,279,240,283,240,284,240,287,240,288,240,113,241,116,241,171,241,172,241,173,241,175,241,176,241,177,241,178,241,179,241,180,241,181,241,182,241,186,241,190,241,197,241,200,241,201,241,202,241,203,241,208,241,211,241,213,241,222,241,226,241,257,241,260,241,261,241,262,241,267,241,268,241,271,241,272,241,273,241,275,241,276,241,279,241,281,241,282,241,285,241,286,241,287,241,116,242,117,242,175,242,181,242,183,242,184,242,186,242,187,242,188,242,190,242,194,242,196,242,199,242,200,242,203,242,204,242,207,242,212,242,213,242,221,242,224,242,225,242,226,242,258,242,259,242,261,242,262,242,270,242,271,242,272,242,273,242,274,242,275,242,276,242,277,242,279,242,281,242,282,242,283,242,284,242,286,242,178,243,179,243,180,243,181,243,182,243,185,243,189,243,192,243,194,243,195,243,196,243,198,243,199,243,202,243,205,243,206,243,207,243,210,243,211,243,213,243,215,243,220,243,260,243,261,243,263,243,264,243,265,243,266,243,267,243,268,243,270,243,271,243,272,243,273,243,274,243,275,243,278,243,279,243,280,243,281,243,282,243,283,243,284,243,187,244,188,244,189,244,191,244,195,244,198,244,200,244,202,244,207,244,213,244,214,244,215,244,218,244,219,244,261,244,263,244,264,244,265,244,266,244,267,244,268,244,273,244,274,244,275,244,276,244,278,244,279,244,280,244,281,244,282,244,283,244,284,244,185,245,186,245,194,245,195,245,197,245,199,245,201,245,208,245,209,245,212,245,262,245,265,245,266,245,267,245,268,245,272,245,273,245,275,245,276,245,277,245,278,245,279,245,280,245,281,245,282,245,283,245,194,246,198,246,205,246,263,246,264,246,265,246,266,246,267,246,268,246,269,246,270,246,271,246,272,246,274,246,275,246,276,246,277,246,278,246,279,246,280,246,281,246,282,246,263,247,269,247,270,247,271,247,272,247,273,247,274,247,275,247,277,247,280,247,266,248,267,248,269,248,270,248,271,248,272,248,275,248,276,248,277,248,266,249,267,249,268,249,269,249,270,249,271,249,272,249,273,249,274,249,275,249,276,249,277,249,268,250,269,250,270,250,273,250,274,250,275,250,276,250,277,250,268,251,269,251,270,251,271,251,272,251,273,251,274,251,275,251,176,252,179,252,270,252,272,252,273,252,274,252,177,253,179,253,180,253,183,253,184,253,189,253,271,253,272,253,176,254,177,254,178,254,179,254,180,254,181,254,184,254,187,254,190,254,192,254,193,254,194,254,195,254,196,254,197,254,206,254,207,254,208,254,209,254,176,255,177,255,178,255,180,255,181,255,184,255,185,255,186,255,187,255,188,255,189,255,190,255,191,255,192,255,193,255,194,255,196,255,197,255,201,255,202,255,203,255,204,255,205,255,207,255,175,256,177,256,178,256,180,256,181,256,182,256,183,256,185,256,191,256,192,256,193,256,194,256,195,256,196,256,197,256,198,256,200,256,201,256,203,256,205,256,206,256,207,256,178,257,181,257,182,257,183,257,184,257,185,257,186,257,188,257,189,257,190,257,191,257,192,257,194,257,195,257,199,257,200,257,201,257,202,257,203,257,204,257,205,257,207,257,273,257,182,258,183,258,184,258,185,258,186,258,187,258,188,258,189,258,190,258,191,258,192,258,196,258,197,258,198,258,199,258,200,258,202,258,203,258,206,258,208,258,177,259,178,259,179,259,182,259,183,259,185,259,188,259,189,259,190,259,192,259,193,259,194,259,196,259,197,259,199,259,202,259,203,259,206,259,207,259,208,259,209,259,176,260,177,260,178,260,179,260,182,260,183,260,184,260,186,260,188,260,189,260,190,260,191,260,193,260,194,260,196,260,197,260,198,260,199,260,204,260,205,260,206,260,207,260,208,260,209,260,176,261,177,261,178,261,179,261,180,261,181,261,182,261,183,261,184,261,185,261,186,261,187,261,188,261,189,261,190,261,191,261,193,261,194,261,198,261,199,261,201,261,202,261,203,261,204,261,206,261,207,261,208,261,176,262,178,262,179,262,182,262,183,262,185,262,186,262,187,262,188,262,189,262,190,262,191,262,192,262,193,262,194,262,196,262,197,262,200,262,201,262,202,262,203,262,204,262,206,262,207,262,208,262,178,263,179,263,180,263,181,263,182,263,183,263,184,263,185,263,186,263,189,263,190,263,191,263,193,263,194,263,195,263,196,263,201,263,202,263,206,263,207,263,176,264,177,264,178,264,179,264,180,264,181,264,183,264,184,264,187,264,188,264,190,264,192,264,195,264,196,264,197,264,199,264,200,264,202,264,206,264,207,264,208,264,176,265,178,265,179,265,180,265,181,265,185,265,186,265,187,265,188,265,189,265,190,265,191,265,194,265,199,265,202,265,203,265,204,265,205,265,206,265,176,266,177,266,178,266,179,266,180,266,181,266,186,266,187,266,190,266,191,266,192,266,193,266,194,266,195,266,196,266,197,266,199,266,200,266,203,266,205,266,207,266,176,267,177,267,179,267,180,267,181,267,186,267,189,267,190,267,192,267,193,267,196,267,198,267,200,267,201,267,203,267,205,267,206,267,207,267,177,268,178,268,179,268,183,268,184,268,187,268,188,268,189,268,190,268,191,268,192,268,193,268,195,268,197,268,198,268,199,268,200,268,202,268,203,268,204,268,206,268,207,268,176,269,180,269,185,269,187,269,188,269,193,269,194,269,197,269,198,269,201,269,202,269,203,269,204,269,205,269,206,269,178,270,180,270,181,270,182,270,185,270,187,270,188,270,189,270,190,270,192,270,193,270,194,270,195,270,196,270,197,270,198,270,200,270,201,270,202,270,203,270,204,270,205,270,207,270,177,271,179,271,180,271,181,271,182,271,183,271,184,271,187,271,190,271,191,271,192,271,193,271,194,271,195,271,196,271,198,271,201,271,202,271,203,271,204,271,177,272,180,272,182,272,184,272,187,272,188,272,191,272,192,272,195,272,200,272,201,272,204,272,181,273,182,273,183,273,185,273,186,273,187,273,189,273,191,273,192,273,194,273,197,273,200,273,201,273,202,273,204,273,206,273,178,274,179,274,183,274,184,274,185,274,187,274,192,274,193,274,194,274,196,274,197,274,198,274,199,274,200,274,201,274,206,274,176,275,178,275,179,275,180,275,181,275,184,275,185,275,186,275,188,275,189,275,190,275,192,275,194,275,196,275,199,275,200,275,203,275,204,275,205,275,206,275,176,276,177,276,178,276,179,276,190,276,194,276,195,276,196,276,197,276,201,276,204,276,177,277,178,277,177,278,175,279,176,280,176,281,176,282,174,283,173,284,175,284,173,285,175,285,175,286,174,288,51,327,52,328,53,329,102,331,288,331,248,333,6,339,367,339,6,340,6,341,6,342,6,343,2,344,6,344,326,344,1,345,6,345,0,346,1,346,6,346,326,346,373,346,0,347,6,347,356,347,0,348,6,348,160,348,316,348,0,349,6,349,370,349,0,350,6,350,0,351,6,351,372,351,0,352,6,352,159,352,317,352,0,353,6,353,0,354,6,354,292,354,371,354,0,355,6,355,352,355,0,356,6,356,354,356,0,357,6,357,357,357,0,358,6,358,0,359,6,359,0,360,6,360,0,361,0,362,256,362,0,363,0,364,346,364,0,365,0,366,27,366,352,366,0,367,27,367,0,368,27,368,0,369,27,369,0,370,27,370,0,371,27,371,0,372,27,372,0,373,27,373,0,374,27,374,27,375,250,375,27,376,249,376,27,377,248,377,27,378,27,379,27,380,27,381,145,381}
  listsand = {195,8,196,8,197,8,198,8,199,8,200,8,201,8,206,8,207,8,213,8,200,9,201,9,202,9,208,9,211,9,212,9,219,9,194,10,195,10,198,10,199,10,204,10,205,10,206,10,207,10,208,10,209,10,210,10,212,10,213,10,214,10,215,10,216,10,218,10,219,10,220,10,222,10,194,11,195,11,196,11,197,11,198,11,199,11,201,11,202,11,203,11,204,11,205,11,206,11,209,11,211,11,214,11,219,11,221,11,222,11,225,11,193,12,194,12,196,12,197,12,198,12,199,12,201,12,204,12,205,12,206,12,207,12,208,12,209,12,210,12,211,12,212,12,213,12,214,12,215,12,216,12,220,12,221,12,222,12,193,13,194,13,195,13,198,13,199,13,202,13,203,13,204,13,205,13,206,13,207,13,208,13,209,13,212,13,213,13,214,13,215,13,216,13,217,13,218,13,222,13,223,13,224,13,225,13,192,14,193,14,194,14,196,14,198,14,201,14,203,14,204,14,205,14,206,14,207,14,208,14,211,14,212,14,213,14,214,14,215,14,216,14,217,14,218,14,219,14,222,14,225,14,193,15,194,15,197,15,198,15,199,15,201,15,202,15,203,15,204,15,205,15,206,15,207,15,208,15,210,15,211,15,213,15,214,15,215,15,216,15,218,15,219,15,220,15,221,15,225,15,192,16,193,16,194,16,196,16,198,16,199,16,200,16,201,16,205,16,206,16,209,16,210,16,212,16,213,16,215,16,219,16,220,16,221,16,223,16,225,16,192,17,193,17,194,17,195,17,196,17,198,17,201,17,202,17,204,17,205,17,206,17,207,17,208,17,211,17,212,17,213,17,214,17,219,17,220,17,221,17,223,17,224,17,192,18,193,18,194,18,195,18,196,18,198,18,199,18,202,18,205,18,206,18,207,18,210,18,212,18,213,18,216,18,218,18,219,18,220,18,221,18,222,18,224,18,225,18,191,19,192,19,193,19,194,19,195,19,196,19,197,19,199,19,201,19,202,19,203,19,204,19,206,19,207,19,208,19,209,19,212,19,216,19,217,19,218,19,219,19,220,19,221,19,222,19,223,19,224,19,191,20,192,20,193,20,194,20,196,20,197,20,199,20,200,20,201,20,202,20,203,20,205,20,211,20,213,20,216,20,217,20,218,20,219,20,220,20,221,20,222,20,223,20,224,20,191,21,192,21,193,21,194,21,198,21,201,21,202,21,203,21,204,21,205,21,209,21,213,21,214,21,216,21,217,21,219,21,221,21,191,22,192,22,193,22,194,22,195,22,196,22,200,22,202,22,204,22,212,22,213,22,214,22,215,22,216,22,220,22,222,22,190,23,191,23,192,23,193,23,194,23,199,23,200,23,201,23,209,23,213,23,215,23,216,23,217,23,219,23,191,24,192,24,193,24,204,24,205,24,206,24,210,24,217,24,221,24,222,24,223,24,190,25,191,25,192,25,193,25,199,25,213,25,215,25,218,25,219,25,220,25,221,25,189,26,191,26,192,26,194,26,197,26,200,26,214,26,220,26,223,26,190,27,191,27,192,27,193,27,197,27,205,27,206,27,212,27,213,27,189,28,190,28,191,28,192,28,193,28,202,28,205,28,206,28,207,28,217,28,189,29,191,29,192,29,202,29,212,29,218,29,219,29,220,29,221,29,222,29,190,30,191,30,192,30,194,30,204,30,214,30,215,30,218,30,219,30,220,30,221,30,190,31,191,31,192,31,194,31,218,31,222,31,190,32,191,32,209,32,210,32,191,33,193,34,220,34,120,35,121,35,117,36,118,36,119,36,120,36,121,36,122,36,211,36,116,37,119,37,121,37,122,37,123,37,189,37,215,37,116,38,117,38,118,38,119,38,120,38,121,38,122,38,123,38,124,38,181,38,182,38,183,38,111,39,112,39,113,39,114,39,115,39,116,39,117,39,118,39,119,39,120,39,121,39,122,39,123,39,124,39,125,39,177,39,178,39,179,39,180,39,182,39,110,40,111,40,112,40,113,40,115,40,116,40,118,40,119,40,120,40,121,40,122,40,123,40,124,40,125,40,174,40,175,40,176,40,177,40,178,40,109,41,110,41,111,41,112,41,113,41,114,41,115,41,116,41,120,41,121,41,122,41,123,41,125,41,173,41,174,41,175,41,176,41,177,41,178,41,179,41,180,41,182,41,183,41,190,41,108,42,109,42,110,42,111,42,112,42,113,42,114,42,117,42,118,42,121,42,122,42,123,42,124,42,126,42,130,42,168,42,171,42,174,42,175,42,178,42,179,42,181,42,182,42,189,42,190,42,106,43,107,43,108,43,109,43,110,43,111,43,112,43,113,43,114,43,115,43,116,43,117,43,118,43,119,43,120,43,121,43,122,43,123,43,124,43,125,43,126,43,127,43,164,43,165,43,166,43,167,43,168,43,169,43,171,43,172,43,173,43,174,43,175,43,179,43,182,43,183,43,105,44,106,44,107,44,108,44,109,44,110,44,112,44,113,44,114,44,115,44,116,44,117,44,118,44,119,44,120,44,121,44,122,44,124,44,125,44,126,44,127,44,161,44,162,44,163,44,164,44,165,44,166,44,168,44,169,44,170,44,171,44,172,44,173,44,174,44,176,44,177,44,178,44,179,44,180,44,183,44,184,44,104,45,105,45,106,45,109,45,110,45,111,45,112,45,113,45,114,45,115,45,116,45,117,45,118,45,119,45,120,45,121,45,123,45,124,45,130,45,159,45,161,45,162,45,163,45,164,45,165,45,166,45,167,45,168,45,169,45,170,45,171,45,172,45,173,45,174,45,177,45,179,45,180,45,181,45,104,46,105,46,106,46,107,46,109,46,110,46,111,46,112,46,113,46,115,46,119,46,121,46,122,46,123,46,124,46,125,46,126,46,157,46,158,46,160,46,161,46,162,46,163,46,165,46,166,46,167,46,168,46,171,46,172,46,173,46,177,46,179,46,180,46,183,46,223,46,295,46,103,47,104,47,105,47,106,47,107,47,109,47,110,47,112,47,114,47,115,47,116,47,117,47,118,47,119,47,120,47,121,47,122,47,123,47,124,47,127,47,128,47,155,47,156,47,157,47,158,47,159,47,160,47,161,47,162,47,163,47,164,47,165,47,166,47,167,47,168,47,169,47,172,47,175,47,102,48,104,48,105,48,106,48,107,48,108,48,109,48,110,48,111,48,112,48,114,48,115,48,116,48,117,48,118,48,119,48,120,48,121,48,122,48,123,48,124,48,128,48,129,48,150,48,151,48,152,48,153,48,154,48,155,48,156,48,157,48,158,48,159,48,160,48,161,48,162,48,163,48,164,48,165,48,166,48,167,48,168,48,169,48,170,48,171,48,172,48,173,48,178,48,291,48,292,48,101,49,102,49,103,49,104,49,105,49,106,49,108,49,109,49,110,49,111,49,112,49,113,49,116,49,117,49,118,49,119,49,120,49,121,49,127,49,149,49,151,49,152,49,153,49,154,49,155,49,156,49,157,49,158,49,159,49,160,49,161,49,162,49,163,49,164,49,165,49,171,49,290,49,291,49,292,49,99,50,102,50,103,50,104,50,105,50,106,50,107,50,108,50,109,50,110,50,111,50,112,50,116,50,117,50,118,50,119,50,120,50,125,50,131,50,132,50,133,50,147,50,148,50,149,50,151,50,152,50,153,50,154,50,156,50,157,50,158,50,159,50,160,50,162,50,163,50,164,50,170,50,288,50,289,50,290,50,291,50,100,51,103,51,104,51,105,51,107,51,108,51,109,51,110,51,111,51,112,51,113,51,116,51,117,51,118,51,119,51,122,51,126,51,127,51,130,51,149,51,150,51,152,51,153,51,154,51,155,51,156,51,158,51,159,51,160,51,161,51,162,51,163,51,164,51,167,51,168,51,169,51,287,51,288,51,289,51,290,51,97,52,100,52,102,52,103,52,104,52,105,52,106,52,107,52,108,52,110,52,111,52,112,52,113,52,114,52,115,52,116,52,117,52,119,52,120,52,130,52,145,52,149,52,150,52,151,52,152,52,153,52,155,52,157,52,158,52,160,52,161,52,162,52,177,52,285,52,286,52,287,52,288,52,97,53,99,53,100,53,101,53,102,53,103,53,104,53,105,53,106,53,107,53,108,53,109,53,110,53,112,53,113,53,114,53,115,53,116,53,117,53,124,53,130,53,134,53,149,53,151,53,152,53,153,53,154,53,155,53,156,53,158,53,160,53,240,53,243,53,251,53,253,53,283,53,284,53,285,53,286,53,287,53,288,53,96,54,99,54,100,54,101,54,102,54,103,54,104,54,105,54,106,54,107,54,108,54,109,54,112,54,113,54,114,54,115,54,119,54,151,54,154,54,155,54,156,54,158,54,159,54,163,54,246,54,247,54,248,54,251,54,253,54,256,54,281,54,282,54,283,54,284,54,285,54,286,54,287,54,288,54,96,55,99,55,100,55,102,55,103,55,104,55,105,55,106,55,107,55,108,55,109,55,110,55,111,55,112,55,113,55,114,55,116,55,120,55,150,55,246,55,247,55,257,55,259,55,280,55,281,55,282,55,283,55,284,55,285,55,286,55,96,56,97,56,98,56,99,56,100,56,101,56,102,56,103,56,104,56,105,56,106,56,109,56,110,56,111,56,112,56,113,56,116,56,117,56,119,56,150,56,151,56,154,56,157,56,254,56,255,56,257,56,259,56,262,56,279,56,280,56,281,56,282,56,283,56,284,56,98,57,99,57,100,57,101,57,102,57,103,57,104,57,105,57,106,57,107,57,108,57,109,57,110,57,111,57,113,57,117,57,119,57,122,57,123,57,140,57,152,57,156,57,159,57,160,57,248,57,249,57,255,57,257,57,258,57,259,57,260,57,277,57,278,57,279,57,280,57,281,57,282,57,283,57,99,58,100,58,101,58,103,58,104,58,105,58,106,58,107,58,108,58,109,58,110,58,111,58,113,58,114,58,120,58,129,58,248,58,253,58,254,58,255,58,257,58,258,58,263,58,274,58,276,58,277,58,278,58,280,58,286,58,100,59,101,59,102,59,103,59,104,59,105,59,106,59,107,59,108,59,109,59,112,59,113,59,119,59,165,59,257,59,258,59,259,59,263,59,274,59,275,59,276,59,277,59,278,59,279,59,280,59,285,59,102,60,103,60,104,60,106,60,107,60,108,60,109,60,188,60,189,60,255,60,256,60,259,60,260,60,261,60,266,60,274,60,275,60,278,60,282,60,104,61,105,61,107,61,109,61,110,61,112,61,200,61,253,61,259,61,260,61,261,61,263,61,264,61,273,61,274,61,275,61,278,61,279,61,284,61,105,62,107,62,110,62,116,62,124,62,177,62,198,62,199,62,203,62,204,62,213,62,220,62,227,62,259,62,261,62,263,62,265,62,266,62,272,62,273,62,283,62,105,63,108,63,110,63,118,63,206,63,212,63,260,63,267,63,108,64,110,64,112,64,115,64,148,64,173,64,190,64,195,64,196,64,203,64,206,64,210,64,211,64,212,64,225,64,260,64,262,64,272,64,273,64,110,65,111,65,112,65,113,65,150,65,151,65,173,65,180,65,184,65,195,65,196,65,205,65,211,65,215,65,291,65,128,66,142,66,145,66,178,66,185,66,197,66,205,66,206,66,208,66,209,66,211,66,215,66,223,66,225,66,273,66,114,67,141,67,142,67,143,67,145,67,146,67,164,67,170,67,185,67,208,67,221,67,228,67,282,67,141,68,142,68,143,68,145,68,146,68,147,68,180,68,181,68,191,68,207,68,208,68,213,68,219,68,220,68,226,68,233,68,142,69,143,69,171,69,172,69,188,69,190,69,191,69,197,69,198,69,207,69,233,69,137,70,138,70,169,70,171,70,183,70,186,70,187,70,188,70,197,70,207,70,221,70,229,70,237,70,240,70,245,70,293,70,112,71,136,71,137,71,138,71,143,71,144,71,158,71,161,71,168,71,175,71,178,71,179,71,186,71,197,71,206,71,207,71,212,71,216,71,225,71,237,71,238,71,296,71,118,72,136,72,143,72,149,72,161,72,165,72,168,72,181,72,197,72,203,72,211,72,296,72,117,73,139,73,140,73,141,73,156,73,157,73,161,73,174,73,184,73,195,73,196,73,200,73,202,73,207,73,208,73,211,73,216,73,222,73,223,73,227,73,228,73,230,73,236,73,237,73,246,73,134,74,135,74,137,74,138,74,139,74,152,74,155,74,156,74,167,74,168,74,179,74,184,74,195,74,200,74,201,74,210,74,215,74,217,74,218,74,222,74,223,74,225,74,227,74,237,74,256,74,135,75,136,75,153,75,164,75,166,75,173,75,179,75,196,75,199,75,201,75,209,75,220,75,232,75,131,76,132,76,133,76,134,76,135,76,136,76,137,76,138,76,159,76,173,76,175,76,197,76,199,76,220,76,221,76,222,76,232,76,131,77,132,77,133,77,137,77,146,77,147,77,161,77,162,77,195,77,205,77,216,77,219,77,220,77,221,77,222,77,225,77,228,77,231,77,232,77,233,77,237,77,129,78,135,78,146,78,147,78,149,78,152,78,153,78,157,78,179,78,180,78,187,78,189,78,190,78,191,78,199,78,200,78,203,78,206,78,207,78,224,78,225,78,227,78,228,78,232,78,243,78,248,78,298,78,134,79,135,79,139,79,146,79,149,79,152,79,157,79,175,79,180,79,183,79,191,79,194,79,195,79,199,79,206,79,227,79,228,79,231,79,249,79,298,79,299,79,130,80,131,80,132,80,133,80,134,80,156,80,157,80,167,80,186,80,196,80,213,80,224,80,226,80,227,80,228,80,239,80,240,80,241,80,249,80,125,81,127,81,128,81,131,81,135,81,149,81,162,81,163,81,186,81,213,81,216,81,223,81,224,81,229,81,239,81,241,81,300,81,301,81,125,82,126,82,127,82,128,82,138,82,147,82,155,82,159,82,160,82,162,82,183,82,210,82,216,82,222,82,226,82,227,82,228,82,229,82,238,82,239,82,247,82,257,82,300,82,109,83,124,83,125,83,128,83,129,83,148,83,159,83,160,83,161,83,162,83,166,83,174,83,190,83,191,83,206,83,219,83,220,83,221,83,222,83,226,83,227,83,228,83,231,83,251,83,109,84,128,84,129,84,138,84,148,84,162,84,176,84,177,84,184,84,201,84,213,84,219,84,220,84,233,84,107,85,109,85,110,85,128,85,129,85,153,85,157,85,159,85,165,85,176,85,200,85,229,85,107,86,108,86,110,86,111,86,116,86,126,86,127,86,128,86,137,86,152,86,154,86,158,86,159,86,176,86,196,86,106,87,111,87,113,87,125,87,126,87,127,87,128,87,132,87,135,87,136,87,137,87,138,87,145,87,151,87,231,87,292,87,106,88,108,88,118,88,120,88,121,88,122,88,123,88,124,88,125,88,138,88,144,88,205,88,210,88,217,88,219,88,223,88,225,88,226,88,231,88,233,88,235,88,251,88,252,88,268,88,105,89,106,89,108,89,109,89,110,89,120,89,121,89,122,89,123,89,124,89,152,89,160,89,209,89,228,89,234,89,246,89,247,89,250,89,105,90,106,90,107,90,108,90,109,90,110,90,111,90,123,90,142,90,160,90,191,90,222,90,270,90,104,91,105,91,106,91,107,91,108,91,109,91,110,91,121,91,122,91,123,91,141,91,149,91,151,91,154,91,159,91,191,91,250,91,251,91,258,91,104,92,105,92,106,92,107,92,108,92,109,92,121,92,122,92,136,92,141,92,151,92,248,92,249,92,250,92,257,92,104,93,105,93,108,93,113,93,120,93,121,93,122,93,133,93,136,93,150,93,154,93,236,93,240,93,247,93,265,93,102,94,103,94,105,94,106,94,107,94,109,94,114,94,120,94,121,94,128,94,131,94,132,94,143,94,148,94,149,94,152,94,153,94,236,94,240,94,241,94,258,94,263,94,102,95,103,95,104,95,105,95,106,95,107,95,120,95,121,95,132,95,134,95,241,95,255,95,101,96,103,96,104,96,108,96,120,96,149,96,101,97,102,97,103,97,104,97,105,97,107,97,108,97,109,97,110,97,116,97,120,97,139,97,140,97,147,97,149,97,252,97,255,97,256,97,260,97,261,97,102,98,103,98,105,98,106,98,108,98,109,98,148,98,250,98,251,98,254,98,101,99,102,99,103,99,104,99,106,99,127,99,134,99,144,99,151,99,152,99,154,99,250,99,101,100,103,100,106,100,107,100,117,100,126,100,127,100,134,100,145,100,146,100,250,100,253,100,254,100,99,101,100,101,101,101,102,101,103,101,106,101,107,101,109,101,133,101,141,101,145,101,238,101,253,101,255,101,266,101,98,102,100,102,101,102,102,102,103,102,104,102,105,102,106,102,115,102,116,102,133,102,140,102,141,102,255,102,262,102,100,103,101,103,102,103,103,103,104,103,105,103,115,103,129,103,139,103,140,103,141,103,244,103,257,103,98,104,100,104,102,104,103,104,123,104,124,104,138,104,263,104,264,104,266,104,97,105,98,105,99,105,100,105,102,105,103,105,107,105,109,105,110,105,126,105,131,105,133,105,139,105,140,105,96,106,97,106,98,106,99,106,100,106,102,106,104,106,114,106,126,106,138,106,139,106,96,107,97,107,98,107,99,107,100,107,101,107,102,107,105,107,113,107,115,107,131,107,132,107,95,108,96,108,97,108,99,108,100,108,101,108,102,108,104,108,112,108,137,108,138,108,266,108,95,109,97,109,103,109,113,109,248,109,94,110,97,110,98,110,102,110,108,110,132,110,270,110,94,111,95,111,96,111,98,111,100,111,104,111,116,111,119,111,120,111,132,111,264,111,271,111,95,112,96,112,98,112,99,112,100,112,120,112,143,112,263,112,94,113,95,113,99,113,100,113,101,113,102,113,110,113,133,113,134,113,260,113,268,113,278,113,93,114,94,114,98,114,110,114,111,114,129,114,130,114,131,114,278,114,93,115,94,115,95,115,100,115,101,115,102,115,118,115,137,115,263,115,269,115,278,115,92,116,93,116,94,116,96,116,97,116,98,116,99,116,100,116,101,116,108,116,276,116,92,117,94,117,95,117,96,117,97,117,98,117,108,117,123,117,265,117,274,117,275,117,279,117,94,118,96,118,97,118,98,118,108,118,116,118,129,118,266,118,268,118,269,118,274,118,92,119,95,119,97,119,98,119,99,119,108,119,109,119,117,119,122,119,128,119,252,119,279,119,93,120,95,120,98,120,108,120,128,120,252,120,92,121,93,121,94,121,95,121,106,121,107,121,108,121,119,121,128,121,136,121,252,121,270,121,283,121,76,122,79,122,80,122,81,122,94,122,97,122,98,122,106,122,107,122,119,122,259,122,283,122,68,123,71,123,72,123,73,123,74,123,75,123,76,123,77,123,79,123,80,123,81,123,83,123,84,123,85,123,105,123,106,123,107,123,110,123,119,123,125,123,131,123,132,123,268,123,63,124,64,124,65,124,66,124,67,124,68,124,70,124,71,124,72,124,73,124,74,124,75,124,77,124,78,124,79,124,80,124,81,124,83,124,84,124,85,124,86,124,87,124,92,124,103,124,105,124,115,124,118,124,255,124,264,124,62,125,63,125,64,125,66,125,68,125,69,125,70,125,71,125,72,125,73,125,74,125,75,125,78,125,80,125,83,125,84,125,85,125,87,125,103,125,105,125,120,125,134,125,135,125,136,125,254,125,264,125,64,126,69,126,72,126,73,126,75,126,77,126,78,126,79,126,83,126,86,126,87,126,123,126,124,126,134,126,268,126,278,126,60,127,61,127,62,127,64,127,66,127,67,127,69,127,70,127,73,127,76,127,78,127,101,127,105,127,106,127,110,127,62,128,63,128,64,128,66,128,69,128,70,128,72,128,73,128,74,128,76,128,78,128,104,128,105,128,130,128,59,129,61,129,64,129,65,129,67,129,68,129,69,129,71,129,77,129,79,129,104,129,111,129,286,129,61,130,62,130,63,130,64,130,65,130,66,130,67,130,68,130,69,130,70,130,71,130,77,130,79,130,82,130,118,130,122,130,61,131,62,131,63,131,64,131,65,131,66,131,67,131,68,131,69,131,70,131,73,131,79,131,82,131,104,131,60,132,61,132,62,132,65,132,66,132,68,132,69,132,70,132,71,132,73,132,76,132,81,132,83,132,104,132,114,132,59,133,60,133,61,133,62,133,64,133,65,133,66,133,67,133,68,133,69,133,71,133,72,133,74,133,76,133,79,133,85,133,100,133,104,133,125,133,129,133,130,133,61,134,62,134,63,134,64,134,65,134,71,134,72,134,75,134,84,134,112,134,119,134,276,134,277,134,285,134,292,134,58,135,59,135,60,135,61,135,63,135,64,135,65,135,66,135,67,135,68,135,69,135,70,135,71,135,72,135,83,135,84,135,100,135,112,135,122,135,125,135,263,135,273,135,277,135,58,136,59,136,60,136,61,136,63,136,64,136,65,136,66,136,67,136,68,136,69,136,70,136,71,136,72,136,75,136,80,136,104,136,110,136,129,136,256,136,273,136,274,136,280,136,58,137,59,137,60,137,61,137,63,137,64,137,65,137,66,137,67,137,68,137,69,137,70,137,71,137,79,137,80,137,87,137,88,137,102,137,103,137,104,137,124,137,258,137,269,137,280,137,58,138,59,138,60,138,61,138,62,138,63,138,64,138,65,138,66,138,68,138,69,138,70,138,72,138,78,138,87,138,100,138,102,138,103,138,109,138,274,138,275,138,278,138,279,138,58,139,59,139,60,139,61,139,62,139,63,139,64,139,65,139,66,139,75,139,89,139,99,139,100,139,106,139,107,139,109,139,274,139,275,139,284,139,285,139,294,139,58,140,60,140,61,140,62,140,63,140,64,140,65,140,66,140,67,140,68,140,69,140,70,140,71,140,75,140,79,140,89,140,99,140,100,140,104,140,109,140,110,140,261,140,273,140,277,140,60,141,61,141,62,141,63,141,64,141,65,141,66,141,67,141,69,141,70,141,71,141,74,141,104,141,107,141,126,141,59,142,60,142,62,142,63,142,64,142,65,142,66,142,67,142,68,142,69,142,70,142,71,142,82,142,84,142,132,142,60,143,61,143,65,143,66,143,67,143,68,143,69,143,83,143,85,143,108,143,119,143,126,143,279,143,282,143,59,144,60,144,61,144,66,144,67,144,68,144,69,144,70,144,71,144,76,144,77,144,80,144,85,144,86,144,99,144,102,144,61,145,63,145,64,145,65,145,68,145,69,145,70,145,72,145,73,145,76,145,86,145,90,145,99,145,121,145,132,145,283,145,323,145,324,145,58,146,59,146,60,146,61,146,63,146,64,146,66,146,68,146,69,146,70,146,75,146,82,146,99,146,103,146,106,146,135,146,254,146,260,146,278,146,58,147,59,147,60,147,62,147,63,147,64,147,65,147,66,147,67,147,68,147,70,147,71,147,72,147,73,147,132,147,58,148,59,148,60,148,62,148,67,148,68,148,69,148,70,148,71,148,72,148,75,148,86,148,105,148,128,148,255,148,281,148,58,149,59,149,60,149,61,149,63,149,65,149,66,149,68,149,69,149,70,149,71,149,72,149,74,149,77,149,95,149,114,149,115,149,253,149,257,149,59,150,60,150,61,150,63,150,64,150,65,150,66,150,67,150,68,150,69,150,77,150,98,150,114,150,260,150,59,151,60,151,61,151,62,151,63,151,65,151,66,151,67,151,69,151,71,151,77,151,112,151,130,151,58,152,59,152,60,152,61,152,62,152,63,152,65,152,66,152,68,152,69,152,71,152,72,152,78,152,140,152,58,153,59,153,60,153,61,153,62,153,64,153,66,153,67,153,68,153,73,153,81,153,82,153,99,153,117,153,124,153,257,153,273,153,59,154,61,154,64,154,66,154,67,154,78,154,80,154,103,154,112,154,125,154,126,154,127,154,253,154,273,154,282,154,283,154,58,155,59,155,61,155,62,155,63,155,70,155,71,155,72,155,79,155,103,155,125,155,273,155,279,155,59,156,62,156,67,156,68,156,109,156,118,156,278,156,279,156,128,157,136,157,254,157,103,158,122,158,124,158,126,159,130,159,278,159,279,159,286,159,322,159,127,160,138,160,251,160,252,160,253,160,256,160,278,160,279,160,284,160,315,160,316,160,107,161,251,161,138,162,254,162,258,162,275,162,321,162,107,163,118,163,119,163,135,163,248,163,251,163,253,163,122,164,126,164,128,164,250,164,251,164,252,164,312,164,121,165,125,165,130,165,247,165,252,165,253,165,256,165,269,165,271,165,276,165,277,165,282,165,284,165,248,166,256,166,271,166,274,166,278,166,282,166,316,166,247,167,248,167,249,167,250,167,256,167,274,167,115,168,116,168,126,168,248,168,249,168,250,168,253,168,255,168,256,168,272,168,277,168,279,168,134,169,139,169,248,169,252,169,253,169,254,169,255,169,279,169,97,170,256,170,273,170,274,170,275,170,309,170,320,170,93,171,113,171,248,171,252,171,253,171,275,171,89,172,93,172,129,172,246,172,247,172,248,172,249,172,250,172,257,172,277,172,91,173,92,173,117,173,129,173,248,173,249,173,250,173,253,173,266,173,269,173,272,173,273,173,277,173,89,174,90,174,91,174,96,174,97,174,135,174,139,174,245,174,252,174,272,174,273,174,275,174,276,174,91,175,92,175,244,175,245,175,246,175,249,175,250,175,271,175,274,175,275,175,280,175,90,176,92,176,93,176,94,176,131,176,135,176,145,176,244,176,245,176,246,176,249,176,250,176,274,176,90,177,93,177,95,177,97,177,245,177,251,177,263,177,268,177,273,177,274,177,93,178,94,178,95,178,97,178,99,178,102,178,141,178,144,178,243,178,244,178,246,178,249,178,251,178,264,178,268,178,273,178,92,179,95,179,96,179,242,179,243,179,245,179,246,179,248,179,268,179,278,179,95,180,96,180,100,180,243,180,245,180,246,180,247,180,252,180,261,180,267,180,278,180,96,181,132,181,149,181,242,181,243,181,248,181,249,181,271,181,272,181,275,181,276,181,94,182,95,182,98,182,132,182,238,182,241,182,243,182,248,182,249,182,255,182,261,182,264,182,267,182,268,182,269,182,270,182,271,182,274,182,93,183,94,183,96,183,129,183,135,183,238,183,239,183,240,183,241,183,247,183,267,183,268,183,274,183,279,183,94,184,98,184,238,184,239,184,240,184,241,184,243,184,244,184,245,184,246,184,267,184,268,184,271,184,279,184,95,185,98,185,99,185,129,185,135,185,147,185,237,185,238,185,243,185,244,185,245,185,246,185,272,185,273,185,93,186,95,186,96,186,99,186,111,186,138,186,146,186,151,186,152,186,236,186,237,186,241,186,244,186,250,186,99,187,100,187,101,187,103,187,125,187,144,187,236,187,237,187,240,187,241,187,244,187,245,187,96,188,101,188,236,188,237,188,238,188,241,188,242,188,243,188,244,188,245,188,267,188,95,189,96,189,99,189,102,189,126,189,129,189,232,189,233,189,237,189,241,189,242,189,263,189,267,189,268,189,94,190,95,190,112,190,129,190,130,190,135,190,136,190,154,190,233,190,234,190,238,190,239,190,241,190,242,190,260,190,271,190,95,191,97,191,102,191,103,191,129,191,133,191,140,191,141,191,148,191,228,191,233,191,234,191,237,191,241,191,242,191,257,191,262,191,267,191,96,192,98,192,101,192,104,192,132,192,140,192,156,192,233,192,237,192,239,192,96,193,97,193,98,193,99,193,131,193,229,193,231,193,232,193,233,193,236,193,237,193,244,193,267,193,268,193,96,194,97,194,98,194,99,194,100,194,127,194,138,194,154,194,160,194,231,194,233,194,234,194,237,194,238,194,244,194,267,194,97,195,99,195,100,195,126,195,151,195,152,195,228,195,237,195,97,196,100,196,132,196,148,196,149,196,151,196,228,196,229,196,238,196,257,196,260,196,271,196,98,197,99,197,141,197,148,197,220,197,225,197,226,197,229,197,230,197,233,197,234,197,238,197,257,197,263,197,264,197,98,198,226,198,227,198,233,198,250,198,98,199,99,199,100,199,134,199,136,199,221,199,250,199,99,200,100,200,104,200,110,200,127,200,134,200,139,200,140,200,145,200,146,200,147,200,165,200,166,200,220,200,229,200,242,200,99,201,100,201,110,201,133,201,217,201,224,201,225,201,229,201,234,201,253,201,254,201,99,202,100,202,101,202,128,202,133,202,139,202,149,202,171,202,234,202,252,202,253,202,269,202,270,202,100,203,103,203,139,203,147,203,251,203,254,203,275,203,100,204,102,204,104,204,131,204,132,204,133,204,146,204,147,204,159,204,209,204,212,204,254,204,255,204,264,204,275,204,100,205,131,205,133,205,145,205,211,205,264,205,108,206,144,206,177,206,178,206,179,206,180,206,215,206,241,206,248,206,249,206,107,207,164,207,186,207,219,207,249,207,254,207,255,207,259,207,188,208,199,208,201,208,205,208,207,208,210,208,217,208,218,208,259,208,264,208,136,209,145,209,187,209,192,209,196,209,199,209,202,209,252,209,259,209,103,210,142,210,153,210,170,210,187,210,230,210,231,210,243,210,244,210,245,210,258,210,259,210,262,210,271,210,142,211,165,211,187,211,211,211,243,211,248,211,258,211,103,212,150,212,153,212,160,212,214,212,224,212,230,212,231,212,239,212,267,212,98,213,101,213,140,213,141,213,149,213,181,213,206,213,215,213,224,213,236,213,245,213,246,213,249,213,255,213,96,214,97,214,98,214,99,214,100,214,109,214,138,214,140,214,158,214,159,214,169,214,177,214,245,214,254,214,95,215,96,215,97,215,98,215,99,215,169,215,173,215,202,215,216,215,227,215,228,215,229,215,233,215,234,215,245,215,267,215,97,216,98,216,99,216,139,216,163,216,165,216,168,216,184,216,185,216,213,216,233,216,235,216,239,216,243,216,244,216,248,216,249,216,94,217,95,217,96,217,97,217,98,217,143,217,170,217,171,217,201,217,222,217,231,217,232,217,238,217,239,217,240,217,243,217,244,217,249,217,251,217,252,217,253,217,256,217,94,218,95,218,96,218,97,218,98,218,101,218,102,218,158,218,159,218,170,218,181,218,210,218,211,218,223,218,224,218,225,218,240,218,244,218,251,218,92,219,93,219,94,219,95,219,158,219,181,219,210,219,220,219,221,219,223,219,224,219,241,219,242,219,246,219,247,219,250,219,251,219,264,219,92,220,94,220,95,220,96,220,97,220,103,220,105,220,149,220,155,220,171,220,174,220,186,220,198,220,199,220,202,220,220,220,221,220,222,220,223,220,229,220,230,220,233,220,241,220,242,220,246,220,263,220,91,221,92,221,93,221,94,221,95,221,169,221,170,221,171,221,174,221,208,221,229,221,230,221,233,221,235,221,236,221,90,222,91,222,92,222,93,222,94,222,95,222,98,222,156,222,157,222,163,222,174,222,175,222,180,222,185,222,191,222,203,222,204,222,207,222,216,222,217,222,218,222,224,222,228,222,233,222,234,222,235,222,236,222,256,222,89,223,90,223,91,223,92,223,93,223,110,223,176,223,177,223,185,223,189,223,190,223,195,223,196,223,199,223,200,223,212,223,216,223,217,223,221,223,228,223,248,223,251,223,256,223,89,224,90,224,91,224,92,224,108,224,114,224,176,224,187,224,193,224,199,224,204,224,216,224,219,224,220,224,237,224,241,224,88,225,89,225,90,225,91,225,99,225,103,225,107,225,179,225,180,225,182,225,183,225,190,225,193,225,199,225,229,225,232,225,236,225,87,226,88,226,89,226,166,226,170,226,181,226,182,226,190,226,199,226,200,226,219,226,229,226,241,226,86,227,112,227,118,227,166,227,180,227,182,227,199,227,204,227,205,227,210,227,217,227,225,227,231,227,232,227,85,228,112,228,164,228,186,228,187,228,198,228,204,228,210,228,216,228,84,229,111,229,113,229,169,229,172,229,186,229,191,229,192,229,197,229,198,229,213,229,223,229,224,229,104,230,115,230,180,230,184,230,192,230,193,230,198,230,210,230,285,230,109,231,165,231,182,231,186,231,190,231,193,231,194,231,198,231,202,231,204,231,208,231,209,231,229,231,230,231,286,231,204,232,207,232,208,232,215,232,286,232,112,233,114,233,178,233,194,233,207,233,208,233,209,233,214,233,223,233,225,233,226,233,227,233,288,233,109,234,190,234,194,234,202,234,207,234,219,234,220,234,109,235,116,235,184,235,194,235,203,235,214,235,218,235,111,236,120,236,177,236,183,236,184,236,212,236,278,236,112,237,120,237,121,237,180,237,191,237,205,237,113,239,276,239,200,240,285,240,114,241,114,242,115,242,280,242,276,243,201,244,276,247,182,267,185,268,194,268,178,269,189,269,199,269,188,271,178,272,190,272,178,273,177,274,186,274,195,274,201,275,174,287,359,323,364,323,59,325,151,325,203,325,59,326,151,326,203,326,59,327,113,327,151,327,203,327,59,328,112,328,151,328,203,328,368,328,59,329,151,329,203,329,256,329,295,329,352,329,59,330,111,330,151,330,203,330,256,330,295,330,346,330,385,330,59,331,111,331,151,331,203,331,256,331,295,331,336,331,59,332,111,332,151,332,203,332,256,332,295,332,336,332,337,332,59,333,111,333,151,333,203,333,256,333,295,333,337,333,59,334,111,334,151,334,203,334,256,334,295,334,338,334,59,335,111,335,151,335,203,335,256,335,295,335,339,335,59,336,111,336,151,336,203,336,256,336,295,336,7,337,59,337,111,337,151,337,203,337,256,337,295,337,7,338,85,338,111,338,230,338,256,338,368,338,369,338,370,338,7,339,85,339,111,339,230,339,256,339,368,339,369,339,370,339,371,339,7,340,85,340,111,340,230,340,256,340,367,340,368,340,369,340,370,340,371,340,372,340,373,340,7,341,85,341,111,341,230,341,256,341,368,341,369,341,370,341,371,341,372,341,373,341,374,341,7,342,85,342,111,342,230,342,256,342,370,342,371,342,372,342,373,342,374,342,7,343,85,343,111,343,230,343,256,343,327,343,334,343,371,343,372,343,373,343,374,343,375,343,7,344,85,344,111,344,230,344,256,344,327,344,334,344,372,344,373,344,374,344,375,344,7,345,59,345,111,345,161,345,203,345,230,345,256,345,295,345,327,345,334,345,373,345,374,345,375,345,376,345,7,346,59,346,111,346,161,346,203,346,230,346,256,346,295,346,327,346,334,346,374,346,375,346,376,346,7,347,59,347,111,347,161,347,203,347,230,347,256,347,295,347,327,347,334,347,374,347,375,347,376,347,7,348,59,348,111,348,161,348,203,348,230,348,256,348,295,348,327,348,334,348,374,348,375,348,376,348,7,349,59,349,111,349,161,349,203,349,230,349,256,349,295,349,334,349,374,349,375,349,376,349,7,350,59,350,111,350,161,350,203,350,230,350,256,350,295,350,334,350,374,350,375,350,7,351,59,351,111,351,161,351,203,351,230,351,256,351,295,351,334,351,374,351,375,351,7,352,59,352,111,352,161,352,203,352,230,352,256,352,295,352,334,352,335,352,373,352,7,353,59,353,111,353,161,353,203,353,230,353,256,353,295,353,335,353,7,354,59,354,85,354,111,354,161,354,203,354,256,354,295,354,335,354,7,355,59,355,85,355,111,355,161,355,203,355,256,355,295,355,336,355,7,356,59,356,85,356,111,356,161,356,203,356,256,356,295,356,336,356,337,356,7,357,59,357,85,357,111,357,161,357,203,357,256,357,295,357,337,357,338,357,7,358,59,358,85,358,111,358,161,358,203,358,256,358,295,358,338,358,339,358,7,359,59,359,85,359,111,359,161,359,203,359,256,359,295,359,339,359,340,359,7,360,59,360,60,360,85,360,111,360,112,360,161,360,203,360,256,360,295,360,340,360,341,360,7,361,8,361,59,361,60,361,61,361,85,361,112,361,161,361,204,361,256,361,295,361,296,361,333,361,341,361,342,361,343,361,8,362,9,362,60,362,61,362,62,362,85,362,112,362,113,362,161,362,205,362,257,362,296,362,297,362,333,362,334,362,343,362,344,362,9,363,10,363,61,363,62,363,63,363,85,363,113,363,114,363,161,363,206,363,257,363,297,363,298,363,334,363,335,363,344,363,345,363,346,363,10,364,11,364,62,364,63,364,64,364,85,364,114,364,115,364,161,364,207,364,258,364,298,364,299,364,335,364,336,364,347,364,348,364,349,364,11,365,12,365,63,365,64,365,85,365,114,365,115,365,161,365,208,365,209,365,258,365,299,365,300,365,337,365,338,365,349,365,350,365,351,365,352,365,353,365,353,366}
  listsanddark = {197,7,198,7,199,7,200,7,201,7,203,7,204,7,205,7,206,7,207,7,208,7,209,7,194,8,202,8,203,8,208,8,209,8,210,8,211,8,214,8,215,8,216,8,194,9,195,9,197,9,198,9,199,9,203,9,204,9,205,9,206,9,207,9,209,9,210,9,213,9,214,9,215,9,216,9,218,9,193,10,196,10,197,10,200,10,201,10,203,10,211,10,217,10,221,10,223,10,193,11,200,11,207,11,208,11,210,11,212,11,213,11,215,11,216,11,217,11,218,11,220,11,223,11,224,11,226,11,195,12,200,12,202,12,203,12,217,12,218,12,219,12,223,12,224,12,225,12,226,12,192,13,196,13,197,13,200,13,201,13,210,13,211,13,219,13,220,13,221,13,195,14,197,14,199,14,200,14,202,14,209,14,210,14,220,14,221,14,223,14,224,14,192,15,195,15,196,15,200,15,209,15,212,15,217,15,222,15,223,15,224,15,195,16,197,16,202,16,203,16,204,16,207,16,208,16,211,16,214,16,216,16,217,16,218,16,222,16,224,16,197,17,199,17,200,17,203,17,209,17,210,17,215,17,216,17,217,17,218,17,222,17,225,17,197,18,200,18,201,18,203,18,204,18,208,18,209,18,211,18,214,18,215,18,217,18,223,18,198,19,200,19,205,19,210,19,211,19,213,19,214,19,215,19,195,20,198,20,204,20,206,20,207,20,208,20,209,20,210,20,212,20,214,20,215,20,195,21,196,21,197,21,199,21,200,21,206,21,207,21,208,21,210,21,211,21,212,21,215,21,218,21,220,21,222,21,224,21,197,22,198,22,199,22,201,22,203,22,205,22,206,22,207,22,208,22,209,22,210,22,217,22,218,22,219,22,221,22,223,22,195,23,196,23,197,23,198,23,202,23,203,23,204,23,205,23,206,23,208,23,210,23,211,23,212,23,214,23,218,23,221,23,222,23,223,23,190,24,194,24,195,24,199,24,200,24,201,24,202,24,207,24,208,24,209,24,211,24,212,24,213,24,214,24,215,24,216,24,218,24,219,24,220,24,194,25,195,25,200,25,201,25,202,25,203,25,204,25,207,25,208,25,209,25,210,25,211,25,212,25,214,25,223,25,190,26,193,26,195,26,196,26,198,26,201,26,202,26,205,26,206,26,209,26,210,26,212,26,213,26,215,26,217,26,219,26,221,26,189,27,194,27,195,27,196,27,199,27,200,27,208,27,209,27,211,27,214,27,215,27,216,27,217,27,220,27,222,27,223,27,194,28,195,28,196,28,197,28,200,28,203,28,208,28,209,28,210,28,212,28,213,28,214,28,215,28,216,28,218,28,219,28,220,28,221,28,188,29,190,29,193,29,194,29,196,29,199,29,200,29,201,29,203,29,205,29,206,29,208,29,209,29,210,29,213,29,214,29,215,29,216,29,188,30,189,30,193,30,196,30,199,30,202,30,205,30,208,30,209,30,212,30,213,30,216,30,222,30,223,30,188,31,189,31,193,31,200,31,201,31,203,31,204,31,205,31,207,31,208,31,211,31,212,31,213,31,214,31,215,31,216,31,217,31,219,31,220,31,221,31,223,31,188,32,189,32,192,32,193,32,194,32,198,32,201,32,203,32,204,32,205,32,207,32,211,32,213,32,217,32,218,32,219,32,223,32,119,33,120,33,187,33,188,33,189,33,190,33,192,33,193,33,194,33,197,33,198,33,203,33,205,33,209,33,210,33,211,33,212,33,213,33,217,33,218,33,219,33,220,33,221,33,223,33,118,34,119,34,120,34,121,34,187,34,188,34,189,34,190,34,191,34,192,34,194,34,197,34,198,34,203,34,205,34,206,34,209,34,210,34,211,34,212,34,217,34,218,34,221,34,223,34,116,35,117,35,118,35,119,35,122,35,187,35,188,35,189,35,190,35,191,35,192,35,193,35,194,35,195,35,198,35,199,35,200,35,202,35,203,35,204,35,206,35,208,35,212,35,217,35,218,35,220,35,221,35,222,35,223,35,115,36,116,36,123,36,186,36,187,36,188,36,189,36,190,36,191,36,192,36,193,36,194,36,195,36,199,36,202,36,205,36,206,36,209,36,212,36,214,36,215,36,218,36,220,36,114,37,115,37,117,37,118,37,120,37,184,37,185,37,186,37,187,37,188,37,190,37,191,37,192,37,197,37,202,37,205,37,206,37,209,37,211,37,212,37,213,37,217,37,218,37,222,37,223,37,112,38,113,38,114,38,115,38,125,38,180,38,184,38,185,38,186,38,187,38,188,38,189,38,190,38,191,38,192,38,197,38,200,38,202,38,204,38,209,38,211,38,212,38,213,38,216,38,217,38,218,38,222,38,181,39,183,39,186,39,187,39,188,39,189,39,190,39,191,39,192,39,197,39,201,39,203,39,204,39,206,39,207,39,211,39,212,39,213,39,216,39,217,39,218,39,219,39,220,39,222,39,114,40,117,40,179,40,180,40,181,40,182,40,183,40,185,40,186,40,187,40,188,40,189,40,190,40,191,40,203,40,204,40,206,40,207,40,211,40,212,40,213,40,215,40,216,40,217,40,218,40,220,40,222,40,223,40,117,41,118,41,119,41,124,41,126,41,130,41,171,41,172,41,181,41,184,41,185,41,187,41,188,41,189,41,191,41,198,41,199,41,203,41,204,41,205,41,206,41,211,41,215,41,217,41,220,41,222,41,223,41,115,42,116,42,119,42,120,42,125,42,127,42,128,42,131,42,167,42,169,42,170,42,172,42,173,42,176,42,177,42,180,42,183,42,184,42,187,42,188,42,191,42,198,42,203,42,206,42,207,42,208,42,209,42,217,42,218,42,219,42,220,42,221,42,222,42,223,42,131,43,163,43,170,43,176,43,177,43,178,43,180,43,181,43,184,43,185,43,186,43,187,43,188,43,189,43,190,43,203,43,206,43,208,43,212,43,220,43,221,43,223,43,111,44,123,44,128,44,131,44,167,44,175,44,181,44,182,44,185,44,188,44,189,44,212,44,220,44,223,44,107,45,108,45,122,45,125,45,126,45,127,45,128,45,129,45,160,45,175,45,176,45,178,45,182,45,183,45,184,45,187,45,188,45,189,45,191,45,192,45,209,45,215,45,223,45,224,45,296,45,103,46,108,46,114,46,116,46,117,46,118,46,120,46,127,46,128,46,129,46,133,46,159,46,164,46,169,46,170,46,174,46,175,46,176,46,178,46,181,46,182,46,184,46,186,46,187,46,197,46,202,46,203,46,209,46,210,46,221,46,222,46,224,46,296,46,102,47,108,47,111,47,113,47,125,47,126,47,130,47,154,47,170,47,171,47,173,47,174,47,176,47,177,47,178,47,179,47,180,47,181,47,182,47,183,47,184,47,185,47,186,47,188,47,189,47,190,47,199,47,203,47,204,47,205,47,206,47,207,47,210,47,294,47,101,48,103,48,113,48,125,48,126,48,127,48,130,48,135,48,174,48,175,48,176,48,177,48,179,48,180,48,181,48,187,48,188,48,189,48,191,48,192,48,197,48,198,48,199,48,200,48,206,48,207,48,208,48,209,48,211,48,217,48,218,48,219,48,223,48,293,48,100,49,107,49,114,49,115,49,122,49,123,49,124,49,125,49,126,49,129,49,133,49,148,49,150,49,166,49,167,49,168,49,169,49,170,49,172,49,173,49,174,49,175,49,176,49,177,49,178,49,179,49,181,49,182,49,183,49,184,49,187,49,188,49,191,49,192,49,193,49,194,49,195,49,196,49,197,49,198,49,199,49,203,49,208,49,209,49,211,49,212,49,217,49,223,49,224,49,100,50,101,50,113,50,114,50,115,50,121,50,122,50,123,50,124,50,126,50,127,50,134,50,139,50,146,50,150,50,155,50,161,50,165,50,166,50,167,50,168,50,169,50,171,50,172,50,173,50,174,50,175,50,176,50,177,50,178,50,179,50,182,50,183,50,185,50,186,50,222,50,223,50,98,51,99,51,101,51,102,51,106,51,114,51,115,51,120,51,121,51,123,51,124,51,125,51,131,51,133,51,134,51,139,51,147,51,148,51,151,51,157,51,165,51,166,51,170,51,171,51,172,51,173,51,174,51,175,51,176,51,178,51,179,51,186,51,187,51,188,51,223,51,249,51,250,51,291,51,98,52,99,52,101,52,109,52,118,52,121,52,122,52,123,52,124,52,125,52,126,52,127,52,128,52,131,52,134,52,135,52,136,52,137,52,144,52,146,52,147,52,148,52,154,52,156,52,159,52,163,52,164,52,165,52,166,52,167,52,168,52,169,52,170,52,171,52,172,52,173,52,174,52,175,52,176,52,178,52,179,52,180,52,186,52,187,52,188,52,189,52,199,52,203,52,230,52,235,52,236,52,241,52,243,52,244,52,245,52,247,52,248,52,249,52,251,52,252,52,255,52,289,52,96,53,98,53,111,53,118,53,119,53,120,53,122,53,125,53,126,53,131,53,135,53,136,53,145,53,146,53,147,53,148,53,150,53,157,53,159,53,161,53,162,53,163,53,164,53,165,53,166,53,167,53,168,53,169,53,170,53,171,53,172,53,173,53,175,53,176,53,177,53,180,53,183,53,184,53,187,53,188,53,189,53,196,53,197,53,198,53,199,53,208,53,236,53,238,53,239,53,241,53,242,53,244,53,245,53,246,53,247,53,248,53,249,53,252,53,254,53,255,53,289,53,95,54,97,54,98,54,110,54,111,54,116,54,117,54,118,54,121,54,122,54,124,54,125,54,126,54,128,54,130,54,133,54,134,54,135,54,136,54,137,54,138,54,145,54,146,54,149,54,150,54,152,54,153,54,157,54,160,54,161,54,162,54,164,54,165,54,166,54,167,54,168,54,169,54,170,54,171,54,172,54,175,54,176,54,177,54,178,54,179,54,180,54,181,54,182,54,183,54,187,54,188,54,191,54,192,54,193,54,194,54,202,54,208,54,209,54,231,54,238,54,241,54,243,54,244,54,249,54,250,54,252,54,254,54,255,54,257,54,258,54,259,54,260,54,97,55,98,55,101,55,115,55,117,55,118,55,119,55,122,55,123,55,125,55,126,55,130,55,132,55,133,55,134,55,135,55,136,55,137,55,138,55,149,55,151,55,152,55,153,55,154,55,155,55,156,55,157,55,158,55,159,55,160,55,161,55,162,55,163,55,164,55,165,55,166,55,167,55,168,55,169,55,171,55,172,55,176,55,177,55,178,55,180,55,181,55,182,55,191,55,192,55,193,55,194,55,200,55,202,55,203,55,208,55,209,55,213,55,220,55,221,55,222,55,231,55,238,55,239,55,240,55,241,55,242,55,243,55,244,55,245,55,248,55,249,55,250,55,251,55,252,55,253,55,255,55,256,55,258,55,260,55,287,55,288,55,107,56,108,56,114,56,115,56,120,56,123,56,125,56,126,56,130,56,131,56,132,56,134,56,137,56,138,56,147,56,148,56,149,56,152,56,153,56,155,56,156,56,158,56,159,56,160,56,161,56,162,56,163,56,164,56,165,56,166,56,167,56,170,56,171,56,172,56,181,56,182,56,203,56,206,56,212,56,213,56,214,56,217,56,220,56,222,56,235,56,238,56,239,56,240,56,241,56,242,56,243,56,244,56,245,56,246,56,247,56,248,56,249,56,250,56,252,56,256,56,258,56,260,56,261,56,263,56,278,56,285,56,286,56,288,56,97,57,112,57,114,57,115,57,116,57,118,57,120,57,124,57,125,57,126,57,128,57,129,57,130,57,133,57,148,57,149,57,150,57,151,57,153,57,154,57,155,57,157,57,158,57,161,57,162,57,163,57,164,57,165,57,170,57,171,57,172,57,173,57,174,57,177,57,178,57,180,57,203,57,206,57,217,57,235,57,236,57,237,57,240,57,241,57,242,57,244,57,245,57,246,57,247,57,250,57,251,57,253,57,254,57,256,57,261,57,262,57,263,57,264,57,284,57,285,57,286,57,288,57,102,58,112,58,117,58,119,58,121,58,122,58,123,58,124,58,125,58,126,58,130,58,131,58,132,58,133,58,135,58,148,58,149,58,150,58,151,58,152,58,155,58,158,58,164,58,168,58,169,58,170,58,171,58,172,58,173,58,174,58,176,58,177,58,178,58,186,58,214,58,217,58,238,58,239,58,240,58,241,58,244,58,245,58,246,58,247,58,249,58,250,58,251,58,252,58,256,58,259,58,260,58,261,58,262,58,264,58,265,58,267,58,275,58,279,58,281,58,282,58,283,58,284,58,285,58,287,58,288,58,110,59,111,59,114,59,118,59,120,59,121,59,122,59,123,59,124,59,125,59,126,59,129,59,130,59,131,59,132,59,135,59,136,59,144,59,148,59,149,59,150,59,151,59,152,59,153,59,154,59,155,59,158,59,159,59,160,59,164,59,166,59,167,59,168,59,169,59,173,59,186,59,187,59,188,59,198,59,204,59,205,59,206,59,213,59,214,59,217,59,232,59,241,59,242,59,244,59,245,59,246,59,247,59,248,59,249,59,250,59,251,59,252,59,253,59,254,59,255,59,256,59,260,59,261,59,262,59,264,59,266,59,267,59,268,59,269,59,270,59,271,59,272,59,273,59,281,59,282,59,286,59,287,59,101,60,105,60,110,60,111,60,112,60,113,60,115,60,117,60,118,60,119,60,120,60,121,60,122,60,124,60,126,60,127,60,129,60,132,60,133,60,134,60,143,60,149,60,150,60,151,60,152,60,155,60,156,60,157,60,163,60,164,60,169,60,186,60,187,60,190,60,200,60,203,60,204,60,205,60,210,60,216,60,232,60,242,60,243,60,248,60,249,60,250,60,251,60,252,60,253,60,254,60,257,60,258,60,262,60,263,60,264,60,265,60,267,60,268,60,269,60,270,60,271,60,272,60,273,60,276,60,277,60,279,60,280,60,281,60,285,60,286,60,287,60,289,60,291,60,102,61,103,61,106,61,108,61,111,61,114,61,115,61,116,61,118,61,119,61,120,61,121,61,122,61,124,61,125,61,126,61,127,61,130,61,151,61,155,61,156,61,157,61,158,61,159,61,163,61,164,61,186,61,187,61,188,61,192,61,199,61,202,61,203,61,204,61,205,61,207,61,211,61,212,61,213,61,214,61,215,61,218,61,219,61,220,61,229,61,236,61,242,61,243,61,244,61,245,61,248,61,250,61,251,61,254,61,255,61,256,61,257,61,258,61,262,61,267,61,268,61,269,61,270,61,271,61,272,61,276,61,277,61,285,61,286,61,287,61,291,61,104,62,106,62,108,62,109,62,111,62,112,62,113,62,115,62,117,62,118,62,119,62,120,62,123,62,125,62,127,62,129,62,130,62,131,62,134,62,144,62,148,62,149,62,150,62,151,62,155,62,156,62,158,62,159,62,160,62,161,62,162,62,163,62,164,62,171,62,176,62,180,62,186,62,188,62,190,62,191,62,197,62,202,62,205,62,206,62,211,62,212,62,214,62,216,62,217,62,221,62,226,62,228,62,229,62,230,62,231,62,245,62,246,62,247,62,250,62,251,62,253,62,254,62,255,62,256,62,257,62,258,62,260,62,262,62,264,62,267,62,268,62,269,62,270,62,271,62,274,62,275,62,276,62,277,62,278,62,279,62,284,62,285,62,286,62,290,62,106,63,107,63,109,63,111,63,112,63,113,63,114,63,115,63,116,63,117,63,119,63,120,63,121,63,122,63,123,63,124,63,125,63,129,63,130,63,132,63,133,63,134,63,141,63,143,63,144,63,147,63,148,63,149,63,150,63,151,63,152,63,153,63,154,63,155,63,157,63,158,63,159,63,160,63,161,63,162,63,167,63,169,63,175,63,182,63,185,63,186,63,187,63,188,63,190,63,195,63,196,63,198,63,201,63,202,63,203,63,207,63,208,63,209,63,210,63,211,63,213,63,214,63,215,63,217,63,219,63,223,63,224,63,225,63,226,63,231,63,235,63,238,63,247,63,248,63,249,63,252,63,253,63,254,63,255,63,259,63,264,63,265,63,266,63,268,63,269,63,270,63,271,63,272,63,273,63,274,63,275,63,276,63,277,63,283,63,284,63,290,63,293,63,107,64,109,64,113,64,116,64,118,64,119,64,120,64,121,64,124,64,127,64,129,64,144,64,147,64,149,64,150,64,151,64,152,64,153,64,154,64,155,64,163,64,164,64,167,64,172,64,174,64,175,64,177,64,181,64,182,64,183,64,184,64,185,64,187,64,189,64,191,64,194,64,197,64,198,64,199,64,200,64,201,64,202,64,205,64,207,64,208,64,209,64,222,64,223,64,224,64,226,64,229,64,234,64,235,64,236,64,237,64,238,64,259,64,261,64,263,64,265,64,266,64,267,64,268,64,269,64,270,64,271,64,274,64,275,64,276,64,282,64,283,64,284,64,285,64,286,64,287,64,289,64,290,64,293,64,108,65,109,65,114,65,115,65,116,65,118,65,119,65,120,65,121,65,127,65,128,65,144,65,145,65,147,65,148,65,149,65,152,65,154,65,155,65,171,65,172,65,174,65,175,65,178,65,179,65,183,65,186,65,187,65,189,65,190,65,193,65,194,65,197,65,198,65,206,65,208,65,209,65,210,65,214,65,216,65,217,65,219,65,222,65,223,65,224,65,225,65,226,65,234,65,235,65,251,65,252,65,255,65,258,65,259,65,260,65,261,65,262,65,266,65,268,65,269,65,270,65,271,65,272,65,273,65,274,65,275,65,280,65,281,65,282,65,283,65,285,65,286,65,287,65,288,65,289,65,290,65,292,65,293,65,110,66,111,66,112,66,113,66,114,66,115,66,117,66,121,66,122,66,124,66,125,66,139,66,143,66,144,66,146,66,147,66,148,66,149,66,150,66,151,66,152,66,154,66,155,66,164,66,168,66,171,66,172,66,175,66,176,66,177,66,179,66,183,66,188,66,189,66,190,66,193,66,194,66,195,66,196,66,200,66,204,66,207,66,210,66,214,66,217,66,220,66,221,66,222,66,224,66,226,66,227,66,228,66,229,66,233,66,234,66,235,66,242,66,243,66,253,66,254,66,255,66,259,66,262,66,263,66,265,66,267,66,268,66,269,66,270,66,271,66,272,66,274,66,275,66,276,66,277,66,278,66,279,66,280,66,282,66,283,66,285,66,286,66,287,66,289,66,290,66,291,66,292,66,294,66,111,67,112,67,115,67,116,67,118,67,119,67,121,67,122,67,123,67,124,67,128,67,133,67,134,67,139,67,140,67,144,67,147,67,163,67,165,67,166,67,169,67,171,67,172,67,173,67,177,67,178,67,180,67,181,67,182,67,183,67,188,67,192,67,193,67,194,67,201,67,202,67,205,67,207,67,210,67,213,67,214,67,219,67,220,67,222,67,223,67,224,67,227,67,229,67,230,67,231,67,232,67,247,67,256,67,257,67,258,67,260,67,263,67,264,67,267,67,268,67,269,67,270,67,272,67,275,67,276,67,277,67,278,67,279,67,281,67,283,67,285,67,288,67,289,67,290,67,291,67,292,67,293,67,294,67,112,68,113,68,114,68,115,68,116,68,118,68,119,68,120,68,121,68,123,68,124,68,125,68,139,68,140,68,144,68,148,68,150,68,161,68,163,68,166,68,167,68,168,68,169,68,171,68,172,68,173,68,174,68,175,68,182,68,184,68,188,68,189,68,190,68,192,68,193,68,201,68,202,68,204,68,205,68,206,68,212,68,214,68,221,68,222,68,223,68,224,68,225,68,227,68,231,68,240,68,246,68,257,68,258,68,259,68,263,68,264,68,265,68,266,68,277,68,278,68,279,68,281,68,282,68,283,68,288,68,290,68,292,68,293,68,295,68,118,69,120,69,121,69,123,69,124,69,137,69,138,69,139,69,140,69,141,69,144,69,145,69,146,69,147,69,148,69,149,69,150,69,166,69,167,69,168,69,169,69,170,69,173,69,178,69,179,69,180,69,181,69,182,69,183,69,184,69,185,69,186,69,187,69,189,69,192,69,193,69,195,69,196,69,199,69,201,69,204,69,205,69,206,69,211,69,212,69,215,69,216,69,218,69,219,69,220,69,221,69,222,69,223,69,224,69,225,69,229,69,236,69,237,69,238,69,239,69,240,69,241,69,264,69,265,69,266,69,281,69,282,69,285,69,287,69,288,69,289,69,290,69,293,69,295,69,296,69,297,69,298,69,118,70,119,70,121,70,124,70,135,70,136,70,139,70,140,70,141,70,142,70,143,70,144,70,148,70,159,70,160,70,161,70,162,70,164,70,165,70,166,70,167,70,168,70,172,70,173,70,178,70,179,70,180,70,181,70,182,70,189,70,190,70,198,70,202,70,205,70,206,70,208,70,209,70,210,70,211,70,212,70,213,70,214,70,216,70,217,70,218,70,219,70,220,70,223,70,225,70,231,70,236,70,238,70,239,70,241,70,264,70,265,70,266,70,272,70,281,70,287,70,289,70,295,70,296,70,297,70,117,71,118,71,119,71,120,71,122,71,124,71,125,71,129,71,133,71,135,71,139,71,148,71,157,71,160,71,165,71,166,71,167,71,171,71,174,71,176,71,177,71,180,71,183,71,184,71,185,71,187,71,193,71,195,71,196,71,198,71,199,71,200,71,202,71,203,71,205,71,208,71,209,71,210,71,211,71,215,71,217,71,218,71,219,71,220,71,223,71,224,71,228,71,229,71,236,71,272,71,286,71,289,71,290,71,291,71,293,71,297,71,298,71,299,71,116,72,119,72,123,72,125,72,129,72,133,72,135,72,137,72,138,72,139,72,142,72,144,72,145,72,156,72,157,72,160,72,162,72,163,72,164,72,169,72,171,72,172,72,174,72,175,72,182,72,185,72,186,72,187,72,191,72,192,72,195,72,196,72,201,72,202,72,204,72,206,72,207,72,208,72,209,72,210,72,217,72,219,72,220,72,222,72,223,72,224,72,226,72,227,72,229,72,230,72,231,72,232,72,234,72,235,72,236,72,240,72,253,72,269,72,291,72,292,72,294,72,297,72,298,72,115,73,116,73,118,73,124,73,130,73,131,73,134,73,135,73,137,73,138,73,142,73,149,73,160,73,168,73,176,73,179,73,185,73,187,73,188,73,191,73,194,73,199,73,201,73,206,73,210,73,214,73,215,73,217,73,218,73,221,73,224,73,225,73,226,73,229,73,231,73,232,73,233,73,234,73,235,73,238,73,239,73,240,73,241,73,242,73,245,73,249,73,250,73,253,73,278,73,290,73,291,73,294,73,296,73,297,73,298,73,299,73,301,73,118,74,130,74,131,74,136,74,140,74,141,74,142,74,143,74,146,74,147,74,159,74,162,74,163,74,164,74,165,74,166,74,169,74,172,74,173,74,178,74,181,74,182,74,183,74,185,74,186,74,187,74,189,74,191,74,192,74,193,74,194,74,196,74,197,74,198,74,199,74,203,74,204,74,205,74,206,74,207,74,208,74,209,74,212,74,213,74,214,74,216,74,219,74,220,74,221,74,224,74,226,74,228,74,229,74,231,74,232,74,233,74,239,74,241,74,244,74,245,74,257,74,258,74,287,74,289,74,292,74,293,74,294,74,295,74,296,74,297,74,298,74,299,74,300,74,301,74,130,75,131,75,132,75,133,75,134,75,137,75,138,75,139,75,141,75,142,75,143,75,144,75,151,75,152,75,154,75,159,75,160,75,161,75,163,75,165,75,167,75,168,75,169,75,171,75,172,75,174,75,175,75,178,75,184,75,189,75,190,75,191,75,195,75,197,75,198,75,200,75,203,75,205,75,206,75,207,75,208,75,210,75,211,75,212,75,214,75,215,75,216,75,217,75,218,75,219,75,221,75,222,75,223,75,224,75,227,75,228,75,229,75,230,75,231,75,234,75,235,75,237,75,240,75,241,75,243,75,244,75,257,75,258,75,280,75,287,75,292,75,293,75,297,75,298,75,299,75,300,75,301,75,139,76,140,76,141,76,143,76,146,76,147,76,149,76,150,76,154,76,155,76,158,76,160,76,161,76,162,76,164,76,165,76,166,76,169,76,172,76,174,76,185,76,187,76,188,76,195,76,196,76,198,76,200,76,201,76,202,76,203,76,204,76,205,76,206,76,207,76,214,76,215,76,216,76,218,76,219,76,223,76,224,76,226,76,228,76,230,76,231,76,233,76,234,76,235,76,237,76,238,76,243,76,291,76,292,76,293,76,298,76,299,76,300,76,301,76,302,76,127,77,128,77,129,77,130,77,134,77,135,77,136,77,138,77,139,77,140,77,141,77,142,77,149,77,152,77,153,77,154,77,155,77,156,77,157,77,158,77,159,77,160,77,163,77,164,77,166,77,170,77,171,77,174,77,177,77,178,77,182,77,185,77,186,77,187,77,188,77,189,77,190,77,191,77,192,77,193,77,194,77,199,77,200,77,201,77,203,77,204,77,208,77,209,77,211,77,213,77,214,77,215,77,218,77,224,77,227,77,229,77,230,77,234,77,236,77,238,77,240,77,241,77,243,77,244,77,248,77,251,77,284,77,291,77,292,77,295,77,296,77,298,77,299,77,300,77,302,77,303,77,127,78,128,78,130,78,131,78,132,78,133,78,134,78,136,78,137,78,138,78,139,78,140,78,145,78,148,78,151,78,155,78,156,78,158,78,159,78,160,78,161,78,162,78,166,78,167,78,168,78,169,78,171,78,175,78,178,78,181,78,182,78,183,78,184,78,188,78,192,78,197,78,198,78,201,78,202,78,204,78,205,78,208,78,213,78,215,78,218,78,219,78,220,78,221,78,223,78,226,78,229,78,230,78,231,78,233,78,235,78,236,78,240,78,242,78,285,78,290,78,294,78,295,78,296,78,299,78,300,78,301,78,302,78,303,78,304,78,129,79,130,79,131,79,132,79,133,79,136,79,140,79,144,79,147,79,148,79,151,79,155,79,156,79,159,79,161,79,162,79,164,79,165,79,166,79,167,79,171,79,174,79,181,79,182,79,184,79,186,79,192,79,193,79,196,79,197,79,198,79,201,79,205,79,209,79,213,79,214,79,215,79,218,79,220,79,221,79,223,79,224,79,225,79,226,79,229,79,230,79,235,79,239,79,240,79,241,79,242,79,248,79,285,79,287,79,289,79,294,79,295,79,296,79,297,79,300,79,301,79,302,79,303,79,126,80,127,80,129,80,135,80,139,80,146,80,148,80,149,80,150,80,154,80,155,80,161,80,162,80,163,80,164,80,165,80,166,80,169,80,173,80,174,80,175,80,181,80,182,80,183,80,185,80,190,80,191,80,192,80,193,80,194,80,195,80,197,80,198,80,201,80,204,80,205,80,208,80,209,80,210,80,216,80,218,80,220,80,221,80,223,80,225,80,229,80,230,80,233,80,234,80,238,80,248,80,285,80,287,80,295,80,296,80,297,80,298,80,299,80,300,80,301,80,302,80,303,80,124,81,126,81,129,81,130,81,132,81,133,81,134,81,138,81,139,81,140,81,145,81,147,81,148,81,150,81,152,81,153,81,155,81,159,81,160,81,161,81,164,81,165,81,166,81,172,81,173,81,174,81,181,81,182,81,184,81,185,81,191,81,192,81,193,81,196,81,197,81,198,81,201,81,203,81,204,81,205,81,208,81,209,81,212,81,215,81,217,81,218,81,220,81,221,81,222,81,225,81,226,81,227,81,228,81,230,81,232,81,233,81,237,81,238,81,240,81,253,81,262,81,285,81,289,81,293,81,295,81,299,81,109,82,124,82,129,82,130,82,131,82,134,82,135,82,137,82,139,82,146,82,148,82,149,82,154,82,161,82,166,82,171,82,174,82,175,82,176,82,179,82,180,82,181,82,182,82,191,82,195,82,196,82,197,82,199,82,200,82,203,82,206,82,207,82,209,82,211,82,214,82,215,82,218,82,219,82,220,82,221,82,223,82,225,82,230,82,231,82,232,82,236,82,246,82,258,82,261,82,262,82,293,82,294,82,297,82,299,82,301,82,110,83,122,83,123,83,126,83,127,83,130,83,131,83,135,83,136,83,137,83,138,83,145,83,146,83,147,83,149,83,150,83,151,83,152,83,153,83,154,83,155,83,158,83,163,83,165,83,167,83,171,83,172,83,173,83,175,83,181,83,184,83,186,83,187,83,188,83,189,83,192,83,193,83,194,83,195,83,196,83,202,83,204,83,205,83,209,83,213,83,216,83,217,83,218,83,223,83,224,83,225,83,229,83,230,83,235,83,238,83,249,83,250,83,252,83,257,83,261,83,287,83,288,83,290,83,293,83,294,83,295,83,299,83,300,83,108,84,110,84,112,84,113,84,122,84,123,84,124,84,125,84,130,84,135,84,136,84,137,84,140,84,141,84,143,84,145,84,146,84,147,84,150,84,152,84,153,84,155,84,158,84,159,84,161,84,163,84,164,84,165,84,166,84,173,84,174,84,175,84,181,84,182,84,189,84,190,84,193,84,198,84,199,84,200,84,202,84,206,84,211,84,212,84,218,84,221,84,222,84,223,84,224,84,226,84,227,84,228,84,229,84,230,84,231,84,234,84,237,84,242,84,243,84,248,84,249,84,253,84,255,84,290,84,292,84,293,84,294,84,295,84,296,84,297,84,298,84,108,85,111,85,112,85,113,85,114,85,115,85,127,85,130,85,132,85,136,85,137,85,140,85,143,85,144,85,145,85,146,85,147,85,148,85,149,85,150,85,151,85,152,85,154,85,155,85,156,85,158,85,161,85,162,85,164,85,166,85,169,85,173,85,174,85,177,85,180,85,181,85,184,85,191,85,192,85,195,85,196,85,197,85,199,85,208,85,210,85,215,85,218,85,219,85,220,85,222,85,223,85,227,85,228,85,231,85,236,85,237,85,248,85,249,85,252,85,288,85,290,85,292,85,293,85,294,85,295,85,297,85,109,86,112,86,113,86,114,86,115,86,117,86,118,86,121,86,125,86,129,86,132,86,135,86,136,86,140,86,141,86,143,86,144,86,145,86,146,86,147,86,148,86,151,86,153,86,155,86,156,86,157,86,161,86,162,86,164,86,171,86,172,86,173,86,174,86,175,86,179,86,180,86,181,86,182,86,188,86,189,86,191,86,192,86,195,86,197,86,212,86,213,86,214,86,218,86,219,86,222,86,225,86,226,86,227,86,229,86,230,86,231,86,249,86,251,86,252,86,253,86,254,86,290,86,292,86,293,86,294,86,297,86,107,87,108,87,109,87,110,87,112,87,114,87,115,87,116,87,117,87,118,87,120,87,121,87,124,87,140,87,141,87,142,87,143,87,144,87,146,87,147,87,148,87,149,87,150,87,152,87,153,87,155,87,156,87,161,87,168,87,175,87,176,87,181,87,182,87,192,87,197,87,211,87,212,87,219,87,221,87,222,87,223,87,225,87,226,87,227,87,229,87,235,87,236,87,240,87,247,87,248,87,250,87,251,87,253,87,269,87,289,87,290,87,291,87,293,87,294,87,107,88,109,88,110,88,111,88,112,88,113,88,114,88,115,88,116,88,117,88,119,88,126,88,128,88,129,88,130,88,131,88,132,88,135,88,139,88,142,88,143,88,147,88,152,88,153,88,154,88,156,88,159,88,160,88,166,88,167,88,170,88,179,88,180,88,181,88,187,88,191,88,192,88,209,88,211,88,214,88,215,88,216,88,218,88,222,88,224,88,227,88,228,88,229,88,230,88,232,88,234,88,236,88,237,88,245,88,246,88,247,88,248,88,250,88,254,88,255,88,264,88,265,88,267,88,269,88,292,88,293,88,294,88,107,89,111,89,112,89,113,89,114,89,115,89,116,89,117,89,118,89,119,89,125,89,128,89,129,89,130,89,131,89,132,89,135,89,136,89,138,89,139,89,140,89,141,89,142,89,146,89,150,89,151,89,154,89,155,89,157,89,162,89,163,89,169,89,170,89,181,89,186,89,191,89,205,89,210,89,212,89,216,89,219,89,222,89,225,89,229,89,230,89,231,89,248,89,249,89,253,89,254,89,257,89,258,89,263,89,264,89,265,89,293,89,112,90,113,90,114,90,115,90,118,90,119,90,120,90,121,90,122,90,131,90,132,90,133,90,135,90,136,90,137,90,138,90,139,90,140,90,141,90,148,90,150,90,151,90,153,90,154,90,159,90,167,90,171,90,185,90,186,90,192,90,193,90,199,90,204,90,212,90,227,90,232,90,247,90,248,90,249,90,250,90,252,90,253,90,254,90,255,90,256,90,257,90,258,90,265,90,111,91,112,91,113,91,114,91,115,91,116,91,119,91,120,91,128,91,129,91,130,91,131,91,132,91,134,91,135,91,136,91,138,91,139,91,140,91,142,91,144,91,148,91,150,91,152,91,153,91,156,91,157,91,158,91,166,91,167,91,184,91,185,91,186,91,187,91,212,91,220,91,221,91,222,91,226,91,231,91,247,91,248,91,249,91,254,91,255,91,262,91,290,91,110,92,111,92,112,92,113,92,114,92,115,92,116,92,119,92,120,92,123,92,125,92,131,92,133,92,134,92,135,92,139,92,140,92,144,92,148,92,149,92,154,92,155,92,156,92,158,92,159,92,166,92,167,92,180,92,185,92,186,92,187,92,225,92,231,92,233,92,243,92,246,92,247,92,253,92,254,92,260,92,261,92,265,92,290,92,291,92,103,93,106,93,107,93,109,93,110,93,111,93,112,93,114,93,129,93,130,93,131,93,132,93,135,93,137,93,138,93,140,93,141,93,143,93,144,93,148,93,149,93,152,93,153,93,157,93,158,93,214,93,215,93,216,93,221,93,228,93,229,93,230,93,239,93,246,93,248,93,253,93,258,93,259,93,260,93,263,93,264,93,266,93,289,93,290,93,104,94,108,94,110,94,111,94,112,94,113,94,118,94,119,94,122,94,125,94,129,94,134,94,135,94,136,94,137,94,138,94,139,94,140,94,146,94,147,94,151,94,154,94,156,94,157,94,168,94,219,94,220,94,221,94,228,94,229,94,239,94,243,94,244,94,245,94,251,94,252,94,253,94,254,94,255,94,256,94,259,94,262,94,264,94,268,94,269,94,288,94,289,94,108,95,109,95,110,95,111,95,112,95,113,95,114,95,115,95,118,95,119,95,125,95,126,95,127,95,131,95,133,95,135,95,136,95,137,95,138,95,139,95,142,95,143,95,148,95,151,95,152,95,155,95,156,95,168,95,169,95,245,95,250,95,251,95,252,95,253,95,254,95,257,95,261,95,262,95,267,95,268,95,272,95,288,95,289,95,102,96,105,96,106,96,107,96,109,96,110,96,111,96,112,96,113,96,114,96,115,96,117,96,119,96,121,96,124,96,125,96,131,96,134,96,135,96,136,96,137,96,138,96,141,96,145,96,146,96,148,96,150,96,151,96,156,96,167,96,171,96,172,96,221,96,225,96,245,96,248,96,251,96,252,96,253,96,254,96,255,96,256,96,257,96,259,96,260,96,261,96,262,96,264,96,265,96,266,96,267,96,271,96,100,97,106,97,111,97,112,97,113,97,114,97,115,97,117,97,118,97,119,97,121,97,130,97,131,97,132,97,133,97,134,97,135,97,136,97,137,97,138,97,145,97,146,97,148,97,151,97,152,97,156,97,164,97,171,97,225,97,226,97,230,97,231,97,245,97,247,97,248,97,249,97,250,97,251,97,253,97,254,97,257,97,258,97,259,97,263,97,267,97,268,97,270,97,271,97,100,98,101,98,104,98,107,98,110,98,111,98,112,98,113,98,114,98,115,98,117,98,118,98,120,98,123,98,125,98,126,98,127,98,128,98,133,98,134,98,135,98,136,98,137,98,138,98,142,98,144,98,145,98,164,98,171,98,233,98,238,98,245,98,246,98,247,98,249,98,252,98,255,98,256,98,257,98,258,98,259,98,260,98,266,98,267,98,268,98,99,99,100,99,105,99,107,99,108,99,109,99,110,99,111,99,112,99,113,99,115,99,116,99,117,99,119,99,120,99,121,99,122,99,123,99,126,99,128,99,130,99,133,99,135,99,136,99,137,99,138,99,139,99,141,99,142,99,143,99,145,99,148,99,150,99,156,99,157,99,158,99,162,99,170,99,233,99,238,99,246,99,247,99,248,99,249,99,253,99,254,99,257,99,260,99,262,99,263,99,264,99,265,99,266,99,269,99,280,99,99,100,100,100,102,100,104,100,105,100,108,100,109,100,110,100,111,100,112,100,113,100,114,100,115,100,116,100,118,100,119,100,121,100,122,100,123,100,125,100,128,100,129,100,131,100,132,100,133,100,135,100,136,100,138,100,140,100,141,100,142,100,143,100,156,100,162,100,238,100,239,100,240,100,245,100,246,100,247,100,248,100,249,100,251,100,252,100,255,100,256,100,257,100,258,100,259,100,260,100,261,100,265,100,266,100,104,101,105,101,108,101,110,101,111,101,114,101,115,101,116,101,117,101,118,101,119,101,125,101,126,101,127,101,128,101,129,101,131,101,132,101,137,101,140,101,142,101,144,101,152,101,153,101,154,101,158,101,165,101,166,101,235,101,246,101,247,101,248,101,249,101,250,101,251,101,252,101,254,101,256,101,257,101,258,101,259,101,260,101,262,101,265,101,267,101,99,102,107,102,108,102,109,102,110,102,111,102,112,102,113,102,114,102,118,102,123,102,125,102,129,102,130,102,131,102,132,102,136,102,137,102,142,102,144,102,148,102,152,102,153,102,154,102,158,102,165,102,244,102,246,102,247,102,248,102,250,102,252,102,253,102,258,102,259,102,260,102,261,102,265,102,266,102,267,102,98,103,99,103,106,103,107,103,108,103,109,103,110,103,111,103,112,103,114,103,116,103,118,103,119,103,120,103,121,103,122,103,123,103,125,103,126,103,127,103,128,103,131,103,135,103,136,103,138,103,142,103,143,103,144,103,147,103,150,103,151,103,158,103,159,103,160,103,163,103,164,103,238,103,241,103,242,103,243,103,245,103,246,103,249,103,250,103,252,103,253,103,256,103,258,103,259,103,263,103,264,103,266,103,270,103,273,103,97,104,99,104,101,104,104,104,105,104,106,104,107,104,108,104,109,104,110,104,111,104,112,104,115,104,116,104,119,104,122,104,125,104,126,104,131,104,132,104,133,104,134,104,135,104,137,104,139,104,140,104,141,104,143,104,145,104,146,104,150,104,153,104,156,104,158,104,159,104,238,104,243,104,244,104,245,104,246,104,247,104,248,104,249,104,252,104,255,104,256,104,259,104,265,104,101,105,104,105,105,105,106,105,108,105,111,105,112,105,113,105,114,105,116,105,122,105,123,105,125,105,130,105,132,105,135,105,136,105,137,105,138,105,149,105,150,105,158,105,238,105,243,105,244,105,246,105,247,105,248,105,249,105,250,105,251,105,255,105,256,105,257,105,261,105,262,105,265,105,274,105,101,106,103,106,105,106,106,106,107,106,108,106,109,106,110,106,111,106,113,106,115,106,116,106,117,106,120,106,121,106,124,106,125,106,128,106,129,106,130,106,131,106,144,106,158,106,242,106,247,106,250,106,254,106,255,106,256,106,261,106,262,106,263,106,264,106,265,106,271,106,274,106,283,106,103,107,104,107,106,107,107,107,108,107,109,107,110,107,111,107,112,107,114,107,116,107,117,107,120,107,121,107,122,107,123,107,125,107,129,107,130,107,133,107,135,107,136,107,137,107,138,107,142,107,143,107,144,107,154,107,157,107,158,107,250,107,260,107,261,107,98,108,103,108,105,108,106,108,107,108,108,108,109,108,111,108,113,108,114,108,119,108,120,108,121,108,126,108,127,108,130,108,131,108,132,108,133,108,134,108,136,108,141,108,144,108,157,108,244,108,248,108,249,108,253,108,259,108,264,108,265,108,269,108,279,108,96,109,98,109,99,109,100,109,101,109,102,109,104,109,105,109,106,109,108,109,111,109,112,109,114,109,117,109,118,109,119,109,122,109,123,109,124,109,125,109,127,109,128,109,129,109,131,109,136,109,137,109,141,109,142,109,143,109,150,109,151,109,156,109,255,109,262,109,264,109,268,109,269,109,270,109,279,109,95,110,96,110,99,110,100,110,101,110,103,110,104,110,105,110,106,110,111,110,112,110,114,110,118,110,119,110,120,110,121,110,122,110,124,110,128,110,129,110,131,110,134,110,137,110,138,110,242,110,243,110,247,110,248,110,252,110,254,110,264,110,265,110,266,110,269,110,271,110,272,110,273,110,283,110,284,110,97,111,99,111,101,111,102,111,103,111,105,111,106,111,107,111,108,111,111,111,126,111,127,111,131,111,137,111,142,111,243,111,244,111,245,111,249,111,250,111,261,111,263,111,266,111,267,111,270,111,272,111,275,111,283,111,284,111,94,112,97,112,101,112,102,112,103,112,104,112,105,112,108,112,109,112,110,112,113,112,119,112,122,112,125,112,126,112,127,112,130,112,131,112,133,112,134,112,136,112,137,112,138,112,141,112,142,112,149,112,249,112,259,112,260,112,261,112,262,112,268,112,269,112,273,112,274,112,278,112,96,113,97,113,98,113,103,113,104,113,109,113,111,113,112,113,113,113,119,113,124,113,127,113,128,113,130,113,131,113,132,113,136,113,137,113,149,113,245,113,246,113,247,113,248,113,256,113,257,113,259,113,261,113,263,113,265,113,266,113,267,113,273,113,274,113,276,113,277,113,284,113,95,114,96,114,97,114,99,114,100,114,101,114,102,114,103,114,104,114,108,114,112,114,118,114,119,114,120,114,121,114,126,114,128,114,136,114,137,114,246,114,247,114,252,114,253,114,254,114,255,114,256,114,259,114,260,114,263,114,265,114,269,114,271,114,272,114,273,114,274,114,280,114,96,115,97,115,98,115,99,115,103,115,104,115,105,115,107,115,108,115,109,115,110,115,111,115,112,115,113,115,114,115,115,115,117,115,119,115,121,115,124,115,125,115,128,115,129,115,135,115,136,115,142,115,252,115,253,115,254,115,260,115,262,115,264,115,265,115,266,115,274,115,275,115,276,115,277,115,280,115,281,115,284,115,95,116,102,116,103,116,104,116,105,116,106,116,107,116,109,116,110,116,111,116,112,116,114,116,115,116,116,116,117,116,118,116,120,116,121,116,122,116,123,116,124,116,129,116,132,116,141,116,142,116,252,116,260,116,261,116,262,116,264,116,265,116,268,116,273,116,274,116,275,116,278,116,279,116,280,116,284,116,91,117,93,117,99,117,100,117,101,117,103,117,104,117,105,117,106,117,107,117,109,117,110,117,113,117,114,117,115,117,116,117,117,117,122,117,124,117,128,117,129,117,257,117,261,117,264,117,266,117,267,117,268,117,273,117,278,117,283,117,284,117,91,118,92,118,93,118,95,118,99,118,100,118,101,118,102,118,103,118,104,118,105,118,109,118,110,118,111,118,112,118,113,118,114,118,115,118,118,118,122,118,128,118,134,118,257,118,261,118,264,118,265,118,267,118,273,118,278,118,279,118,283,118,90,119,91,119,93,119,94,119,96,119,100,119,101,119,102,119,103,119,110,119,111,119,116,119,118,119,119,119,121,119,124,119,127,119,133,119,138,119,261,119,262,119,266,119,267,119,268,119,272,119,273,119,277,119,281,119,282,119,283,119,287,119,89,120,90,120,91,120,92,120,94,120,96,120,97,120,99,120,100,120,101,120,103,120,107,120,109,120,112,120,116,120,117,120,118,120,123,120,127,120,133,120,144,120,145,120,146,120,250,120,255,120,256,120,260,120,261,120,265,120,266,120,267,120,268,120,269,120,270,120,271,120,272,120,273,120,274,120,278,120,279,120,282,120,283,120,83,121,84,121,85,121,86,121,87,121,88,121,89,121,90,121,91,121,96,121,97,121,98,121,99,121,100,121,102,121,103,121,109,121,110,121,111,121,112,121,116,121,117,121,118,121,120,121,126,121,133,121,144,121,145,121,146,121,253,121,255,121,256,121,259,121,260,121,261,121,264,121,265,121,266,121,267,121,269,121,271,121,272,121,274,121,275,121,276,121,277,121,278,121,279,121,282,121,75,122,77,122,78,122,82,122,83,122,84,122,85,122,86,122,87,122,88,122,89,122,90,122,91,122,92,122,93,122,95,122,96,122,99,122,102,122,108,122,109,122,110,122,111,122,112,122,114,122,117,122,118,122,120,122,122,122,127,122,130,122,131,122,145,122,251,122,252,122,260,122,261,122,263,122,264,122,265,122,267,122,269,122,272,122,273,122,274,122,275,122,276,122,278,122,279,122,282,122,284,122,287,122,67,123,69,123,70,123,78,123,82,123,86,123,87,123,88,123,89,123,90,123,91,123,92,123,93,123,94,123,95,123,96,123,97,123,98,123,99,123,100,123,101,123,102,123,103,123,104,123,111,123,114,123,115,123,117,123,118,123,122,123,124,123,127,123,251,123,252,123,253,123,259,123,261,123,262,123,263,123,264,123,267,123,269,123,270,123,272,123,273,123,275,123,276,123,277,123,278,123,282,123,283,123,284,123,285,123,286,123,287,123,61,124,62,124,69,124,76,124,82,124,88,124,89,124,90,124,91,124,93,124,97,124,98,124,99,124,100,124,101,124,102,124,104,124,106,124,108,124,113,124,114,124,116,124,117,124,119,124,120,124,121,124,122,124,131,124,133,124,134,124,136,124,141,124,146,124,147,124,240,124,252,124,253,124,263,124,267,124,271,124,272,124,273,124,280,124,285,124,286,124,60,125,61,125,65,125,67,125,76,125,77,125,79,125,81,125,82,125,86,125,88,125,91,125,92,125,93,125,94,125,95,125,100,125,101,125,102,125,104,125,113,125,114,125,115,125,116,125,117,125,124,125,129,125,133,125,142,125,146,125,241,125,253,125,263,125,266,125,267,125,268,125,269,125,277,125,278,125,279,125,280,125,288,125,289,125,60,126,61,126,62,126,63,126,65,126,66,126,67,126,68,126,70,126,71,126,74,126,76,126,80,126,81,126,82,126,84,126,88,126,91,126,92,126,100,126,101,126,103,126,104,126,105,126,106,126,114,126,117,126,118,126,119,126,132,126,135,126,242,126,253,126,261,126,262,126,266,126,267,126,272,126,273,126,274,126,275,126,276,126,277,126,279,126,283,126,284,126,285,126,59,127,63,127,65,127,68,127,71,127,72,127,74,127,75,127,77,127,79,127,80,127,83,127,84,127,86,127,87,127,88,127,100,127,102,127,103,127,104,127,107,127,108,127,111,127,114,127,115,127,117,127,120,127,122,127,127,127,129,127,130,127,132,127,145,127,253,127,254,127,255,127,259,127,260,127,261,127,262,127,263,127,264,127,265,127,266,127,269,127,271,127,272,127,274,127,275,127,277,127,281,127,283,127,284,127,59,128,60,128,61,128,65,128,67,128,68,128,71,128,75,128,77,128,79,128,80,128,84,128,85,128,86,128,87,128,93,128,94,128,100,128,101,128,102,128,106,128,108,128,110,128,114,128,115,128,120,128,129,128,248,128,251,128,254,128,255,128,258,128,259,128,260,128,264,128,265,128,266,128,268,128,269,128,271,128,272,128,274,128,275,128,276,128,279,128,280,128,281,128,282,128,283,128,284,128,286,128,60,129,62,129,63,129,66,129,70,129,72,129,73,129,74,129,75,129,76,129,78,129,80,129,85,129,86,129,91,129,92,129,94,129,103,129,105,129,106,129,109,129,110,129,112,129,116,129,117,129,118,129,122,129,123,129,243,129,254,129,255,129,256,129,257,129,258,129,259,129,260,129,262,129,264,129,265,129,266,129,267,129,268,129,269,129,270,129,271,129,272,129,273,129,274,129,276,129,277,129,278,129,279,129,280,129,281,129,282,129,283,129,284,129,285,129,287,129,59,130,60,130,72,130,73,130,74,130,75,130,76,130,80,130,83,130,85,130,88,130,89,130,90,130,91,130,92,130,100,130,101,130,104,130,105,130,113,130,114,130,126,130,131,130,248,130,255,130,259,130,260,130,261,130,263,130,264,130,265,130,266,130,267,130,268,130,269,130,270,130,271,130,272,130,273,130,275,130,276,130,277,130,278,130,279,130,280,130,281,130,282,130,283,130,284,130,285,130,286,130,59,131,60,131,71,131,72,131,74,131,75,131,76,131,77,131,80,131,81,131,83,131,84,131,87,131,91,131,100,131,101,131,105,131,113,131,114,131,115,131,116,131,125,131,128,131,129,131,130,131,142,131,143,131,244,131,245,131,255,131,256,131,257,131,262,131,263,131,264,131,266,131,267,131,268,131,269,131,270,131,271,131,275,131,276,131,278,131,279,131,280,131,281,131,283,131,284,131,59,132,63,132,64,132,67,132,72,132,74,132,75,132,79,132,80,132,84,132,85,132,91,132,100,132,101,132,102,132,108,132,113,132,116,132,117,132,125,132,126,132,244,132,245,132,250,132,254,132,255,132,256,132,257,132,262,132,263,132,266,132,267,132,268,132,269,132,270,132,271,132,272,132,275,132,276,132,277,132,279,132,282,132,283,132,58,133,63,133,70,133,73,133,75,133,77,133,80,133,81,133,82,133,83,133,84,133,89,133,90,133,92,133,99,133,101,133,102,133,103,133,105,133,108,133,109,133,112,133,113,133,117,133,126,133,128,133,254,133,255,133,256,133,257,133,263,133,264,133,265,133,266,133,267,133,269,133,271,133,274,133,275,133,276,133,278,133,279,133,281,133,282,133,285,133,286,133,58,134,59,134,60,134,66,134,67,134,68,134,69,134,70,134,73,134,74,134,78,134,79,134,80,134,81,134,83,134,85,134,86,134,92,134,93,134,99,134,100,134,101,134,102,134,111,134,113,134,114,134,118,134,121,134,122,134,125,134,126,134,138,134,142,134,245,134,251,134,252,134,255,134,256,134,257,134,262,134,263,134,264,134,267,134,269,134,271,134,273,134,274,134,275,134,278,134,281,134,282,134,283,134,284,134,286,134,291,134,62,135,74,135,75,135,78,135,81,135,85,135,86,135,88,135,90,135,91,135,98,135,99,135,101,135,102,135,104,135,111,135,113,135,114,135,116,135,128,135,129,135,130,135,245,135,249,135,255,135,256,135,257,135,258,135,259,135,260,135,261,135,262,135,268,135,269,135,274,135,275,135,276,135,279,135,280,135,281,135,282,135,285,135,286,135,289,135,62,136,73,136,74,136,77,136,81,136,82,136,83,136,84,136,86,136,87,136,88,136,94,136,97,136,98,136,99,136,100,136,102,136,103,136,105,136,109,136,111,136,112,136,113,136,114,136,115,136,119,136,120,136,121,136,124,136,130,136,245,136,246,136,257,136,260,136,261,136,262,136,263,136,268,136,269,136,270,136,272,136,276,136,277,136,279,136,281,136,282,136,284,136,286,136,287,136,288,136,289,136,62,137,72,137,73,137,74,137,75,137,76,137,81,137,83,137,86,137,89,137,94,137,95,137,101,137,105,137,109,137,110,137,112,137,113,137,114,137,123,137,125,137,129,137,136,137,246,137,251,137,252,137,253,137,256,137,257,137,262,137,265,137,266,137,267,137,268,137,272,137,273,137,274,137,275,137,278,137,279,137,282,137,283,137,284,137,285,137,286,137,287,137,288,137,289,137,292,137,293,137,67,138,71,138,73,138,74,138,75,138,79,138,80,138,88,138,89,138,90,138,92,138,95,138,99,138,101,138,104,138,107,138,108,138,112,138,120,138,123,138,124,138,141,138,246,138,251,138,252,138,255,138,256,138,257,138,258,138,265,138,266,138,269,138,273,138,277,138,282,138,283,138,284,138,285,138,286,138,294,138,67,139,68,139,69,139,70,139,71,139,72,139,73,139,74,139,78,139,80,139,83,139,87,139,88,139,90,139,91,139,95,139,98,139,101,139,102,139,103,139,111,139,118,139,121,139,122,139,123,139,128,139,246,139,247,139,249,139,250,139,251,139,252,139,253,139,257,139,258,139,261,139,262,139,268,139,271,139,272,139,273,139,277,139,279,139,280,139,282,139,59,140,72,140,73,140,74,140,78,140,80,140,81,140,87,140,88,140,90,140,91,140,94,140,98,140,101,140,103,140,105,140,106,140,112,140,114,140,120,140,125,140,247,140,251,140,252,140,253,140,257,140,258,140,260,140,262,140,263,140,264,140,267,140,268,140,269,140,270,140,271,140,272,140,276,140,278,140,279,140,281,140,282,140,283,140,284,140,58,141,59,141,68,141,72,141,73,141,75,141,80,141,81,141,82,141,86,141,87,141,88,141,89,141,90,141,91,141,93,141,98,141,99,141,100,141,101,141,103,141,105,141,118,141,125,141,127,141,246,141,252,141,258,141,259,141,260,141,263,141,264,141,268,141,269,141,270,141,271,141,272,141,273,141,274,141,275,141,276,141,282,141,283,141,284,141,285,141,286,141,290,141,291,141,306,141,309,141,58,142,61,142,72,142,73,142,74,142,81,142,85,142,86,142,88,142,89,142,104,142,106,142,108,142,114,142,118,142,126,142,131,142,133,142,139,142,246,142,252,142,253,142,256,142,257,142,258,142,259,142,260,142,264,142,267,142,268,142,270,142,271,142,272,142,273,142,274,142,278,142,279,142,281,142,282,142,283,142,284,142,285,142,313,142,58,143,59,143,62,143,63,143,64,143,70,143,71,143,72,143,73,143,74,143,77,143,80,143,82,143,84,143,86,143,89,143,98,143,101,143,102,143,106,143,111,143,113,143,115,143,118,143,120,143,130,143,131,143,246,143,247,143,250,143,252,143,253,143,257,143,258,143,264,143,267,143,268,143,269,143,270,143,271,143,272,143,273,143,274,143,277,143,278,143,281,143,283,143,284,143,315,143,316,143,320,143,321,143,322,143,323,143,58,144,62,144,63,144,64,144,65,144,72,144,73,144,74,144,75,144,78,144,81,144,82,144,83,144,84,144,87,144,91,144,100,144,101,144,103,144,110,144,111,144,113,144,114,144,115,144,116,144,118,144,121,144,122,144,132,144,246,144,250,144,252,144,253,144,254,144,255,144,256,144,257,144,258,144,271,144,272,144,273,144,277,144,280,144,281,144,283,144,284,144,291,144,316,144,317,144,318,144,320,144,321,144,322,144,323,144,324,144,325,144,326,144,58,145,59,145,60,145,62,145,66,145,67,145,71,145,74,145,75,145,77,145,78,145,81,145,83,145,87,145,91,145,94,145,95,145,100,145,103,145,104,145,105,145,106,145,112,145,119,145,120,145,122,145,136,145,246,145,247,145,248,145,249,145,250,145,253,145,254,145,255,145,258,145,266,145,267,145,268,145,270,145,273,145,274,145,276,145,277,145,278,145,282,145,290,145,291,145,292,145,316,145,317,145,318,145,319,145,322,145,325,145,62,146,65,146,67,146,71,146,72,146,73,146,74,146,76,146,77,146,78,146,79,146,80,146,83,146,85,146,86,146,90,146,91,146,93,146,100,146,104,146,105,146,107,146,112,146,115,146,116,146,120,146,128,146,131,146,132,146,134,146,136,146,246,146,247,146,250,146,253,146,255,146,256,146,258,146,266,146,267,146,268,146,269,146,270,146,271,146,273,146,276,146,277,146,279,146,280,146,281,146,282,146,289,146,290,146,316,146,323,146,324,146,61,147,69,147,74,147,75,147,76,147,77,147,79,147,80,147,81,147,82,147,85,147,86,147,91,147,99,147,100,147,102,147,103,147,104,147,105,147,106,147,107,147,113,147,114,147,115,147,118,147,128,147,131,147,134,147,135,147,136,147,246,147,252,147,253,147,254,147,255,147,256,147,257,147,258,147,259,147,268,147,269,147,270,147,274,147,275,147,276,147,277,147,280,147,282,147,284,147,288,147,292,147,315,147,323,147,324,147,61,148,63,148,64,148,65,148,66,148,73,148,74,148,77,148,80,148,82,148,84,148,87,148,91,148,99,148,100,148,101,148,102,148,104,148,106,148,107,148,110,148,112,148,113,148,117,148,130,148,134,148,135,148,246,148,248,148,250,148,251,148,252,148,253,148,254,148,256,148,257,148,258,148,259,148,264,148,267,148,268,148,275,148,276,148,278,148,279,148,280,148,284,148,318,148,319,148,324,148,325,148,326,148,62,149,64,149,67,149,73,149,78,149,82,149,86,149,89,149,90,149,96,149,97,149,99,149,100,149,101,149,104,149,105,149,107,149,110,149,111,149,113,149,116,149,117,149,118,149,128,149,130,149,131,149,132,149,246,149,250,149,251,149,252,149,254,149,255,149,256,149,258,149,264,149,265,149,266,149,267,149,272,149,273,149,275,149,277,149,278,149,284,149,287,149,288,149,291,149,294,149,312,149,319,149,321,149,322,149,323,149,324,149,325,149,326,149,58,150,62,150,70,150,71,150,72,150,73,150,74,150,84,150,87,150,88,150,89,150,92,150,93,150,99,150,101,150,106,150,109,150,113,150,117,150,246,150,249,150,250,150,252,150,253,150,254,150,257,150,258,150,259,150,261,150,262,150,264,150,279,150,280,150,282,150,283,150,285,150,286,150,287,150,288,150,291,150,292,150,293,150,319,150,320,150,323,150,324,150,325,150,326,150,58,151,64,151,68,151,70,151,72,151,73,151,74,151,78,151,81,151,84,151,87,151,88,151,92,151,93,151,97,151,98,151,102,151,106,151,107,151,111,151,113,151,115,151,116,151,119,151,120,151,121,151,129,151,246,151,251,151,252,151,253,151,254,151,259,151,260,151,262,151,269,151,270,151,274,151,275,151,276,151,277,151,278,151,282,151,283,151,284,151,285,151,289,151,290,151,291,151,292,151,305,151,319,151,323,151,324,151,325,151,64,152,67,152,70,152,73,152,74,152,77,152,79,152,81,152,87,152,88,152,89,152,92,152,99,152,100,152,102,152,110,152,111,152,115,152,116,152,117,152,118,152,125,152,127,152,128,152,129,152,246,152,252,152,253,152,254,152,255,152,257,152,259,152,260,152,262,152,263,152,272,152,273,152,275,152,276,152,282,152,283,152,284,152,286,152,290,152,305,152,314,152,318,152,319,152,321,152,324,152,325,152,63,153,65,153,69,153,70,153,72,153,74,153,78,153,83,153,98,153,100,153,101,153,102,153,103,153,104,153,109,153,110,153,112,153,113,153,115,153,116,153,125,153,127,153,128,153,246,153,249,153,250,153,251,153,252,153,253,153,254,153,255,153,256,153,258,153,259,153,268,153,269,153,270,153,271,153,272,153,275,153,279,153,280,153,281,153,282,153,283,153,285,153,286,153,287,153,288,153,292,153,314,153,316,153,318,153,319,153,320,153,321,153,322,153,324,153,58,154,60,154,62,154,63,154,65,154,68,154,69,154,70,154,72,154,73,154,74,154,75,154,81,154,82,154,98,154,99,154,100,154,101,154,102,154,108,154,109,154,116,154,123,154,128,154,133,154,134,154,136,154,246,154,250,154,251,154,252,154,254,154,255,154,256,154,257,154,258,154,259,154,262,154,270,154,271,154,272,154,275,154,279,154,281,154,286,154,287,154,288,154,289,154,306,154,316,154,317,154,319,154,320,154,321,154,322,154,324,154,325,154,60,155,64,155,65,155,66,155,67,155,68,155,69,155,73,155,76,155,77,155,78,155,80,155,85,155,86,155,91,155,100,155,101,155,102,155,104,155,105,155,106,155,108,155,109,155,112,155,113,155,114,155,115,155,124,155,130,155,131,155,134,155,246,155,250,155,251,155,252,155,253,155,255,155,256,155,257,155,258,155,259,155,260,155,261,155,266,155,269,155,272,155,276,155,277,155,278,155,280,155,281,155,283,155,285,155,286,155,288,155,289,155,291,155,292,155,293,155,294,155,310,155,317,155,318,155,319,155,322,155,323,155,58,156,61,156,63,156,64,156,66,156,69,156,71,156,100,156,103,156,104,156,105,156,112,156,113,156,119,156,131,156,134,156,246,156,249,156,250,156,252,156,253,156,254,156,255,156,256,156,257,156,258,156,259,156,266,156,268,156,269,156,272,156,281,156,282,156,283,156,286,156,287,156,288,156,289,156,291,156,310,156,317,156,318,156,319,156,321,156,322,156,323,156,324,156,325,156,326,156,93,157,98,157,103,157,104,157,113,157,122,157,124,157,131,157,138,157,139,157,246,157,249,157,250,157,251,157,252,157,253,157,255,157,256,157,257,157,258,157,272,157,278,157,279,157,280,157,281,157,282,157,283,157,284,157,286,157,287,157,288,157,289,157,290,157,310,157,317,157,318,157,320,157,321,157,323,157,324,157,325,157,326,157,93,158,98,158,99,158,104,158,105,158,111,158,127,158,128,158,138,158,139,158,250,158,252,158,253,158,254,158,255,158,256,158,257,158,264,158,265,158,272,158,275,158,276,158,277,158,278,158,279,158,280,158,281,158,282,158,284,158,285,158,286,158,287,158,288,158,289,158,293,158,310,158,316,158,320,158,322,158,323,158,324,158,325,158,97,159,98,159,99,159,103,159,104,159,105,159,121,159,124,159,127,159,131,159,138,159,250,159,251,159,252,159,253,159,255,159,256,159,257,159,266,159,267,159,270,159,273,159,277,159,284,159,285,159,288,159,312,159,313,159,315,159,316,159,317,159,318,159,319,159,320,159,323,159,324,159,325,159,106,160,112,160,130,160,137,160,140,160,245,160,249,160,250,160,254,160,255,160,257,160,261,160,266,160,269,160,272,160,273,160,275,160,276,160,277,160,281,160,282,160,283,160,285,160,286,160,291,160,292,160,293,160,313,160,317,160,318,160,325,160,106,161,110,161,112,161,131,161,245,161,249,161,250,161,252,161,253,161,255,161,256,161,261,161,268,161,272,161,274,161,275,161,276,161,277,161,278,161,280,161,281,161,283,161,286,161,290,161,291,161,315,161,316,161,319,161,324,161,325,161,103,162,105,162,107,162,109,162,110,162,111,162,112,162,119,162,129,162,131,162,132,162,135,162,136,162,137,162,139,162,245,162,248,162,249,162,250,162,251,162,252,162,253,162,255,162,256,162,267,162,268,162,270,162,272,162,274,162,276,162,277,162,278,162,279,162,280,162,282,162,283,162,284,162,285,162,289,162,290,162,293,162,319,162,322,162,323,162,324,162,325,162,103,163,104,163,105,163,108,163,111,163,117,163,122,163,128,163,130,163,131,163,136,163,139,163,142,163,246,163,247,163,249,163,250,163,252,163,254,163,255,163,256,163,257,163,258,163,259,163,267,163,270,163,271,163,272,163,275,163,276,163,277,163,278,163,279,163,280,163,282,163,283,163,284,163,285,163,286,163,287,163,289,163,290,163,291,163,312,163,317,163,319,163,320,163,321,163,322,163,323,163,324,163,325,163,99,164,103,164,107,164,117,164,118,164,120,164,121,164,125,164,127,164,130,164,131,164,142,164,246,164,247,164,248,164,249,164,253,164,254,164,255,164,256,164,257,164,266,164,267,164,268,164,269,164,270,164,271,164,272,164,275,164,276,164,277,164,278,164,279,164,282,164,284,164,285,164,286,164,289,164,310,164,314,164,319,164,320,164,322,164,323,164,324,164,325,164,98,165,99,165,103,165,107,165,108,165,115,165,116,165,117,165,119,165,120,165,124,165,134,165,136,165,138,165,139,165,142,165,245,165,246,165,248,165,249,165,250,165,251,165,254,165,255,165,257,165,262,165,265,165,266,165,267,165,268,165,270,165,273,165,275,165,278,165,279,165,280,165,281,165,283,165,286,165,288,165,289,165,312,165,314,165,316,165,319,165,320,165,321,165,322,165,323,165,324,165,98,166,99,166,105,166,108,166,109,166,119,166,128,166,129,166,134,166,141,166,142,166,143,166,245,166,246,166,247,166,249,166,252,166,254,166,255,166,257,166,258,166,262,166,263,166,265,166,266,166,267,166,268,166,269,166,270,166,272,166,273,166,275,166,276,166,277,166,279,166,280,166,281,166,284,166,285,166,286,166,287,166,292,166,305,166,317,166,319,166,320,166,321,166,322,166,324,166,104,167,105,167,115,167,121,167,131,167,141,167,244,167,245,167,246,167,251,167,252,167,253,167,254,167,255,167,257,167,258,167,260,167,262,167,263,167,265,167,266,167,267,167,268,167,269,167,270,167,271,167,272,167,273,167,275,167,276,167,277,167,278,167,279,167,280,167,281,167,282,167,283,167,284,167,286,167,287,167,290,167,313,167,315,167,320,167,322,167,325,167,96,168,105,168,117,168,125,168,131,168,133,168,134,168,244,168,245,168,246,168,247,168,251,168,252,168,254,168,263,168,264,168,265,168,266,168,268,168,269,168,270,168,271,168,274,168,275,168,276,168,278,168,280,168,281,168,282,168,285,168,286,168,287,168,289,168,290,168,311,168,312,168,315,168,319,168,320,168,322,168,323,168,325,168,95,169,96,169,97,169,102,169,129,169,131,169,132,169,133,169,138,169,244,169,245,169,246,169,247,169,249,169,250,169,251,169,256,169,258,169,262,169,263,169,264,169,265,169,266,169,267,169,268,169,269,169,270,169,271,169,272,169,273,169,274,169,275,169,278,169,280,169,281,169,285,169,288,169,289,169,290,169,315,169,319,169,95,170,96,170,98,170,102,170,105,170,106,170,107,170,117,170,118,170,127,170,138,170,139,170,140,170,243,170,245,170,246,170,249,170,250,170,251,170,252,170,253,170,254,170,255,170,258,170,264,170,267,170,270,170,272,170,276,170,277,170,278,170,285,170,288,170,310,170,313,170,315,170,316,170,317,170,92,171,95,171,96,171,97,171,98,171,117,171,123,171,126,171,129,171,132,171,140,171,243,171,244,171,245,171,246,171,247,171,249,171,251,171,254,171,255,171,264,171,268,171,270,171,271,171,272,171,273,171,274,171,277,171,278,171,279,171,281,171,282,171,287,171,303,171,315,171,318,171,320,171,322,171,91,172,95,172,97,172,98,172,143,172,242,172,244,172,245,172,251,172,252,172,253,172,254,172,256,172,260,172,261,172,262,172,263,172,264,172,265,172,266,172,267,172,268,172,269,172,270,172,271,172,272,172,273,172,274,172,275,172,276,172,279,172,283,172,284,172,286,172,287,172,314,172,318,172,323,172,324,172,90,173,94,173,95,173,96,173,97,173,98,173,104,173,135,173,136,173,139,173,142,173,143,173,144,173,241,173,242,173,243,173,244,173,245,173,246,173,247,173,251,173,252,173,257,173,260,173,261,173,262,173,263,173,264,173,265,173,267,173,268,173,270,173,271,173,274,173,275,173,276,173,279,173,281,173,282,173,283,173,284,173,285,173,286,173,287,173,315,173,316,173,320,173,323,173,324,173,92,174,93,174,94,174,95,174,98,174,102,174,106,174,108,174,109,174,136,174,141,174,240,174,241,174,242,174,243,174,244,174,246,174,247,174,248,174,249,174,250,174,251,174,253,174,260,174,261,174,262,174,263,174,264,174,265,174,266,174,267,174,268,174,269,174,270,174,271,174,274,174,277,174,278,174,279,174,281,174,282,174,283,174,284,174,286,174,90,175,93,175,95,175,96,175,97,175,98,175,99,175,100,175,106,175,107,175,127,175,131,175,134,175,135,175,136,175,138,175,139,175,140,175,146,175,240,175,241,175,242,175,243,175,247,175,251,175,252,175,253,175,258,175,260,175,261,175,262,175,263,175,264,175,265,175,266,175,267,175,268,175,269,175,270,175,272,175,273,175,276,175,277,175,278,175,279,175,281,175,282,175,284,175,286,175,287,175,288,175,95,176,96,176,97,176,98,176,99,176,100,176,109,176,110,176,111,176,112,176,130,176,134,176,138,176,140,176,143,176,144,176,146,176,239,176,240,176,241,176,242,176,243,176,247,176,248,176,251,176,252,176,253,176,259,176,260,176,261,176,262,176,263,176,264,176,265,176,266,176,267,176,268,176,269,176,270,176,271,176,272,176,273,176,275,176,276,176,277,176,278,176,279,176,281,176,282,176,283,176,284,176,285,176,286,176,91,177,92,177,94,177,96,177,98,177,99,177,100,177,101,177,109,177,115,177,137,177,140,177,143,177,144,177,145,177,239,177,240,177,241,177,242,177,243,177,244,177,246,177,249,177,250,177,252,177,257,177,258,177,259,177,260,177,261,177,262,177,264,177,265,177,266,177,267,177,269,177,270,177,271,177,272,177,276,177,277,177,278,177,279,177,280,177,283,177,284,177,91,178,92,178,96,178,98,178,100,178,101,178,116,178,132,178,139,178,239,178,240,178,241,178,242,178,245,178,247,178,248,178,250,178,257,178,258,178,259,178,260,178,261,178,262,178,263,178,265,178,266,178,267,178,269,178,270,178,271,178,272,178,274,178,275,178,276,178,277,178,278,178,279,178,281,178,282,178,283,178,284,178,91,179,93,179,94,179,97,179,98,179,99,179,100,179,101,179,115,179,118,179,125,179,129,179,132,179,135,179,136,179,139,179,144,179,146,179,147,179,148,179,238,179,239,179,240,179,241,179,244,179,247,179,249,179,250,179,251,179,252,179,257,179,258,179,259,179,260,179,261,179,262,179,263,179,264,179,265,179,266,179,267,179,269,179,270,179,271,179,272,179,273,179,274,179,275,179,276,179,277,179,282,179,91,180,92,180,93,180,94,180,97,180,98,180,99,180,101,180,102,180,114,180,122,180,125,180,132,180,133,180,134,180,135,180,136,180,143,180,144,180,146,180,147,180,148,180,239,180,240,180,242,180,244,180,248,180,249,180,250,180,251,180,256,180,257,180,258,180,260,180,262,180,264,180,265,180,266,180,268,180,269,180,270,180,271,180,272,180,273,180,274,180,275,180,276,180,277,180,280,180,281,180,92,181,93,181,94,181,95,181,97,181,98,181,99,181,100,181,101,181,109,181,110,181,118,181,125,181,128,181,131,181,133,181,134,181,138,181,139,181,140,181,141,181,142,181,143,181,145,181,146,181,147,181,148,181,150,181,237,181,240,181,241,181,244,181,246,181,247,181,250,181,251,181,255,181,256,181,257,181,258,181,260,181,261,181,263,181,264,181,265,181,266,181,267,181,268,181,269,181,270,181,273,181,274,181,277,181,279,181,92,182,93,182,96,182,97,182,99,182,100,182,101,182,127,182,128,182,130,182,131,182,133,182,140,182,141,182,142,182,146,182,147,182,148,182,235,182,237,182,239,182,240,182,242,182,244,182,247,182,250,182,256,182,257,182,260,182,262,182,263,182,265,182,266,182,275,182,276,182,277,182,278,182,279,182,92,183,95,183,97,183,98,183,99,183,100,183,101,183,102,183,126,183,127,183,128,183,130,183,131,183,134,183,137,183,138,183,139,183,140,183,142,183,147,183,235,183,237,183,242,183,243,183,244,183,245,183,246,183,248,183,249,183,256,183,257,183,260,183,262,183,263,183,264,183,265,183,266,183,269,183,271,183,273,183,275,183,276,183,277,183,278,183,93,184,95,184,96,184,97,184,99,184,100,184,101,184,102,184,103,184,110,184,113,184,126,184,129,184,134,184,135,184,137,184,140,184,142,184,144,184,147,184,148,184,149,184,150,184,234,184,235,184,236,184,237,184,242,184,247,184,255,184,256,184,257,184,260,184,261,184,262,184,265,184,266,184,269,184,270,184,273,184,275,184,276,184,277,184,278,184,93,185,94,185,97,185,100,185,101,185,102,185,103,185,110,185,117,185,126,185,128,185,133,185,134,185,138,185,139,185,140,185,143,185,149,185,153,185,233,185,234,185,235,185,236,185,239,185,240,185,241,185,242,185,247,185,250,185,251,185,255,185,258,185,259,185,260,185,264,185,265,185,266,185,267,185,269,185,270,185,271,185,275,185,276,185,278,185,280,185,94,186,97,186,98,186,100,186,101,186,102,186,103,186,104,186,125,186,126,186,127,186,128,186,132,186,134,186,137,186,145,186,150,186,232,186,233,186,234,186,235,186,238,186,240,186,242,186,243,186,245,186,246,186,251,186,253,186,254,186,255,186,256,186,257,186,259,186,260,186,261,186,262,186,263,186,264,186,265,186,266,186,267,186,269,186,277,186,280,186,281,186,94,187,95,187,96,187,98,187,102,187,104,187,105,187,111,187,119,187,124,187,126,187,131,187,134,187,135,187,136,187,137,187,146,187,151,187,152,187,230,187,231,187,232,187,233,187,234,187,235,187,238,187,239,187,242,187,243,187,249,187,250,187,251,187,253,187,254,187,256,187,259,187,260,187,261,187,262,187,263,187,264,187,265,187,266,187,267,187,269,187,270,187,271,187,94,188,95,188,97,188,98,188,99,188,100,188,102,188,103,188,104,188,111,188,112,188,123,188,127,188,128,188,129,188,130,188,137,188,140,188,146,188,229,188,231,188,232,188,233,188,234,188,235,188,240,188,246,188,249,188,250,188,253,188,254,188,258,188,259,188,260,188,261,188,262,188,263,188,264,188,265,188,266,188,268,188,269,188,270,188,94,189,97,189,98,189,100,189,101,189,103,189,104,189,112,189,125,189,128,189,135,189,136,189,139,189,140,189,141,189,145,189,146,189,151,189,152,189,228,189,230,189,231,189,234,189,235,189,236,189,238,189,239,189,240,189,243,189,244,189,245,189,252,189,256,189,257,189,258,189,259,189,260,189,261,189,265,189,266,189,270,189,271,189,272,189,277,189,96,190,97,190,99,190,100,190,101,190,102,190,103,190,104,190,113,190,128,190,131,190,132,190,139,190,140,190,141,190,143,190,145,190,148,190,149,190,151,190,152,190,153,190,227,190,228,190,229,190,230,190,231,190,232,190,235,190,240,190,243,190,256,190,257,190,259,190,263,190,265,190,266,190,267,190,268,190,270,190,272,190,96,191,100,191,101,191,104,191,105,191,107,191,123,191,125,191,126,191,127,191,128,191,134,191,139,191,145,191,146,191,149,191,152,191,153,191,154,191,156,191,225,191,229,191,230,191,231,191,232,191,235,191,236,191,238,191,239,191,240,191,243,191,247,191,248,191,249,191,250,191,251,191,253,191,254,191,255,191,256,191,258,191,259,191,261,191,270,191,95,192,97,192,99,192,100,192,102,192,103,192,105,192,122,192,125,192,126,192,128,192,129,192,130,192,131,192,133,192,139,192,144,192,145,192,223,192,224,192,225,192,226,192,227,192,228,192,229,192,230,192,232,192,234,192,235,192,236,192,238,192,240,192,241,192,242,192,244,192,247,192,248,192,253,192,254,192,255,192,256,192,257,192,258,192,260,192,261,192,262,192,264,192,266,192,267,192,268,192,270,192,271,192,272,192,100,193,101,193,104,193,115,193,116,193,119,193,123,193,124,193,125,193,127,193,128,193,129,193,130,193,132,193,138,193,144,193,145,193,146,193,153,193,159,193,160,193,161,193,221,193,224,193,225,193,226,193,227,193,228,193,230,193,234,193,235,193,238,193,239,193,240,193,247,193,248,193,249,193,250,193,252,193,255,193,256,193,257,193,261,193,262,193,263,193,264,193,265,193,266,193,270,193,271,193,277,193,101,194,105,194,115,194,119,194,123,194,124,194,125,194,126,194,128,194,133,194,134,194,135,194,137,194,139,194,142,194,144,194,145,194,151,194,152,194,153,194,155,194,159,194,219,194,222,194,223,194,224,194,225,194,226,194,228,194,229,194,230,194,232,194,235,194,236,194,239,194,240,194,247,194,248,194,249,194,250,194,252,194,253,194,254,194,255,194,256,194,258,194,259,194,260,194,261,194,262,194,263,194,265,194,266,194,268,194,269,194,274,194,275,194,96,195,98,195,101,195,102,195,103,195,114,195,115,195,123,195,124,195,125,195,132,195,133,195,136,195,137,195,139,195,142,195,148,195,153,195,154,195,155,195,159,195,160,195,216,195,224,195,225,195,226,195,227,195,229,195,230,195,231,195,232,195,233,195,234,195,235,195,236,195,238,195,239,195,240,195,248,195,249,195,250,195,251,195,252,195,253,195,254,195,255,195,256,195,257,195,258,195,259,195,260,195,261,195,262,195,263,195,264,195,265,195,266,195,271,195,272,195,273,195,98,196,99,196,101,196,102,196,114,196,115,196,119,196,122,196,123,196,125,196,131,196,136,196,137,196,140,196,141,196,144,196,146,196,147,196,150,196,152,196,153,196,160,196,164,196,213,196,218,196,219,196,220,196,222,196,223,196,224,196,225,196,227,196,230,196,232,196,233,196,234,196,235,196,236,196,237,196,239,196,247,196,248,196,250,196,251,196,252,196,253,196,256,196,259,196,261,196,263,196,264,196,265,196,266,196,267,196,269,196,270,196,273,196,97,197,100,197,101,197,102,197,115,197,116,197,122,197,123,197,124,197,126,197,128,197,129,197,135,197,136,197,140,197,142,197,147,197,149,197,160,197,163,197,164,197,191,197,194,197,216,197,217,197,218,197,219,197,221,197,223,197,224,197,227,197,228,197,231,197,232,197,235,197,248,197,249,197,250,197,251,197,252,197,253,197,254,197,255,197,256,197,259,197,262,197,268,197,269,197,270,197,271,197,272,197,99,198,100,198,101,198,102,198,103,198,116,198,117,198,122,198,123,198,126,198,128,198,134,198,135,198,136,198,141,198,144,198,147,198,148,198,149,198,159,198,160,198,161,198,162,198,163,198,198,198,206,198,217,198,219,198,220,198,221,198,222,198,224,198,228,198,229,198,230,198,231,198,232,198,234,198,235,198,236,198,237,198,238,198,247,198,248,198,249,198,251,198,252,198,253,198,254,198,255,198,256,198,257,198,258,198,259,198,261,198,262,198,263,198,266,198,267,198,268,198,269,198,270,198,271,198,272,198,101,199,102,199,103,199,104,199,109,199,110,199,117,199,118,199,122,199,123,199,130,199,135,199,139,199,140,199,143,199,144,199,146,199,147,199,148,199,152,199,154,199,155,199,156,199,159,199,161,199,162,199,166,199,168,199,212,199,213,199,214,199,215,199,216,199,218,199,219,199,220,199,222,199,223,199,226,199,227,199,228,199,229,199,230,199,231,199,232,199,233,199,234,199,235,199,241,199,242,199,244,199,245,199,246,199,247,199,248,199,249,199,251,199,252,199,253,199,254,199,255,199,256,199,257,199,260,199,261,199,262,199,263,199,264,199,265,199,266,199,267,199,269,199,270,199,271,199,272,199,274,199,275,199,101,200,107,200,108,200,109,200,111,200,117,200,118,200,121,200,126,200,130,200,137,200,138,200,141,200,142,200,143,200,144,200,150,200,154,200,155,200,156,200,157,200,158,200,159,200,161,200,162,200,167,200,168,200,169,200,170,200,207,200,213,200,214,200,215,200,216,200,217,200,218,200,219,200,221,200,222,200,223,200,224,200,225,200,226,200,227,200,228,200,230,200,234,200,246,200,247,200,249,200,250,200,251,200,252,200,253,200,254,200,255,200,256,200,258,200,259,200,261,200,265,200,266,200,268,200,269,200,277,200,101,201,102,201,103,201,104,201,107,201,108,201,109,201,111,201,118,201,129,201,130,201,131,201,132,201,134,201,135,201,138,201,139,201,140,201,141,201,142,201,143,201,145,201,147,201,148,201,149,201,150,201,152,201,153,201,155,201,165,201,166,201,167,201,168,201,171,201,172,201,173,201,216,201,218,201,221,201,222,201,223,201,226,201,227,201,228,201,233,201,238,201,243,201,246,201,247,201,248,201,249,201,252,201,255,201,256,201,258,201,261,201,263,201,264,201,265,201,266,201,267,201,268,201,271,201,277,201,102,202,103,202,104,202,107,202,108,202,110,202,111,202,119,202,122,202,127,202,132,202,137,202,138,202,140,202,141,202,142,202,143,202,144,202,145,202,146,202,148,202,150,202,155,202,156,202,157,202,164,202,170,202,172,202,207,202,208,202,210,202,211,202,212,202,216,202,217,202,218,202,221,202,222,202,223,202,224,202,225,202,226,202,227,202,228,202,229,202,232,202,233,202,241,202,242,202,243,202,244,202,245,202,246,202,247,202,250,202,251,202,256,202,257,202,258,202,261,202,262,202,263,202,264,202,265,202,266,202,267,202,268,202,276,202,277,202,99,203,101,203,102,203,104,203,110,203,130,203,131,203,132,203,133,203,135,203,136,203,137,203,138,203,141,203,142,203,143,203,144,203,145,203,146,203,148,203,153,203,162,203,163,203,170,203,171,203,175,203,176,203,208,203,209,203,210,203,211,203,217,203,218,203,221,203,222,203,223,203,224,203,225,203,226,203,227,203,228,203,232,203,233,203,234,203,235,203,241,203,242,203,243,203,244,203,245,203,246,203,249,203,250,203,252,203,253,203,255,203,256,203,260,203,261,203,262,203,263,203,264,203,265,203,266,203,267,203,274,203,276,203,101,204,103,204,109,204,110,204,130,204,134,204,137,204,138,204,139,204,141,204,142,204,143,204,145,204,152,204,162,204,163,204,169,204,170,204,171,204,172,204,173,204,175,204,176,204,177,204,210,204,213,204,217,204,218,204,219,204,220,204,221,204,222,204,223,204,224,204,225,204,227,204,230,204,232,204,233,204,234,204,235,204,240,204,241,204,242,204,243,204,244,204,245,204,246,204,248,204,249,204,250,204,251,204,252,204,253,204,256,204,257,204,258,204,259,204,260,204,262,204,263,204,265,204,266,204,267,204,268,204,269,204,271,204,101,205,102,205,104,205,108,205,109,205,110,205,120,205,121,205,130,205,132,205,137,205,138,205,141,205,142,205,143,205,144,205,147,205,148,205,150,205,156,205,158,205,159,205,161,205,162,205,163,205,168,205,169,205,172,205,173,205,174,205,175,205,176,205,177,205,178,205,179,205,180,205,181,205,209,205,210,205,212,205,213,205,214,205,216,205,217,205,219,205,220,205,221,205,222,205,223,205,230,205,231,205,233,205,234,205,235,205,236,205,237,205,239,205,240,205,241,205,242,205,243,205,244,205,245,205,247,205,248,205,249,205,250,205,251,205,252,205,253,205,254,205,255,205,256,205,257,205,258,205,259,205,261,205,262,205,263,205,265,205,266,205,272,205,274,205,100,206,101,206,102,206,104,206,105,206,106,206,107,206,109,206,127,206,128,206,137,206,138,206,139,206,140,206,141,206,142,206,143,206,155,206,156,206,158,206,162,206,163,206,166,206,167,206,168,206,169,206,173,206,174,206,181,206,182,206,184,206,209,206,213,206,214,206,216,206,219,206,223,206,226,206,230,206,233,206,234,206,236,206,237,206,239,206,240,206,242,206,243,206,244,206,245,206,246,206,247,206,250,206,251,206,252,206,254,206,255,206,256,206,257,206,260,206,261,206,262,206,263,206,264,206,265,206,266,206,269,206,271,206,272,206,274,206,103,207,104,207,105,207,106,207,108,207,124,207,131,207,136,207,137,207,138,207,139,207,140,207,141,207,142,207,143,207,145,207,154,207,155,207,159,207,160,207,163,207,165,207,166,207,180,207,181,207,184,207,187,207,188,207,192,207,208,207,209,207,211,207,212,207,213,207,214,207,215,207,216,207,217,207,218,207,222,207,226,207,234,207,237,207,238,207,239,207,240,207,242,207,243,207,245,207,246,207,247,207,248,207,250,207,251,207,252,207,253,207,256,207,257,207,258,207,260,207,261,207,262,207,263,207,264,207,265,207,266,207,269,207,271,207,272,207,273,207,101,208,102,208,103,208,104,208,105,208,106,208,107,208,135,208,136,208,137,208,138,208,140,208,141,208,142,208,143,208,144,208,145,208,146,208,154,208,162,208,164,208,165,208,166,208,180,208,185,208,186,208,187,208,192,208,193,208,196,208,197,208,200,208,202,208,203,208,204,208,208,208,209,208,211,208,212,208,214,208,216,208,219,208,220,208,221,208,222,208,225,208,226,208,230,208,234,208,235,208,236,208,237,208,238,208,239,208,240,208,241,208,242,208,244,208,245,208,246,208,248,208,249,208,251,208,252,208,253,208,255,208,257,208,258,208,261,208,262,208,263,208,271,208,100,209,101,209,102,209,103,209,104,209,105,209,106,209,116,209,134,209,135,209,137,209,138,209,140,209,141,209,142,209,143,209,144,209,148,209,151,209,164,209,165,209,166,209,167,209,168,209,174,209,177,209,181,209,182,209,184,209,185,209,186,209,193,209,198,209,200,209,204,209,207,209,208,209,209,209,210,209,216,209,217,209,219,209,222,209,225,209,230,209,231,209,235,209,236,209,237,209,238,209,239,209,240,209,241,209,242,209,243,209,244,209,245,209,246,209,247,209,248,209,251,209,253,209,257,209,258,209,261,209,262,209,263,209,271,209,100,210,101,210,102,210,104,210,105,210,106,210,126,210,133,210,136,210,137,210,138,210,139,210,140,210,141,210,143,210,144,210,145,210,148,210,151,210,152,210,161,210,164,210,165,210,166,210,167,210,168,210,169,210,173,210,177,210,182,210,183,210,184,210,185,210,186,210,191,210,192,210,193,210,196,210,198,210,199,210,203,210,204,210,207,210,208,210,211,210,214,210,215,210,216,210,218,210,219,210,222,210,223,210,224,210,225,210,226,210,227,210,228,210,229,210,234,210,235,210,236,210,237,210,238,210,239,210,240,210,241,210,242,210,246,210,247,210,248,210,249,210,250,210,251,210,253,210,254,210,255,210,256,210,257,210,260,210,261,210,263,210,264,210,266,210,268,210,269,210,270,210,99,211,100,211,101,211,102,211,103,211,104,211,105,211,125,211,126,211,136,211,139,211,140,211,141,211,143,211,144,211,147,211,150,211,151,211,153,211,164,211,169,211,176,211,185,211,186,211,192,211,193,211,194,211,195,211,196,211,197,211,198,211,201,211,202,211,203,211,204,211,206,211,207,211,214,211,215,211,216,211,218,211,222,211,223,211,224,211,225,211,226,211,227,211,228,211,229,211,230,211,231,211,233,211,234,211,236,211,237,211,238,211,239,211,240,211,241,211,242,211,246,211,247,211,249,211,251,211,252,211,253,211,256,211,257,211,259,211,260,211,261,211,262,211,268,211,269,211,270,211,98,212,99,212,100,212,101,212,102,212,104,212,127,212,139,212,140,212,141,212,142,212,144,212,147,212,149,212,152,212,155,212,159,212,164,212,165,212,172,212,175,212,180,212,181,212,185,212,186,212,190,212,195,212,197,212,198,212,202,212,204,212,205,212,206,212,207,212,210,212,215,212,216,212,217,212,218,212,223,212,225,212,228,212,229,212,232,212,233,212,235,212,236,212,237,212,238,212,240,212,241,212,243,212,244,212,245,212,246,212,249,212,250,212,251,212,252,212,254,212,255,212,256,212,257,212,258,212,261,212,266,212,97,213,99,213,100,213,102,213,103,213,104,213,127,213,128,213,138,213,139,213,142,213,143,213,157,213,158,213,159,213,174,213,177,213,178,213,182,213,183,213,186,213,190,213,191,213,192,213,195,213,196,213,197,213,200,213,201,213,202,213,203,213,204,213,205,213,207,213,208,213,209,213,210,213,211,213,214,213,216,213,217,213,218,213,220,213,221,213,222,213,223,213,225,213,229,213,230,213,232,213,235,213,237,213,238,213,239,213,240,213,241,213,242,213,243,213,244,213,248,213,250,213,251,213,252,213,253,213,254,213,256,213,257,213,258,213,259,213,267,213,101,214,102,214,103,214,128,214,137,214,155,214,166,214,167,214,168,214,176,214,178,214,181,214,182,214,183,214,185,214,190,214,191,214,192,214,193,214,194,214,195,214,196,214,200,214,201,214,202,214,203,214,204,214,205,214,206,214,208,214,209,214,210,214,211,214,212,214,213,214,214,214,215,214,216,214,217,214,218,214,219,214,220,214,221,214,222,214,223,214,224,214,226,214,227,214,228,214,229,214,230,214,231,214,233,214,234,214,235,214,236,214,237,214,238,214,239,214,240,214,241,214,242,214,244,214,246,214,247,214,248,214,249,214,250,214,251,214,252,214,253,214,255,214,256,214,257,214,258,214,259,214,260,214,261,214,262,214,263,214,264,214,267,214,100,215,101,215,102,215,130,215,134,215,135,215,138,215,139,215,140,215,144,215,145,215,152,215,158,215,168,215,171,215,172,215,184,215,185,215,190,215,191,215,193,215,194,215,195,215,196,215,198,215,199,215,200,215,201,215,203,215,204,215,205,215,206,215,207,215,208,215,209,215,210,215,211,215,212,215,213,215,214,215,215,215,217,215,218,215,219,215,220,215,221,215,222,215,223,215,226,215,230,215,231,215,232,215,235,215,236,215,237,215,238,215,239,215,240,215,241,215,242,215,243,215,244,215,248,215,249,215,250,215,251,215,252,215,253,215,254,215,255,215,256,215,257,215,258,215,260,215,261,215,262,215,263,215,264,215,95,216,96,216,100,216,101,216,130,216,131,216,133,216,137,216,138,216,140,216,143,216,145,216,148,216,150,216,152,216,160,216,162,216,164,216,169,216,170,216,171,216,172,216,173,216,180,216,183,216,189,216,190,216,192,216,193,216,194,216,195,216,196,216,197,216,198,216,199,216,200,216,201,216,202,216,203,216,204,216,205,216,207,216,208,216,209,216,210,216,211,216,212,216,214,216,215,216,216,216,217,216,220,216,221,216,222,216,223,216,224,216,225,216,226,216,228,216,229,216,232,216,234,216,236,216,237,216,238,216,242,216,250,216,251,216,252,216,253,216,254,216,255,216,256,216,257,216,258,216,259,216,260,216,264,216,99,217,100,217,131,217,136,217,137,217,148,217,155,217,159,217,169,217,172,217,175,217,179,217,181,217,182,217,183,217,184,217,188,217,195,217,198,217,199,217,200,217,202,217,203,217,204,217,207,217,208,217,209,217,210,217,211,217,215,217,218,217,219,217,220,217,221,217,223,217,224,217,225,217,226,217,228,217,230,217,233,217,234,217,235,217,236,217,237,217,242,217,245,217,246,217,247,217,248,217,250,217,255,217,259,217,264,217,99,218,100,218,103,218,107,218,110,218,111,218,113,218,134,218,147,218,150,218,154,218,155,218,157,218,161,218,162,218,163,218,169,218,175,218,178,218,179,218,182,218,190,218,195,218,196,218,197,218,198,218,199,218,200,218,201,218,202,218,203,218,207,218,209,218,214,218,215,218,218,218,219,218,220,218,222,218,227,218,228,218,230,218,231,218,232,218,233,218,234,218,235,218,236,218,237,218,239,218,241,218,242,218,243,218,245,218,246,218,247,218,248,218,250,218,252,218,254,218,255,218,259,218,260,218,264,218,279,218,96,219,97,219,98,219,103,219,107,219,111,219,114,219,149,219,154,219,157,219,161,219,163,219,166,219,168,219,169,219,171,219,172,219,174,219,175,219,177,219,180,219,182,219,188,219,190,219,191,219,196,219,198,219,199,219,201,219,202,219,203,219,205,219,206,219,207,219,209,219,212,219,217,219,218,219,219,219,222,219,225,219,226,219,227,219,228,219,229,219,230,219,231,219,232,219,233,219,234,219,235,219,236,219,237,219,239,219,240,219,243,219,244,219,245,219,248,219,249,219,253,219,254,219,259,219,263,219,93,220,106,220,107,220,147,220,151,220,156,220,157,220,160,220,163,220,166,220,167,220,168,220,169,220,170,220,173,220,177,220,178,220,179,220,180,220,187,220,188,220,190,220,195,220,196,220,197,220,200,220,201,220,205,220,206,220,208,220,209,220,212,220,217,220,218,220,219,220,225,220,226,220,227,220,228,220,231,220,232,220,234,220,235,220,236,220,237,220,238,220,239,220,240,220,244,220,245,220,248,220,249,220,250,220,251,220,252,220,253,220,258,220,259,220,260,220,96,221,149,221,150,221,154,221,156,221,157,221,160,221,161,221,162,221,168,221,172,221,173,221,177,221,185,221,187,221,188,221,195,221,196,221,197,221,200,221,201,221,204,221,205,221,206,221,207,221,210,221,211,221,212,221,213,221,215,221,216,221,217,221,220,221,221,221,224,221,225,221,226,221,227,221,228,221,231,221,232,221,234,221,238,221,239,221,243,221,244,221,245,221,247,221,248,221,249,221,250,221,251,221,252,221,253,221,255,221,256,221,258,221,259,221,279,221,96,222,106,222,107,222,109,222,114,222,119,222,158,222,159,222,160,222,162,222,168,222,172,222,173,222,176,222,177,222,184,222,187,222,189,222,190,222,192,222,193,222,194,222,195,222,196,222,197,222,200,222,201,222,202,222,206,222,212,222,215,222,220,222,221,222,222,222,223,222,225,222,226,222,227,222,230,222,231,222,232,222,237,222,238,222,239,222,241,222,243,222,244,222,245,222,247,222,248,222,249,222,250,222,251,222,252,222,258,222,259,222,94,223,105,223,106,223,108,223,114,223,116,223,139,223,140,223,167,223,168,223,171,223,172,223,178,223,181,223,184,223,186,223,187,223,188,223,191,223,193,223,194,223,197,223,201,223,206,223,209,223,210,223,211,223,215,223,220,223,222,223,223,223,225,223,226,223,227,223,230,223,231,223,232,223,233,223,234,223,236,223,237,223,238,223,239,223,240,223,241,223,242,223,243,223,245,223,246,223,247,223,250,223,252,223,257,223,258,223,93,224,105,224,110,224,120,224,139,224,140,224,150,224,167,224,171,224,175,224,180,224,182,224,183,224,184,224,185,224,186,224,188,224,190,224,192,224,194,224,195,224,196,224,198,224,203,224,208,224,209,224,212,224,215,224,218,224,221,224,222,224,223,224,224,224,225,224,226,224,227,224,228,224,229,224,230,224,231,224,232,224,233,224,234,224,235,224,236,224,238,224,239,224,240,224,245,224,246,224,247,224,250,224,251,224,114,225,126,225,139,225,140,225,157,225,158,225,166,225,170,225,171,225,174,225,181,225,184,225,185,225,186,225,189,225,192,225,194,225,195,225,198,225,200,225,201,225,202,225,203,225,208,225,211,225,213,225,214,225,215,225,218,225,219,225,222,225,223,225,224,225,225,225,226,225,227,225,228,225,230,225,231,225,233,225,234,225,235,225,238,225,239,225,240,225,241,225,245,225,246,225,249,225,250,225,252,225,258,225,90,226,103,226,106,226,111,226,116,226,119,226,153,226,156,226,157,226,158,226,162,226,163,226,165,226,167,226,174,226,179,226,180,226,185,226,186,226,192,226,195,226,197,226,198,226,201,226,202,226,204,226,205,226,209,226,210,226,211,226,213,226,214,226,215,226,216,226,217,226,218,226,222,226,223,226,225,226,226,226,227,226,228,226,230,226,231,226,232,226,233,226,234,226,235,226,236,226,238,226,239,226,240,226,242,226,248,226,249,226,250,226,251,226,87,227,88,227,105,227,113,227,116,227,119,227,124,227,155,227,157,227,163,227,164,227,173,227,174,227,179,227,181,227,183,227,185,227,186,227,189,227,192,227,194,227,195,227,196,227,197,227,198,227,200,227,203,227,208,227,209,227,211,227,212,227,213,227,214,227,215,227,216,227,218,227,219,227,221,227,222,227,223,227,224,227,227,227,230,227,233,227,238,227,239,227,240,227,243,227,244,227,245,227,249,227,252,227,277,227,279,227,86,228,87,228,102,228,115,228,118,228,155,228,159,228,166,228,179,228,180,228,184,228,185,228,188,228,189,228,190,228,191,228,192,228,193,228,194,228,196,228,197,228,199,228,200,228,202,228,203,228,206,228,207,228,208,228,209,228,211,228,213,228,214,228,215,228,217,228,218,228,219,228,220,228,221,228,223,228,224,228,225,228,226,228,227,228,228,228,229,228,230,228,231,228,232,228,233,228,234,228,235,228,238,228,239,228,240,228,242,228,243,228,244,228,247,228,254,228,279,228,284,228,85,229,112,229,114,229,115,229,116,229,117,229,171,229,176,229,180,229,181,229,183,229,184,229,185,229,187,229,188,229,195,229,196,229,199,229,202,229,203,229,204,229,205,229,206,229,207,229,208,229,209,229,210,229,211,229,212,229,215,229,216,229,218,229,220,229,221,229,222,229,227,229,228,229,229,229,230,229,231,229,232,229,233,229,234,229,235,229,236,229,238,229,242,229,243,229,246,229,278,229,107,230,109,230,111,230,114,230,116,230,119,230,120,230,168,230,171,230,178,230,179,230,182,230,183,230,186,230,187,230,190,230,191,230,194,230,195,230,196,230,197,230,199,230,201,230,202,230,203,230,204,230,205,230,206,230,207,230,208,230,209,230,212,230,213,230,214,230,215,230,218,230,219,230,220,230,222,230,223,230,227,230,228,230,229,230,230,230,231,230,232,230,233,230,234,230,237,230,238,230,241,230,242,230,243,230,104,231,105,231,107,231,114,231,115,231,116,231,118,231,119,231,125,231,160,231,163,231,164,231,178,231,179,231,187,231,188,231,189,231,191,231,192,231,196,231,197,231,201,231,203,231,205,231,206,231,207,231,210,231,211,231,212,231,214,231,215,231,216,231,217,231,218,231,221,231,222,231,226,231,227,231,228,231,231,231,233,231,234,231,236,231,237,231,238,231,241,231,242,231,243,231,244,231,249,231,285,231,290,231,107,232,114,232,156,232,163,232,167,232,177,232,178,232,179,232,180,232,181,232,182,232,185,232,186,232,187,232,188,232,189,232,192,232,195,232,196,232,198,232,201,232,203,232,206,232,209,232,210,232,211,232,212,232,213,232,214,232,216,232,217,232,220,232,221,232,223,232,224,232,225,232,226,232,227,232,228,232,229,232,231,232,232,232,233,232,234,232,236,232,237,232,241,232,242,232,243,232,244,232,269,232,290,232,109,233,117,233,119,233,159,233,162,233,163,233,165,233,177,233,179,233,180,233,184,233,185,233,187,233,188,233,189,233,190,233,191,233,192,233,193,233,195,233,197,233,200,233,201,233,202,233,203,233,206,233,211,233,212,233,213,233,216,233,219,233,220,233,229,233,230,233,231,233,233,233,234,233,238,233,239,233,287,233,107,234,115,234,117,234,158,234,162,234,165,234,175,234,176,234,184,234,185,234,186,234,187,234,188,234,189,234,191,234,192,234,193,234,195,234,197,234,198,234,199,234,200,234,201,234,203,234,206,234,211,234,212,234,213,234,214,234,218,234,222,234,224,234,225,234,229,234,230,234,233,234,234,234,236,234,237,234,238,234,287,234,288,234,289,234,117,235,118,235,161,235,169,235,178,235,179,235,180,235,181,235,182,235,183,235,187,235,188,235,189,235,191,235,192,235,193,235,197,235,198,235,199,235,200,235,201,235,202,235,205,235,206,235,209,235,211,235,212,235,213,235,217,235,222,235,223,235,224,235,225,235,228,235,229,235,230,235,233,235,234,235,235,235,236,235,278,235,282,235,286,235,287,235,289,235,112,236,118,236,121,236,122,236,175,236,179,236,180,236,182,236,186,236,187,236,188,236,190,236,191,236,192,236,193,236,194,236,197,236,198,236,199,236,201,236,202,236,203,236,204,236,205,236,206,236,208,236,211,236,213,236,216,236,217,236,222,236,223,236,224,236,227,236,228,236,229,236,233,236,234,236,235,236,277,236,279,236,281,236,282,236,286,236,118,237,167,237,171,237,177,237,179,237,186,237,190,237,192,237,193,237,196,237,197,237,198,237,199,237,200,237,201,237,202,237,203,237,204,237,206,237,207,237,208,237,209,237,210,237,211,237,212,237,215,237,216,237,222,237,223,237,227,237,277,237,281,237,286,237,287,237,288,237,111,238,120,238,122,238,176,238,180,238,184,238,186,238,188,238,189,238,190,238,191,238,192,238,193,238,196,238,197,238,198,238,201,238,203,238,204,238,206,238,207,238,211,238,214,238,215,238,216,238,221,238,222,238,226,238,227,238,283,238,285,238,120,239,176,239,183,239,185,239,189,239,190,239,191,239,195,239,196,239,200,239,203,239,206,239,207,239,208,239,209,239,210,239,215,239,221,239,222,239,223,239,226,239,255,239,275,239,280,239,283,239,285,239,286,239,113,240,171,240,172,240,178,240,180,240,181,240,183,240,184,240,185,240,189,240,190,240,191,240,195,240,196,240,199,240,202,240,208,240,210,240,220,240,221,240,222,240,274,240,277,240,278,240,280,240,281,240,286,240,115,241,117,241,118,241,183,241,184,241,185,241,189,241,191,241,192,241,193,241,194,241,195,241,196,241,198,241,199,241,204,241,205,241,206,241,207,241,210,241,212,241,219,241,220,241,221,241,274,241,277,241,280,241,177,242,182,242,185,242,189,242,191,242,192,242,193,242,195,242,197,242,198,242,205,242,206,242,210,242,211,242,219,242,220,242,260,242,187,243,188,243,191,243,197,243,201,243,204,243,212,243,218,243,219,243,262,243,277,243,185,244,186,244,194,244,197,244,204,244,205,244,211,244,212,244,262,244,277,244,198,245,204,245,205,245,273,248,175,252,271,252,175,253,176,253,178,253,175,254,186,254,188,254,189,254,175,255,206,255,202,256,204,256,179,257,206,257,178,258,179,258,184,259,198,259,205,261,180,262,205,262,187,263,192,263,197,263,182,264,191,264,193,264,194,264,201,264,177,265,182,265,183,265,184,265,192,265,193,265,195,265,200,265,201,265,207,265,182,266,183,266,184,266,188,266,201,266,202,266,204,266,206,266,178,267,183,267,184,267,185,267,187,267,194,267,197,267,199,267,202,267,204,267,180,268,181,268,182,268,186,268,177,269,179,269,181,269,182,269,183,269,184,269,186,269,190,269,200,269,207,269,177,270,183,270,184,270,186,270,191,270,199,270,206,270,178,271,185,271,186,271,189,271,197,271,199,271,200,271,205,271,206,271,179,272,181,272,185,272,186,272,189,272,193,272,194,272,196,272,197,272,198,272,199,272,205,272,206,272,177,273,179,273,180,273,188,273,190,273,193,273,195,273,196,273,198,273,205,273,180,274,181,274,182,274,188,274,190,274,191,274,202,274,203,274,177,275,187,275,191,275,195,275,197,275,198,275,202,275,176,277,176,278,176,279,175,280,175,281,175,282,175,283,174,284,174,285,173,286,174,286,360,323,361,323,362,323,363,323,359,324,360,324,361,324,362,324,363,324,364,324,365,324,366,324,367,324,19,325,20,325,21,325,22,325,23,325,24,325,25,325,26,325,27,325,28,325,29,325,30,325,31,325,32,325,33,325,34,325,35,325,36,325,37,325,38,325,39,325,40,325,41,325,42,325,43,325,44,325,45,325,46,325,47,325,60,325,61,325,62,325,63,325,64,325,65,325,66,325,67,325,68,325,69,325,70,325,71,325,72,325,73,325,74,325,75,325,76,325,77,325,78,325,79,325,80,325,81,325,82,325,83,325,84,325,85,325,86,325,87,325,88,325,89,325,90,325,91,325,92,325,93,325,94,325,95,325,96,325,116,325,117,325,118,325,119,325,120,325,121,325,122,325,123,325,124,325,125,325,126,325,127,325,128,325,129,325,130,325,131,325,132,325,133,325,134,325,135,325,136,325,137,325,138,325,139,325,152,325,153,325,154,325,155,325,156,325,157,325,158,325,159,325,160,325,161,325,162,325,163,325,164,325,165,325,166,325,167,325,168,325,169,325,170,325,171,325,172,325,173,325,174,325,175,325,176,325,177,325,178,325,179,325,180,325,181,325,182,325,183,325,184,325,185,325,186,325,187,325,188,325,189,325,190,325,191,325,192,325,204,325,205,325,206,325,207,325,208,325,209,325,210,325,211,325,212,325,213,325,214,325,215,325,216,325,217,325,218,325,219,325,220,325,221,325,222,325,223,325,224,325,225,325,226,325,227,325,228,325,229,325,230,325,231,325,232,325,233,325,234,325,235,325,236,325,237,325,238,325,239,325,240,325,260,325,261,325,262,325,263,325,264,325,265,325,266,325,267,325,268,325,269,325,270,325,271,325,272,325,273,325,274,325,275,325,276,325,277,325,278,325,279,325,280,325,281,325,282,325,299,325,300,325,301,325,302,325,303,325,304,325,305,325,306,325,307,325,308,325,309,325,310,325,311,325,312,325,313,325,314,325,315,325,359,325,360,325,361,325,362,325,363,325,364,325,365,325,366,325,367,325,18,326,19,326,20,326,21,326,22,326,23,326,24,326,25,326,26,326,27,326,28,326,29,326,30,326,31,326,32,326,33,326,34,326,35,326,36,326,37,326,38,326,39,326,40,326,41,326,42,326,43,326,44,326,45,326,46,326,47,326,60,326,61,326,62,326,63,326,64,326,65,326,66,326,67,326,68,326,69,326,70,326,71,326,72,326,73,326,74,326,75,326,76,326,77,326,78,326,79,326,80,326,81,326,82,326,83,326,84,326,85,326,86,326,87,326,88,326,89,326,90,326,91,326,92,326,93,326,94,326,95,326,96,326,97,326,115,326,116,326,117,326,118,326,119,326,120,326,121,326,122,326,123,326,124,326,125,326,126,326,127,326,128,326,129,326,130,326,131,326,132,326,133,326,134,326,135,326,136,326,137,326,138,326,139,326,152,326,153,326,154,326,155,326,156,326,157,326,158,326,159,326,160,326,161,326,162,326,163,326,164,326,165,326,166,326,167,326,168,326,169,326,170,326,171,326,172,326,173,326,174,326,175,326,176,326,177,326,178,326,179,326,180,326,181,326,182,326,183,326,184,326,185,326,186,326,187,326,188,326,189,326,190,326,191,326,192,326,204,326,205,326,206,326,207,326,208,326,209,326,210,326,211,326,212,326,213,326,214,326,215,326,216,326,217,326,218,326,219,326,220,326,221,326,222,326,223,326,224,326,225,326,226,326,227,326,228,326,229,326,230,326,231,326,232,326,233,326,234,326,235,326,236,326,237,326,238,326,239,326,240,326,241,326,259,326,260,326,261,326,262,326,263,326,264,326,265,326,266,326,267,326,268,326,269,326,270,326,271,326,272,326,273,326,274,326,275,326,276,326,277,326,278,326,279,326,280,326,281,326,282,326,283,326,298,326,299,326,300,326,301,326,302,326,303,326,304,326,305,326,306,326,307,326,308,326,309,326,310,326,311,326,312,326,313,326,314,326,315,326,358,326,359,326,360,326,361,326,362,326,363,326,364,326,365,326,366,326,367,326,17,327,18,327,19,327,20,327,21,327,22,327,23,327,24,327,25,327,26,327,27,327,28,327,29,327,30,327,31,327,32,327,33,327,34,327,35,327,36,327,37,327,38,327,39,327,40,327,41,327,42,327,43,327,44,327,45,327,46,327,47,327,60,327,61,327,62,327,63,327,64,327,65,327,66,327,67,327,68,327,69,327,70,327,71,327,72,327,73,327,74,327,75,327,76,327,77,327,78,327,79,327,80,327,81,327,82,327,83,327,84,327,85,327,86,327,87,327,88,327,89,327,90,327,91,327,92,327,93,327,94,327,95,327,96,327,97,327,98,327,114,327,115,327,116,327,117,327,118,327,119,327,120,327,121,327,122,327,123,327,124,327,125,327,126,327,127,327,128,327,129,327,130,327,131,327,132,327,133,327,134,327,135,327,136,327,137,327,138,327,139,327,152,327,153,327,154,327,155,327,156,327,157,327,158,327,159,327,160,327,161,327,162,327,163,327,164,327,165,327,166,327,167,327,168,327,169,327,170,327,171,327,172,327,173,327,174,327,175,327,176,327,177,327,178,327,179,327,180,327,181,327,182,327,183,327,184,327,185,327,186,327,187,327,188,327,189,327,190,327,191,327,192,327,204,327,205,327,206,327,207,327,208,327,209,327,210,327,211,327,212,327,213,327,214,327,215,327,216,327,217,327,218,327,219,327,220,327,221,327,222,327,223,327,224,327,225,327,226,327,227,327,228,327,229,327,230,327,231,327,232,327,233,327,234,327,235,327,236,327,237,327,238,327,239,327,240,327,241,327,242,327,258,327,259,327,260,327,261,327,262,327,263,327,264,327,265,327,266,327,267,327,268,327,269,327,270,327,271,327,272,327,273,327,274,327,275,327,276,327,277,327,278,327,279,327,280,327,281,327,282,327,283,327,284,327,297,327,298,327,299,327,300,327,301,327,302,327,303,327,304,327,305,327,306,327,307,327,308,327,309,327,310,327,311,327,312,327,313,327,314,327,315,327,358,327,359,327,360,327,361,327,362,327,363,327,364,327,365,327,366,327,367,327,16,328,17,328,18,328,19,328,20,328,21,328,22,328,23,328,24,328,25,328,26,328,27,328,28,328,29,328,30,328,31,328,32,328,33,328,34,328,35,328,36,328,37,328,38,328,39,328,40,328,41,328,42,328,43,328,44,328,45,328,46,328,47,328,60,328,61,328,62,328,63,328,64,328,65,328,66,328,67,328,68,328,69,328,70,328,71,328,72,328,73,328,74,328,75,328,76,328,77,328,78,328,79,328,80,328,81,328,82,328,83,328,84,328,85,328,86,328,87,328,88,328,89,328,90,328,91,328,92,328,93,328,94,328,95,328,96,328,97,328,98,328,99,328,113,328,114,328,115,328,116,328,117,328,118,328,119,328,120,328,121,328,122,328,123,328,124,328,125,328,126,328,127,328,128,328,129,328,130,328,131,328,132,328,133,328,134,328,135,328,136,328,137,328,138,328,139,328,152,328,153,328,154,328,155,328,156,328,157,328,158,328,159,328,160,328,161,328,162,328,163,328,164,328,165,328,166,328,167,328,168,328,169,328,170,328,171,328,172,328,173,328,174,328,175,328,176,328,177,328,178,328,179,328,180,328,181,328,182,328,183,328,184,328,185,328,186,328,187,328,188,328,189,328,190,328,191,328,192,328,204,328,205,328,206,328,207,328,208,328,209,328,210,328,211,328,212,328,213,328,214,328,215,328,216,328,217,328,218,328,219,328,220,328,221,328,222,328,223,328,224,328,225,328,226,328,227,328,228,328,229,328,230,328,231,328,232,328,233,328,234,328,235,328,236,328,237,328,238,328,239,328,240,328,241,328,242,328,243,328,257,328,258,328,259,328,260,328,261,328,262,328,263,328,264,328,265,328,266,328,267,328,268,328,269,328,270,328,271,328,272,328,273,328,274,328,275,328,276,328,277,328,278,328,279,328,280,328,281,328,282,328,283,328,284,328,285,328,296,328,297,328,298,328,299,328,300,328,301,328,302,328,303,328,304,328,305,328,306,328,307,328,308,328,309,328,310,328,311,328,312,328,313,328,314,328,315,328,340,328,341,328,342,328,358,328,359,328,360,328,364,328,365,328,366,328,367,328,15,329,16,329,17,329,18,329,19,329,20,329,21,329,22,329,23,329,24,329,25,329,26,329,27,329,28,329,29,329,30,329,31,329,32,329,33,329,34,329,35,329,36,329,37,329,38,329,39,329,40,329,41,329,42,329,43,329,44,329,45,329,46,329,47,329,60,329,61,329,62,329,63,329,64,329,65,329,66,329,67,329,68,329,69,329,70,329,71,329,72,329,73,329,74,329,75,329,76,329,77,329,78,329,79,329,80,329,81,329,82,329,83,329,84,329,85,329,86,329,87,329,88,329,89,329,90,329,91,329,92,329,93,329,94,329,95,329,96,329,97,329,98,329,99,329,100,329,112,329,113,329,114,329,115,329,116,329,117,329,118,329,119,329,120,329,121,329,122,329,123,329,124,329,125,329,126,329,127,329,128,329,129,329,130,329,131,329,132,329,133,329,134,329,135,329,136,329,137,329,138,329,139,329,152,329,153,329,154,329,155,329,156,329,157,329,158,329,159,329,160,329,161,329,162,329,163,329,164,329,165,329,166,329,167,329,168,329,169,329,170,329,171,329,172,329,173,329,174,329,175,329,176,329,177,329,178,329,179,329,180,329,181,329,182,329,183,329,184,329,185,329,186,329,187,329,188,329,189,329,190,329,191,329,192,329,204,329,205,329,206,329,207,329,208,329,209,329,210,329,211,329,212,329,213,329,214,329,215,329,216,329,217,329,218,329,219,329,220,329,221,329,222,329,223,329,224,329,225,329,226,329,227,329,228,329,229,329,230,329,231,329,232,329,233,329,234,329,235,329,236,329,237,329,238,329,239,329,240,329,241,329,242,329,243,329,244,329,257,329,258,329,259,329,260,329,261,329,262,329,263,329,264,329,265,329,266,329,267,329,268,329,269,329,270,329,271,329,272,329,273,329,274,329,275,329,276,329,277,329,278,329,279,329,280,329,281,329,282,329,283,329,284,329,285,329,286,329,296,329,297,329,298,329,299,329,300,329,301,329,302,329,303,329,304,329,305,329,306,329,307,329,308,329,309,329,310,329,311,329,312,329,313,329,314,329,315,329,338,329,339,329,340,329,341,329,342,329,343,329,344,329,353,329,354,329,355,329,356,329,357,329,360,329,361,329,362,329,363,329,368,329,14,330,15,330,16,330,17,330,18,330,19,330,20,330,21,330,22,330,23,330,24,330,25,330,26,330,27,330,28,330,29,330,30,330,31,330,32,330,33,330,34,330,35,330,36,330,37,330,38,330,39,330,40,330,41,330,42,330,43,330,44,330,45,330,46,330,47,330,60,330,61,330,62,330,63,330,64,330,65,330,66,330,67,330,68,330,69,330,70,330,71,330,72,330,73,330,74,330,75,330,76,330,77,330,78,330,79,330,80,330,81,330,82,330,83,330,84,330,85,330,86,330,87,330,88,330,89,330,90,330,91,330,92,330,93,330,94,330,95,330,96,330,97,330,98,330,99,330,100,330,112,330,113,330,114,330,115,330,116,330,117,330,118,330,119,330,120,330,121,330,122,330,123,330,124,330,125,330,126,330,127,330,128,330,129,330,130,330,131,330,132,330,133,330,134,330,135,330,136,330,137,330,138,330,139,330,152,330,153,330,154,330,155,330,156,330,157,330,158,330,159,330,160,330,161,330,162,330,163,330,164,330,165,330,166,330,167,330,168,330,169,330,170,330,171,330,172,330,173,330,174,330,175,330,176,330,177,330,178,330,179,330,180,330,181,330,182,330,183,330,184,330,185,330,186,330,187,330,188,330,189,330,190,330,191,330,192,330,204,330,205,330,206,330,207,330,208,330,209,330,210,330,211,330,212,330,213,330,214,330,215,330,216,330,217,330,218,330,219,330,220,330,221,330,222,330,223,330,224,330,225,330,226,330,227,330,228,330,229,330,230,330,231,330,232,330,233,330,234,330,235,330,236,330,237,330,238,330,239,330,240,330,241,330,242,330,243,330,244,330,257,330,258,330,259,330,260,330,261,330,262,330,263,330,264,330,265,330,266,330,267,330,268,330,269,330,270,330,271,330,272,330,273,330,274,330,275,330,276,330,277,330,278,330,279,330,280,330,281,330,282,330,283,330,284,330,285,330,286,330,296,330,297,330,298,330,299,330,300,330,301,330,302,330,303,330,304,330,305,330,306,330,307,330,308,330,309,330,310,330,311,330,312,330,313,330,314,330,315,330,337,330,338,330,339,330,340,330,341,330,342,330,343,330,344,330,345,330,349,330,350,330,351,330,352,330,353,330,354,330,355,330,356,330,357,330,358,330,359,330,360,330,361,330,362,330,363,330,364,330,365,330,366,330,367,330,368,330,369,330,370,330,371,330,372,330,383,330,384,330,13,331,14,331,15,331,16,331,17,331,18,331,19,331,20,331,21,331,22,331,23,331,24,331,25,331,26,331,27,331,28,331,29,331,30,331,31,331,32,331,33,331,34,331,35,331,36,331,37,331,38,331,39,331,40,331,41,331,42,331,43,331,44,331,45,331,46,331,47,331,60,331,61,331,62,331,63,331,64,331,65,331,66,331,67,331,68,331,69,331,70,331,71,331,72,331,73,331,74,331,75,331,76,331,77,331,78,331,79,331,80,331,81,331,82,331,83,331,84,331,85,331,86,331,87,331,88,331,89,331,90,331,91,331,92,331,93,331,94,331,95,331,96,331,97,331,98,331,99,331,100,331,112,331,113,331,114,331,115,331,116,331,117,331,118,331,119,331,120,331,121,331,122,331,123,331,124,331,125,331,126,331,127,331,128,331,129,331,130,331,131,331,132,331,133,331,134,331,135,331,136,331,137,331,138,331,139,331,152,331,153,331,154,331,155,331,156,331,157,331,158,331,159,331,160,331,161,331,162,331,163,331,164,331,165,331,166,331,167,331,168,331,169,331,170,331,171,331,172,331,173,331,174,331,175,331,176,331,177,331,178,331,179,331,180,331,181,331,182,331,183,331,184,331,185,331,186,331,187,331,188,331,189,331,190,331,191,331,192,331,204,331,205,331,206,331,207,331,208,331,209,331,210,331,211,331,212,331,213,331,214,331,215,331,216,331,217,331,218,331,219,331,220,331,221,331,222,331,223,331,224,331,225,331,226,331,227,331,228,331,229,331,230,331,231,331,232,331,233,331,234,331,235,331,236,331,237,331,238,331,239,331,240,331,241,331,242,331,243,331,244,331,257,331,258,331,259,331,260,331,261,331,262,331,263,331,264,331,265,331,266,331,267,331,268,331,269,331,270,331,271,331,272,331,273,331,274,331,275,331,276,331,277,331,278,331,279,331,280,331,281,331,282,331,283,331,284,331,285,331,286,331,296,331,297,331,298,331,299,331,300,331,301,331,302,331,303,331,304,331,305,331,306,331,307,331,308,331,309,331,310,331,311,331,312,331,313,331,314,331,315,331,337,331,338,331,339,331,340,331,341,331,342,331,343,331,344,331,345,331,346,331,348,331,349,331,350,331,351,331,352,331,353,331,354,331,355,331,356,331,357,331,358,331,359,331,360,331,361,331,362,331,363,331,364,331,365,331,366,331,367,331,368,331,369,331,370,331,371,331,372,331,373,331,374,331,381,331,382,331,383,331,384,331,385,331,386,331,12,332,13,332,14,332,15,332,16,332,17,332,18,332,19,332,20,332,21,332,22,332,23,332,24,332,25,332,26,332,27,332,28,332,29,332,30,332,31,332,32,332,33,332,34,332,35,332,36,332,37,332,38,332,39,332,40,332,41,332,42,332,43,332,44,332,45,332,46,332,47,332,60,332,61,332,62,332,63,332,64,332,65,332,66,332,67,332,68,332,69,332,70,332,71,332,72,332,73,332,74,332,75,332,76,332,77,332,78,332,79,332,80,332,81,332,82,332,83,332,84,332,85,332,86,332,87,332,88,332,89,332,90,332,91,332,92,332,93,332,94,332,95,332,96,332,97,332,98,332,99,332,100,332,112,332,113,332,114,332,115,332,116,332,117,332,118,332,119,332,120,332,121,332,122,332,123,332,124,332,125,332,126,332,127,332,128,332,129,332,130,332,131,332,132,332,133,332,134,332,135,332,136,332,137,332,138,332,139,332,152,332,153,332,154,332,155,332,156,332,157,332,158,332,159,332,160,332,161,332,162,332,163,332,164,332,165,332,166,332,167,332,168,332,169,332,170,332,171,332,172,332,173,332,174,332,175,332,176,332,177,332,178,332,179,332,180,332,181,332,182,332,183,332,184,332,185,332,186,332,187,332,188,332,189,332,190,332,191,332,192,332,204,332,205,332,206,332,207,332,208,332,209,332,210,332,211,332,212,332,213,332,214,332,215,332,216,332,217,332,218,332,219,332,220,332,221,332,222,332,223,332,224,332,225,332,226,332,227,332,228,332,229,332,230,332,231,332,232,332,233,332,234,332,235,332,236,332,237,332,238,332,239,332,240,332,241,332,242,332,243,332,244,332,257,332,258,332,259,332,260,332,261,332,262,332,263,332,264,332,265,332,266,332,267,332,268,332,269,332,270,332,271,332,272,332,273,332,274,332,275,332,276,332,277,332,278,332,279,332,280,332,281,332,282,332,283,332,284,332,285,332,286,332,296,332,297,332,298,332,299,332,300,332,301,332,302,332,303,332,304,332,305,332,306,332,307,332,308,332,309,332,310,332,311,332,312,332,313,332,314,332,315,332,338,332,339,332,340,332,341,332,342,332,343,332,344,332,347,332,348,332,349,332,350,332,351,332,352,332,353,332,354,332,355,332,356,332,357,332,358,332,359,332,360,332,361,332,362,332,363,332,364,332,365,332,366,332,367,332,368,332,369,332,370,332,371,332,372,332,373,332,374,332,375,332,376,332,377,332,378,332,379,332,380,332,381,332,382,332,383,332,384,332,385,332,386,332,387,332,11,333,12,333,13,333,14,333,15,333,16,333,17,333,18,333,19,333,20,333,21,333,22,333,23,333,24,333,25,333,26,333,27,333,28,333,29,333,30,333,31,333,32,333,33,333,34,333,35,333,36,333,37,333,38,333,39,333,40,333,41,333,42,333,43,333,44,333,45,333,46,333,47,333,60,333,61,333,62,333,63,333,64,333,65,333,66,333,67,333,68,333,69,333,70,333,71,333,72,333,73,333,74,333,75,333,76,333,77,333,78,333,79,333,80,333,81,333,82,333,83,333,84,333,85,333,86,333,87,333,88,333,89,333,90,333,91,333,92,333,93,333,94,333,95,333,96,333,97,333,98,333,99,333,100,333,112,333,113,333,114,333,115,333,116,333,117,333,118,333,119,333,120,333,121,333,122,333,123,333,124,333,125,333,126,333,127,333,128,333,129,333,130,333,131,333,132,333,133,333,134,333,135,333,136,333,137,333,138,333,139,333,152,333,153,333,154,333,155,333,156,333,157,333,158,333,159,333,160,333,161,333,162,333,163,333,164,333,165,333,166,333,167,333,168,333,169,333,170,333,171,333,172,333,173,333,174,333,175,333,176,333,177,333,178,333,179,333,180,333,181,333,182,333,183,333,184,333,185,333,186,333,187,333,188,333,189,333,190,333,191,333,192,333,204,333,205,333,206,333,207,333,208,333,209,333,210,333,211,333,212,333,213,333,214,333,215,333,216,333,217,333,218,333,219,333,220,333,221,333,222,333,223,333,224,333,225,333,226,333,227,333,228,333,229,333,230,333,231,333,232,333,233,333,234,333,235,333,236,333,237,333,238,333,239,333,240,333,241,333,242,333,243,333,244,333,257,333,258,333,259,333,260,333,261,333,262,333,263,333,264,333,265,333,266,333,267,333,268,333,269,333,270,333,271,333,272,333,273,333,274,333,275,333,276,333,277,333,278,333,279,333,280,333,281,333,282,333,283,333,284,333,285,333,286,333,296,333,297,333,298,333,299,333,300,333,301,333,302,333,303,333,304,333,305,333,306,333,307,333,308,333,309,333,310,333,311,333,312,333,313,333,314,333,315,333,338,333,339,333,340,333,341,333,342,333,345,333,346,333,347,333,348,333,349,333,350,333,351,333,352,333,353,333,354,333,355,333,356,333,357,333,358,333,359,333,360,333,361,333,362,333,363,333,364,333,365,333,366,333,367,333,368,333,369,333,370,333,371,333,372,333,373,333,374,333,375,333,376,333,377,333,378,333,380,333,381,333,382,333,383,333,384,333,385,333,386,333,387,333,388,333,10,334,11,334,12,334,13,334,14,334,15,334,16,334,17,334,18,334,19,334,20,334,21,334,22,334,23,334,24,334,25,334,26,334,27,334,28,334,29,334,30,334,31,334,32,334,33,334,34,334,35,334,36,334,37,334,38,334,39,334,40,334,41,334,42,334,43,334,44,334,45,334,46,334,47,334,60,334,61,334,62,334,63,334,64,334,65,334,66,334,67,334,68,334,69,334,70,334,71,334,72,334,73,334,74,334,75,334,76,334,77,334,78,334,79,334,80,334,81,334,82,334,83,334,84,334,85,334,86,334,87,334,88,334,89,334,90,334,91,334,92,334,93,334,94,334,95,334,96,334,97,334,98,334,99,334,100,334,112,334,113,334,114,334,115,334,116,334,117,334,118,334,119,334,120,334,121,334,122,334,123,334,124,334,125,334,126,334,127,334,128,334,129,334,130,334,131,334,132,334,133,334,134,334,135,334,136,334,137,334,138,334,139,334,152,334,153,334,154,334,155,334,156,334,157,334,158,334,159,334,160,334,161,334,162,334,163,334,164,334,165,334,166,334,167,334,168,334,169,334,170,334,171,334,172,334,173,334,174,334,175,334,176,334,177,334,178,334,179,334,180,334,181,334,182,334,183,334,184,334,185,334,186,334,187,334,188,334,189,334,190,334,191,334,192,334,204,334,205,334,206,334,207,334,208,334,209,334,210,334,211,334,212,334,213,334,214,334,215,334,216,334,217,334,218,334,219,334,220,334,221,334,222,334,223,334,224,334,225,334,226,334,227,334,228,334,229,334,230,334,231,334,232,334,233,334,234,334,235,334,236,334,237,334,238,334,239,334,240,334,241,334,242,334,243,334,244,334,257,334,258,334,259,334,260,334,261,334,262,334,263,334,264,334,265,334,266,334,267,334,268,334,269,334,270,334,271,334,272,334,273,334,274,334,275,334,276,334,277,334,278,334,279,334,280,334,281,334,282,334,283,334,284,334,285,334,286,334,296,334,297,334,298,334,299,334,300,334,301,334,302,334,303,334,304,334,305,334,306,334,307,334,308,334,309,334,310,334,311,334,312,334,313,334,314,334,315,334,339,334,340,334,344,334,345,334,346,334,347,334,348,334,349,334,350,334,351,334,352,334,353,334,354,334,355,334,356,334,357,334,358,334,359,334,360,334,361,334,362,334,363,334,364,334,365,334,366,334,367,334,368,334,369,334,370,334,371,334,372,334,373,334,374,334,375,334,376,334,377,334,378,334,379,334,381,334,382,334,383,334,384,334,385,334,386,334,387,334,388,334,389,334,9,335,10,335,11,335,12,335,13,335,14,335,15,335,16,335,17,335,18,335,19,335,20,335,21,335,22,335,23,335,24,335,25,335,26,335,27,335,28,335,29,335,30,335,31,335,32,335,33,335,34,335,35,335,36,335,37,335,38,335,39,335,40,335,41,335,42,335,43,335,44,335,45,335,46,335,47,335,60,335,61,335,62,335,63,335,64,335,65,335,66,335,67,335,68,335,69,335,70,335,71,335,72,335,73,335,74,335,75,335,76,335,77,335,78,335,79,335,80,335,81,335,82,335,83,335,84,335,85,335,86,335,87,335,88,335,89,335,90,335,91,335,92,335,93,335,94,335,95,335,96,335,97,335,98,335,99,335,100,335,112,335,113,335,114,335,115,335,116,335,117,335,118,335,119,335,120,335,121,335,122,335,123,335,124,335,125,335,126,335,127,335,128,335,129,335,130,335,131,335,132,335,133,335,134,335,135,335,136,335,137,335,138,335,139,335,152,335,153,335,154,335,155,335,156,335,157,335,158,335,159,335,160,335,161,335,162,335,163,335,164,335,165,335,166,335,167,335,168,335,169,335,170,335,171,335,172,335,173,335,174,335,175,335,176,335,177,335,178,335,179,335,180,335,181,335,182,335,183,335,184,335,185,335,186,335,187,335,188,335,189,335,190,335,191,335,192,335,204,335,205,335,206,335,207,335,208,335,209,335,210,335,211,335,212,335,213,335,214,335,215,335,216,335,217,335,218,335,219,335,220,335,221,335,222,335,223,335,224,335,225,335,226,335,227,335,228,335,229,335,230,335,231,335,232,335,233,335,234,335,235,335,236,335,237,335,238,335,239,335,240,335,241,335,242,335,243,335,244,335,257,335,258,335,259,335,260,335,261,335,262,335,263,335,264,335,265,335,266,335,267,335,268,335,269,335,270,335,271,335,272,335,273,335,274,335,275,335,276,335,277,335,278,335,279,335,280,335,281,335,282,335,283,335,284,335,285,335,286,335,296,335,297,335,298,335,299,335,300,335,301,335,302,335,303,335,304,335,305,335,306,335,307,335,308,335,309,335,310,335,311,335,312,335,313,335,314,335,315,335,338,335,342,335,343,335,344,335,345,335,346,335,347,335,348,335,349,335,350,335,351,335,352,335,353,335,354,335,355,335,356,335,357,335,358,335,359,335,360,335,361,335,362,335,363,335,364,335,365,335,366,335,367,335,368,335,369,335,370,335,371,335,372,335,373,335,374,335,375,335,376,335,377,335,378,335,379,335,380,335,381,335,383,335,384,335,385,335,386,335,387,335,8,336,9,336,10,336,11,336,12,336,13,336,14,336,15,336,16,336,17,336,18,336,19,336,20,336,21,336,22,336,23,336,24,336,25,336,26,336,27,336,28,336,29,336,30,336,31,336,32,336,33,336,34,336,35,336,36,336,37,336,38,336,39,336,40,336,41,336,42,336,43,336,44,336,45,336,46,336,47,336,60,336,61,336,62,336,63,336,64,336,65,336,66,336,67,336,68,336,69,336,70,336,71,336,72,336,73,336,74,336,75,336,76,336,77,336,78,336,79,336,80,336,81,336,82,336,83,336,84,336,85,336,86,336,87,336,88,336,89,336,90,336,91,336,92,336,93,336,94,336,95,336,96,336,97,336,98,336,99,336,100,336,112,336,113,336,114,336,115,336,116,336,117,336,118,336,119,336,120,336,121,336,122,336,123,336,124,336,125,336,126,336,127,336,128,336,129,336,130,336,131,336,132,336,133,336,134,336,135,336,136,336,137,336,138,336,139,336,152,336,153,336,154,336,155,336,156,336,157,336,158,336,159,336,160,336,161,336,162,336,163,336,164,336,165,336,166,336,167,336,168,336,169,336,170,336,171,336,172,336,173,336,174,336,175,336,176,336,177,336,178,336,179,336,180,336,181,336,182,336,183,336,184,336,185,336,186,336,187,336,188,336,189,336,190,336,191,336,192,336,204,336,205,336,206,336,207,336,208,336,209,336,210,336,211,336,212,336,213,336,214,336,215,336,216,336,217,336,218,336,219,336,220,336,221,336,222,336,223,336,224,336,225,336,226,336,227,336,228,336,229,336,230,336,231,336,232,336,233,336,234,336,235,336,236,336,237,336,238,336,239,336,240,336,241,336,242,336,243,336,244,336,257,336,258,336,259,336,260,336,261,336,262,336,263,336,264,336,265,336,266,336,267,336,268,336,269,336,270,336,271,336,272,336,273,336,274,336,275,336,276,336,277,336,278,336,279,336,280,336,281,336,282,336,283,336,284,336,285,336,286,336,296,336,297,336,298,336,299,336,300,336,301,336,302,336,303,336,304,336,305,336,306,336,307,336,308,336,309,336,310,336,311,336,312,336,313,336,314,336,315,336,339,336,340,336,341,336,342,336,343,336,344,336,345,336,346,336,347,336,348,336,349,336,350,336,351,336,352,336,353,336,354,336,355,336,356,336,357,336,365,336,366,336,367,336,368,336,369,336,370,336,371,336,372,336,373,336,374,336,375,336,376,336,377,336,378,336,379,336,380,336,381,336,382,336,384,336,385,336,386,336,8,337,9,337,10,337,11,337,12,337,13,337,14,337,15,337,16,337,17,337,18,337,19,337,20,337,21,337,22,337,23,337,24,337,25,337,26,337,27,337,28,337,29,337,30,337,31,337,32,337,33,337,34,337,35,337,36,337,37,337,38,337,39,337,40,337,41,337,42,337,43,337,44,337,45,337,46,337,47,337,60,337,61,337,62,337,63,337,64,337,65,337,66,337,67,337,68,337,69,337,70,337,71,337,72,337,73,337,74,337,75,337,76,337,77,337,78,337,79,337,80,337,81,337,82,337,83,337,84,337,85,337,86,337,87,337,88,337,89,337,90,337,91,337,92,337,93,337,94,337,95,337,96,337,97,337,98,337,99,337,100,337,112,337,113,337,114,337,115,337,116,337,117,337,118,337,119,337,120,337,121,337,122,337,123,337,124,337,125,337,126,337,127,337,128,337,129,337,130,337,131,337,132,337,133,337,134,337,135,337,136,337,137,337,138,337,139,337,152,337,153,337,154,337,155,337,156,337,157,337,158,337,159,337,160,337,161,337,162,337,163,337,164,337,165,337,166,337,167,337,168,337,169,337,170,337,171,337,172,337,173,337,174,337,175,337,176,337,177,337,178,337,179,337,180,337,181,337,182,337,183,337,184,337,185,337,186,337,187,337,188,337,189,337,190,337,191,337,192,337,204,337,205,337,206,337,207,337,208,337,209,337,210,337,211,337,212,337,213,337,214,337,215,337,216,337,217,337,218,337,219,337,220,337,221,337,222,337,223,337,224,337,225,337,226,337,227,337,228,337,229,337,230,337,231,337,232,337,233,337,234,337,235,337,236,337,237,337,238,337,239,337,240,337,241,337,242,337,243,337,244,337,257,337,258,337,259,337,260,337,261,337,262,337,263,337,264,337,265,337,266,337,267,337,268,337,269,337,270,337,271,337,272,337,273,337,274,337,275,337,276,337,277,337,278,337,279,337,280,337,281,337,282,337,283,337,284,337,285,337,286,337,296,337,297,337,298,337,299,337,300,337,301,337,302,337,303,337,304,337,305,337,306,337,307,337,308,337,309,337,310,337,311,337,312,337,313,337,314,337,315,337,338,337,339,337,340,337,341,337,342,337,343,337,344,337,345,337,346,337,347,337,348,337,349,337,350,337,351,337,352,337,353,337,368,337,369,337,370,337,371,337,372,337,373,337,374,337,375,337,376,337,377,337,378,337,379,337,380,337,381,337,382,337,383,337,385,337,6,338,8,338,9,338,10,338,11,338,12,338,13,338,14,338,15,338,16,338,17,338,18,338,19,338,20,338,21,338,22,338,23,338,24,338,25,338,26,338,86,338,87,338,88,338,89,338,90,338,91,338,92,338,93,338,94,338,95,338,96,338,97,338,98,338,99,338,100,338,112,338,113,338,114,338,115,338,116,338,117,338,118,338,119,338,120,338,121,338,122,338,123,338,124,338,125,338,231,338,232,338,233,338,234,338,235,338,236,338,237,338,238,338,239,338,240,338,241,338,242,338,243,338,244,338,257,338,258,338,259,338,260,338,261,338,262,338,263,338,264,338,265,338,266,338,267,338,268,338,269,338,337,338,338,338,339,338,340,338,341,338,342,338,343,338,344,338,345,338,346,338,347,338,348,338,349,338,350,338,351,338,371,338,372,338,373,338,374,338,375,338,376,338,377,338,378,338,379,338,380,338,381,338,382,338,383,338,384,338,8,339,9,339,10,339,11,339,12,339,13,339,14,339,15,339,16,339,17,339,18,339,19,339,20,339,21,339,22,339,23,339,24,339,25,339,26,339,86,339,87,339,88,339,89,339,90,339,91,339,92,339,93,339,94,339,95,339,96,339,97,339,98,339,99,339,100,339,112,339,113,339,114,339,115,339,116,339,117,339,118,339,119,339,120,339,121,339,122,339,123,339,124,339,125,339,231,339,232,339,233,339,234,339,235,339,236,339,237,339,238,339,239,339,240,339,241,339,242,339,243,339,244,339,257,339,258,339,259,339,260,339,261,339,262,339,263,339,264,339,265,339,266,339,267,339,268,339,269,339,336,339,337,339,338,339,339,339,340,339,341,339,342,339,343,339,344,339,345,339,346,339,347,339,348,339,349,339,372,339,373,339,374,339,375,339,376,339,377,339,378,339,379,339,380,339,381,339,382,339,383,339,384,339,8,340,9,340,10,340,11,340,12,340,13,340,14,340,15,340,16,340,17,340,18,340,19,340,20,340,21,340,22,340,23,340,24,340,25,340,26,340,86,340,87,340,88,340,89,340,90,340,91,340,92,340,93,340,94,340,95,340,96,340,97,340,98,340,99,340,100,340,112,340,113,340,114,340,115,340,116,340,117,340,118,340,119,340,120,340,121,340,122,340,123,340,124,340,125,340,231,340,232,340,233,340,234,340,235,340,236,340,237,340,238,340,239,340,240,340,241,340,242,340,243,340,244,340,257,340,258,340,259,340,260,340,261,340,262,340,263,340,264,340,265,340,266,340,267,340,268,340,269,340,336,340,337,340,338,340,339,340,340,340,341,340,342,340,343,340,344,340,345,340,346,340,347,340,348,340,374,340,375,340,376,340,377,340,378,340,379,340,380,340,381,340,382,340,383,340,384,340,385,340,8,341,9,341,10,341,11,341,12,341,13,341,14,341,15,341,16,341,17,341,18,341,19,341,20,341,21,341,22,341,23,341,24,341,25,341,26,341,86,341,87,341,88,341,89,341,90,341,91,341,92,341,93,341,94,341,95,341,96,341,97,341,98,341,99,341,100,341,112,341,113,341,114,341,115,341,116,341,117,341,118,341,119,341,120,341,121,341,122,341,123,341,124,341,125,341,231,341,232,341,233,341,234,341,235,341,236,341,237,341,238,341,239,341,240,341,241,341,242,341,243,341,244,341,257,341,258,341,259,341,260,341,261,341,262,341,263,341,264,341,265,341,266,341,267,341,268,341,269,341,335,341,336,341,337,341,338,341,339,341,340,341,341,341,342,341,343,341,344,341,345,341,346,341,347,341,375,341,376,341,377,341,378,341,379,341,380,341,381,341,382,341,383,341,384,341,385,341,386,341,8,342,9,342,10,342,11,342,12,342,13,342,14,342,15,342,16,342,17,342,18,342,19,342,20,342,21,342,22,342,23,342,24,342,25,342,26,342,86,342,87,342,88,342,89,342,90,342,91,342,92,342,93,342,94,342,95,342,96,342,97,342,98,342,99,342,100,342,112,342,113,342,114,342,115,342,116,342,117,342,118,342,119,342,120,342,121,342,122,342,123,342,124,342,125,342,231,342,232,342,233,342,234,342,235,342,236,342,237,342,238,342,239,342,240,342,241,342,242,342,243,342,244,342,257,342,258,342,259,342,260,342,261,342,262,342,263,342,264,342,265,342,266,342,267,342,268,342,269,342,335,342,336,342,337,342,338,342,339,342,340,342,341,342,342,342,343,342,344,342,345,342,346,342,375,342,376,342,377,342,378,342,379,342,380,342,381,342,382,342,383,342,384,342,385,342,386,342,8,343,9,343,10,343,11,343,12,343,13,343,14,343,15,343,16,343,17,343,18,343,19,343,20,343,21,343,22,343,23,343,24,343,25,343,26,343,86,343,87,343,88,343,89,343,90,343,91,343,92,343,93,343,94,343,95,343,96,343,97,343,98,343,99,343,100,343,112,343,113,343,114,343,115,343,116,343,117,343,118,343,119,343,120,343,121,343,122,343,123,343,124,343,125,343,231,343,232,343,233,343,234,343,235,343,236,343,237,343,238,343,239,343,240,343,241,343,242,343,243,343,244,343,257,343,258,343,259,343,260,343,261,343,262,343,263,343,264,343,265,343,266,343,267,343,268,343,269,343,328,343,329,343,330,343,331,343,332,343,333,343,335,343,336,343,337,343,338,343,339,343,340,343,341,343,342,343,343,343,344,343,345,343,376,343,377,343,378,343,379,343,380,343,381,343,382,343,383,343,384,343,385,343,386,343,8,344,9,344,10,344,11,344,12,344,13,344,14,344,15,344,16,344,17,344,18,344,19,344,20,344,21,344,22,344,23,344,24,344,25,344,26,344,86,344,87,344,88,344,89,344,90,344,91,344,92,344,93,344,94,344,95,344,96,344,97,344,98,344,99,344,100,344,112,344,113,344,114,344,115,344,116,344,117,344,118,344,119,344,120,344,121,344,122,344,123,344,124,344,125,344,231,344,232,344,233,344,234,344,235,344,236,344,237,344,238,344,239,344,240,344,241,344,242,344,243,344,244,344,257,344,258,344,259,344,260,344,261,344,262,344,263,344,264,344,265,344,266,344,267,344,268,344,269,344,328,344,329,344,330,344,331,344,332,344,333,344,335,344,336,344,337,344,338,344,339,344,340,344,341,344,342,344,343,344,344,344,345,344,376,344,377,344,378,344,379,344,380,344,381,344,382,344,383,344,384,344,385,344,386,344,387,344,8,345,9,345,10,345,11,345,12,345,13,345,14,345,15,345,16,345,17,345,18,345,19,345,20,345,21,345,22,345,23,345,24,345,25,345,26,345,85,345,86,345,87,345,88,345,89,345,90,345,91,345,92,345,93,345,94,345,95,345,96,345,97,345,98,345,99,345,100,345,112,345,113,345,114,345,115,345,116,345,117,345,118,345,119,345,120,345,121,345,122,345,123,345,124,345,125,345,213,345,214,345,215,345,216,345,217,345,218,345,231,345,232,345,233,345,234,345,235,345,236,345,237,345,238,345,239,345,240,345,241,345,242,345,243,345,244,345,257,345,258,345,259,345,260,345,261,345,262,345,263,345,264,345,265,345,266,345,267,345,268,345,269,345,296,345,297,345,298,345,299,345,300,345,301,345,302,345,303,345,304,345,305,345,306,345,307,345,308,345,309,345,310,345,311,345,312,345,313,345,314,345,315,345,328,345,329,345,330,345,331,345,332,345,333,345,335,345,336,345,337,345,338,345,339,345,340,345,341,345,342,345,343,345,344,345,345,345,377,345,378,345,379,345,380,345,381,345,382,345,383,345,384,345,385,345,386,345,387,345,8,346,9,346,10,346,11,346,12,346,13,346,14,346,15,346,16,346,17,346,18,346,19,346,20,346,21,346,22,346,23,346,24,346,25,346,26,346,27,346,28,346,29,346,30,346,31,346,32,346,33,346,34,346,35,346,36,346,37,346,38,346,39,346,40,346,60,346,61,346,62,346,63,346,64,346,65,346,66,346,67,346,68,346,69,346,70,346,71,346,72,346,73,346,74,346,75,346,76,346,77,346,78,346,79,346,80,346,81,346,82,346,83,346,84,346,85,346,86,346,87,346,88,346,89,346,90,346,91,346,92,346,93,346,94,346,95,346,96,346,97,346,98,346,99,346,100,346,112,346,113,346,114,346,115,346,116,346,117,346,118,346,119,346,120,346,121,346,122,346,123,346,124,346,125,346,162,346,163,346,164,346,165,346,166,346,167,346,168,346,169,346,170,346,171,346,172,346,173,346,174,346,175,346,176,346,177,346,178,346,179,346,180,346,181,346,204,346,205,346,206,346,207,346,208,346,209,346,210,346,211,346,212,346,213,346,214,346,215,346,216,346,217,346,218,346,231,346,232,346,233,346,234,346,235,346,236,346,237,346,238,346,239,346,240,346,241,346,242,346,243,346,244,346,257,346,258,346,259,346,260,346,261,346,262,346,263,346,264,346,265,346,266,346,267,346,268,346,269,346,296,346,297,346,298,346,299,346,300,346,301,346,302,346,303,346,304,346,305,346,306,346,307,346,308,346,309,346,310,346,311,346,312,346,313,346,314,346,315,346,328,346,329,346,330,346,331,346,332,346,333,346,335,346,336,346,337,346,338,346,339,346,340,346,341,346,342,346,343,346,344,346,377,346,378,346,379,346,380,346,381,346,382,346,383,346,384,346,385,346,386,346,387,346,389,346,390,346,391,346,392,346,393,346,8,347,9,347,10,347,11,347,12,347,13,347,14,347,15,347,16,347,17,347,18,347,19,347,20,347,21,347,22,347,23,347,24,347,25,347,26,347,27,347,28,347,29,347,30,347,31,347,32,347,33,347,34,347,35,347,36,347,37,347,38,347,39,347,40,347,60,347,61,347,62,347,63,347,64,347,65,347,66,347,67,347,68,347,69,347,70,347,71,347,72,347,73,347,74,347,75,347,76,347,77,347,78,347,79,347,80,347,81,347,82,347,83,347,84,347,85,347,86,347,87,347,88,347,89,347,90,347,91,347,92,347,93,347,94,347,95,347,96,347,97,347,98,347,99,347,100,347,112,347,113,347,114,347,115,347,116,347,117,347,118,347,119,347,120,347,121,347,122,347,123,347,124,347,125,347,162,347,163,347,164,347,165,347,166,347,167,347,168,347,169,347,170,347,171,347,172,347,173,347,174,347,175,347,176,347,177,347,178,347,179,347,180,347,181,347,204,347,205,347,206,347,207,347,208,347,209,347,210,347,211,347,212,347,213,347,214,347,215,347,216,347,217,347,218,347,231,347,232,347,233,347,234,347,235,347,236,347,237,347,238,347,239,347,240,347,241,347,242,347,243,347,244,347,257,347,258,347,259,347,260,347,261,347,262,347,263,347,264,347,265,347,266,347,267,347,268,347,269,347,296,347,297,347,298,347,299,347,300,347,301,347,302,347,303,347,304,347,305,347,306,347,307,347,308,347,309,347,310,347,311,347,312,347,313,347,314,347,315,347,328,347,329,347,330,347,331,347,332,347,333,347,335,347,336,347,337,347,338,347,339,347,340,347,341,347,342,347,343,347,344,347,377,347,378,347,379,347,380,347,381,347,382,347,383,347,384,347,385,347,386,347,387,347,389,347,390,347,391,347,392,347,393,347,394,347,395,347,8,348,9,348,10,348,11,348,12,348,13,348,14,348,15,348,16,348,17,348,18,348,19,348,20,348,21,348,22,348,23,348,24,348,25,348,26,348,27,348,28,348,29,348,30,348,31,348,32,348,33,348,34,348,35,348,36,348,37,348,38,348,39,348,40,348,60,348,61,348,62,348,63,348,64,348,65,348,66,348,67,348,68,348,69,348,70,348,71,348,72,348,73,348,74,348,75,348,76,348,77,348,78,348,79,348,80,348,81,348,82,348,83,348,84,348,85,348,86,348,87,348,88,348,89,348,90,348,91,348,92,348,93,348,94,348,95,348,96,348,97,348,98,348,99,348,100,348,112,348,113,348,114,348,115,348,116,348,117,348,118,348,119,348,120,348,121,348,122,348,123,348,124,348,125,348,162,348,163,348,164,348,165,348,166,348,167,348,168,348,169,348,170,348,171,348,172,348,173,348,174,348,175,348,176,348,177,348,178,348,179,348,180,348,181,348,204,348,205,348,206,348,207,348,208,348,209,348,210,348,211,348,212,348,213,348,214,348,215,348,216,348,217,348,218,348,231,348,232,348,233,348,234,348,235,348,236,348,237,348,238,348,239,348,240,348,241,348,242,348,243,348,244,348,257,348,258,348,259,348,260,348,261,348,262,348,263,348,264,348,265,348,266,348,267,348,268,348,269,348,296,348,297,348,298,348,299,348,300,348,301,348,302,348,303,348,304,348,305,348,306,348,307,348,308,348,309,348,310,348,311,348,312,348,313,348,314,348,315,348,328,348,329,348,330,348,331,348,332,348,333,348,335,348,336,348,337,348,338,348,339,348,340,348,341,348,342,348,343,348,344,348,345,348,377,348,378,348,379,348,380,348,381,348,382,348,383,348,384,348,385,348,386,348,387,348,389,348,390,348,391,348,392,348,393,348,394,348,395,348,8,349,9,349,10,349,11,349,12,349,13,349,14,349,15,349,16,349,17,349,18,349,19,349,20,349,21,349,22,349,23,349,24,349,25,349,26,349,27,349,28,349,29,349,30,349,31,349,32,349,33,349,34,349,35,349,36,349,37,349,38,349,39,349,40,349,60,349,61,349,62,349,63,349,64,349,65,349,66,349,67,349,68,349,69,349,70,349,71,349,72,349,73,349,74,349,75,349,76,349,77,349,78,349,79,349,80,349,81,349,82,349,83,349,84,349,85,349,86,349,87,349,88,349,89,349,90,349,91,349,92,349,93,349,94,349,95,349,96,349,97,349,98,349,99,349,100,349,112,349,113,349,114,349,115,349,116,349,117,349,118,349,119,349,120,349,121,349,122,349,123,349,124,349,125,349,162,349,163,349,164,349,165,349,166,349,167,349,168,349,169,349,170,349,171,349,172,349,173,349,174,349,175,349,176,349,177,349,178,349,179,349,180,349,181,349,204,349,205,349,206,349,207,349,208,349,209,349,210,349,211,349,212,349,213,349,214,349,215,349,216,349,217,349,218,349,231,349,232,349,233,349,234,349,235,349,236,349,237,349,238,349,239,349,240,349,241,349,242,349,243,349,244,349,257,349,258,349,259,349,260,349,261,349,262,349,263,349,264,349,265,349,266,349,267,349,268,349,269,349,296,349,297,349,298,349,299,349,300,349,301,349,302,349,303,349,304,349,305,349,306,349,307,349,308,349,309,349,310,349,311,349,312,349,313,349,314,349,315,349,329,349,330,349,331,349,332,349,333,349,335,349,336,349,337,349,338,349,339,349,340,349,341,349,342,349,343,349,344,349,345,349,377,349,378,349,379,349,380,349,381,349,382,349,383,349,384,349,385,349,386,349,387,349,389,349,390,349,391,349,392,349,393,349,394,349,395,349,8,350,9,350,10,350,11,350,12,350,13,350,14,350,15,350,16,350,17,350,18,350,19,350,20,350,21,350,22,350,23,350,24,350,25,350,26,350,27,350,28,350,29,350,30,350,31,350,32,350,33,350,34,350,35,350,36,350,37,350,38,350,39,350,40,350,60,350,61,350,62,350,63,350,64,350,65,350,66,350,67,350,68,350,69,350,70,350,71,350,72,350,73,350,74,350,75,350,76,350,77,350,78,350,79,350,80,350,81,350,82,350,83,350,84,350,85,350,86,350,87,350,88,350,89,350,90,350,91,350,92,350,93,350,94,350,95,350,96,350,97,350,98,350,99,350,100,350,112,350,113,350,114,350,115,350,116,350,117,350,118,350,119,350,120,350,121,350,122,350,123,350,124,350,125,350,162,350,163,350,164,350,165,350,166,350,167,350,168,350,169,350,170,350,171,350,172,350,173,350,174,350,175,350,176,350,177,350,178,350,179,350,180,350,181,350,204,350,205,350,206,350,207,350,208,350,209,350,210,350,211,350,212,350,213,350,214,350,215,350,216,350,217,350,218,350,231,350,232,350,233,350,234,350,235,350,236,350,237,350,238,350,239,350,240,350,241,350,242,350,243,350,244,350,257,350,258,350,259,350,260,350,261,350,262,350,263,350,264,350,265,350,266,350,267,350,268,350,269,350,296,350,297,350,298,350,299,350,300,350,301,350,302,350,303,350,304,350,305,350,306,350,307,350,308,350,309,350,310,350,311,350,312,350,313,350,314,350,315,350,335,350,336,350,337,350,338,350,339,350,340,350,341,350,342,350,343,350,344,350,345,350,376,350,377,350,378,350,379,350,380,350,381,350,382,350,383,350,384,350,385,350,386,350,387,350,389,350,390,350,391,350,392,350,393,350,394,350,395,350,8,351,9,351,10,351,11,351,12,351,13,351,14,351,15,351,16,351,17,351,18,351,19,351,20,351,21,351,22,351,23,351,24,351,25,351,26,351,27,351,28,351,29,351,30,351,31,351,32,351,33,351,34,351,35,351,36,351,37,351,38,351,39,351,40,351,60,351,61,351,62,351,63,351,64,351,65,351,66,351,67,351,68,351,69,351,70,351,71,351,72,351,73,351,74,351,75,351,76,351,77,351,78,351,79,351,80,351,81,351,82,351,83,351,84,351,85,351,86,351,87,351,88,351,89,351,90,351,91,351,92,351,93,351,94,351,95,351,96,351,97,351,98,351,99,351,100,351,112,351,113,351,114,351,115,351,116,351,117,351,118,351,119,351,120,351,121,351,122,351,123,351,124,351,125,351,162,351,163,351,164,351,165,351,166,351,167,351,168,351,169,351,170,351,171,351,172,351,173,351,174,351,175,351,176,351,177,351,178,351,179,351,180,351,181,351,204,351,205,351,206,351,207,351,208,351,209,351,210,351,211,351,212,351,213,351,214,351,215,351,216,351,217,351,218,351,231,351,232,351,233,351,234,351,235,351,236,351,237,351,238,351,239,351,240,351,241,351,242,351,243,351,244,351,257,351,258,351,259,351,260,351,261,351,262,351,263,351,264,351,265,351,266,351,267,351,268,351,269,351,296,351,297,351,298,351,299,351,300,351,301,351,302,351,303,351,304,351,305,351,306,351,307,351,308,351,309,351,310,351,311,351,312,351,313,351,314,351,315,351,335,351,336,351,337,351,338,351,339,351,340,351,341,351,342,351,343,351,344,351,345,351,346,351,376,351,377,351,378,351,379,351,380,351,381,351,382,351,383,351,384,351,385,351,386,351,388,351,389,351,390,351,391,351,392,351,393,351,394,351,8,352,9,352,10,352,11,352,12,352,13,352,14,352,15,352,16,352,17,352,18,352,19,352,20,352,21,352,22,352,23,352,24,352,25,352,26,352,27,352,28,352,29,352,30,352,31,352,32,352,33,352,34,352,35,352,36,352,37,352,38,352,39,352,40,352,60,352,61,352,62,352,63,352,64,352,65,352,66,352,67,352,68,352,69,352,70,352,71,352,72,352,73,352,74,352,75,352,76,352,77,352,78,352,79,352,80,352,81,352,82,352,83,352,84,352,85,352,86,352,87,352,88,352,89,352,90,352,91,352,92,352,93,352,94,352,95,352,96,352,97,352,98,352,99,352,100,352,112,352,113,352,114,352,115,352,116,352,117,352,118,352,119,352,120,352,121,352,122,352,123,352,124,352,125,352,162,352,163,352,164,352,165,352,166,352,167,352,168,352,169,352,170,352,171,352,172,352,173,352,174,352,175,352,176,352,177,352,178,352,179,352,180,352,181,352,204,352,205,352,206,352,207,352,208,352,209,352,210,352,211,352,212,352,213,352,214,352,215,352,216,352,217,352,218,352,231,352,232,352,233,352,234,352,235,352,236,352,237,352,238,352,239,352,240,352,241,352,242,352,243,352,244,352,257,352,258,352,259,352,260,352,261,352,262,352,263,352,264,352,265,352,266,352,267,352,268,352,269,352,296,352,297,352,298,352,299,352,300,352,301,352,302,352,303,352,304,352,305,352,306,352,307,352,308,352,309,352,310,352,311,352,312,352,313,352,314,352,315,352,336,352,337,352,338,352,339,352,340,352,341,352,342,352,343,352,344,352,345,352,346,352,374,352,375,352,376,352,377,352,378,352,379,352,380,352,381,352,382,352,383,352,384,352,385,352,386,352,388,352,389,352,390,352,391,352,392,352,393,352,394,352,8,353,9,353,10,353,11,353,12,353,13,353,14,353,15,353,16,353,17,353,18,353,19,353,20,353,21,353,22,353,23,353,24,353,25,353,26,353,27,353,28,353,29,353,30,353,31,353,32,353,33,353,34,353,35,353,36,353,37,353,38,353,39,353,40,353,60,353,61,353,62,353,63,353,64,353,65,353,66,353,67,353,68,353,69,353,70,353,71,353,72,353,73,353,74,353,75,353,76,353,77,353,78,353,79,353,80,353,81,353,82,353,83,353,84,353,85,353,86,353,87,353,88,353,89,353,90,353,91,353,92,353,93,353,94,353,95,353,96,353,97,353,98,353,99,353,100,353,112,353,113,353,114,353,115,353,116,353,117,353,118,353,119,353,120,353,121,353,122,353,123,353,124,353,125,353,162,353,163,353,164,353,165,353,166,353,167,353,168,353,169,353,170,353,171,353,172,353,173,353,174,353,175,353,176,353,177,353,178,353,179,353,180,353,181,353,204,353,205,353,206,353,207,353,208,353,209,353,210,353,211,353,212,353,213,353,214,353,215,353,216,353,217,353,218,353,231,353,232,353,233,353,234,353,235,353,236,353,237,353,238,353,239,353,240,353,241,353,242,353,243,353,244,353,257,353,258,353,259,353,260,353,261,353,262,353,263,353,264,353,265,353,266,353,267,353,268,353,269,353,296,353,297,353,298,353,299,353,300,353,301,353,302,353,303,353,304,353,305,353,306,353,307,353,308,353,309,353,310,353,311,353,312,353,313,353,314,353,315,353,336,353,337,353,338,353,339,353,340,353,341,353,342,353,343,353,344,353,345,353,346,353,347,353,374,353,375,353,376,353,377,353,378,353,379,353,380,353,381,353,382,353,383,353,384,353,385,353,8,354,9,354,10,354,11,354,12,354,13,354,14,354,15,354,16,354,17,354,18,354,19,354,20,354,21,354,22,354,23,354,24,354,25,354,26,354,60,354,61,354,62,354,63,354,64,354,65,354,66,354,67,354,68,354,69,354,70,354,71,354,72,354,73,354,74,354,86,354,87,354,88,354,89,354,90,354,91,354,92,354,93,354,94,354,95,354,96,354,97,354,98,354,99,354,100,354,112,354,113,354,114,354,115,354,116,354,117,354,118,354,119,354,120,354,121,354,122,354,123,354,124,354,125,354,126,354,127,354,128,354,129,354,130,354,131,354,132,354,133,354,134,354,135,354,136,354,137,354,138,354,139,354,140,354,162,354,163,354,164,354,165,354,166,354,167,354,168,354,169,354,170,354,171,354,172,354,173,354,174,354,175,354,176,354,177,354,178,354,179,354,180,354,181,354,204,354,205,354,206,354,207,354,208,354,209,354,210,354,211,354,212,354,213,354,214,354,215,354,216,354,217,354,218,354,219,354,220,354,221,354,222,354,223,354,224,354,225,354,226,354,227,354,228,354,229,354,230,354,231,354,232,354,233,354,234,354,235,354,236,354,237,354,238,354,239,354,240,354,241,354,242,354,243,354,244,354,257,354,258,354,259,354,260,354,261,354,262,354,263,354,264,354,265,354,266,354,267,354,268,354,269,354,296,354,297,354,298,354,299,354,300,354,301,354,302,354,303,354,304,354,305,354,306,354,307,354,308,354,309,354,310,354,311,354,312,354,313,354,314,354,315,354,336,354,337,354,338,354,339,354,340,354,341,354,342,354,343,354,344,354,345,354,346,354,347,354,348,354,374,354,375,354,376,354,377,354,378,354,379,354,380,354,381,354,382,354,383,354,384,354,385,354,8,355,9,355,10,355,11,355,12,355,13,355,14,355,15,355,16,355,17,355,18,355,19,355,20,355,21,355,22,355,23,355,24,355,25,355,26,355,60,355,61,355,62,355,63,355,64,355,65,355,66,355,67,355,68,355,69,355,70,355,71,355,72,355,73,355,74,355,86,355,87,355,88,355,89,355,90,355,91,355,92,355,93,355,94,355,95,355,96,355,97,355,98,355,99,355,100,355,112,355,113,355,114,355,115,355,116,355,117,355,118,355,119,355,120,355,121,355,122,355,123,355,124,355,125,355,126,355,127,355,128,355,129,355,130,355,131,355,132,355,133,355,134,355,135,355,136,355,137,355,138,355,139,355,140,355,162,355,163,355,164,355,165,355,166,355,167,355,168,355,169,355,170,355,171,355,172,355,173,355,174,355,175,355,176,355,177,355,178,355,179,355,180,355,181,355,204,355,205,355,206,355,207,355,208,355,209,355,210,355,211,355,212,355,213,355,214,355,215,355,216,355,217,355,218,355,219,355,220,355,221,355,222,355,223,355,224,355,225,355,226,355,227,355,228,355,229,355,230,355,231,355,232,355,233,355,234,355,235,355,236,355,237,355,238,355,239,355,240,355,241,355,242,355,243,355,244,355,257,355,258,355,259,355,260,355,261,355,262,355,263,355,264,355,265,355,266,355,267,355,268,355,269,355,296,355,297,355,298,355,299,355,300,355,301,355,302,355,303,355,304,355,305,355,306,355,307,355,308,355,309,355,310,355,311,355,312,355,313,355,314,355,315,355,337,355,338,355,339,355,340,355,341,355,342,355,343,355,344,355,345,355,346,355,347,355,348,355,349,355,372,355,373,355,374,355,375,355,376,355,377,355,378,355,379,355,380,355,381,355,382,355,383,355,384,355,8,356,9,356,10,356,11,356,12,356,13,356,14,356,15,356,16,356,17,356,18,356,19,356,20,356,21,356,22,356,23,356,24,356,25,356,26,356,60,356,61,356,62,356,63,356,64,356,65,356,66,356,67,356,68,356,69,356,70,356,71,356,72,356,73,356,74,356,86,356,87,356,88,356,89,356,90,356,91,356,92,356,93,356,94,356,95,356,96,356,97,356,98,356,99,356,100,356,112,356,113,356,114,356,115,356,116,356,117,356,118,356,119,356,120,356,121,356,122,356,123,356,124,356,125,356,126,356,127,356,128,356,129,356,130,356,131,356,132,356,133,356,134,356,135,356,136,356,137,356,138,356,139,356,140,356,162,356,163,356,164,356,165,356,166,356,167,356,168,356,169,356,170,356,171,356,172,356,173,356,174,356,175,356,176,356,177,356,178,356,179,356,180,356,181,356,204,356,205,356,206,356,207,356,208,356,209,356,210,356,211,356,212,356,213,356,214,356,215,356,216,356,217,356,218,356,219,356,220,356,221,356,222,356,223,356,224,356,225,356,226,356,227,356,228,356,229,356,230,356,231,356,232,356,233,356,234,356,235,356,236,356,237,356,238,356,239,356,240,356,241,356,242,356,243,356,244,356,257,356,258,356,259,356,260,356,261,356,262,356,263,356,264,356,265,356,266,356,267,356,268,356,269,356,296,356,297,356,298,356,299,356,300,356,301,356,302,356,303,356,304,356,305,356,306,356,307,356,308,356,309,356,310,356,311,356,312,356,313,356,314,356,315,356,338,356,339,356,340,356,341,356,342,356,343,356,344,356,345,356,346,356,347,356,348,356,349,356,350,356,351,356,371,356,372,356,373,356,374,356,375,356,376,356,377,356,378,356,379,356,380,356,381,356,382,356,383,356,384,356,8,357,9,357,10,357,11,357,12,357,13,357,14,357,15,357,16,357,17,357,18,357,19,357,20,357,21,357,22,357,23,357,24,357,25,357,26,357,60,357,61,357,62,357,63,357,64,357,65,357,66,357,67,357,68,357,69,357,70,357,71,357,72,357,73,357,74,357,86,357,87,357,88,357,89,357,90,357,91,357,92,357,93,357,94,357,95,357,96,357,97,357,98,357,99,357,100,357,112,357,113,357,114,357,115,357,116,357,117,357,118,357,119,357,120,357,121,357,122,357,123,357,124,357,125,357,126,357,127,357,128,357,129,357,130,357,131,357,132,357,133,357,134,357,135,357,136,357,137,357,138,357,139,357,140,357,162,357,163,357,164,357,165,357,166,357,167,357,168,357,169,357,170,357,171,357,172,357,173,357,174,357,175,357,176,357,177,357,178,357,179,357,180,357,181,357,204,357,205,357,206,357,207,357,208,357,209,357,210,357,211,357,212,357,213,357,214,357,215,357,216,357,217,357,218,357,219,357,220,357,221,357,222,357,223,357,224,357,225,357,226,357,227,357,228,357,229,357,230,357,231,357,232,357,233,357,234,357,235,357,236,357,237,357,238,357,239,357,240,357,241,357,242,357,243,357,244,357,257,357,258,357,259,357,260,357,261,357,262,357,263,357,264,357,265,357,266,357,267,357,268,357,269,357,296,357,297,357,298,357,299,357,300,357,301,357,302,357,303,357,304,357,305,357,306,357,307,357,308,357,309,357,310,357,311,357,312,357,313,357,314,357,315,357,339,357,340,357,341,357,342,357,343,357,344,357,345,357,346,357,347,357,348,357,349,357,350,357,351,357,352,357,353,357,368,357,369,357,370,357,371,357,372,357,373,357,374,357,375,357,376,357,377,357,378,357,379,357,380,357,381,357,382,357,383,357,8,358,9,358,10,358,11,358,12,358,13,358,14,358,15,358,16,358,17,358,18,358,19,358,20,358,21,358,22,358,23,358,24,358,25,358,26,358,60,358,61,358,62,358,63,358,64,358,65,358,66,358,67,358,68,358,69,358,70,358,71,358,72,358,73,358,74,358,86,358,87,358,88,358,89,358,90,358,91,358,92,358,93,358,94,358,95,358,96,358,97,358,98,358,99,358,100,358,112,358,113,358,114,358,115,358,116,358,117,358,118,358,119,358,120,358,121,358,122,358,123,358,124,358,125,358,126,358,127,358,128,358,129,358,130,358,131,358,132,358,133,358,134,358,135,358,136,358,137,358,138,358,139,358,140,358,162,358,163,358,164,358,165,358,166,358,167,358,168,358,169,358,170,358,171,358,172,358,173,358,174,358,175,358,176,358,177,358,178,358,179,358,180,358,181,358,204,358,205,358,206,358,207,358,208,358,209,358,210,358,211,358,212,358,213,358,214,358,215,358,216,358,217,358,218,358,219,358,220,358,221,358,222,358,223,358,224,358,225,358,226,358,227,358,228,358,229,358,230,358,231,358,232,358,233,358,234,358,235,358,236,358,237,358,238,358,239,358,240,358,241,358,242,358,243,358,244,358,257,358,258,358,259,358,260,358,261,358,262,358,263,358,264,358,265,358,266,358,267,358,268,358,269,358,296,358,297,358,298,358,299,358,300,358,301,358,302,358,303,358,304,358,305,358,306,358,307,358,308,358,309,358,310,358,311,358,312,358,313,358,314,358,315,358,336,358,337,358,340,358,341,358,342,358,343,358,344,358,345,358,346,358,347,358,348,358,349,358,350,358,351,358,352,358,353,358,354,358,355,358,356,358,357,358,364,358,365,358,366,358,367,358,368,358,369,358,370,358,371,358,372,358,373,358,374,358,375,358,376,358,377,358,378,358,379,358,380,358,381,358,382,358,8,359,9,359,10,359,11,359,12,359,13,359,14,359,15,359,16,359,17,359,18,359,19,359,20,359,21,359,22,359,23,359,24,359,25,359,26,359,60,359,61,359,62,359,63,359,64,359,65,359,66,359,67,359,68,359,69,359,70,359,71,359,72,359,73,359,74,359,86,359,87,359,88,359,89,359,90,359,91,359,92,359,93,359,94,359,95,359,96,359,97,359,98,359,99,359,100,359,112,359,113,359,114,359,115,359,116,359,117,359,118,359,119,359,120,359,121,359,122,359,123,359,124,359,125,359,126,359,127,359,128,359,129,359,130,359,131,359,132,359,133,359,134,359,135,359,136,359,137,359,138,359,139,359,140,359,162,359,163,359,164,359,165,359,166,359,167,359,168,359,169,359,170,359,171,359,172,359,173,359,174,359,175,359,176,359,177,359,178,359,179,359,180,359,181,359,204,359,205,359,206,359,207,359,208,359,209,359,210,359,211,359,212,359,213,359,214,359,215,359,216,359,217,359,218,359,219,359,220,359,221,359,222,359,223,359,224,359,225,359,226,359,227,359,228,359,229,359,230,359,231,359,232,359,233,359,234,359,235,359,236,359,237,359,238,359,239,359,240,359,241,359,242,359,243,359,244,359,257,359,258,359,259,359,260,359,261,359,262,359,263,359,264,359,265,359,266,359,267,359,268,359,269,359,296,359,297,359,298,359,299,359,300,359,301,359,302,359,303,359,304,359,305,359,306,359,307,359,308,359,309,359,310,359,311,359,312,359,313,359,314,359,315,359,335,359,336,359,337,359,338,359,341,359,342,359,343,359,344,359,345,359,346,359,347,359,348,359,349,359,350,359,351,359,352,359,353,359,354,359,355,359,356,359,357,359,358,359,359,359,360,359,361,359,362,359,363,359,364,359,365,359,366,359,367,359,368,359,369,359,370,359,371,359,372,359,373,359,374,359,375,359,376,359,377,359,378,359,379,359,380,359,381,359,8,360,9,360,10,360,11,360,12,360,13,360,14,360,15,360,16,360,17,360,18,360,19,360,20,360,21,360,22,360,23,360,24,360,25,360,26,360,61,360,62,360,63,360,64,360,65,360,66,360,67,360,68,360,69,360,70,360,71,360,72,360,73,360,74,360,86,360,87,360,88,360,89,360,90,360,91,360,92,360,93,360,94,360,95,360,96,360,97,360,98,360,99,360,100,360,113,360,114,360,115,360,116,360,117,360,118,360,119,360,120,360,121,360,122,360,123,360,124,360,125,360,126,360,127,360,128,360,129,360,130,360,131,360,132,360,133,360,134,360,135,360,136,360,137,360,138,360,139,360,140,360,162,360,163,360,164,360,165,360,166,360,167,360,168,360,169,360,170,360,171,360,172,360,173,360,174,360,175,360,176,360,177,360,178,360,179,360,180,360,181,360,204,360,205,360,206,360,207,360,208,360,209,360,210,360,211,360,212,360,213,360,214,360,215,360,216,360,217,360,218,360,219,360,220,360,221,360,222,360,223,360,224,360,225,360,226,360,227,360,228,360,229,360,230,360,231,360,232,360,233,360,234,360,235,360,236,360,237,360,238,360,239,360,240,360,241,360,242,360,243,360,244,360,257,360,258,360,259,360,260,360,261,360,262,360,263,360,264,360,265,360,266,360,267,360,268,360,269,360,296,360,297,360,298,360,299,360,300,360,301,360,302,360,303,360,304,360,305,360,306,360,307,360,308,360,309,360,310,360,311,360,312,360,313,360,314,360,315,360,334,360,335,360,336,360,337,360,338,360,339,360,342,360,343,360,344,360,345,360,346,360,347,360,348,360,349,360,350,360,351,360,352,360,353,360,354,360,355,360,356,360,357,360,358,360,359,360,360,360,361,360,362,360,363,360,364,360,365,360,366,360,367,360,368,360,369,360,370,360,371,360,372,360,373,360,374,360,375,360,376,360,377,360,378,360,379,360,9,361,10,361,11,361,12,361,13,361,14,361,15,361,16,361,17,361,18,361,19,361,20,361,21,361,22,361,23,361,24,361,25,361,26,361,62,361,63,361,64,361,65,361,66,361,67,361,68,361,69,361,70,361,71,361,72,361,73,361,74,361,86,361,87,361,88,361,89,361,90,361,91,361,92,361,93,361,94,361,95,361,96,361,97,361,98,361,99,361,100,361,113,361,114,361,115,361,116,361,117,361,118,361,119,361,120,361,121,361,122,361,123,361,124,361,125,361,126,361,127,361,128,361,129,361,130,361,131,361,132,361,133,361,134,361,135,361,136,361,137,361,138,361,139,361,140,361,162,361,163,361,164,361,165,361,166,361,167,361,168,361,169,361,170,361,171,361,172,361,173,361,174,361,175,361,176,361,177,361,178,361,179,361,180,361,181,361,205,361,206,361,207,361,208,361,209,361,210,361,211,361,212,361,213,361,214,361,215,361,216,361,217,361,218,361,219,361,220,361,221,361,222,361,223,361,224,361,225,361,226,361,227,361,228,361,229,361,230,361,231,361,232,361,233,361,234,361,235,361,236,361,237,361,238,361,239,361,240,361,241,361,242,361,243,361,244,361,257,361,258,361,259,361,260,361,261,361,262,361,263,361,264,361,265,361,266,361,267,361,268,361,269,361,297,361,298,361,299,361,300,361,301,361,302,361,303,361,304,361,305,361,306,361,307,361,308,361,309,361,310,361,311,361,312,361,313,361,314,361,334,361,335,361,336,361,337,361,338,361,339,361,340,361,344,361,345,361,346,361,347,361,348,361,349,361,350,361,351,361,352,361,353,361,354,361,355,361,356,361,357,361,358,361,359,361,360,361,361,361,362,361,363,361,364,361,365,361,366,361,367,361,368,361,369,361,370,361,371,361,372,361,373,361,374,361,375,361,376,361,377,361,378,361,381,361,382,361,383,361,10,362,11,362,12,362,13,362,14,362,15,362,16,362,17,362,18,362,19,362,20,362,21,362,22,362,23,362,24,362,25,362,26,362,63,362,64,362,65,362,66,362,67,362,68,362,69,362,70,362,71,362,72,362,73,362,74,362,86,362,87,362,88,362,89,362,90,362,91,362,92,362,93,362,94,362,95,362,96,362,97,362,98,362,99,362,114,362,115,362,116,362,117,362,118,362,119,362,120,362,121,362,122,362,123,362,124,362,125,362,126,362,127,362,128,362,129,362,130,362,131,362,132,362,133,362,134,362,135,362,136,362,137,362,138,362,139,362,140,362,162,362,163,362,164,362,165,362,166,362,167,362,168,362,169,362,170,362,171,362,172,362,173,362,174,362,175,362,176,362,177,362,178,362,179,362,180,362,181,362,206,362,207,362,208,362,209,362,210,362,211,362,212,362,213,362,214,362,215,362,216,362,217,362,218,362,219,362,220,362,221,362,222,362,223,362,224,362,225,362,226,362,227,362,228,362,229,362,230,362,231,362,232,362,233,362,234,362,235,362,236,362,237,362,238,362,239,362,240,362,241,362,242,362,243,362,258,362,259,362,260,362,261,362,262,362,263,362,264,362,265,362,266,362,267,362,268,362,269,362,298,362,299,362,300,362,301,362,302,362,303,362,304,362,305,362,306,362,307,362,308,362,309,362,310,362,311,362,312,362,313,362,335,362,336,362,337,362,338,362,339,362,340,362,341,362,342,362,345,362,346,362,347,362,348,362,349,362,350,362,351,362,352,362,353,362,354,362,355,362,356,362,357,362,358,362,359,362,360,362,361,362,362,362,363,362,364,362,365,362,366,362,367,362,368,362,369,362,370,362,371,362,372,362,373,362,374,362,375,362,376,362,380,362,381,362,382,362,383,362,384,362,11,363,12,363,13,363,14,363,15,363,16,363,17,363,18,363,19,363,20,363,21,363,22,363,23,363,24,363,25,363,26,363,64,363,65,363,66,363,67,363,68,363,69,363,70,363,71,363,72,363,73,363,74,363,86,363,87,363,88,363,89,363,90,363,91,363,92,363,93,363,94,363,95,363,96,363,97,363,98,363,115,363,116,363,117,363,118,363,119,363,120,363,121,363,122,363,123,363,124,363,125,363,126,363,127,363,128,363,129,363,130,363,131,363,132,363,133,363,134,363,135,363,136,363,137,363,138,363,139,363,140,363,162,363,163,363,164,363,165,363,166,363,167,363,168,363,169,363,170,363,171,363,172,363,173,363,174,363,175,363,176,363,177,363,178,363,179,363,180,363,181,363,207,363,208,363,209,363,210,363,211,363,212,363,213,363,214,363,215,363,216,363,217,363,218,363,219,363,220,363,221,363,222,363,223,363,224,363,225,363,226,363,227,363,228,363,229,363,230,363,231,363,232,363,233,363,234,363,235,363,236,363,237,363,238,363,239,363,240,363,241,363,242,363,258,363,259,363,260,363,261,363,262,363,263,363,264,363,265,363,266,363,267,363,268,363,269,363,299,363,300,363,301,363,302,363,303,363,304,363,305,363,306,363,307,363,308,363,309,363,310,363,311,363,312,363,336,363,337,363,338,363,339,363,340,363,341,363,342,363,343,363,347,363,348,363,349,363,350,363,351,363,352,363,353,363,354,363,355,363,356,363,357,363,358,363,359,363,360,363,361,363,362,363,363,363,364,363,365,363,366,363,367,363,368,363,369,363,370,363,371,363,372,363,373,363,374,363,378,363,379,363,380,363,381,363,382,363,383,363,384,363,385,363,12,364,13,364,14,364,15,364,16,364,17,364,18,364,19,364,20,364,21,364,22,364,23,364,24,364,25,364,26,364,65,364,66,364,67,364,68,364,69,364,70,364,71,364,72,364,73,364,74,364,86,364,87,364,88,364,89,364,90,364,91,364,92,364,93,364,94,364,95,364,96,364,97,364,116,364,117,364,118,364,119,364,120,364,121,364,122,364,123,364,124,364,125,364,126,364,127,364,128,364,129,364,130,364,131,364,132,364,133,364,134,364,135,364,136,364,137,364,138,364,139,364,140,364,162,364,163,364,164,364,165,364,166,364,167,364,168,364,169,364,170,364,171,364,172,364,173,364,174,364,175,364,176,364,177,364,178,364,179,364,180,364,181,364,208,364,209,364,210,364,211,364,212,364,213,364,214,364,215,364,216,364,217,364,218,364,219,364,220,364,221,364,222,364,223,364,224,364,225,364,226,364,227,364,228,364,229,364,230,364,231,364,232,364,233,364,234,364,235,364,236,364,237,364,238,364,239,364,240,364,241,364,259,364,260,364,261,364,262,364,263,364,264,364,265,364,266,364,267,364,268,364,269,364,300,364,301,364,302,364,303,364,304,364,305,364,306,364,307,364,308,364,309,364,310,364,311,364,337,364,338,364,339,364,340,364,341,364,350,364,351,364,352,364,353,364,354,364,355,364,356,364,357,364,358,364,359,364,360,364,361,364,362,364,363,364,364,364,365,364,366,364,367,364,368,364,369,364,370,364,371,364,376,364,377,364,378,364,379,364,380,364,381,364,382,364,383,364,384,364,385,364,386,364,13,365,14,365,15,365,16,365,17,365,18,365,19,365,20,365,21,365,22,365,23,365,24,365,25,365,26,365,65,365,66,365,67,365,68,365,69,365,70,365,71,365,72,365,73,365,74,365,86,365,87,365,88,365,89,365,90,365,91,365,92,365,93,365,94,365,95,365,96,365,116,365,117,365,118,365,119,365,120,365,121,365,122,365,123,365,124,365,125,365,126,365,127,365,128,365,129,365,130,365,131,365,132,365,133,365,134,365,135,365,136,365,137,365,138,365,139,365,140,365,162,365,163,365,164,365,165,365,166,365,167,365,168,365,169,365,170,365,171,365,172,365,173,365,174,365,175,365,176,365,177,365,178,365,179,365,180,365,181,365,210,365,211,365,212,365,213,365,214,365,215,365,216,365,217,365,218,365,219,365,220,365,221,365,222,365,223,365,224,365,225,365,226,365,227,365,228,365,229,365,230,365,231,365,232,365,233,365,234,365,235,365,236,365,237,365,238,365,239,365,240,365,259,365,260,365,261,365,262,365,263,365,264,365,265,365,266,365,267,365,268,365,269,365,301,365,302,365,303,365,304,365,305,365,306,365,307,365,308,365,309,365,310,365,354,365,355,365,356,365,357,365,358,365,359,365,360,365,361,365,362,365,363,365,364,365,365,365,366,365,367,365,376,365,377,365,378,365,379,365,380,365,381,365,382,365,383,365,384,365,378,366,379,366,380,366,381,366,382,366,383,366,354,367,355,367,356,367,357,367,380,367,381,367,354,368,355,368,356,368,357,368,358,368,359,368,360,368,361,368,362,368,363,368,354,369,355,369,356,369,357,369,358,369,359,369,360,369,361,369,362,369,363,369,355,370,356,370,357,370,358,370,359,370,360,370,361,370,362,370,363,370,355,371,356,371,357,371,358,371,359,371,360,371,361,371,362,371}
  a=1;
  while(a<#listgrass) do
    x=listgrass[a+0];
    y=listgrass[a+1];
    table.insert(tiles,{name="grass",position={posx+x+xoffset,posy+y+yoffset}} );
    a=a+2;
  end
  a=1;
  while(a<#listgrassmedium) do
    x=listgrassmedium[a+0];
    y=listgrassmedium[a+1];
    table.insert(tiles,{name="grass-medium",position={posx+x+xoffset,posy+y+yoffset}} );
    a=a+2;
  end
  a=1;
  while(a<#listgrassdry) do
    x=listgrassdry[a+0];
    y=listgrassdry[a+1];
    table.insert(tiles,{name="grass-dry",position={posx+x+xoffset,posy+y+yoffset}} );
    a=a+2;
  end
  a=1;
  while(a<#listdirt) do
    x=listdirt[a+0];
    y=listdirt[a+1];
    table.insert(tiles,{name="dirt",position={posx+x+xoffset,posy+y+yoffset}} );
    a=a+2;
  end
  a=1;
  while(a<#listdirtdark) do
    x=listdirtdark[a+0];
    y=listdirtdark[a+1];
    table.insert(tiles,{name="dirt-dark",position={posx+x+xoffset,posy+y+yoffset}} );
    a=a+2;
  end
  a=1;
  while(a<#listsand) do
    x=listsand[a+0];
    y=listsand[a+1];
    table.insert(tiles,{name="sand",position={posx+x+xoffset,posy+y+yoffset}} );
    a=a+2;
  end
  a=1;
  while(a<#listsanddark) do
    x=listsanddark[a+0];
    y=listsanddark[a+1];
    table.insert(tiles,{name="sand-dark",position={posx+x+xoffset,posy+y+yoffset}} );
    a=a+2;
  end
  game.surfaces[surface].set_tiles(tiles,false);
end -- DrawFactorioGear





-- EOF ==================================================================================